/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|*  * LoongArch Disassembler                                                  *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/


#include "llvm/MC/MCInst.h"
#include "llvm/MC/MCSubtargetInfo.h"
#include "llvm/Support/DataTypes.h"
#include "llvm/Support/Debug.h"
#include "llvm/Support/LEB128.h"
#include "llvm/Support/raw_ostream.h"
#include "llvm/TargetParser/SubtargetFeature.h"
#include <assert.h>

namespace {

// Helper functions for extracting fields from encoded instructions.
// InsnType must either be integral or an APInt-like object that must:
// * be default-constructible and copy-constructible
// * be constructible from an APInt (this can be private)
// * Support insertBits(bits, startBit, numBits)
// * Support extractBitsAsZExtValue(numBits, startBit)
// * Support the ~, &, ==, and != operators with other objects of the same type
// * Support the != and bitwise & with uint64_t
// * Support put (<<) to raw_ostream&
template <typename InsnType>
#if defined(_MSC_VER) && !defined(__clang__)
__declspec(noinline)
#endif
static std::enable_if_t<std::is_integral<InsnType>::value, InsnType>
fieldFromInstruction(const InsnType &insn, unsigned startBit,
                     unsigned numBits) {
  assert(startBit + numBits <= 64 && "Cannot support >64-bit extractions!");
  assert(startBit + numBits <= (sizeof(InsnType) * 8) &&
         "Instruction field out of bounds!");
  InsnType fieldMask;
  if (numBits == sizeof(InsnType) * 8)
    fieldMask = (InsnType)(-1LL);
  else
    fieldMask = (((InsnType)1 << numBits) - 1) << startBit;
  return (insn & fieldMask) >> startBit;
}

template <typename InsnType>
static std::enable_if_t<!std::is_integral<InsnType>::value, uint64_t>
fieldFromInstruction(const InsnType &insn, unsigned startBit,
                     unsigned numBits) {
  return insn.extractBitsAsZExtValue(numBits, startBit);
}

// Helper function for inserting bits extracted from an encoded instruction into
// a field.
template <typename InsnType>
static void insertBits(InsnType &field, InsnType bits, unsigned startBit,
                       unsigned numBits) {
  if constexpr (std::is_integral<InsnType>::value) {
    assert(startBit + numBits <= sizeof field * 8);
    (void)numBits;
    field |= (InsnType)bits << startBit;
  } else {
    field.insertBits(bits, startBit, numBits);
  }
}

static bool Check(DecodeStatus &Out, DecodeStatus In) {
  Out = static_cast<DecodeStatus>(Out & In);
  return Out != MCDisassembler::Fail;
}

static const uint8_t DecoderTable32[] = {
/* 0 */       MCD::OPC_ExtractField, 26, 6,  // Inst{31-26} ...
/* 3 */       MCD::OPC_FilterValue, 0, 30, 15, // Skip to: 3877
/* 7 */       MCD::OPC_ExtractField, 22, 4,  // Inst{25-22} ...
/* 10 */      MCD::OPC_FilterValue, 0, 248, 8, // Skip to: 2310
/* 14 */      MCD::OPC_ExtractField, 18, 4,  // Inst{21-18} ...
/* 17 */      MCD::OPC_FilterValue, 0, 25, 2, // Skip to: 558
/* 21 */      MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 24 */      MCD::OPC_FilterValue, 0, 65, 1, // Skip to: 349
/* 28 */      MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 31 */      MCD::OPC_FilterValue, 2, 10, 0, // Skip to: 45
/* 35 */      MCD::OPC_CheckField, 2, 3, 0, 84, 84, // Skip to: 21629
/* 41 */      MCD::OPC_Decode, 132, 6, 0, // Opcode: MOVGR2SCR
/* 45 */      MCD::OPC_FilterValue, 3, 10, 0, // Skip to: 59
/* 49 */      MCD::OPC_CheckField, 7, 3, 0, 70, 84, // Skip to: 21629
/* 55 */      MCD::OPC_Decode, 133, 6, 1, // Opcode: MOVSCR2GR
/* 59 */      MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 67
/* 63 */      MCD::OPC_Decode, 143, 4, 2, // Opcode: CLO_W
/* 67 */      MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 75
/* 71 */      MCD::OPC_Decode, 145, 4, 2, // Opcode: CLZ_W
/* 75 */      MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 83
/* 79 */      MCD::OPC_Decode, 159, 4, 2, // Opcode: CTO_W
/* 83 */      MCD::OPC_FilterValue, 7, 4, 0, // Skip to: 91
/* 87 */      MCD::OPC_Decode, 161, 4, 2, // Opcode: CTZ_W
/* 91 */      MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 103
/* 95 */      MCD::OPC_CheckPredicate, 0, 26, 84, // Skip to: 21629
/* 99 */      MCD::OPC_Decode, 142, 4, 2, // Opcode: CLO_D
/* 103 */     MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 115
/* 107 */     MCD::OPC_CheckPredicate, 0, 14, 84, // Skip to: 21629
/* 111 */     MCD::OPC_Decode, 144, 4, 2, // Opcode: CLZ_D
/* 115 */     MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 127
/* 119 */     MCD::OPC_CheckPredicate, 0, 2, 84, // Skip to: 21629
/* 123 */     MCD::OPC_Decode, 158, 4, 2, // Opcode: CTO_D
/* 127 */     MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 139
/* 131 */     MCD::OPC_CheckPredicate, 0, 246, 83, // Skip to: 21629
/* 135 */     MCD::OPC_Decode, 160, 4, 2, // Opcode: CTZ_D
/* 139 */     MCD::OPC_FilterValue, 12, 4, 0, // Skip to: 147
/* 143 */     MCD::OPC_Decode, 163, 6, 2, // Opcode: REVB_2H
/* 147 */     MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 159
/* 151 */     MCD::OPC_CheckPredicate, 0, 226, 83, // Skip to: 21629
/* 155 */     MCD::OPC_Decode, 165, 6, 2, // Opcode: REVB_4H
/* 159 */     MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 171
/* 163 */     MCD::OPC_CheckPredicate, 0, 214, 83, // Skip to: 21629
/* 167 */     MCD::OPC_Decode, 164, 6, 2, // Opcode: REVB_2W
/* 171 */     MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 183
/* 175 */     MCD::OPC_CheckPredicate, 0, 202, 83, // Skip to: 21629
/* 179 */     MCD::OPC_Decode, 166, 6, 2, // Opcode: REVB_D
/* 183 */     MCD::OPC_FilterValue, 16, 8, 0, // Skip to: 195
/* 187 */     MCD::OPC_CheckPredicate, 0, 190, 83, // Skip to: 21629
/* 191 */     MCD::OPC_Decode, 167, 6, 2, // Opcode: REVH_2W
/* 195 */     MCD::OPC_FilterValue, 17, 8, 0, // Skip to: 207
/* 199 */     MCD::OPC_CheckPredicate, 0, 178, 83, // Skip to: 21629
/* 203 */     MCD::OPC_Decode, 168, 6, 2, // Opcode: REVH_D
/* 207 */     MCD::OPC_FilterValue, 18, 4, 0, // Skip to: 215
/* 211 */     MCD::OPC_Decode, 253, 3, 2, // Opcode: BITREV_4B
/* 215 */     MCD::OPC_FilterValue, 19, 8, 0, // Skip to: 227
/* 219 */     MCD::OPC_CheckPredicate, 0, 158, 83, // Skip to: 21629
/* 223 */     MCD::OPC_Decode, 254, 3, 2, // Opcode: BITREV_8B
/* 227 */     MCD::OPC_FilterValue, 20, 4, 0, // Skip to: 235
/* 231 */     MCD::OPC_Decode, 128, 4, 2, // Opcode: BITREV_W
/* 235 */     MCD::OPC_FilterValue, 21, 8, 0, // Skip to: 247
/* 239 */     MCD::OPC_CheckPredicate, 0, 138, 83, // Skip to: 21629
/* 243 */     MCD::OPC_Decode, 255, 3, 2, // Opcode: BITREV_D
/* 247 */     MCD::OPC_FilterValue, 22, 4, 0, // Skip to: 255
/* 251 */     MCD::OPC_Decode, 170, 4, 2, // Opcode: EXT_W_H
/* 255 */     MCD::OPC_FilterValue, 23, 4, 0, // Skip to: 263
/* 259 */     MCD::OPC_Decode, 169, 4, 2, // Opcode: EXT_W_B
/* 263 */     MCD::OPC_FilterValue, 24, 4, 0, // Skip to: 271
/* 267 */     MCD::OPC_Decode, 161, 6, 2, // Opcode: RDTIMEL_W
/* 271 */     MCD::OPC_FilterValue, 25, 4, 0, // Skip to: 279
/* 275 */     MCD::OPC_Decode, 160, 6, 2, // Opcode: RDTIMEH_W
/* 279 */     MCD::OPC_FilterValue, 26, 8, 0, // Skip to: 291
/* 283 */     MCD::OPC_CheckPredicate, 0, 94, 83, // Skip to: 21629
/* 287 */     MCD::OPC_Decode, 162, 6, 2, // Opcode: RDTIME_D
/* 291 */     MCD::OPC_FilterValue, 27, 4, 0, // Skip to: 299
/* 295 */     MCD::OPC_Decode, 146, 4, 2, // Opcode: CPUCFG
/* 299 */     MCD::OPC_FilterValue, 28, 16, 0, // Skip to: 319
/* 303 */     MCD::OPC_CheckField, 8, 2, 0, 72, 83, // Skip to: 21629
/* 309 */     MCD::OPC_CheckField, 0, 5, 0, 66, 83, // Skip to: 21629
/* 315 */     MCD::OPC_Decode, 227, 12, 3, // Opcode: X86MTTOP
/* 319 */     MCD::OPC_FilterValue, 29, 10, 0, // Skip to: 333
/* 323 */     MCD::OPC_CheckField, 5, 5, 0, 52, 83, // Skip to: 21629
/* 329 */     MCD::OPC_Decode, 225, 12, 4, // Opcode: X86MFTOP
/* 333 */     MCD::OPC_FilterValue, 30, 4, 0, // Skip to: 341
/* 337 */     MCD::OPC_Decode, 188, 6, 2, // Opcode: SETX86LOOPE
/* 341 */     MCD::OPC_FilterValue, 31, 36, 83, // Skip to: 21629
/* 345 */     MCD::OPC_Decode, 189, 6, 2, // Opcode: SETX86LOOPNE
/* 349 */     MCD::OPC_FilterValue, 1, 169, 0, // Skip to: 522
/* 353 */     MCD::OPC_ExtractField, 0, 5,  // Inst{4-0} ...
/* 356 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 370
/* 360 */     MCD::OPC_CheckField, 10, 5, 0, 15, 83, // Skip to: 21629
/* 366 */     MCD::OPC_Decode, 220, 12, 5, // Opcode: X86INC_B
/* 370 */     MCD::OPC_FilterValue, 1, 10, 0, // Skip to: 384
/* 374 */     MCD::OPC_CheckField, 10, 5, 0, 1, 83, // Skip to: 21629
/* 380 */     MCD::OPC_Decode, 222, 12, 5, // Opcode: X86INC_H
/* 384 */     MCD::OPC_FilterValue, 2, 10, 0, // Skip to: 398
/* 388 */     MCD::OPC_CheckField, 10, 5, 0, 243, 82, // Skip to: 21629
/* 394 */     MCD::OPC_Decode, 223, 12, 5, // Opcode: X86INC_W
/* 398 */     MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 416
/* 402 */     MCD::OPC_CheckPredicate, 0, 231, 82, // Skip to: 21629
/* 406 */     MCD::OPC_CheckField, 10, 5, 0, 225, 82, // Skip to: 21629
/* 412 */     MCD::OPC_Decode, 221, 12, 5, // Opcode: X86INC_D
/* 416 */     MCD::OPC_FilterValue, 4, 10, 0, // Skip to: 430
/* 420 */     MCD::OPC_CheckField, 10, 5, 0, 211, 82, // Skip to: 21629
/* 426 */     MCD::OPC_Decode, 215, 12, 5, // Opcode: X86DEC_B
/* 430 */     MCD::OPC_FilterValue, 5, 10, 0, // Skip to: 444
/* 434 */     MCD::OPC_CheckField, 10, 5, 0, 197, 82, // Skip to: 21629
/* 440 */     MCD::OPC_Decode, 217, 12, 5, // Opcode: X86DEC_H
/* 444 */     MCD::OPC_FilterValue, 6, 10, 0, // Skip to: 458
/* 448 */     MCD::OPC_CheckField, 10, 5, 0, 183, 82, // Skip to: 21629
/* 454 */     MCD::OPC_Decode, 218, 12, 5, // Opcode: X86DEC_W
/* 458 */     MCD::OPC_FilterValue, 7, 14, 0, // Skip to: 476
/* 462 */     MCD::OPC_CheckPredicate, 0, 171, 82, // Skip to: 21629
/* 466 */     MCD::OPC_CheckField, 10, 5, 0, 165, 82, // Skip to: 21629
/* 472 */     MCD::OPC_Decode, 216, 12, 5, // Opcode: X86DEC_D
/* 476 */     MCD::OPC_FilterValue, 8, 19, 0, // Skip to: 499
/* 480 */     MCD::OPC_ExtractField, 5, 10,  // Inst{14-5} ...
/* 483 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 491
/* 487 */     MCD::OPC_Decode, 149, 13, 6, // Opcode: X86SETTM
/* 491 */     MCD::OPC_FilterValue, 1, 142, 82, // Skip to: 21629
/* 495 */     MCD::OPC_Decode, 213, 12, 6, // Opcode: X86CLRTM
/* 499 */     MCD::OPC_FilterValue, 9, 134, 82, // Skip to: 21629
/* 503 */     MCD::OPC_ExtractField, 5, 10,  // Inst{14-5} ...
/* 506 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 514
/* 510 */     MCD::OPC_Decode, 219, 12, 6, // Opcode: X86INCTOP
/* 514 */     MCD::OPC_FilterValue, 1, 119, 82, // Skip to: 21629
/* 518 */     MCD::OPC_Decode, 214, 12, 6, // Opcode: X86DECTOP
/* 522 */     MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 540
/* 526 */     MCD::OPC_CheckPredicate, 0, 107, 82, // Skip to: 21629
/* 530 */     MCD::OPC_CheckField, 0, 5, 0, 101, 82, // Skip to: 21629
/* 536 */     MCD::OPC_Decode, 245, 3, 7, // Opcode: ASRTLE_D
/* 540 */     MCD::OPC_FilterValue, 3, 93, 82, // Skip to: 21629
/* 544 */     MCD::OPC_CheckPredicate, 0, 89, 82, // Skip to: 21629
/* 548 */     MCD::OPC_CheckField, 0, 5, 0, 83, 82, // Skip to: 21629
/* 554 */     MCD::OPC_Decode, 244, 3, 7, // Opcode: ASRTGT_D
/* 558 */     MCD::OPC_FilterValue, 1, 23, 0, // Skip to: 585
/* 562 */     MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 565 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 573
/* 569 */     MCD::OPC_Decode, 165, 3, 8, // Opcode: ALSL_W
/* 573 */     MCD::OPC_FilterValue, 1, 60, 82, // Skip to: 21629
/* 577 */     MCD::OPC_CheckPredicate, 0, 56, 82, // Skip to: 21629
/* 581 */     MCD::OPC_Decode, 166, 3, 8, // Opcode: ALSL_WU
/* 585 */     MCD::OPC_FilterValue, 2, 10, 0, // Skip to: 599
/* 589 */     MCD::OPC_CheckField, 17, 1, 0, 42, 82, // Skip to: 21629
/* 595 */     MCD::OPC_Decode, 140, 4, 9, // Opcode: BYTEPICK_W
/* 599 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 611
/* 603 */     MCD::OPC_CheckPredicate, 0, 30, 82, // Skip to: 21629
/* 607 */     MCD::OPC_Decode, 139, 4, 10, // Opcode: BYTEPICK_D
/* 611 */     MCD::OPC_FilterValue, 4, 75, 0, // Skip to: 690
/* 615 */     MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 618 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 626
/* 622 */     MCD::OPC_Decode, 163, 3, 11, // Opcode: ADD_W
/* 626 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 638
/* 630 */     MCD::OPC_CheckPredicate, 0, 3, 82, // Skip to: 21629
/* 634 */     MCD::OPC_Decode, 162, 3, 11, // Opcode: ADD_D
/* 638 */     MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 646
/* 642 */     MCD::OPC_Decode, 231, 6, 11, // Opcode: SUB_W
/* 646 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 658
/* 650 */     MCD::OPC_CheckPredicate, 0, 239, 81, // Skip to: 21629
/* 654 */     MCD::OPC_Decode, 230, 6, 11, // Opcode: SUB_D
/* 658 */     MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 666
/* 662 */     MCD::OPC_Decode, 196, 6, 11, // Opcode: SLT
/* 666 */     MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 674
/* 670 */     MCD::OPC_Decode, 198, 6, 11, // Opcode: SLTU
/* 674 */     MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 682
/* 678 */     MCD::OPC_Decode, 240, 5, 11, // Opcode: MASKEQZ
/* 682 */     MCD::OPC_FilterValue, 7, 207, 81, // Skip to: 21629
/* 686 */     MCD::OPC_Decode, 241, 5, 11, // Opcode: MASKNEZ
/* 690 */     MCD::OPC_FilterValue, 5, 67, 0, // Skip to: 761
/* 694 */     MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 697 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 705
/* 701 */     MCD::OPC_Decode, 142, 6, 11, // Opcode: NOR
/* 705 */     MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 713
/* 709 */     MCD::OPC_Decode, 219, 3, 11, // Opcode: AND
/* 713 */     MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 721
/* 717 */     MCD::OPC_Decode, 143, 6, 11, // Opcode: OR
/* 721 */     MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 729
/* 725 */     MCD::OPC_Decode, 184, 13, 11, // Opcode: XOR
/* 729 */     MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 737
/* 733 */     MCD::OPC_Decode, 145, 6, 11, // Opcode: ORN
/* 737 */     MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 745
/* 741 */     MCD::OPC_Decode, 221, 3, 11, // Opcode: ANDN
/* 745 */     MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 753
/* 749 */     MCD::OPC_Decode, 195, 6, 11, // Opcode: SLL_W
/* 753 */     MCD::OPC_FilterValue, 7, 136, 81, // Skip to: 21629
/* 757 */     MCD::OPC_Decode, 207, 6, 11, // Opcode: SRL_W
/* 761 */     MCD::OPC_FilterValue, 6, 83, 0, // Skip to: 848
/* 765 */     MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 768 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 776
/* 772 */     MCD::OPC_Decode, 203, 6, 11, // Opcode: SRA_W
/* 776 */     MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 788
/* 780 */     MCD::OPC_CheckPredicate, 0, 109, 81, // Skip to: 21629
/* 784 */     MCD::OPC_Decode, 194, 6, 11, // Opcode: SLL_D
/* 788 */     MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 800
/* 792 */     MCD::OPC_CheckPredicate, 0, 97, 81, // Skip to: 21629
/* 796 */     MCD::OPC_Decode, 206, 6, 11, // Opcode: SRL_D
/* 800 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 812
/* 804 */     MCD::OPC_CheckPredicate, 0, 85, 81, // Skip to: 21629
/* 808 */     MCD::OPC_Decode, 202, 6, 11, // Opcode: SRA_D
/* 812 */     MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 820
/* 816 */     MCD::OPC_Decode, 173, 6, 11, // Opcode: ROTR_B
/* 820 */     MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 828
/* 824 */     MCD::OPC_Decode, 175, 6, 11, // Opcode: ROTR_H
/* 828 */     MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 836
/* 832 */     MCD::OPC_Decode, 176, 6, 11, // Opcode: ROTR_W
/* 836 */     MCD::OPC_FilterValue, 7, 53, 81, // Skip to: 21629
/* 840 */     MCD::OPC_CheckPredicate, 0, 49, 81, // Skip to: 21629
/* 844 */     MCD::OPC_Decode, 174, 6, 11, // Opcode: ROTR_D
/* 848 */     MCD::OPC_FilterValue, 7, 87, 0, // Skip to: 939
/* 852 */     MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 855 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 863
/* 859 */     MCD::OPC_Decode, 141, 6, 11, // Opcode: MUL_W
/* 863 */     MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 871
/* 867 */     MCD::OPC_Decode, 136, 6, 11, // Opcode: MULH_W
/* 871 */     MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 879
/* 875 */     MCD::OPC_Decode, 137, 6, 11, // Opcode: MULH_WU
/* 879 */     MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 891
/* 883 */     MCD::OPC_CheckPredicate, 0, 6, 81, // Skip to: 21629
/* 887 */     MCD::OPC_Decode, 140, 6, 11, // Opcode: MUL_D
/* 891 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 903
/* 895 */     MCD::OPC_CheckPredicate, 0, 250, 80, // Skip to: 21629
/* 899 */     MCD::OPC_Decode, 134, 6, 11, // Opcode: MULH_D
/* 903 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 915
/* 907 */     MCD::OPC_CheckPredicate, 0, 238, 80, // Skip to: 21629
/* 911 */     MCD::OPC_Decode, 135, 6, 11, // Opcode: MULH_DU
/* 915 */     MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 927
/* 919 */     MCD::OPC_CheckPredicate, 0, 226, 80, // Skip to: 21629
/* 923 */     MCD::OPC_Decode, 138, 6, 11, // Opcode: MULW_D_W
/* 927 */     MCD::OPC_FilterValue, 7, 218, 80, // Skip to: 21629
/* 931 */     MCD::OPC_CheckPredicate, 0, 214, 80, // Skip to: 21629
/* 935 */     MCD::OPC_Decode, 139, 6, 11, // Opcode: MULW_D_WU
/* 939 */     MCD::OPC_FilterValue, 8, 83, 0, // Skip to: 1026
/* 943 */     MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 946 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 954
/* 950 */     MCD::OPC_Decode, 166, 4, 11, // Opcode: DIV_W
/* 954 */     MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 962
/* 958 */     MCD::OPC_Decode, 244, 5, 11, // Opcode: MOD_W
/* 962 */     MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 970
/* 966 */     MCD::OPC_Decode, 167, 4, 11, // Opcode: DIV_WU
/* 970 */     MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 978
/* 974 */     MCD::OPC_Decode, 245, 5, 11, // Opcode: MOD_WU
/* 978 */     MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 990
/* 982 */     MCD::OPC_CheckPredicate, 0, 163, 80, // Skip to: 21629
/* 986 */     MCD::OPC_Decode, 164, 4, 11, // Opcode: DIV_D
/* 990 */     MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 1002
/* 994 */     MCD::OPC_CheckPredicate, 0, 151, 80, // Skip to: 21629
/* 998 */     MCD::OPC_Decode, 242, 5, 11, // Opcode: MOD_D
/* 1002 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1014
/* 1006 */    MCD::OPC_CheckPredicate, 0, 139, 80, // Skip to: 21629
/* 1010 */    MCD::OPC_Decode, 165, 4, 11, // Opcode: DIV_DU
/* 1014 */    MCD::OPC_FilterValue, 7, 131, 80, // Skip to: 21629
/* 1018 */    MCD::OPC_CheckPredicate, 0, 127, 80, // Skip to: 21629
/* 1022 */    MCD::OPC_Decode, 243, 5, 11, // Opcode: MOD_DU
/* 1026 */    MCD::OPC_FilterValue, 9, 99, 0, // Skip to: 1129
/* 1030 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 1033 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1045
/* 1037 */    MCD::OPC_CheckPredicate, 0, 108, 80, // Skip to: 21629
/* 1041 */    MCD::OPC_Decode, 151, 4, 11, // Opcode: CRC_W_B_W
/* 1045 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1057
/* 1049 */    MCD::OPC_CheckPredicate, 0, 96, 80, // Skip to: 21629
/* 1053 */    MCD::OPC_Decode, 153, 4, 11, // Opcode: CRC_W_H_W
/* 1057 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 1069
/* 1061 */    MCD::OPC_CheckPredicate, 0, 84, 80, // Skip to: 21629
/* 1065 */    MCD::OPC_Decode, 154, 4, 11, // Opcode: CRC_W_W_W
/* 1069 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 1081
/* 1073 */    MCD::OPC_CheckPredicate, 0, 72, 80, // Skip to: 21629
/* 1077 */    MCD::OPC_Decode, 152, 4, 11, // Opcode: CRC_W_D_W
/* 1081 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 1093
/* 1085 */    MCD::OPC_CheckPredicate, 0, 60, 80, // Skip to: 21629
/* 1089 */    MCD::OPC_Decode, 147, 4, 11, // Opcode: CRCC_W_B_W
/* 1093 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 1105
/* 1097 */    MCD::OPC_CheckPredicate, 0, 48, 80, // Skip to: 21629
/* 1101 */    MCD::OPC_Decode, 149, 4, 11, // Opcode: CRCC_W_H_W
/* 1105 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1117
/* 1109 */    MCD::OPC_CheckPredicate, 0, 36, 80, // Skip to: 21629
/* 1113 */    MCD::OPC_Decode, 150, 4, 11, // Opcode: CRCC_W_W_W
/* 1117 */    MCD::OPC_FilterValue, 7, 28, 80, // Skip to: 21629
/* 1121 */    MCD::OPC_CheckPredicate, 0, 24, 80, // Skip to: 21629
/* 1125 */    MCD::OPC_Decode, 148, 4, 11, // Opcode: CRCC_W_D_W
/* 1129 */    MCD::OPC_FilterValue, 10, 55, 0, // Skip to: 1188
/* 1133 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 1136 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 1144
/* 1140 */    MCD::OPC_Decode, 160, 3, 12, // Opcode: ADDU12I_W
/* 1144 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 1156
/* 1148 */    MCD::OPC_CheckPredicate, 0, 253, 79, // Skip to: 21629
/* 1152 */    MCD::OPC_Decode, 159, 3, 12, // Opcode: ADDU12I_D
/* 1156 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 1164
/* 1160 */    MCD::OPC_Decode, 134, 4, 13, // Opcode: BREAK
/* 1164 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 1172
/* 1168 */    MCD::OPC_Decode, 163, 4, 13, // Opcode: DBCL
/* 1172 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 1180
/* 1176 */    MCD::OPC_Decode, 232, 6, 13, // Opcode: SYSCALL
/* 1180 */    MCD::OPC_FilterValue, 7, 221, 79, // Skip to: 21629
/* 1184 */    MCD::OPC_Decode, 188, 5, 13, // Opcode: HVCL
/* 1188 */    MCD::OPC_FilterValue, 11, 14, 0, // Skip to: 1206
/* 1192 */    MCD::OPC_CheckPredicate, 0, 209, 79, // Skip to: 21629
/* 1196 */    MCD::OPC_CheckField, 17, 1, 0, 203, 79, // Skip to: 21629
/* 1202 */    MCD::OPC_Decode, 164, 3, 8, // Opcode: ALSL_D
/* 1206 */    MCD::OPC_FilterValue, 12, 75, 0, // Skip to: 1285
/* 1210 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 1213 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 1221
/* 1217 */    MCD::OPC_Decode, 153, 3, 11, // Opcode: ADC_B
/* 1221 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 1229
/* 1225 */    MCD::OPC_Decode, 155, 3, 11, // Opcode: ADC_H
/* 1229 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 1237
/* 1233 */    MCD::OPC_Decode, 156, 3, 11, // Opcode: ADC_W
/* 1237 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 1249
/* 1241 */    MCD::OPC_CheckPredicate, 0, 160, 79, // Skip to: 21629
/* 1245 */    MCD::OPC_Decode, 154, 3, 11, // Opcode: ADC_D
/* 1249 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 1257
/* 1253 */    MCD::OPC_Decode, 177, 6, 11, // Opcode: SBC_B
/* 1257 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 1265
/* 1261 */    MCD::OPC_Decode, 179, 6, 11, // Opcode: SBC_H
/* 1265 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 1273
/* 1269 */    MCD::OPC_Decode, 180, 6, 11, // Opcode: SBC_W
/* 1273 */    MCD::OPC_FilterValue, 7, 128, 79, // Skip to: 21629
/* 1277 */    MCD::OPC_CheckPredicate, 0, 124, 79, // Skip to: 21629
/* 1281 */    MCD::OPC_Decode, 178, 6, 11, // Opcode: SBC_D
/* 1285 */    MCD::OPC_FilterValue, 13, 116, 0, // Skip to: 1405
/* 1289 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 1292 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 1300
/* 1296 */    MCD::OPC_Decode, 156, 6, 11, // Opcode: RCR_B
/* 1300 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 1308
/* 1304 */    MCD::OPC_Decode, 158, 6, 11, // Opcode: RCR_H
/* 1308 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 1316
/* 1312 */    MCD::OPC_Decode, 159, 6, 11, // Opcode: RCR_W
/* 1316 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 1328
/* 1320 */    MCD::OPC_CheckPredicate, 0, 81, 79, // Skip to: 21629
/* 1324 */    MCD::OPC_Decode, 157, 6, 11, // Opcode: RCR_D
/* 1328 */    MCD::OPC_FilterValue, 4, 10, 0, // Skip to: 1342
/* 1332 */    MCD::OPC_CheckField, 14, 1, 1, 67, 79, // Skip to: 21629
/* 1338 */    MCD::OPC_Decode, 226, 3, 14, // Opcode: ARMMOVE
/* 1342 */    MCD::OPC_FilterValue, 5, 31, 0, // Skip to: 1377
/* 1346 */    MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 1349 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1363
/* 1353 */    MCD::OPC_CheckField, 5, 5, 0, 46, 79, // Skip to: 21629
/* 1359 */    MCD::OPC_Decode, 187, 6, 15, // Opcode: SETX86J
/* 1363 */    MCD::OPC_FilterValue, 1, 38, 79, // Skip to: 21629
/* 1367 */    MCD::OPC_CheckField, 5, 5, 0, 32, 79, // Skip to: 21629
/* 1373 */    MCD::OPC_Decode, 186, 6, 15, // Opcode: SETARMJ
/* 1377 */    MCD::OPC_FilterValue, 6, 10, 0, // Skip to: 1391
/* 1381 */    MCD::OPC_CheckField, 4, 1, 1, 18, 79, // Skip to: 21629
/* 1387 */    MCD::OPC_Decode, 223, 3, 16, // Opcode: ARMADD_W
/* 1391 */    MCD::OPC_FilterValue, 7, 10, 79, // Skip to: 21629
/* 1395 */    MCD::OPC_CheckField, 4, 1, 1, 4, 79, // Skip to: 21629
/* 1401 */    MCD::OPC_Decode, 242, 3, 16, // Opcode: ARMSUB_W
/* 1405 */    MCD::OPC_FilterValue, 14, 115, 0, // Skip to: 1524
/* 1409 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 1412 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1426
/* 1416 */    MCD::OPC_CheckField, 4, 1, 1, 239, 78, // Skip to: 21629
/* 1422 */    MCD::OPC_Decode, 222, 3, 16, // Opcode: ARMADC_W
/* 1426 */    MCD::OPC_FilterValue, 1, 10, 0, // Skip to: 1440
/* 1430 */    MCD::OPC_CheckField, 4, 1, 1, 225, 78, // Skip to: 21629
/* 1436 */    MCD::OPC_Decode, 235, 3, 16, // Opcode: ARMSBC_W
/* 1440 */    MCD::OPC_FilterValue, 2, 10, 0, // Skip to: 1454
/* 1444 */    MCD::OPC_CheckField, 4, 1, 1, 211, 78, // Skip to: 21629
/* 1450 */    MCD::OPC_Decode, 224, 3, 16, // Opcode: ARMAND_W
/* 1454 */    MCD::OPC_FilterValue, 3, 10, 0, // Skip to: 1468
/* 1458 */    MCD::OPC_CheckField, 4, 1, 1, 197, 78, // Skip to: 21629
/* 1464 */    MCD::OPC_Decode, 231, 3, 16, // Opcode: ARMOR_W
/* 1468 */    MCD::OPC_FilterValue, 4, 10, 0, // Skip to: 1482
/* 1472 */    MCD::OPC_CheckField, 4, 1, 1, 183, 78, // Skip to: 21629
/* 1478 */    MCD::OPC_Decode, 243, 3, 16, // Opcode: ARMXOR_W
/* 1482 */    MCD::OPC_FilterValue, 5, 10, 0, // Skip to: 1496
/* 1486 */    MCD::OPC_CheckField, 4, 1, 1, 169, 78, // Skip to: 21629
/* 1492 */    MCD::OPC_Decode, 237, 3, 16, // Opcode: ARMSLL_W
/* 1496 */    MCD::OPC_FilterValue, 6, 10, 0, // Skip to: 1510
/* 1500 */    MCD::OPC_CheckField, 4, 1, 1, 155, 78, // Skip to: 21629
/* 1506 */    MCD::OPC_Decode, 241, 3, 16, // Opcode: ARMSRL_W
/* 1510 */    MCD::OPC_FilterValue, 7, 147, 78, // Skip to: 21629
/* 1514 */    MCD::OPC_CheckField, 4, 1, 1, 141, 78, // Skip to: 21629
/* 1520 */    MCD::OPC_Decode, 239, 3, 16, // Opcode: ARMSRA_W
/* 1524 */    MCD::OPC_FilterValue, 15, 133, 78, // Skip to: 21629
/* 1528 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 1531 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1545
/* 1535 */    MCD::OPC_CheckField, 4, 1, 1, 120, 78, // Skip to: 21629
/* 1541 */    MCD::OPC_Decode, 233, 3, 16, // Opcode: ARMROTR_W
/* 1545 */    MCD::OPC_FilterValue, 1, 10, 0, // Skip to: 1559
/* 1549 */    MCD::OPC_CheckField, 4, 1, 1, 106, 78, // Skip to: 21629
/* 1555 */    MCD::OPC_Decode, 236, 3, 17, // Opcode: ARMSLLI_W
/* 1559 */    MCD::OPC_FilterValue, 2, 10, 0, // Skip to: 1573
/* 1563 */    MCD::OPC_CheckField, 4, 1, 1, 92, 78, // Skip to: 21629
/* 1569 */    MCD::OPC_Decode, 240, 3, 17, // Opcode: ARMSRLI_W
/* 1573 */    MCD::OPC_FilterValue, 3, 10, 0, // Skip to: 1587
/* 1577 */    MCD::OPC_CheckField, 4, 1, 1, 78, 78, // Skip to: 21629
/* 1583 */    MCD::OPC_Decode, 238, 3, 17, // Opcode: ARMSRAI_W
/* 1587 */    MCD::OPC_FilterValue, 4, 10, 0, // Skip to: 1601
/* 1591 */    MCD::OPC_CheckField, 4, 1, 1, 64, 78, // Skip to: 21629
/* 1597 */    MCD::OPC_Decode, 232, 3, 17, // Opcode: ARMROTRI_W
/* 1601 */    MCD::OPC_FilterValue, 5, 79, 0, // Skip to: 1684
/* 1605 */    MCD::OPC_ExtractField, 0, 5,  // Inst{4-0} ...
/* 1608 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 1616
/* 1612 */    MCD::OPC_Decode, 228, 12, 7, // Opcode: X86MUL_B
/* 1616 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 1624
/* 1620 */    MCD::OPC_Decode, 232, 12, 7, // Opcode: X86MUL_H
/* 1624 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 1632
/* 1628 */    MCD::OPC_Decode, 234, 12, 7, // Opcode: X86MUL_W
/* 1632 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 1644
/* 1636 */    MCD::OPC_CheckPredicate, 0, 21, 78, // Skip to: 21629
/* 1640 */    MCD::OPC_Decode, 230, 12, 7, // Opcode: X86MUL_D
/* 1644 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 1652
/* 1648 */    MCD::OPC_Decode, 229, 12, 7, // Opcode: X86MUL_BU
/* 1652 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 1660
/* 1656 */    MCD::OPC_Decode, 233, 12, 7, // Opcode: X86MUL_HU
/* 1660 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 1672
/* 1664 */    MCD::OPC_CheckPredicate, 0, 249, 77, // Skip to: 21629
/* 1668 */    MCD::OPC_Decode, 235, 12, 7, // Opcode: X86MUL_WU
/* 1672 */    MCD::OPC_FilterValue, 7, 241, 77, // Skip to: 21629
/* 1676 */    MCD::OPC_CheckPredicate, 0, 237, 77, // Skip to: 21629
/* 1680 */    MCD::OPC_Decode, 231, 12, 7, // Opcode: X86MUL_DU
/* 1684 */    MCD::OPC_FilterValue, 6, 47, 1, // Skip to: 1991
/* 1688 */    MCD::OPC_ExtractField, 0, 5,  // Inst{4-0} ...
/* 1691 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1703
/* 1695 */    MCD::OPC_CheckPredicate, 0, 218, 77, // Skip to: 21629
/* 1699 */    MCD::OPC_Decode, 208, 12, 7, // Opcode: X86ADD_WU
/* 1703 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 1715
/* 1707 */    MCD::OPC_CheckPredicate, 0, 206, 77, // Skip to: 21629
/* 1711 */    MCD::OPC_Decode, 205, 12, 7, // Opcode: X86ADD_DU
/* 1715 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 1727
/* 1719 */    MCD::OPC_CheckPredicate, 0, 194, 77, // Skip to: 21629
/* 1723 */    MCD::OPC_Decode, 179, 13, 7, // Opcode: X86SUB_WU
/* 1727 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 1739
/* 1731 */    MCD::OPC_CheckPredicate, 0, 182, 77, // Skip to: 21629
/* 1735 */    MCD::OPC_Decode, 176, 13, 7, // Opcode: X86SUB_DU
/* 1739 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 1747
/* 1743 */    MCD::OPC_Decode, 203, 12, 7, // Opcode: X86ADD_B
/* 1747 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 1755
/* 1751 */    MCD::OPC_Decode, 206, 12, 7, // Opcode: X86ADD_H
/* 1755 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 1763
/* 1759 */    MCD::OPC_Decode, 207, 12, 7, // Opcode: X86ADD_W
/* 1763 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 1775
/* 1767 */    MCD::OPC_CheckPredicate, 0, 146, 77, // Skip to: 21629
/* 1771 */    MCD::OPC_Decode, 204, 12, 7, // Opcode: X86ADD_D
/* 1775 */    MCD::OPC_FilterValue, 8, 4, 0, // Skip to: 1783
/* 1779 */    MCD::OPC_Decode, 174, 13, 7, // Opcode: X86SUB_B
/* 1783 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 1791
/* 1787 */    MCD::OPC_Decode, 177, 13, 7, // Opcode: X86SUB_H
/* 1791 */    MCD::OPC_FilterValue, 10, 4, 0, // Skip to: 1799
/* 1795 */    MCD::OPC_Decode, 178, 13, 7, // Opcode: X86SUB_W
/* 1799 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 1811
/* 1803 */    MCD::OPC_CheckPredicate, 0, 110, 77, // Skip to: 21629
/* 1807 */    MCD::OPC_Decode, 175, 13, 7, // Opcode: X86SUB_D
/* 1811 */    MCD::OPC_FilterValue, 12, 4, 0, // Skip to: 1819
/* 1815 */    MCD::OPC_Decode, 199, 12, 7, // Opcode: X86ADC_B
/* 1819 */    MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 1827
/* 1823 */    MCD::OPC_Decode, 201, 12, 7, // Opcode: X86ADC_H
/* 1827 */    MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 1835
/* 1831 */    MCD::OPC_Decode, 202, 12, 7, // Opcode: X86ADC_W
/* 1835 */    MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 1847
/* 1839 */    MCD::OPC_CheckPredicate, 0, 74, 77, // Skip to: 21629
/* 1843 */    MCD::OPC_Decode, 200, 12, 7, // Opcode: X86ADC_D
/* 1847 */    MCD::OPC_FilterValue, 16, 4, 0, // Skip to: 1855
/* 1851 */    MCD::OPC_Decode, 144, 13, 7, // Opcode: X86SBC_B
/* 1855 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 1863
/* 1859 */    MCD::OPC_Decode, 146, 13, 7, // Opcode: X86SBC_H
/* 1863 */    MCD::OPC_FilterValue, 18, 4, 0, // Skip to: 1871
/* 1867 */    MCD::OPC_Decode, 147, 13, 7, // Opcode: X86SBC_W
/* 1871 */    MCD::OPC_FilterValue, 19, 8, 0, // Skip to: 1883
/* 1875 */    MCD::OPC_CheckPredicate, 0, 38, 77, // Skip to: 21629
/* 1879 */    MCD::OPC_Decode, 145, 13, 7, // Opcode: X86SBC_D
/* 1883 */    MCD::OPC_FilterValue, 20, 4, 0, // Skip to: 1891
/* 1887 */    MCD::OPC_Decode, 154, 13, 7, // Opcode: X86SLL_B
/* 1891 */    MCD::OPC_FilterValue, 21, 4, 0, // Skip to: 1899
/* 1895 */    MCD::OPC_Decode, 156, 13, 7, // Opcode: X86SLL_H
/* 1899 */    MCD::OPC_FilterValue, 22, 4, 0, // Skip to: 1907
/* 1903 */    MCD::OPC_Decode, 157, 13, 7, // Opcode: X86SLL_W
/* 1907 */    MCD::OPC_FilterValue, 23, 8, 0, // Skip to: 1919
/* 1911 */    MCD::OPC_CheckPredicate, 0, 2, 77, // Skip to: 21629
/* 1915 */    MCD::OPC_Decode, 155, 13, 7, // Opcode: X86SLL_D
/* 1919 */    MCD::OPC_FilterValue, 24, 4, 0, // Skip to: 1927
/* 1923 */    MCD::OPC_Decode, 170, 13, 7, // Opcode: X86SRL_B
/* 1927 */    MCD::OPC_FilterValue, 25, 4, 0, // Skip to: 1935
/* 1931 */    MCD::OPC_Decode, 172, 13, 7, // Opcode: X86SRL_H
/* 1935 */    MCD::OPC_FilterValue, 26, 4, 0, // Skip to: 1943
/* 1939 */    MCD::OPC_Decode, 173, 13, 7, // Opcode: X86SRL_W
/* 1943 */    MCD::OPC_FilterValue, 27, 8, 0, // Skip to: 1955
/* 1947 */    MCD::OPC_CheckPredicate, 0, 222, 76, // Skip to: 21629
/* 1951 */    MCD::OPC_Decode, 171, 13, 7, // Opcode: X86SRL_D
/* 1955 */    MCD::OPC_FilterValue, 28, 4, 0, // Skip to: 1963
/* 1959 */    MCD::OPC_Decode, 162, 13, 7, // Opcode: X86SRA_B
/* 1963 */    MCD::OPC_FilterValue, 29, 4, 0, // Skip to: 1971
/* 1967 */    MCD::OPC_Decode, 164, 13, 7, // Opcode: X86SRA_H
/* 1971 */    MCD::OPC_FilterValue, 30, 4, 0, // Skip to: 1979
/* 1975 */    MCD::OPC_Decode, 165, 13, 7, // Opcode: X86SRA_W
/* 1979 */    MCD::OPC_FilterValue, 31, 190, 76, // Skip to: 21629
/* 1983 */    MCD::OPC_CheckPredicate, 0, 186, 76, // Skip to: 21629
/* 1987 */    MCD::OPC_Decode, 163, 13, 7, // Opcode: X86SRA_D
/* 1991 */    MCD::OPC_FilterValue, 7, 178, 76, // Skip to: 21629
/* 1995 */    MCD::OPC_ExtractField, 0, 5,  // Inst{4-0} ...
/* 1998 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 2006
/* 2002 */    MCD::OPC_Decode, 140, 13, 7, // Opcode: X86ROTR_B
/* 2006 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 2014
/* 2010 */    MCD::OPC_Decode, 142, 13, 7, // Opcode: X86ROTR_H
/* 2014 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 2026
/* 2018 */    MCD::OPC_CheckPredicate, 0, 151, 76, // Skip to: 21629
/* 2022 */    MCD::OPC_Decode, 141, 13, 7, // Opcode: X86ROTR_D
/* 2026 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 2034
/* 2030 */    MCD::OPC_Decode, 143, 13, 7, // Opcode: X86ROTR_W
/* 2034 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 2042
/* 2038 */    MCD::OPC_Decode, 132, 13, 7, // Opcode: X86ROTL_B
/* 2042 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 2050
/* 2046 */    MCD::OPC_Decode, 134, 13, 7, // Opcode: X86ROTL_H
/* 2050 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 2058
/* 2054 */    MCD::OPC_Decode, 135, 13, 7, // Opcode: X86ROTL_W
/* 2058 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 2070
/* 2062 */    MCD::OPC_CheckPredicate, 0, 107, 76, // Skip to: 21629
/* 2066 */    MCD::OPC_Decode, 133, 13, 7, // Opcode: X86ROTL_D
/* 2070 */    MCD::OPC_FilterValue, 8, 4, 0, // Skip to: 2078
/* 2074 */    MCD::OPC_Decode, 252, 12, 7, // Opcode: X86RCR_B
/* 2078 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 2086
/* 2082 */    MCD::OPC_Decode, 254, 12, 7, // Opcode: X86RCR_H
/* 2086 */    MCD::OPC_FilterValue, 10, 4, 0, // Skip to: 2094
/* 2090 */    MCD::OPC_Decode, 255, 12, 7, // Opcode: X86RCR_W
/* 2094 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 2106
/* 2098 */    MCD::OPC_CheckPredicate, 0, 71, 76, // Skip to: 21629
/* 2102 */    MCD::OPC_Decode, 253, 12, 7, // Opcode: X86RCR_D
/* 2106 */    MCD::OPC_FilterValue, 12, 4, 0, // Skip to: 2114
/* 2110 */    MCD::OPC_Decode, 244, 12, 7, // Opcode: X86RCL_B
/* 2114 */    MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 2122
/* 2118 */    MCD::OPC_Decode, 246, 12, 7, // Opcode: X86RCL_H
/* 2122 */    MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 2130
/* 2126 */    MCD::OPC_Decode, 247, 12, 7, // Opcode: X86RCL_W
/* 2130 */    MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 2142
/* 2134 */    MCD::OPC_CheckPredicate, 0, 35, 76, // Skip to: 21629
/* 2138 */    MCD::OPC_Decode, 245, 12, 7, // Opcode: X86RCL_D
/* 2142 */    MCD::OPC_FilterValue, 16, 4, 0, // Skip to: 2150
/* 2146 */    MCD::OPC_Decode, 209, 12, 7, // Opcode: X86AND_B
/* 2150 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 2158
/* 2154 */    MCD::OPC_Decode, 211, 12, 7, // Opcode: X86AND_H
/* 2158 */    MCD::OPC_FilterValue, 18, 4, 0, // Skip to: 2166
/* 2162 */    MCD::OPC_Decode, 212, 12, 7, // Opcode: X86AND_W
/* 2166 */    MCD::OPC_FilterValue, 19, 8, 0, // Skip to: 2178
/* 2170 */    MCD::OPC_CheckPredicate, 0, 255, 75, // Skip to: 21629
/* 2174 */    MCD::OPC_Decode, 210, 12, 7, // Opcode: X86AND_D
/* 2178 */    MCD::OPC_FilterValue, 20, 4, 0, // Skip to: 2186
/* 2182 */    MCD::OPC_Decode, 236, 12, 7, // Opcode: X86OR_B
/* 2186 */    MCD::OPC_FilterValue, 21, 4, 0, // Skip to: 2194
/* 2190 */    MCD::OPC_Decode, 238, 12, 7, // Opcode: X86OR_H
/* 2194 */    MCD::OPC_FilterValue, 22, 4, 0, // Skip to: 2202
/* 2198 */    MCD::OPC_Decode, 239, 12, 7, // Opcode: X86OR_W
/* 2202 */    MCD::OPC_FilterValue, 23, 8, 0, // Skip to: 2214
/* 2206 */    MCD::OPC_CheckPredicate, 0, 219, 75, // Skip to: 21629
/* 2210 */    MCD::OPC_Decode, 237, 12, 7, // Opcode: X86OR_D
/* 2214 */    MCD::OPC_FilterValue, 24, 4, 0, // Skip to: 2222
/* 2218 */    MCD::OPC_Decode, 180, 13, 7, // Opcode: X86XOR_B
/* 2222 */    MCD::OPC_FilterValue, 25, 4, 0, // Skip to: 2230
/* 2226 */    MCD::OPC_Decode, 182, 13, 7, // Opcode: X86XOR_H
/* 2230 */    MCD::OPC_FilterValue, 26, 4, 0, // Skip to: 2238
/* 2234 */    MCD::OPC_Decode, 183, 13, 7, // Opcode: X86XOR_W
/* 2238 */    MCD::OPC_FilterValue, 27, 8, 0, // Skip to: 2250
/* 2242 */    MCD::OPC_CheckPredicate, 0, 183, 75, // Skip to: 21629
/* 2246 */    MCD::OPC_Decode, 181, 13, 7, // Opcode: X86XOR_D
/* 2250 */    MCD::OPC_FilterValue, 28, 10, 0, // Skip to: 2264
/* 2254 */    MCD::OPC_CheckField, 14, 1, 1, 169, 75, // Skip to: 21629
/* 2260 */    MCD::OPC_Decode, 230, 3, 18, // Opcode: ARMNOT_W
/* 2264 */    MCD::OPC_FilterValue, 29, 10, 0, // Skip to: 2278
/* 2268 */    MCD::OPC_CheckField, 14, 1, 1, 155, 75, // Skip to: 21629
/* 2274 */    MCD::OPC_Decode, 228, 3, 18, // Opcode: ARMMOV_W
/* 2278 */    MCD::OPC_FilterValue, 30, 14, 0, // Skip to: 2296
/* 2282 */    MCD::OPC_CheckPredicate, 0, 143, 75, // Skip to: 21629
/* 2286 */    MCD::OPC_CheckField, 14, 1, 1, 137, 75, // Skip to: 21629
/* 2292 */    MCD::OPC_Decode, 227, 3, 18, // Opcode: ARMMOV_D
/* 2296 */    MCD::OPC_FilterValue, 31, 129, 75, // Skip to: 21629
/* 2300 */    MCD::OPC_CheckField, 14, 1, 1, 123, 75, // Skip to: 21629
/* 2306 */    MCD::OPC_Decode, 234, 3, 18, // Opcode: ARMRRX_W
/* 2310 */    MCD::OPC_FilterValue, 1, 220, 2, // Skip to: 3046
/* 2314 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 2317 */    MCD::OPC_FilterValue, 0, 190, 2, // Skip to: 3023
/* 2321 */    MCD::OPC_ExtractField, 18, 3,  // Inst{20-18} ...
/* 2324 */    MCD::OPC_FilterValue, 0, 29, 0, // Skip to: 2357
/* 2328 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 2331 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 2345
/* 2335 */    MCD::OPC_CheckField, 15, 1, 1, 88, 75, // Skip to: 21629
/* 2341 */    MCD::OPC_Decode, 193, 6, 19, // Opcode: SLLI_W
/* 2345 */    MCD::OPC_FilterValue, 1, 80, 75, // Skip to: 21629
/* 2349 */    MCD::OPC_CheckPredicate, 0, 76, 75, // Skip to: 21629
/* 2353 */    MCD::OPC_Decode, 192, 6, 20, // Opcode: SLLI_D
/* 2357 */    MCD::OPC_FilterValue, 1, 29, 0, // Skip to: 2390
/* 2361 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 2364 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 2378
/* 2368 */    MCD::OPC_CheckField, 15, 1, 1, 55, 75, // Skip to: 21629
/* 2374 */    MCD::OPC_Decode, 205, 6, 19, // Opcode: SRLI_W
/* 2378 */    MCD::OPC_FilterValue, 1, 47, 75, // Skip to: 21629
/* 2382 */    MCD::OPC_CheckPredicate, 0, 43, 75, // Skip to: 21629
/* 2386 */    MCD::OPC_Decode, 204, 6, 20, // Opcode: SRLI_D
/* 2390 */    MCD::OPC_FilterValue, 2, 29, 0, // Skip to: 2423
/* 2394 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 2397 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 2411
/* 2401 */    MCD::OPC_CheckField, 15, 1, 1, 22, 75, // Skip to: 21629
/* 2407 */    MCD::OPC_Decode, 201, 6, 19, // Opcode: SRAI_W
/* 2411 */    MCD::OPC_FilterValue, 1, 14, 75, // Skip to: 21629
/* 2415 */    MCD::OPC_CheckPredicate, 0, 10, 75, // Skip to: 21629
/* 2419 */    MCD::OPC_Decode, 200, 6, 20, // Opcode: SRAI_D
/* 2423 */    MCD::OPC_FilterValue, 3, 59, 0, // Skip to: 2486
/* 2427 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 2430 */    MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 2474
/* 2434 */    MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 2437 */    MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 2466
/* 2441 */    MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 2444 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 2458
/* 2448 */    MCD::OPC_CheckField, 13, 1, 1, 231, 74, // Skip to: 21629
/* 2454 */    MCD::OPC_Decode, 169, 6, 21, // Opcode: ROTRI_B
/* 2458 */    MCD::OPC_FilterValue, 1, 223, 74, // Skip to: 21629
/* 2462 */    MCD::OPC_Decode, 171, 6, 14, // Opcode: ROTRI_H
/* 2466 */    MCD::OPC_FilterValue, 1, 215, 74, // Skip to: 21629
/* 2470 */    MCD::OPC_Decode, 172, 6, 19, // Opcode: ROTRI_W
/* 2474 */    MCD::OPC_FilterValue, 1, 207, 74, // Skip to: 21629
/* 2478 */    MCD::OPC_CheckPredicate, 0, 203, 74, // Skip to: 21629
/* 2482 */    MCD::OPC_Decode, 170, 6, 20, // Opcode: ROTRI_D
/* 2486 */    MCD::OPC_FilterValue, 4, 59, 0, // Skip to: 2549
/* 2490 */    MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 2493 */    MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 2537
/* 2497 */    MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 2500 */    MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 2529
/* 2504 */    MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 2507 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 2521
/* 2511 */    MCD::OPC_CheckField, 13, 1, 1, 168, 74, // Skip to: 21629
/* 2517 */    MCD::OPC_Decode, 152, 6, 21, // Opcode: RCRI_B
/* 2521 */    MCD::OPC_FilterValue, 1, 160, 74, // Skip to: 21629
/* 2525 */    MCD::OPC_Decode, 154, 6, 14, // Opcode: RCRI_H
/* 2529 */    MCD::OPC_FilterValue, 1, 152, 74, // Skip to: 21629
/* 2533 */    MCD::OPC_Decode, 155, 6, 19, // Opcode: RCRI_W
/* 2537 */    MCD::OPC_FilterValue, 1, 144, 74, // Skip to: 21629
/* 2541 */    MCD::OPC_CheckPredicate, 0, 140, 74, // Skip to: 21629
/* 2545 */    MCD::OPC_Decode, 153, 6, 20, // Opcode: RCRI_D
/* 2549 */    MCD::OPC_FilterValue, 5, 167, 1, // Skip to: 2976
/* 2553 */    MCD::OPC_ExtractField, 0, 5,  // Inst{4-0} ...
/* 2556 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 2570
/* 2560 */    MCD::OPC_CheckField, 13, 5, 1, 119, 74, // Skip to: 21629
/* 2566 */    MCD::OPC_Decode, 150, 13, 22, // Opcode: X86SLLI_B
/* 2570 */    MCD::OPC_FilterValue, 1, 10, 0, // Skip to: 2584
/* 2574 */    MCD::OPC_CheckField, 14, 4, 1, 105, 74, // Skip to: 21629
/* 2580 */    MCD::OPC_Decode, 152, 13, 18, // Opcode: X86SLLI_H
/* 2584 */    MCD::OPC_FilterValue, 2, 10, 0, // Skip to: 2598
/* 2588 */    MCD::OPC_CheckField, 15, 3, 1, 91, 74, // Skip to: 21629
/* 2594 */    MCD::OPC_Decode, 153, 13, 23, // Opcode: X86SLLI_W
/* 2598 */    MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 2616
/* 2602 */    MCD::OPC_CheckPredicate, 0, 79, 74, // Skip to: 21629
/* 2606 */    MCD::OPC_CheckField, 16, 2, 1, 73, 74, // Skip to: 21629
/* 2612 */    MCD::OPC_Decode, 151, 13, 24, // Opcode: X86SLLI_D
/* 2616 */    MCD::OPC_FilterValue, 4, 10, 0, // Skip to: 2630
/* 2620 */    MCD::OPC_CheckField, 13, 5, 1, 59, 74, // Skip to: 21629
/* 2626 */    MCD::OPC_Decode, 166, 13, 22, // Opcode: X86SRLI_B
/* 2630 */    MCD::OPC_FilterValue, 5, 10, 0, // Skip to: 2644
/* 2634 */    MCD::OPC_CheckField, 14, 4, 1, 45, 74, // Skip to: 21629
/* 2640 */    MCD::OPC_Decode, 168, 13, 18, // Opcode: X86SRLI_H
/* 2644 */    MCD::OPC_FilterValue, 6, 10, 0, // Skip to: 2658
/* 2648 */    MCD::OPC_CheckField, 15, 3, 1, 31, 74, // Skip to: 21629
/* 2654 */    MCD::OPC_Decode, 169, 13, 23, // Opcode: X86SRLI_W
/* 2658 */    MCD::OPC_FilterValue, 7, 14, 0, // Skip to: 2676
/* 2662 */    MCD::OPC_CheckPredicate, 0, 19, 74, // Skip to: 21629
/* 2666 */    MCD::OPC_CheckField, 16, 2, 1, 13, 74, // Skip to: 21629
/* 2672 */    MCD::OPC_Decode, 167, 13, 24, // Opcode: X86SRLI_D
/* 2676 */    MCD::OPC_FilterValue, 8, 10, 0, // Skip to: 2690
/* 2680 */    MCD::OPC_CheckField, 13, 5, 1, 255, 73, // Skip to: 21629
/* 2686 */    MCD::OPC_Decode, 158, 13, 22, // Opcode: X86SRAI_B
/* 2690 */    MCD::OPC_FilterValue, 9, 10, 0, // Skip to: 2704
/* 2694 */    MCD::OPC_CheckField, 14, 4, 1, 241, 73, // Skip to: 21629
/* 2700 */    MCD::OPC_Decode, 160, 13, 18, // Opcode: X86SRAI_H
/* 2704 */    MCD::OPC_FilterValue, 10, 10, 0, // Skip to: 2718
/* 2708 */    MCD::OPC_CheckField, 15, 3, 1, 227, 73, // Skip to: 21629
/* 2714 */    MCD::OPC_Decode, 161, 13, 23, // Opcode: X86SRAI_W
/* 2718 */    MCD::OPC_FilterValue, 11, 14, 0, // Skip to: 2736
/* 2722 */    MCD::OPC_CheckPredicate, 0, 215, 73, // Skip to: 21629
/* 2726 */    MCD::OPC_CheckField, 16, 2, 1, 209, 73, // Skip to: 21629
/* 2732 */    MCD::OPC_Decode, 159, 13, 24, // Opcode: X86SRAI_D
/* 2736 */    MCD::OPC_FilterValue, 12, 10, 0, // Skip to: 2750
/* 2740 */    MCD::OPC_CheckField, 13, 5, 1, 195, 73, // Skip to: 21629
/* 2746 */    MCD::OPC_Decode, 136, 13, 22, // Opcode: X86ROTRI_B
/* 2750 */    MCD::OPC_FilterValue, 13, 10, 0, // Skip to: 2764
/* 2754 */    MCD::OPC_CheckField, 14, 4, 1, 181, 73, // Skip to: 21629
/* 2760 */    MCD::OPC_Decode, 138, 13, 18, // Opcode: X86ROTRI_H
/* 2764 */    MCD::OPC_FilterValue, 14, 10, 0, // Skip to: 2778
/* 2768 */    MCD::OPC_CheckField, 15, 3, 1, 167, 73, // Skip to: 21629
/* 2774 */    MCD::OPC_Decode, 139, 13, 23, // Opcode: X86ROTRI_W
/* 2778 */    MCD::OPC_FilterValue, 15, 14, 0, // Skip to: 2796
/* 2782 */    MCD::OPC_CheckPredicate, 0, 155, 73, // Skip to: 21629
/* 2786 */    MCD::OPC_CheckField, 16, 2, 1, 149, 73, // Skip to: 21629
/* 2792 */    MCD::OPC_Decode, 137, 13, 24, // Opcode: X86ROTRI_D
/* 2796 */    MCD::OPC_FilterValue, 16, 10, 0, // Skip to: 2810
/* 2800 */    MCD::OPC_CheckField, 13, 5, 1, 135, 73, // Skip to: 21629
/* 2806 */    MCD::OPC_Decode, 248, 12, 22, // Opcode: X86RCRI_B
/* 2810 */    MCD::OPC_FilterValue, 17, 10, 0, // Skip to: 2824
/* 2814 */    MCD::OPC_CheckField, 14, 4, 1, 121, 73, // Skip to: 21629
/* 2820 */    MCD::OPC_Decode, 250, 12, 18, // Opcode: X86RCRI_H
/* 2824 */    MCD::OPC_FilterValue, 18, 10, 0, // Skip to: 2838
/* 2828 */    MCD::OPC_CheckField, 15, 3, 1, 107, 73, // Skip to: 21629
/* 2834 */    MCD::OPC_Decode, 251, 12, 23, // Opcode: X86RCRI_W
/* 2838 */    MCD::OPC_FilterValue, 19, 14, 0, // Skip to: 2856
/* 2842 */    MCD::OPC_CheckPredicate, 0, 95, 73, // Skip to: 21629
/* 2846 */    MCD::OPC_CheckField, 16, 2, 1, 89, 73, // Skip to: 21629
/* 2852 */    MCD::OPC_Decode, 249, 12, 24, // Opcode: X86RCRI_D
/* 2856 */    MCD::OPC_FilterValue, 20, 10, 0, // Skip to: 2870
/* 2860 */    MCD::OPC_CheckField, 13, 5, 1, 75, 73, // Skip to: 21629
/* 2866 */    MCD::OPC_Decode, 128, 13, 22, // Opcode: X86ROTLI_B
/* 2870 */    MCD::OPC_FilterValue, 21, 10, 0, // Skip to: 2884
/* 2874 */    MCD::OPC_CheckField, 14, 4, 1, 61, 73, // Skip to: 21629
/* 2880 */    MCD::OPC_Decode, 130, 13, 18, // Opcode: X86ROTLI_H
/* 2884 */    MCD::OPC_FilterValue, 22, 10, 0, // Skip to: 2898
/* 2888 */    MCD::OPC_CheckField, 15, 3, 1, 47, 73, // Skip to: 21629
/* 2894 */    MCD::OPC_Decode, 131, 13, 23, // Opcode: X86ROTLI_W
/* 2898 */    MCD::OPC_FilterValue, 23, 14, 0, // Skip to: 2916
/* 2902 */    MCD::OPC_CheckPredicate, 0, 35, 73, // Skip to: 21629
/* 2906 */    MCD::OPC_CheckField, 16, 2, 1, 29, 73, // Skip to: 21629
/* 2912 */    MCD::OPC_Decode, 129, 13, 24, // Opcode: X86ROTLI_D
/* 2916 */    MCD::OPC_FilterValue, 24, 10, 0, // Skip to: 2930
/* 2920 */    MCD::OPC_CheckField, 13, 5, 1, 15, 73, // Skip to: 21629
/* 2926 */    MCD::OPC_Decode, 240, 12, 22, // Opcode: X86RCLI_B
/* 2930 */    MCD::OPC_FilterValue, 25, 10, 0, // Skip to: 2944
/* 2934 */    MCD::OPC_CheckField, 14, 4, 1, 1, 73, // Skip to: 21629
/* 2940 */    MCD::OPC_Decode, 242, 12, 18, // Opcode: X86RCLI_H
/* 2944 */    MCD::OPC_FilterValue, 26, 10, 0, // Skip to: 2958
/* 2948 */    MCD::OPC_CheckField, 15, 3, 1, 243, 72, // Skip to: 21629
/* 2954 */    MCD::OPC_Decode, 243, 12, 23, // Opcode: X86RCLI_W
/* 2958 */    MCD::OPC_FilterValue, 27, 235, 72, // Skip to: 21629
/* 2962 */    MCD::OPC_CheckPredicate, 0, 231, 72, // Skip to: 21629
/* 2966 */    MCD::OPC_CheckField, 16, 2, 1, 225, 72, // Skip to: 21629
/* 2972 */    MCD::OPC_Decode, 241, 12, 24, // Opcode: X86RCLI_D
/* 2976 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 2984
/* 2980 */    MCD::OPC_Decode, 148, 13, 25, // Opcode: X86SETTAG
/* 2984 */    MCD::OPC_FilterValue, 7, 209, 72, // Skip to: 21629
/* 2988 */    MCD::OPC_ExtractField, 5, 5,  // Inst{9-5} ...
/* 2991 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 2999
/* 2995 */    MCD::OPC_Decode, 224, 12, 26, // Opcode: X86MFFLAG
/* 2999 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 3007
/* 3003 */    MCD::OPC_Decode, 226, 12, 26, // Opcode: X86MTFLAG
/* 3007 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 3015
/* 3011 */    MCD::OPC_Decode, 225, 3, 26, // Opcode: ARMMFFLAG
/* 3015 */    MCD::OPC_FilterValue, 3, 178, 72, // Skip to: 21629
/* 3019 */    MCD::OPC_Decode, 229, 3, 26, // Opcode: ARMMTFLAG
/* 3023 */    MCD::OPC_FilterValue, 1, 170, 72, // Skip to: 21629
/* 3027 */    MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 3030 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 3038
/* 3034 */    MCD::OPC_Decode, 136, 4, 27, // Opcode: BSTRINS_W
/* 3038 */    MCD::OPC_FilterValue, 1, 155, 72, // Skip to: 21629
/* 3042 */    MCD::OPC_Decode, 138, 4, 28, // Opcode: BSTRPICK_W
/* 3046 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3058
/* 3050 */    MCD::OPC_CheckPredicate, 0, 143, 72, // Skip to: 21629
/* 3054 */    MCD::OPC_Decode, 135, 4, 29, // Opcode: BSTRINS_D
/* 3058 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 3070
/* 3062 */    MCD::OPC_CheckPredicate, 0, 131, 72, // Skip to: 21629
/* 3066 */    MCD::OPC_Decode, 137, 4, 30, // Opcode: BSTRPICK_D
/* 3070 */    MCD::OPC_FilterValue, 4, 219, 2, // Skip to: 3805
/* 3074 */    MCD::OPC_ExtractField, 15, 7,  // Inst{21-15} ...
/* 3077 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 3085
/* 3081 */    MCD::OPC_Decode, 174, 4, 31, // Opcode: FADD_S
/* 3085 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 3093
/* 3089 */    MCD::OPC_Decode, 173, 4, 32, // Opcode: FADD_D
/* 3093 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 3101
/* 3097 */    MCD::OPC_Decode, 163, 5, 31, // Opcode: FSUB_S
/* 3101 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 3109
/* 3105 */    MCD::OPC_Decode, 162, 5, 32, // Opcode: FSUB_D
/* 3109 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 3117
/* 3113 */    MCD::OPC_Decode, 131, 5, 31, // Opcode: FMUL_S
/* 3117 */    MCD::OPC_FilterValue, 10, 4, 0, // Skip to: 3125
/* 3121 */    MCD::OPC_Decode, 130, 5, 32, // Opcode: FMUL_D
/* 3125 */    MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 3133
/* 3129 */    MCD::OPC_Decode, 229, 4, 31, // Opcode: FDIV_S
/* 3133 */    MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 3141
/* 3137 */    MCD::OPC_Decode, 228, 4, 32, // Opcode: FDIV_D
/* 3141 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 3149
/* 3145 */    MCD::OPC_Decode, 249, 4, 31, // Opcode: FMAX_S
/* 3149 */    MCD::OPC_FilterValue, 18, 4, 0, // Skip to: 3157
/* 3153 */    MCD::OPC_Decode, 248, 4, 32, // Opcode: FMAX_D
/* 3157 */    MCD::OPC_FilterValue, 21, 4, 0, // Skip to: 3165
/* 3161 */    MCD::OPC_Decode, 253, 4, 31, // Opcode: FMIN_S
/* 3165 */    MCD::OPC_FilterValue, 22, 4, 0, // Skip to: 3173
/* 3169 */    MCD::OPC_Decode, 252, 4, 32, // Opcode: FMIN_D
/* 3173 */    MCD::OPC_FilterValue, 25, 4, 0, // Skip to: 3181
/* 3177 */    MCD::OPC_Decode, 247, 4, 31, // Opcode: FMAXA_S
/* 3181 */    MCD::OPC_FilterValue, 26, 4, 0, // Skip to: 3189
/* 3185 */    MCD::OPC_Decode, 246, 4, 32, // Opcode: FMAXA_D
/* 3189 */    MCD::OPC_FilterValue, 29, 4, 0, // Skip to: 3197
/* 3193 */    MCD::OPC_Decode, 251, 4, 31, // Opcode: FMINA_S
/* 3197 */    MCD::OPC_FilterValue, 30, 4, 0, // Skip to: 3205
/* 3201 */    MCD::OPC_Decode, 250, 4, 32, // Opcode: FMINA_D
/* 3205 */    MCD::OPC_FilterValue, 33, 4, 0, // Skip to: 3213
/* 3209 */    MCD::OPC_Decode, 149, 5, 31, // Opcode: FSCALEB_S
/* 3213 */    MCD::OPC_FilterValue, 34, 4, 0, // Skip to: 3221
/* 3217 */    MCD::OPC_Decode, 148, 5, 32, // Opcode: FSCALEB_D
/* 3221 */    MCD::OPC_FilterValue, 37, 4, 0, // Skip to: 3229
/* 3225 */    MCD::OPC_Decode, 222, 4, 31, // Opcode: FCOPYSIGN_S
/* 3229 */    MCD::OPC_FilterValue, 38, 4, 0, // Skip to: 3237
/* 3233 */    MCD::OPC_Decode, 221, 4, 32, // Opcode: FCOPYSIGN_D
/* 3237 */    MCD::OPC_FilterValue, 40, 131, 0, // Skip to: 3372
/* 3241 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 3244 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 3252
/* 3248 */    MCD::OPC_Decode, 172, 4, 33, // Opcode: FABS_S
/* 3252 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 3260
/* 3256 */    MCD::OPC_Decode, 171, 4, 34, // Opcode: FABS_D
/* 3260 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 3268
/* 3264 */    MCD::OPC_Decode, 133, 5, 33, // Opcode: FNEG_S
/* 3268 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 3276
/* 3272 */    MCD::OPC_Decode, 132, 5, 34, // Opcode: FNEG_D
/* 3276 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 3284
/* 3280 */    MCD::OPC_Decode, 243, 4, 33, // Opcode: FLOGB_S
/* 3284 */    MCD::OPC_FilterValue, 10, 4, 0, // Skip to: 3292
/* 3288 */    MCD::OPC_Decode, 242, 4, 34, // Opcode: FLOGB_D
/* 3292 */    MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 3300
/* 3296 */    MCD::OPC_Decode, 176, 4, 33, // Opcode: FCLASS_S
/* 3300 */    MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 3308
/* 3304 */    MCD::OPC_Decode, 175, 4, 34, // Opcode: FCLASS_D
/* 3308 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 3316
/* 3312 */    MCD::OPC_Decode, 153, 5, 33, // Opcode: FSQRT_S
/* 3316 */    MCD::OPC_FilterValue, 18, 4, 0, // Skip to: 3324
/* 3320 */    MCD::OPC_Decode, 152, 5, 34, // Opcode: FSQRT_D
/* 3324 */    MCD::OPC_FilterValue, 21, 4, 0, // Skip to: 3332
/* 3328 */    MCD::OPC_Decode, 141, 5, 33, // Opcode: FRECIP_S
/* 3332 */    MCD::OPC_FilterValue, 22, 4, 0, // Skip to: 3340
/* 3336 */    MCD::OPC_Decode, 140, 5, 34, // Opcode: FRECIP_D
/* 3340 */    MCD::OPC_FilterValue, 25, 4, 0, // Skip to: 3348
/* 3344 */    MCD::OPC_Decode, 147, 5, 33, // Opcode: FRSQRT_S
/* 3348 */    MCD::OPC_FilterValue, 26, 4, 0, // Skip to: 3356
/* 3352 */    MCD::OPC_Decode, 146, 5, 34, // Opcode: FRSQRT_D
/* 3356 */    MCD::OPC_FilterValue, 29, 4, 0, // Skip to: 3364
/* 3360 */    MCD::OPC_Decode, 139, 5, 33, // Opcode: FRECIPE_S
/* 3364 */    MCD::OPC_FilterValue, 30, 85, 71, // Skip to: 21629
/* 3368 */    MCD::OPC_Decode, 138, 5, 34, // Opcode: FRECIPE_D
/* 3372 */    MCD::OPC_FilterValue, 41, 155, 0, // Skip to: 3531
/* 3376 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 3379 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 3387
/* 3383 */    MCD::OPC_Decode, 145, 5, 33, // Opcode: FRSQRTE_S
/* 3387 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 3395
/* 3391 */    MCD::OPC_Decode, 144, 5, 34, // Opcode: FRSQRTE_D
/* 3395 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 3403
/* 3399 */    MCD::OPC_Decode, 255, 4, 33, // Opcode: FMOV_S
/* 3403 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 3411
/* 3407 */    MCD::OPC_Decode, 254, 4, 34, // Opcode: FMOV_D
/* 3411 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 3419
/* 3415 */    MCD::OPC_Decode, 130, 6, 35, // Opcode: MOVGR2FR_W
/* 3419 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 3431
/* 3423 */    MCD::OPC_CheckPredicate, 0, 26, 71, // Skip to: 21629
/* 3427 */    MCD::OPC_Decode, 129, 6, 36, // Opcode: MOVGR2FR_D
/* 3431 */    MCD::OPC_FilterValue, 11, 4, 0, // Skip to: 3439
/* 3435 */    MCD::OPC_Decode, 128, 6, 37, // Opcode: MOVGR2FRH_W
/* 3439 */    MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 3447
/* 3443 */    MCD::OPC_Decode, 251, 5, 38, // Opcode: MOVFR2GR_S
/* 3447 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 3459
/* 3451 */    MCD::OPC_CheckPredicate, 0, 254, 70, // Skip to: 21629
/* 3455 */    MCD::OPC_Decode, 250, 5, 39, // Opcode: MOVFR2GR_D
/* 3459 */    MCD::OPC_FilterValue, 15, 4, 0, // Skip to: 3467
/* 3463 */    MCD::OPC_Decode, 253, 5, 39, // Opcode: MOVFRH2GR_S
/* 3467 */    MCD::OPC_FilterValue, 16, 4, 0, // Skip to: 3475
/* 3471 */    MCD::OPC_Decode, 255, 5, 40, // Opcode: MOVGR2FCSR
/* 3475 */    MCD::OPC_FilterValue, 18, 4, 0, // Skip to: 3483
/* 3479 */    MCD::OPC_Decode, 248, 5, 41, // Opcode: MOVFCSR2GR
/* 3483 */    MCD::OPC_FilterValue, 20, 4, 0, // Skip to: 3491
/* 3487 */    MCD::OPC_Decode, 249, 5, 42, // Opcode: MOVFR2CF_xS
/* 3491 */    MCD::OPC_FilterValue, 21, 4, 0, // Skip to: 3499
/* 3495 */    MCD::OPC_Decode, 246, 5, 43, // Opcode: MOVCF2FR_xS
/* 3499 */    MCD::OPC_FilterValue, 22, 4, 0, // Skip to: 3507
/* 3503 */    MCD::OPC_Decode, 254, 5, 44, // Opcode: MOVGR2CF
/* 3507 */    MCD::OPC_FilterValue, 23, 4, 0, // Skip to: 3515
/* 3511 */    MCD::OPC_Decode, 247, 5, 45, // Opcode: MOVCF2GR
/* 3515 */    MCD::OPC_FilterValue, 24, 4, 0, // Skip to: 3523
/* 3519 */    MCD::OPC_Decode, 225, 4, 33, // Opcode: FCVT_LD_D
/* 3523 */    MCD::OPC_FilterValue, 25, 182, 70, // Skip to: 21629
/* 3527 */    MCD::OPC_Decode, 227, 4, 33, // Opcode: FCVT_UD_D
/* 3531 */    MCD::OPC_FilterValue, 42, 4, 0, // Skip to: 3539
/* 3535 */    MCD::OPC_Decode, 223, 4, 31, // Opcode: FCVT_D_LD
/* 3539 */    MCD::OPC_FilterValue, 50, 19, 0, // Skip to: 3562
/* 3543 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 3546 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 3554
/* 3550 */    MCD::OPC_Decode, 226, 4, 46, // Opcode: FCVT_S_D
/* 3554 */    MCD::OPC_FilterValue, 9, 151, 70, // Skip to: 21629
/* 3558 */    MCD::OPC_Decode, 224, 4, 47, // Opcode: FCVT_D_S
/* 3562 */    MCD::OPC_FilterValue, 52, 67, 0, // Skip to: 3633
/* 3566 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 3569 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 3577
/* 3573 */    MCD::OPC_Decode, 167, 5, 33, // Opcode: FTINTRM_W_S
/* 3577 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 3585
/* 3581 */    MCD::OPC_Decode, 166, 5, 46, // Opcode: FTINTRM_W_D
/* 3585 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 3593
/* 3589 */    MCD::OPC_Decode, 165, 5, 47, // Opcode: FTINTRM_L_S
/* 3593 */    MCD::OPC_FilterValue, 10, 4, 0, // Skip to: 3601
/* 3597 */    MCD::OPC_Decode, 164, 5, 34, // Opcode: FTINTRM_L_D
/* 3601 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 3609
/* 3605 */    MCD::OPC_Decode, 175, 5, 33, // Opcode: FTINTRP_W_S
/* 3609 */    MCD::OPC_FilterValue, 18, 4, 0, // Skip to: 3617
/* 3613 */    MCD::OPC_Decode, 174, 5, 46, // Opcode: FTINTRP_W_D
/* 3617 */    MCD::OPC_FilterValue, 25, 4, 0, // Skip to: 3625
/* 3621 */    MCD::OPC_Decode, 173, 5, 47, // Opcode: FTINTRP_L_S
/* 3625 */    MCD::OPC_FilterValue, 26, 80, 70, // Skip to: 21629
/* 3629 */    MCD::OPC_Decode, 172, 5, 34, // Opcode: FTINTRP_L_D
/* 3633 */    MCD::OPC_FilterValue, 53, 67, 0, // Skip to: 3704
/* 3637 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 3640 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 3648
/* 3644 */    MCD::OPC_Decode, 179, 5, 33, // Opcode: FTINTRZ_W_S
/* 3648 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 3656
/* 3652 */    MCD::OPC_Decode, 178, 5, 46, // Opcode: FTINTRZ_W_D
/* 3656 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 3664
/* 3660 */    MCD::OPC_Decode, 177, 5, 47, // Opcode: FTINTRZ_L_S
/* 3664 */    MCD::OPC_FilterValue, 10, 4, 0, // Skip to: 3672
/* 3668 */    MCD::OPC_Decode, 176, 5, 34, // Opcode: FTINTRZ_L_D
/* 3672 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 3680
/* 3676 */    MCD::OPC_Decode, 171, 5, 33, // Opcode: FTINTRNE_W_S
/* 3680 */    MCD::OPC_FilterValue, 18, 4, 0, // Skip to: 3688
/* 3684 */    MCD::OPC_Decode, 170, 5, 46, // Opcode: FTINTRNE_W_D
/* 3688 */    MCD::OPC_FilterValue, 25, 4, 0, // Skip to: 3696
/* 3692 */    MCD::OPC_Decode, 169, 5, 47, // Opcode: FTINTRNE_L_S
/* 3696 */    MCD::OPC_FilterValue, 26, 9, 70, // Skip to: 21629
/* 3700 */    MCD::OPC_Decode, 168, 5, 34, // Opcode: FTINTRNE_L_D
/* 3704 */    MCD::OPC_FilterValue, 54, 35, 0, // Skip to: 3743
/* 3708 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 3711 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 3719
/* 3715 */    MCD::OPC_Decode, 183, 5, 33, // Opcode: FTINT_W_S
/* 3719 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 3727
/* 3723 */    MCD::OPC_Decode, 182, 5, 46, // Opcode: FTINT_W_D
/* 3727 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 3735
/* 3731 */    MCD::OPC_Decode, 181, 5, 47, // Opcode: FTINT_L_S
/* 3735 */    MCD::OPC_FilterValue, 10, 226, 69, // Skip to: 21629
/* 3739 */    MCD::OPC_Decode, 180, 5, 34, // Opcode: FTINT_L_D
/* 3743 */    MCD::OPC_FilterValue, 58, 35, 0, // Skip to: 3782
/* 3747 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 3750 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 3758
/* 3754 */    MCD::OPC_Decode, 233, 4, 33, // Opcode: FFINT_S_W
/* 3758 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 3766
/* 3762 */    MCD::OPC_Decode, 232, 4, 46, // Opcode: FFINT_S_L
/* 3766 */    MCD::OPC_FilterValue, 8, 4, 0, // Skip to: 3774
/* 3770 */    MCD::OPC_Decode, 231, 4, 47, // Opcode: FFINT_D_W
/* 3774 */    MCD::OPC_FilterValue, 10, 187, 69, // Skip to: 21629
/* 3778 */    MCD::OPC_Decode, 230, 4, 34, // Opcode: FFINT_D_L
/* 3782 */    MCD::OPC_FilterValue, 60, 179, 69, // Skip to: 21629
/* 3786 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 3789 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 3797
/* 3793 */    MCD::OPC_Decode, 143, 5, 33, // Opcode: FRINT_S
/* 3797 */    MCD::OPC_FilterValue, 18, 164, 69, // Skip to: 21629
/* 3801 */    MCD::OPC_Decode, 142, 5, 34, // Opcode: FRINT_D
/* 3805 */    MCD::OPC_FilterValue, 8, 4, 0, // Skip to: 3813
/* 3809 */    MCD::OPC_Decode, 197, 6, 48, // Opcode: SLTI
/* 3813 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 3821
/* 3817 */    MCD::OPC_Decode, 199, 6, 48, // Opcode: SLTUI
/* 3821 */    MCD::OPC_FilterValue, 10, 4, 0, // Skip to: 3829
/* 3825 */    MCD::OPC_Decode, 158, 3, 48, // Opcode: ADDI_W
/* 3829 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 3841
/* 3833 */    MCD::OPC_CheckPredicate, 0, 128, 69, // Skip to: 21629
/* 3837 */    MCD::OPC_Decode, 157, 3, 48, // Opcode: ADDI_D
/* 3841 */    MCD::OPC_FilterValue, 12, 8, 0, // Skip to: 3853
/* 3845 */    MCD::OPC_CheckPredicate, 0, 116, 69, // Skip to: 21629
/* 3849 */    MCD::OPC_Decode, 239, 5, 48, // Opcode: LU52I_D
/* 3853 */    MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 3861
/* 3857 */    MCD::OPC_Decode, 220, 3, 49, // Opcode: ANDI
/* 3861 */    MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 3869
/* 3865 */    MCD::OPC_Decode, 144, 6, 49, // Opcode: ORI
/* 3869 */    MCD::OPC_FilterValue, 15, 92, 69, // Skip to: 21629
/* 3873 */    MCD::OPC_Decode, 185, 13, 49, // Opcode: XORI
/* 3877 */    MCD::OPC_FilterValue, 1, 54, 1, // Skip to: 4191
/* 3881 */    MCD::OPC_ExtractField, 24, 2,  // Inst{25-24} ...
/* 3884 */    MCD::OPC_FilterValue, 0, 23, 0, // Skip to: 3911
/* 3888 */    MCD::OPC_ExtractField, 5, 5,  // Inst{9-5} ...
/* 3891 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 3899
/* 3895 */    MCD::OPC_Decode, 155, 4, 50, // Opcode: CSRRD
/* 3899 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 3907
/* 3903 */    MCD::OPC_Decode, 156, 4, 51, // Opcode: CSRWR
/* 3907 */    MCD::OPC_Decode, 157, 4, 52, // Opcode: CSRXCHG
/* 3911 */    MCD::OPC_FilterValue, 1, 23, 0, // Skip to: 3938
/* 3915 */    MCD::OPC_ExtractField, 5, 5,  // Inst{9-5} ...
/* 3918 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 3926
/* 3922 */    MCD::OPC_Decode, 184, 5, 50, // Opcode: GCSRRD
/* 3926 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 3934
/* 3930 */    MCD::OPC_Decode, 185, 5, 51, // Opcode: GCSRWR
/* 3934 */    MCD::OPC_Decode, 186, 5, 52, // Opcode: GCSRXCHG
/* 3938 */    MCD::OPC_FilterValue, 2, 23, 69, // Skip to: 21629
/* 3942 */    MCD::OPC_ExtractField, 22, 2,  // Inst{23-22} ...
/* 3945 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 3953
/* 3949 */    MCD::OPC_Decode, 141, 4, 53, // Opcode: CACOP
/* 3953 */    MCD::OPC_FilterValue, 1, 8, 69, // Skip to: 21629
/* 3957 */    MCD::OPC_ExtractField, 18, 4,  // Inst{21-18} ...
/* 3960 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 3968
/* 3964 */    MCD::OPC_Decode, 203, 5, 54, // Opcode: LDDIR
/* 3968 */    MCD::OPC_FilterValue, 1, 10, 0, // Skip to: 3982
/* 3972 */    MCD::OPC_CheckField, 0, 5, 0, 243, 68, // Skip to: 21629
/* 3978 */    MCD::OPC_Decode, 214, 5, 55, // Opcode: LDPTE
/* 3982 */    MCD::OPC_FilterValue, 2, 235, 68, // Skip to: 21629
/* 3986 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 3989 */    MCD::OPC_FilterValue, 0, 182, 0, // Skip to: 4175
/* 3993 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 3996 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 4004
/* 4000 */    MCD::OPC_Decode, 192, 5, 2, // Opcode: IOCSRRD_B
/* 4004 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 4012
/* 4008 */    MCD::OPC_Decode, 194, 5, 2, // Opcode: IOCSRRD_H
/* 4012 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 4020
/* 4016 */    MCD::OPC_Decode, 195, 5, 2, // Opcode: IOCSRRD_W
/* 4020 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 4032
/* 4024 */    MCD::OPC_CheckPredicate, 0, 193, 68, // Skip to: 21629
/* 4028 */    MCD::OPC_Decode, 193, 5, 2, // Opcode: IOCSRRD_D
/* 4032 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 4040
/* 4036 */    MCD::OPC_Decode, 196, 5, 2, // Opcode: IOCSRWR_B
/* 4040 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 4048
/* 4044 */    MCD::OPC_Decode, 198, 5, 2, // Opcode: IOCSRWR_H
/* 4048 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 4056
/* 4052 */    MCD::OPC_Decode, 199, 5, 2, // Opcode: IOCSRWR_W
/* 4056 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 4068
/* 4060 */    MCD::OPC_CheckPredicate, 0, 157, 68, // Skip to: 21629
/* 4064 */    MCD::OPC_Decode, 197, 5, 2, // Opcode: IOCSRWR_D
/* 4068 */    MCD::OPC_FilterValue, 8, 10, 0, // Skip to: 4082
/* 4072 */    MCD::OPC_CheckField, 0, 10, 0, 143, 68, // Skip to: 21629
/* 4078 */    MCD::OPC_Decode, 233, 6, 6, // Opcode: TLBCLR
/* 4082 */    MCD::OPC_FilterValue, 9, 19, 0, // Skip to: 4105
/* 4086 */    MCD::OPC_ExtractField, 0, 10,  // Inst{9-0} ...
/* 4089 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 4097
/* 4093 */    MCD::OPC_Decode, 235, 6, 6, // Opcode: TLBFLUSH
/* 4097 */    MCD::OPC_FilterValue, 1, 120, 68, // Skip to: 21629
/* 4101 */    MCD::OPC_Decode, 187, 5, 6, // Opcode: GTLBFLUSH
/* 4105 */    MCD::OPC_FilterValue, 10, 10, 0, // Skip to: 4119
/* 4109 */    MCD::OPC_CheckField, 0, 10, 0, 106, 68, // Skip to: 21629
/* 4115 */    MCD::OPC_Decode, 237, 6, 6, // Opcode: TLBSRCH
/* 4119 */    MCD::OPC_FilterValue, 11, 10, 0, // Skip to: 4133
/* 4123 */    MCD::OPC_CheckField, 0, 10, 0, 92, 68, // Skip to: 21629
/* 4129 */    MCD::OPC_Decode, 236, 6, 6, // Opcode: TLBRD
/* 4133 */    MCD::OPC_FilterValue, 12, 10, 0, // Skip to: 4147
/* 4137 */    MCD::OPC_CheckField, 0, 10, 0, 78, 68, // Skip to: 21629
/* 4143 */    MCD::OPC_Decode, 238, 6, 6, // Opcode: TLBWR
/* 4147 */    MCD::OPC_FilterValue, 13, 10, 0, // Skip to: 4161
/* 4151 */    MCD::OPC_CheckField, 0, 10, 0, 64, 68, // Skip to: 21629
/* 4157 */    MCD::OPC_Decode, 234, 6, 6, // Opcode: TLBFILL
/* 4161 */    MCD::OPC_FilterValue, 14, 56, 68, // Skip to: 21629
/* 4165 */    MCD::OPC_CheckField, 0, 10, 0, 50, 68, // Skip to: 21629
/* 4171 */    MCD::OPC_Decode, 168, 4, 6, // Opcode: ERTN
/* 4175 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 4183
/* 4179 */    MCD::OPC_Decode, 190, 5, 13, // Opcode: IDLE
/* 4183 */    MCD::OPC_FilterValue, 3, 34, 68, // Skip to: 21629
/* 4187 */    MCD::OPC_Decode, 191, 5, 56, // Opcode: INVTLB
/* 4191 */    MCD::OPC_FilterValue, 2, 195, 0, // Skip to: 4390
/* 4195 */    MCD::OPC_ExtractField, 20, 6,  // Inst{25-20} ...
/* 4198 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 4206
/* 4202 */    MCD::OPC_Decode, 245, 4, 57, // Opcode: FMADD_S
/* 4206 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 4214
/* 4210 */    MCD::OPC_Decode, 244, 4, 58, // Opcode: FMADD_D
/* 4214 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 4222
/* 4218 */    MCD::OPC_Decode, 129, 5, 57, // Opcode: FMSUB_S
/* 4222 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 4230
/* 4226 */    MCD::OPC_Decode, 128, 5, 58, // Opcode: FMSUB_D
/* 4230 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 4238
/* 4234 */    MCD::OPC_Decode, 135, 5, 57, // Opcode: FNMADD_S
/* 4238 */    MCD::OPC_FilterValue, 10, 4, 0, // Skip to: 4246
/* 4242 */    MCD::OPC_Decode, 134, 5, 58, // Opcode: FNMADD_D
/* 4246 */    MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 4254
/* 4250 */    MCD::OPC_Decode, 137, 5, 57, // Opcode: FNMSUB_S
/* 4254 */    MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 4262
/* 4258 */    MCD::OPC_Decode, 136, 5, 58, // Opcode: FNMSUB_D
/* 4262 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 4270
/* 4266 */    MCD::OPC_Decode, 183, 8, 59, // Opcode: VFMADD_S
/* 4270 */    MCD::OPC_FilterValue, 18, 4, 0, // Skip to: 4278
/* 4274 */    MCD::OPC_Decode, 182, 8, 59, // Opcode: VFMADD_D
/* 4278 */    MCD::OPC_FilterValue, 21, 4, 0, // Skip to: 4286
/* 4282 */    MCD::OPC_Decode, 193, 8, 59, // Opcode: VFMSUB_S
/* 4286 */    MCD::OPC_FilterValue, 22, 4, 0, // Skip to: 4294
/* 4290 */    MCD::OPC_Decode, 192, 8, 59, // Opcode: VFMSUB_D
/* 4294 */    MCD::OPC_FilterValue, 25, 4, 0, // Skip to: 4302
/* 4298 */    MCD::OPC_Decode, 197, 8, 59, // Opcode: VFNMADD_S
/* 4302 */    MCD::OPC_FilterValue, 26, 4, 0, // Skip to: 4310
/* 4306 */    MCD::OPC_Decode, 196, 8, 59, // Opcode: VFNMADD_D
/* 4310 */    MCD::OPC_FilterValue, 29, 4, 0, // Skip to: 4318
/* 4314 */    MCD::OPC_Decode, 199, 8, 59, // Opcode: VFNMSUB_S
/* 4318 */    MCD::OPC_FilterValue, 30, 4, 0, // Skip to: 4326
/* 4322 */    MCD::OPC_Decode, 198, 8, 59, // Opcode: VFNMSUB_D
/* 4326 */    MCD::OPC_FilterValue, 33, 4, 0, // Skip to: 4334
/* 4330 */    MCD::OPC_Decode, 246, 14, 60, // Opcode: XVFMADD_S
/* 4334 */    MCD::OPC_FilterValue, 34, 4, 0, // Skip to: 4342
/* 4338 */    MCD::OPC_Decode, 245, 14, 60, // Opcode: XVFMADD_D
/* 4342 */    MCD::OPC_FilterValue, 37, 4, 0, // Skip to: 4350
/* 4346 */    MCD::OPC_Decode, 128, 15, 60, // Opcode: XVFMSUB_S
/* 4350 */    MCD::OPC_FilterValue, 38, 4, 0, // Skip to: 4358
/* 4354 */    MCD::OPC_Decode, 255, 14, 60, // Opcode: XVFMSUB_D
/* 4358 */    MCD::OPC_FilterValue, 41, 4, 0, // Skip to: 4366
/* 4362 */    MCD::OPC_Decode, 132, 15, 60, // Opcode: XVFNMADD_S
/* 4366 */    MCD::OPC_FilterValue, 42, 4, 0, // Skip to: 4374
/* 4370 */    MCD::OPC_Decode, 131, 15, 60, // Opcode: XVFNMADD_D
/* 4374 */    MCD::OPC_FilterValue, 45, 4, 0, // Skip to: 4382
/* 4378 */    MCD::OPC_Decode, 134, 15, 60, // Opcode: XVFNMSUB_S
/* 4382 */    MCD::OPC_FilterValue, 46, 91, 67, // Skip to: 21629
/* 4386 */    MCD::OPC_Decode, 133, 15, 60, // Opcode: XVFNMSUB_D
/* 4390 */    MCD::OPC_FilterValue, 3, 131, 5, // Skip to: 5805
/* 4394 */    MCD::OPC_ExtractField, 20, 6,  // Inst{25-20} ...
/* 4397 */    MCD::OPC_FilterValue, 1, 55, 1, // Skip to: 4712
/* 4401 */    MCD::OPC_ExtractField, 15, 5,  // Inst{19-15} ...
/* 4404 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 4418
/* 4408 */    MCD::OPC_CheckField, 3, 2, 0, 63, 67, // Skip to: 21629
/* 4414 */    MCD::OPC_Decode, 178, 4, 61, // Opcode: FCMP_CAF_S
/* 4418 */    MCD::OPC_FilterValue, 1, 10, 0, // Skip to: 4432
/* 4422 */    MCD::OPC_CheckField, 3, 2, 0, 49, 67, // Skip to: 21629
/* 4428 */    MCD::OPC_Decode, 200, 4, 61, // Opcode: FCMP_SAF_S
/* 4432 */    MCD::OPC_FilterValue, 2, 10, 0, // Skip to: 4446
/* 4436 */    MCD::OPC_CheckField, 3, 2, 0, 35, 67, // Skip to: 21629
/* 4442 */    MCD::OPC_Decode, 184, 4, 61, // Opcode: FCMP_CLT_S
/* 4446 */    MCD::OPC_FilterValue, 3, 10, 0, // Skip to: 4460
/* 4450 */    MCD::OPC_CheckField, 3, 2, 0, 21, 67, // Skip to: 21629
/* 4456 */    MCD::OPC_Decode, 206, 4, 61, // Opcode: FCMP_SLT_S
/* 4460 */    MCD::OPC_FilterValue, 4, 10, 0, // Skip to: 4474
/* 4464 */    MCD::OPC_CheckField, 3, 2, 0, 7, 67, // Skip to: 21629
/* 4470 */    MCD::OPC_Decode, 180, 4, 61, // Opcode: FCMP_CEQ_S
/* 4474 */    MCD::OPC_FilterValue, 5, 10, 0, // Skip to: 4488
/* 4478 */    MCD::OPC_CheckField, 3, 2, 0, 249, 66, // Skip to: 21629
/* 4484 */    MCD::OPC_Decode, 202, 4, 61, // Opcode: FCMP_SEQ_S
/* 4488 */    MCD::OPC_FilterValue, 6, 10, 0, // Skip to: 4502
/* 4492 */    MCD::OPC_CheckField, 3, 2, 0, 235, 66, // Skip to: 21629
/* 4498 */    MCD::OPC_Decode, 182, 4, 61, // Opcode: FCMP_CLE_S
/* 4502 */    MCD::OPC_FilterValue, 7, 10, 0, // Skip to: 4516
/* 4506 */    MCD::OPC_CheckField, 3, 2, 0, 221, 66, // Skip to: 21629
/* 4512 */    MCD::OPC_Decode, 204, 4, 61, // Opcode: FCMP_SLE_S
/* 4516 */    MCD::OPC_FilterValue, 8, 10, 0, // Skip to: 4530
/* 4520 */    MCD::OPC_CheckField, 3, 2, 0, 207, 66, // Skip to: 21629
/* 4526 */    MCD::OPC_Decode, 198, 4, 61, // Opcode: FCMP_CUN_S
/* 4530 */    MCD::OPC_FilterValue, 9, 10, 0, // Skip to: 4544
/* 4534 */    MCD::OPC_CheckField, 3, 2, 0, 193, 66, // Skip to: 21629
/* 4540 */    MCD::OPC_Decode, 220, 4, 61, // Opcode: FCMP_SUN_S
/* 4544 */    MCD::OPC_FilterValue, 10, 10, 0, // Skip to: 4558
/* 4548 */    MCD::OPC_CheckField, 3, 2, 0, 179, 66, // Skip to: 21629
/* 4554 */    MCD::OPC_Decode, 194, 4, 61, // Opcode: FCMP_CULT_S
/* 4558 */    MCD::OPC_FilterValue, 11, 10, 0, // Skip to: 4572
/* 4562 */    MCD::OPC_CheckField, 3, 2, 0, 165, 66, // Skip to: 21629
/* 4568 */    MCD::OPC_Decode, 216, 4, 61, // Opcode: FCMP_SULT_S
/* 4572 */    MCD::OPC_FilterValue, 12, 10, 0, // Skip to: 4586
/* 4576 */    MCD::OPC_CheckField, 3, 2, 0, 151, 66, // Skip to: 21629
/* 4582 */    MCD::OPC_Decode, 190, 4, 61, // Opcode: FCMP_CUEQ_S
/* 4586 */    MCD::OPC_FilterValue, 13, 10, 0, // Skip to: 4600
/* 4590 */    MCD::OPC_CheckField, 3, 2, 0, 137, 66, // Skip to: 21629
/* 4596 */    MCD::OPC_Decode, 212, 4, 61, // Opcode: FCMP_SUEQ_S
/* 4600 */    MCD::OPC_FilterValue, 14, 10, 0, // Skip to: 4614
/* 4604 */    MCD::OPC_CheckField, 3, 2, 0, 123, 66, // Skip to: 21629
/* 4610 */    MCD::OPC_Decode, 192, 4, 61, // Opcode: FCMP_CULE_S
/* 4614 */    MCD::OPC_FilterValue, 15, 10, 0, // Skip to: 4628
/* 4618 */    MCD::OPC_CheckField, 3, 2, 0, 109, 66, // Skip to: 21629
/* 4624 */    MCD::OPC_Decode, 214, 4, 61, // Opcode: FCMP_SULE_S
/* 4628 */    MCD::OPC_FilterValue, 16, 10, 0, // Skip to: 4642
/* 4632 */    MCD::OPC_CheckField, 3, 2, 0, 95, 66, // Skip to: 21629
/* 4638 */    MCD::OPC_Decode, 186, 4, 61, // Opcode: FCMP_CNE_S
/* 4642 */    MCD::OPC_FilterValue, 17, 10, 0, // Skip to: 4656
/* 4646 */    MCD::OPC_CheckField, 3, 2, 0, 81, 66, // Skip to: 21629
/* 4652 */    MCD::OPC_Decode, 208, 4, 61, // Opcode: FCMP_SNE_S
/* 4656 */    MCD::OPC_FilterValue, 20, 10, 0, // Skip to: 4670
/* 4660 */    MCD::OPC_CheckField, 3, 2, 0, 67, 66, // Skip to: 21629
/* 4666 */    MCD::OPC_Decode, 188, 4, 61, // Opcode: FCMP_COR_S
/* 4670 */    MCD::OPC_FilterValue, 21, 10, 0, // Skip to: 4684
/* 4674 */    MCD::OPC_CheckField, 3, 2, 0, 53, 66, // Skip to: 21629
/* 4680 */    MCD::OPC_Decode, 210, 4, 61, // Opcode: FCMP_SOR_S
/* 4684 */    MCD::OPC_FilterValue, 24, 10, 0, // Skip to: 4698
/* 4688 */    MCD::OPC_CheckField, 3, 2, 0, 39, 66, // Skip to: 21629
/* 4694 */    MCD::OPC_Decode, 196, 4, 61, // Opcode: FCMP_CUNE_S
/* 4698 */    MCD::OPC_FilterValue, 25, 31, 66, // Skip to: 21629
/* 4702 */    MCD::OPC_CheckField, 3, 2, 0, 25, 66, // Skip to: 21629
/* 4708 */    MCD::OPC_Decode, 218, 4, 61, // Opcode: FCMP_SUNE_S
/* 4712 */    MCD::OPC_FilterValue, 2, 55, 1, // Skip to: 5027
/* 4716 */    MCD::OPC_ExtractField, 15, 5,  // Inst{19-15} ...
/* 4719 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 4733
/* 4723 */    MCD::OPC_CheckField, 3, 2, 0, 4, 66, // Skip to: 21629
/* 4729 */    MCD::OPC_Decode, 177, 4, 62, // Opcode: FCMP_CAF_D
/* 4733 */    MCD::OPC_FilterValue, 1, 10, 0, // Skip to: 4747
/* 4737 */    MCD::OPC_CheckField, 3, 2, 0, 246, 65, // Skip to: 21629
/* 4743 */    MCD::OPC_Decode, 199, 4, 62, // Opcode: FCMP_SAF_D
/* 4747 */    MCD::OPC_FilterValue, 2, 10, 0, // Skip to: 4761
/* 4751 */    MCD::OPC_CheckField, 3, 2, 0, 232, 65, // Skip to: 21629
/* 4757 */    MCD::OPC_Decode, 183, 4, 62, // Opcode: FCMP_CLT_D
/* 4761 */    MCD::OPC_FilterValue, 3, 10, 0, // Skip to: 4775
/* 4765 */    MCD::OPC_CheckField, 3, 2, 0, 218, 65, // Skip to: 21629
/* 4771 */    MCD::OPC_Decode, 205, 4, 62, // Opcode: FCMP_SLT_D
/* 4775 */    MCD::OPC_FilterValue, 4, 10, 0, // Skip to: 4789
/* 4779 */    MCD::OPC_CheckField, 3, 2, 0, 204, 65, // Skip to: 21629
/* 4785 */    MCD::OPC_Decode, 179, 4, 62, // Opcode: FCMP_CEQ_D
/* 4789 */    MCD::OPC_FilterValue, 5, 10, 0, // Skip to: 4803
/* 4793 */    MCD::OPC_CheckField, 3, 2, 0, 190, 65, // Skip to: 21629
/* 4799 */    MCD::OPC_Decode, 201, 4, 62, // Opcode: FCMP_SEQ_D
/* 4803 */    MCD::OPC_FilterValue, 6, 10, 0, // Skip to: 4817
/* 4807 */    MCD::OPC_CheckField, 3, 2, 0, 176, 65, // Skip to: 21629
/* 4813 */    MCD::OPC_Decode, 181, 4, 62, // Opcode: FCMP_CLE_D
/* 4817 */    MCD::OPC_FilterValue, 7, 10, 0, // Skip to: 4831
/* 4821 */    MCD::OPC_CheckField, 3, 2, 0, 162, 65, // Skip to: 21629
/* 4827 */    MCD::OPC_Decode, 203, 4, 62, // Opcode: FCMP_SLE_D
/* 4831 */    MCD::OPC_FilterValue, 8, 10, 0, // Skip to: 4845
/* 4835 */    MCD::OPC_CheckField, 3, 2, 0, 148, 65, // Skip to: 21629
/* 4841 */    MCD::OPC_Decode, 197, 4, 62, // Opcode: FCMP_CUN_D
/* 4845 */    MCD::OPC_FilterValue, 9, 10, 0, // Skip to: 4859
/* 4849 */    MCD::OPC_CheckField, 3, 2, 0, 134, 65, // Skip to: 21629
/* 4855 */    MCD::OPC_Decode, 219, 4, 62, // Opcode: FCMP_SUN_D
/* 4859 */    MCD::OPC_FilterValue, 10, 10, 0, // Skip to: 4873
/* 4863 */    MCD::OPC_CheckField, 3, 2, 0, 120, 65, // Skip to: 21629
/* 4869 */    MCD::OPC_Decode, 193, 4, 62, // Opcode: FCMP_CULT_D
/* 4873 */    MCD::OPC_FilterValue, 11, 10, 0, // Skip to: 4887
/* 4877 */    MCD::OPC_CheckField, 3, 2, 0, 106, 65, // Skip to: 21629
/* 4883 */    MCD::OPC_Decode, 215, 4, 62, // Opcode: FCMP_SULT_D
/* 4887 */    MCD::OPC_FilterValue, 12, 10, 0, // Skip to: 4901
/* 4891 */    MCD::OPC_CheckField, 3, 2, 0, 92, 65, // Skip to: 21629
/* 4897 */    MCD::OPC_Decode, 189, 4, 62, // Opcode: FCMP_CUEQ_D
/* 4901 */    MCD::OPC_FilterValue, 13, 10, 0, // Skip to: 4915
/* 4905 */    MCD::OPC_CheckField, 3, 2, 0, 78, 65, // Skip to: 21629
/* 4911 */    MCD::OPC_Decode, 211, 4, 62, // Opcode: FCMP_SUEQ_D
/* 4915 */    MCD::OPC_FilterValue, 14, 10, 0, // Skip to: 4929
/* 4919 */    MCD::OPC_CheckField, 3, 2, 0, 64, 65, // Skip to: 21629
/* 4925 */    MCD::OPC_Decode, 191, 4, 62, // Opcode: FCMP_CULE_D
/* 4929 */    MCD::OPC_FilterValue, 15, 10, 0, // Skip to: 4943
/* 4933 */    MCD::OPC_CheckField, 3, 2, 0, 50, 65, // Skip to: 21629
/* 4939 */    MCD::OPC_Decode, 213, 4, 62, // Opcode: FCMP_SULE_D
/* 4943 */    MCD::OPC_FilterValue, 16, 10, 0, // Skip to: 4957
/* 4947 */    MCD::OPC_CheckField, 3, 2, 0, 36, 65, // Skip to: 21629
/* 4953 */    MCD::OPC_Decode, 185, 4, 62, // Opcode: FCMP_CNE_D
/* 4957 */    MCD::OPC_FilterValue, 17, 10, 0, // Skip to: 4971
/* 4961 */    MCD::OPC_CheckField, 3, 2, 0, 22, 65, // Skip to: 21629
/* 4967 */    MCD::OPC_Decode, 207, 4, 62, // Opcode: FCMP_SNE_D
/* 4971 */    MCD::OPC_FilterValue, 20, 10, 0, // Skip to: 4985
/* 4975 */    MCD::OPC_CheckField, 3, 2, 0, 8, 65, // Skip to: 21629
/* 4981 */    MCD::OPC_Decode, 187, 4, 62, // Opcode: FCMP_COR_D
/* 4985 */    MCD::OPC_FilterValue, 21, 10, 0, // Skip to: 4999
/* 4989 */    MCD::OPC_CheckField, 3, 2, 0, 250, 64, // Skip to: 21629
/* 4995 */    MCD::OPC_Decode, 209, 4, 62, // Opcode: FCMP_SOR_D
/* 4999 */    MCD::OPC_FilterValue, 24, 10, 0, // Skip to: 5013
/* 5003 */    MCD::OPC_CheckField, 3, 2, 0, 236, 64, // Skip to: 21629
/* 5009 */    MCD::OPC_Decode, 195, 4, 62, // Opcode: FCMP_CUNE_D
/* 5013 */    MCD::OPC_FilterValue, 25, 228, 64, // Skip to: 21629
/* 5017 */    MCD::OPC_CheckField, 3, 2, 0, 222, 64, // Skip to: 21629
/* 5023 */    MCD::OPC_Decode, 217, 4, 62, // Opcode: FCMP_SUNE_D
/* 5027 */    MCD::OPC_FilterValue, 5, 179, 0, // Skip to: 5210
/* 5031 */    MCD::OPC_ExtractField, 15, 5,  // Inst{19-15} ...
/* 5034 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 5042
/* 5038 */    MCD::OPC_Decode, 250, 7, 63, // Opcode: VFCMP_CAF_S
/* 5042 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 5050
/* 5046 */    MCD::OPC_Decode, 144, 8, 63, // Opcode: VFCMP_SAF_S
/* 5050 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 5058
/* 5054 */    MCD::OPC_Decode, 128, 8, 63, // Opcode: VFCMP_CLT_S
/* 5058 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 5066
/* 5062 */    MCD::OPC_Decode, 150, 8, 63, // Opcode: VFCMP_SLT_S
/* 5066 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 5074
/* 5070 */    MCD::OPC_Decode, 252, 7, 63, // Opcode: VFCMP_CEQ_S
/* 5074 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 5082
/* 5078 */    MCD::OPC_Decode, 146, 8, 63, // Opcode: VFCMP_SEQ_S
/* 5082 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 5090
/* 5086 */    MCD::OPC_Decode, 254, 7, 63, // Opcode: VFCMP_CLE_S
/* 5090 */    MCD::OPC_FilterValue, 7, 4, 0, // Skip to: 5098
/* 5094 */    MCD::OPC_Decode, 148, 8, 63, // Opcode: VFCMP_SLE_S
/* 5098 */    MCD::OPC_FilterValue, 8, 4, 0, // Skip to: 5106
/* 5102 */    MCD::OPC_Decode, 142, 8, 63, // Opcode: VFCMP_CUN_S
/* 5106 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 5114
/* 5110 */    MCD::OPC_Decode, 164, 8, 63, // Opcode: VFCMP_SUN_S
/* 5114 */    MCD::OPC_FilterValue, 10, 4, 0, // Skip to: 5122
/* 5118 */    MCD::OPC_Decode, 138, 8, 63, // Opcode: VFCMP_CULT_S
/* 5122 */    MCD::OPC_FilterValue, 11, 4, 0, // Skip to: 5130
/* 5126 */    MCD::OPC_Decode, 160, 8, 63, // Opcode: VFCMP_SULT_S
/* 5130 */    MCD::OPC_FilterValue, 12, 4, 0, // Skip to: 5138
/* 5134 */    MCD::OPC_Decode, 134, 8, 63, // Opcode: VFCMP_CUEQ_S
/* 5138 */    MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 5146
/* 5142 */    MCD::OPC_Decode, 156, 8, 63, // Opcode: VFCMP_SUEQ_S
/* 5146 */    MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 5154
/* 5150 */    MCD::OPC_Decode, 136, 8, 63, // Opcode: VFCMP_CULE_S
/* 5154 */    MCD::OPC_FilterValue, 15, 4, 0, // Skip to: 5162
/* 5158 */    MCD::OPC_Decode, 158, 8, 63, // Opcode: VFCMP_SULE_S
/* 5162 */    MCD::OPC_FilterValue, 16, 4, 0, // Skip to: 5170
/* 5166 */    MCD::OPC_Decode, 130, 8, 63, // Opcode: VFCMP_CNE_S
/* 5170 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 5178
/* 5174 */    MCD::OPC_Decode, 152, 8, 63, // Opcode: VFCMP_SNE_S
/* 5178 */    MCD::OPC_FilterValue, 20, 4, 0, // Skip to: 5186
/* 5182 */    MCD::OPC_Decode, 132, 8, 63, // Opcode: VFCMP_COR_S
/* 5186 */    MCD::OPC_FilterValue, 21, 4, 0, // Skip to: 5194
/* 5190 */    MCD::OPC_Decode, 154, 8, 63, // Opcode: VFCMP_SOR_S
/* 5194 */    MCD::OPC_FilterValue, 24, 4, 0, // Skip to: 5202
/* 5198 */    MCD::OPC_Decode, 140, 8, 63, // Opcode: VFCMP_CUNE_S
/* 5202 */    MCD::OPC_FilterValue, 25, 39, 64, // Skip to: 21629
/* 5206 */    MCD::OPC_Decode, 162, 8, 63, // Opcode: VFCMP_SUNE_S
/* 5210 */    MCD::OPC_FilterValue, 6, 179, 0, // Skip to: 5393
/* 5214 */    MCD::OPC_ExtractField, 15, 5,  // Inst{19-15} ...
/* 5217 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 5225
/* 5221 */    MCD::OPC_Decode, 249, 7, 63, // Opcode: VFCMP_CAF_D
/* 5225 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 5233
/* 5229 */    MCD::OPC_Decode, 143, 8, 63, // Opcode: VFCMP_SAF_D
/* 5233 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 5241
/* 5237 */    MCD::OPC_Decode, 255, 7, 63, // Opcode: VFCMP_CLT_D
/* 5241 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 5249
/* 5245 */    MCD::OPC_Decode, 149, 8, 63, // Opcode: VFCMP_SLT_D
/* 5249 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 5257
/* 5253 */    MCD::OPC_Decode, 251, 7, 63, // Opcode: VFCMP_CEQ_D
/* 5257 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 5265
/* 5261 */    MCD::OPC_Decode, 145, 8, 63, // Opcode: VFCMP_SEQ_D
/* 5265 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 5273
/* 5269 */    MCD::OPC_Decode, 253, 7, 63, // Opcode: VFCMP_CLE_D
/* 5273 */    MCD::OPC_FilterValue, 7, 4, 0, // Skip to: 5281
/* 5277 */    MCD::OPC_Decode, 147, 8, 63, // Opcode: VFCMP_SLE_D
/* 5281 */    MCD::OPC_FilterValue, 8, 4, 0, // Skip to: 5289
/* 5285 */    MCD::OPC_Decode, 141, 8, 63, // Opcode: VFCMP_CUN_D
/* 5289 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 5297
/* 5293 */    MCD::OPC_Decode, 163, 8, 63, // Opcode: VFCMP_SUN_D
/* 5297 */    MCD::OPC_FilterValue, 10, 4, 0, // Skip to: 5305
/* 5301 */    MCD::OPC_Decode, 137, 8, 63, // Opcode: VFCMP_CULT_D
/* 5305 */    MCD::OPC_FilterValue, 11, 4, 0, // Skip to: 5313
/* 5309 */    MCD::OPC_Decode, 159, 8, 63, // Opcode: VFCMP_SULT_D
/* 5313 */    MCD::OPC_FilterValue, 12, 4, 0, // Skip to: 5321
/* 5317 */    MCD::OPC_Decode, 133, 8, 63, // Opcode: VFCMP_CUEQ_D
/* 5321 */    MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 5329
/* 5325 */    MCD::OPC_Decode, 155, 8, 63, // Opcode: VFCMP_SUEQ_D
/* 5329 */    MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 5337
/* 5333 */    MCD::OPC_Decode, 135, 8, 63, // Opcode: VFCMP_CULE_D
/* 5337 */    MCD::OPC_FilterValue, 15, 4, 0, // Skip to: 5345
/* 5341 */    MCD::OPC_Decode, 157, 8, 63, // Opcode: VFCMP_SULE_D
/* 5345 */    MCD::OPC_FilterValue, 16, 4, 0, // Skip to: 5353
/* 5349 */    MCD::OPC_Decode, 129, 8, 63, // Opcode: VFCMP_CNE_D
/* 5353 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 5361
/* 5357 */    MCD::OPC_Decode, 151, 8, 63, // Opcode: VFCMP_SNE_D
/* 5361 */    MCD::OPC_FilterValue, 20, 4, 0, // Skip to: 5369
/* 5365 */    MCD::OPC_Decode, 131, 8, 63, // Opcode: VFCMP_COR_D
/* 5369 */    MCD::OPC_FilterValue, 21, 4, 0, // Skip to: 5377
/* 5373 */    MCD::OPC_Decode, 153, 8, 63, // Opcode: VFCMP_SOR_D
/* 5377 */    MCD::OPC_FilterValue, 24, 4, 0, // Skip to: 5385
/* 5381 */    MCD::OPC_Decode, 139, 8, 63, // Opcode: VFCMP_CUNE_D
/* 5385 */    MCD::OPC_FilterValue, 25, 112, 63, // Skip to: 21629
/* 5389 */    MCD::OPC_Decode, 161, 8, 63, // Opcode: VFCMP_SUNE_D
/* 5393 */    MCD::OPC_FilterValue, 9, 179, 0, // Skip to: 5576
/* 5397 */    MCD::OPC_ExtractField, 15, 5,  // Inst{19-15} ...
/* 5400 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 5408
/* 5404 */    MCD::OPC_Decode, 185, 14, 64, // Opcode: XVFCMP_CAF_S
/* 5408 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 5416
/* 5412 */    MCD::OPC_Decode, 207, 14, 64, // Opcode: XVFCMP_SAF_S
/* 5416 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 5424
/* 5420 */    MCD::OPC_Decode, 191, 14, 64, // Opcode: XVFCMP_CLT_S
/* 5424 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 5432
/* 5428 */    MCD::OPC_Decode, 213, 14, 64, // Opcode: XVFCMP_SLT_S
/* 5432 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 5440
/* 5436 */    MCD::OPC_Decode, 187, 14, 64, // Opcode: XVFCMP_CEQ_S
/* 5440 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 5448
/* 5444 */    MCD::OPC_Decode, 209, 14, 64, // Opcode: XVFCMP_SEQ_S
/* 5448 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 5456
/* 5452 */    MCD::OPC_Decode, 189, 14, 64, // Opcode: XVFCMP_CLE_S
/* 5456 */    MCD::OPC_FilterValue, 7, 4, 0, // Skip to: 5464
/* 5460 */    MCD::OPC_Decode, 211, 14, 64, // Opcode: XVFCMP_SLE_S
/* 5464 */    MCD::OPC_FilterValue, 8, 4, 0, // Skip to: 5472
/* 5468 */    MCD::OPC_Decode, 205, 14, 64, // Opcode: XVFCMP_CUN_S
/* 5472 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 5480
/* 5476 */    MCD::OPC_Decode, 227, 14, 64, // Opcode: XVFCMP_SUN_S
/* 5480 */    MCD::OPC_FilterValue, 10, 4, 0, // Skip to: 5488
/* 5484 */    MCD::OPC_Decode, 201, 14, 64, // Opcode: XVFCMP_CULT_S
/* 5488 */    MCD::OPC_FilterValue, 11, 4, 0, // Skip to: 5496
/* 5492 */    MCD::OPC_Decode, 223, 14, 64, // Opcode: XVFCMP_SULT_S
/* 5496 */    MCD::OPC_FilterValue, 12, 4, 0, // Skip to: 5504
/* 5500 */    MCD::OPC_Decode, 197, 14, 64, // Opcode: XVFCMP_CUEQ_S
/* 5504 */    MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 5512
/* 5508 */    MCD::OPC_Decode, 219, 14, 64, // Opcode: XVFCMP_SUEQ_S
/* 5512 */    MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 5520
/* 5516 */    MCD::OPC_Decode, 199, 14, 64, // Opcode: XVFCMP_CULE_S
/* 5520 */    MCD::OPC_FilterValue, 15, 4, 0, // Skip to: 5528
/* 5524 */    MCD::OPC_Decode, 221, 14, 64, // Opcode: XVFCMP_SULE_S
/* 5528 */    MCD::OPC_FilterValue, 16, 4, 0, // Skip to: 5536
/* 5532 */    MCD::OPC_Decode, 193, 14, 64, // Opcode: XVFCMP_CNE_S
/* 5536 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 5544
/* 5540 */    MCD::OPC_Decode, 215, 14, 64, // Opcode: XVFCMP_SNE_S
/* 5544 */    MCD::OPC_FilterValue, 20, 4, 0, // Skip to: 5552
/* 5548 */    MCD::OPC_Decode, 195, 14, 64, // Opcode: XVFCMP_COR_S
/* 5552 */    MCD::OPC_FilterValue, 21, 4, 0, // Skip to: 5560
/* 5556 */    MCD::OPC_Decode, 217, 14, 64, // Opcode: XVFCMP_SOR_S
/* 5560 */    MCD::OPC_FilterValue, 24, 4, 0, // Skip to: 5568
/* 5564 */    MCD::OPC_Decode, 203, 14, 64, // Opcode: XVFCMP_CUNE_S
/* 5568 */    MCD::OPC_FilterValue, 25, 185, 62, // Skip to: 21629
/* 5572 */    MCD::OPC_Decode, 225, 14, 64, // Opcode: XVFCMP_SUNE_S
/* 5576 */    MCD::OPC_FilterValue, 10, 179, 0, // Skip to: 5759
/* 5580 */    MCD::OPC_ExtractField, 15, 5,  // Inst{19-15} ...
/* 5583 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 5591
/* 5587 */    MCD::OPC_Decode, 184, 14, 64, // Opcode: XVFCMP_CAF_D
/* 5591 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 5599
/* 5595 */    MCD::OPC_Decode, 206, 14, 64, // Opcode: XVFCMP_SAF_D
/* 5599 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 5607
/* 5603 */    MCD::OPC_Decode, 190, 14, 64, // Opcode: XVFCMP_CLT_D
/* 5607 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 5615
/* 5611 */    MCD::OPC_Decode, 212, 14, 64, // Opcode: XVFCMP_SLT_D
/* 5615 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 5623
/* 5619 */    MCD::OPC_Decode, 186, 14, 64, // Opcode: XVFCMP_CEQ_D
/* 5623 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 5631
/* 5627 */    MCD::OPC_Decode, 208, 14, 64, // Opcode: XVFCMP_SEQ_D
/* 5631 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 5639
/* 5635 */    MCD::OPC_Decode, 188, 14, 64, // Opcode: XVFCMP_CLE_D
/* 5639 */    MCD::OPC_FilterValue, 7, 4, 0, // Skip to: 5647
/* 5643 */    MCD::OPC_Decode, 210, 14, 64, // Opcode: XVFCMP_SLE_D
/* 5647 */    MCD::OPC_FilterValue, 8, 4, 0, // Skip to: 5655
/* 5651 */    MCD::OPC_Decode, 204, 14, 64, // Opcode: XVFCMP_CUN_D
/* 5655 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 5663
/* 5659 */    MCD::OPC_Decode, 226, 14, 64, // Opcode: XVFCMP_SUN_D
/* 5663 */    MCD::OPC_FilterValue, 10, 4, 0, // Skip to: 5671
/* 5667 */    MCD::OPC_Decode, 200, 14, 64, // Opcode: XVFCMP_CULT_D
/* 5671 */    MCD::OPC_FilterValue, 11, 4, 0, // Skip to: 5679
/* 5675 */    MCD::OPC_Decode, 222, 14, 64, // Opcode: XVFCMP_SULT_D
/* 5679 */    MCD::OPC_FilterValue, 12, 4, 0, // Skip to: 5687
/* 5683 */    MCD::OPC_Decode, 196, 14, 64, // Opcode: XVFCMP_CUEQ_D
/* 5687 */    MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 5695
/* 5691 */    MCD::OPC_Decode, 218, 14, 64, // Opcode: XVFCMP_SUEQ_D
/* 5695 */    MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 5703
/* 5699 */    MCD::OPC_Decode, 198, 14, 64, // Opcode: XVFCMP_CULE_D
/* 5703 */    MCD::OPC_FilterValue, 15, 4, 0, // Skip to: 5711
/* 5707 */    MCD::OPC_Decode, 220, 14, 64, // Opcode: XVFCMP_SULE_D
/* 5711 */    MCD::OPC_FilterValue, 16, 4, 0, // Skip to: 5719
/* 5715 */    MCD::OPC_Decode, 192, 14, 64, // Opcode: XVFCMP_CNE_D
/* 5719 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 5727
/* 5723 */    MCD::OPC_Decode, 214, 14, 64, // Opcode: XVFCMP_SNE_D
/* 5727 */    MCD::OPC_FilterValue, 20, 4, 0, // Skip to: 5735
/* 5731 */    MCD::OPC_Decode, 194, 14, 64, // Opcode: XVFCMP_COR_D
/* 5735 */    MCD::OPC_FilterValue, 21, 4, 0, // Skip to: 5743
/* 5739 */    MCD::OPC_Decode, 216, 14, 64, // Opcode: XVFCMP_SOR_D
/* 5743 */    MCD::OPC_FilterValue, 24, 4, 0, // Skip to: 5751
/* 5747 */    MCD::OPC_Decode, 202, 14, 64, // Opcode: XVFCMP_CUNE_D
/* 5751 */    MCD::OPC_FilterValue, 25, 2, 62, // Skip to: 21629
/* 5755 */    MCD::OPC_Decode, 224, 14, 64, // Opcode: XVFCMP_SUNE_D
/* 5759 */    MCD::OPC_FilterValue, 16, 10, 0, // Skip to: 5773
/* 5763 */    MCD::OPC_CheckField, 18, 2, 0, 244, 61, // Skip to: 21629
/* 5769 */    MCD::OPC_Decode, 151, 5, 65, // Opcode: FSEL_xS
/* 5773 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 5781
/* 5777 */    MCD::OPC_Decode, 192, 7, 59, // Opcode: VBITSEL_V
/* 5781 */    MCD::OPC_FilterValue, 18, 4, 0, // Skip to: 5789
/* 5785 */    MCD::OPC_Decode, 139, 14, 60, // Opcode: XVBITSEL_V
/* 5789 */    MCD::OPC_FilterValue, 21, 4, 0, // Skip to: 5797
/* 5793 */    MCD::OPC_Decode, 244, 10, 59, // Opcode: VSHUF_B
/* 5797 */    MCD::OPC_FilterValue, 22, 212, 61, // Skip to: 21629
/* 5801 */    MCD::OPC_Decode, 186, 17, 60, // Opcode: XVSHUF_B
/* 5805 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 5817
/* 5809 */    MCD::OPC_CheckPredicate, 0, 200, 61, // Skip to: 21629
/* 5813 */    MCD::OPC_Decode, 161, 3, 66, // Opcode: ADDU16I_D
/* 5817 */    MCD::OPC_FilterValue, 5, 23, 0, // Skip to: 5844
/* 5821 */    MCD::OPC_ExtractField, 25, 1,  // Inst{25} ...
/* 5824 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 5832
/* 5828 */    MCD::OPC_Decode, 237, 5, 67, // Opcode: LU12I_W
/* 5832 */    MCD::OPC_FilterValue, 1, 177, 61, // Skip to: 21629
/* 5836 */    MCD::OPC_CheckPredicate, 0, 173, 61, // Skip to: 21629
/* 5840 */    MCD::OPC_Decode, 238, 5, 68, // Opcode: LU32I_D
/* 5844 */    MCD::OPC_FilterValue, 6, 19, 0, // Skip to: 5867
/* 5848 */    MCD::OPC_ExtractField, 25, 1,  // Inst{25} ...
/* 5851 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 5859
/* 5855 */    MCD::OPC_Decode, 146, 6, 67, // Opcode: PCADDI
/* 5859 */    MCD::OPC_FilterValue, 1, 150, 61, // Skip to: 21629
/* 5863 */    MCD::OPC_Decode, 149, 6, 67, // Opcode: PCALAU12I
/* 5867 */    MCD::OPC_FilterValue, 7, 23, 0, // Skip to: 5894
/* 5871 */    MCD::OPC_ExtractField, 25, 1,  // Inst{25} ...
/* 5874 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 5882
/* 5878 */    MCD::OPC_Decode, 147, 6, 67, // Opcode: PCADDU12I
/* 5882 */    MCD::OPC_FilterValue, 1, 127, 61, // Skip to: 21629
/* 5886 */    MCD::OPC_CheckPredicate, 0, 123, 61, // Skip to: 21629
/* 5890 */    MCD::OPC_Decode, 148, 6, 67, // Opcode: PCADDU18I
/* 5894 */    MCD::OPC_FilterValue, 8, 43, 0, // Skip to: 5941
/* 5898 */    MCD::OPC_ExtractField, 24, 2,  // Inst{25-24} ...
/* 5901 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 5909
/* 5905 */    MCD::OPC_Decode, 236, 5, 69, // Opcode: LL_W
/* 5909 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 5917
/* 5913 */    MCD::OPC_Decode, 185, 6, 70, // Opcode: SC_W
/* 5917 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 5929
/* 5921 */    MCD::OPC_CheckPredicate, 0, 88, 61, // Skip to: 21629
/* 5925 */    MCD::OPC_Decode, 235, 5, 69, // Opcode: LL_D
/* 5929 */    MCD::OPC_FilterValue, 3, 80, 61, // Skip to: 21629
/* 5933 */    MCD::OPC_CheckPredicate, 0, 76, 61, // Skip to: 21629
/* 5937 */    MCD::OPC_Decode, 183, 6, 70, // Opcode: SC_D
/* 5941 */    MCD::OPC_FilterValue, 9, 51, 0, // Skip to: 5996
/* 5945 */    MCD::OPC_ExtractField, 24, 2,  // Inst{25-24} ...
/* 5948 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 5960
/* 5952 */    MCD::OPC_CheckPredicate, 0, 57, 61, // Skip to: 21629
/* 5956 */    MCD::OPC_Decode, 216, 5, 69, // Opcode: LDPTR_W
/* 5960 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 5972
/* 5964 */    MCD::OPC_CheckPredicate, 0, 45, 61, // Skip to: 21629
/* 5968 */    MCD::OPC_Decode, 219, 6, 69, // Opcode: STPTR_W
/* 5972 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 5984
/* 5976 */    MCD::OPC_CheckPredicate, 0, 33, 61, // Skip to: 21629
/* 5980 */    MCD::OPC_Decode, 215, 5, 69, // Opcode: LDPTR_D
/* 5984 */    MCD::OPC_FilterValue, 3, 25, 61, // Skip to: 21629
/* 5988 */    MCD::OPC_CheckPredicate, 0, 21, 61, // Skip to: 21629
/* 5992 */    MCD::OPC_Decode, 218, 6, 69, // Opcode: STPTR_D
/* 5996 */    MCD::OPC_FilterValue, 10, 143, 0, // Skip to: 6143
/* 6000 */    MCD::OPC_ExtractField, 22, 4,  // Inst{25-22} ...
/* 6003 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6011
/* 6007 */    MCD::OPC_Decode, 226, 5, 48, // Opcode: LD_B
/* 6011 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 6019
/* 6015 */    MCD::OPC_Decode, 229, 5, 48, // Opcode: LD_H
/* 6019 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 6027
/* 6023 */    MCD::OPC_Decode, 231, 5, 48, // Opcode: LD_W
/* 6027 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 6039
/* 6031 */    MCD::OPC_CheckPredicate, 0, 234, 60, // Skip to: 21629
/* 6035 */    MCD::OPC_Decode, 228, 5, 48, // Opcode: LD_D
/* 6039 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 6047
/* 6043 */    MCD::OPC_Decode, 226, 6, 48, // Opcode: ST_B
/* 6047 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 6055
/* 6051 */    MCD::OPC_Decode, 228, 6, 48, // Opcode: ST_H
/* 6055 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 6063
/* 6059 */    MCD::OPC_Decode, 229, 6, 48, // Opcode: ST_W
/* 6063 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 6075
/* 6067 */    MCD::OPC_CheckPredicate, 0, 198, 60, // Skip to: 21629
/* 6071 */    MCD::OPC_Decode, 227, 6, 48, // Opcode: ST_D
/* 6075 */    MCD::OPC_FilterValue, 8, 4, 0, // Skip to: 6083
/* 6079 */    MCD::OPC_Decode, 227, 5, 48, // Opcode: LD_BU
/* 6083 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 6091
/* 6087 */    MCD::OPC_Decode, 230, 5, 48, // Opcode: LD_HU
/* 6091 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 6103
/* 6095 */    MCD::OPC_CheckPredicate, 0, 170, 60, // Skip to: 21629
/* 6099 */    MCD::OPC_Decode, 232, 5, 48, // Opcode: LD_WU
/* 6103 */    MCD::OPC_FilterValue, 11, 4, 0, // Skip to: 6111
/* 6107 */    MCD::OPC_Decode, 150, 6, 53, // Opcode: PRELD
/* 6111 */    MCD::OPC_FilterValue, 12, 4, 0, // Skip to: 6119
/* 6115 */    MCD::OPC_Decode, 241, 4, 71, // Opcode: FLD_S
/* 6119 */    MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 6127
/* 6123 */    MCD::OPC_Decode, 161, 5, 71, // Opcode: FST_S
/* 6127 */    MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 6135
/* 6131 */    MCD::OPC_Decode, 240, 4, 72, // Opcode: FLD_D
/* 6135 */    MCD::OPC_FilterValue, 15, 130, 60, // Skip to: 21629
/* 6139 */    MCD::OPC_Decode, 160, 5, 72, // Opcode: FST_D
/* 6143 */    MCD::OPC_FilterValue, 11, 115, 0, // Skip to: 6262
/* 6147 */    MCD::OPC_ExtractField, 22, 4,  // Inst{25-22} ...
/* 6150 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6158
/* 6154 */    MCD::OPC_Decode, 155, 9, 73, // Opcode: VLD
/* 6158 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 6166
/* 6162 */    MCD::OPC_Decode, 166, 12, 73, // Opcode: VST
/* 6166 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 6174
/* 6170 */    MCD::OPC_Decode, 219, 15, 74, // Opcode: XVLD
/* 6174 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 6182
/* 6178 */    MCD::OPC_Decode, 236, 18, 74, // Opcode: XVST
/* 6182 */    MCD::OPC_FilterValue, 8, 4, 0, // Skip to: 6190
/* 6186 */    MCD::OPC_Decode, 213, 5, 48, // Opcode: LDL_W
/* 6190 */    MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 6198
/* 6194 */    MCD::OPC_Decode, 218, 5, 48, // Opcode: LDR_W
/* 6198 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 6210
/* 6202 */    MCD::OPC_CheckPredicate, 0, 63, 60, // Skip to: 21629
/* 6206 */    MCD::OPC_Decode, 212, 5, 48, // Opcode: LDL_D
/* 6210 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 6222
/* 6214 */    MCD::OPC_CheckPredicate, 0, 51, 60, // Skip to: 21629
/* 6218 */    MCD::OPC_Decode, 217, 5, 48, // Opcode: LDR_D
/* 6222 */    MCD::OPC_FilterValue, 12, 4, 0, // Skip to: 6230
/* 6226 */    MCD::OPC_Decode, 217, 6, 48, // Opcode: STL_W
/* 6230 */    MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 6238
/* 6234 */    MCD::OPC_Decode, 221, 6, 48, // Opcode: STR_W
/* 6238 */    MCD::OPC_FilterValue, 14, 8, 0, // Skip to: 6250
/* 6242 */    MCD::OPC_CheckPredicate, 0, 23, 60, // Skip to: 21629
/* 6246 */    MCD::OPC_Decode, 216, 6, 48, // Opcode: STL_D
/* 6250 */    MCD::OPC_FilterValue, 15, 15, 60, // Skip to: 21629
/* 6254 */    MCD::OPC_CheckPredicate, 0, 11, 60, // Skip to: 21629
/* 6258 */    MCD::OPC_Decode, 220, 6, 48, // Opcode: STR_D
/* 6262 */    MCD::OPC_FilterValue, 12, 226, 0, // Skip to: 6492
/* 6266 */    MCD::OPC_ExtractField, 23, 3,  // Inst{25-23} ...
/* 6269 */    MCD::OPC_FilterValue, 0, 39, 0, // Skip to: 6312
/* 6273 */    MCD::OPC_ExtractField, 21, 2,  // Inst{22-21} ...
/* 6276 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 6290
/* 6280 */    MCD::OPC_CheckField, 19, 2, 2, 239, 59, // Skip to: 21629
/* 6286 */    MCD::OPC_Decode, 158, 9, 75, // Opcode: VLDREPL_D
/* 6290 */    MCD::OPC_FilterValue, 1, 10, 0, // Skip to: 6304
/* 6294 */    MCD::OPC_CheckField, 20, 1, 0, 225, 59, // Skip to: 21629
/* 6300 */    MCD::OPC_Decode, 160, 9, 76, // Opcode: VLDREPL_W
/* 6304 */    MCD::OPC_FilterValue, 2, 217, 59, // Skip to: 21629
/* 6308 */    MCD::OPC_Decode, 159, 9, 77, // Opcode: VLDREPL_H
/* 6312 */    MCD::OPC_FilterValue, 1, 10, 0, // Skip to: 6326
/* 6316 */    MCD::OPC_CheckField, 22, 1, 0, 203, 59, // Skip to: 21629
/* 6322 */    MCD::OPC_Decode, 157, 9, 73, // Opcode: VLDREPL_B
/* 6326 */    MCD::OPC_FilterValue, 2, 39, 0, // Skip to: 6369
/* 6330 */    MCD::OPC_ExtractField, 21, 2,  // Inst{22-21} ...
/* 6333 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 6347
/* 6337 */    MCD::OPC_CheckField, 19, 2, 2, 182, 59, // Skip to: 21629
/* 6343 */    MCD::OPC_Decode, 168, 12, 78, // Opcode: VSTELM_D
/* 6347 */    MCD::OPC_FilterValue, 1, 10, 0, // Skip to: 6361
/* 6351 */    MCD::OPC_CheckField, 20, 1, 0, 168, 59, // Skip to: 21629
/* 6357 */    MCD::OPC_Decode, 170, 12, 79, // Opcode: VSTELM_W
/* 6361 */    MCD::OPC_FilterValue, 2, 160, 59, // Skip to: 21629
/* 6365 */    MCD::OPC_Decode, 169, 12, 80, // Opcode: VSTELM_H
/* 6369 */    MCD::OPC_FilterValue, 3, 10, 0, // Skip to: 6383
/* 6373 */    MCD::OPC_CheckField, 22, 1, 0, 146, 59, // Skip to: 21629
/* 6379 */    MCD::OPC_Decode, 167, 12, 81, // Opcode: VSTELM_B
/* 6383 */    MCD::OPC_FilterValue, 4, 39, 0, // Skip to: 6426
/* 6387 */    MCD::OPC_ExtractField, 21, 2,  // Inst{22-21} ...
/* 6390 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 6404
/* 6394 */    MCD::OPC_CheckField, 19, 2, 2, 125, 59, // Skip to: 21629
/* 6400 */    MCD::OPC_Decode, 222, 15, 82, // Opcode: XVLDREPL_D
/* 6404 */    MCD::OPC_FilterValue, 1, 10, 0, // Skip to: 6418
/* 6408 */    MCD::OPC_CheckField, 20, 1, 0, 111, 59, // Skip to: 21629
/* 6414 */    MCD::OPC_Decode, 224, 15, 83, // Opcode: XVLDREPL_W
/* 6418 */    MCD::OPC_FilterValue, 2, 103, 59, // Skip to: 21629
/* 6422 */    MCD::OPC_Decode, 223, 15, 84, // Opcode: XVLDREPL_H
/* 6426 */    MCD::OPC_FilterValue, 5, 10, 0, // Skip to: 6440
/* 6430 */    MCD::OPC_CheckField, 22, 1, 0, 89, 59, // Skip to: 21629
/* 6436 */    MCD::OPC_Decode, 221, 15, 74, // Opcode: XVLDREPL_B
/* 6440 */    MCD::OPC_FilterValue, 6, 40, 0, // Skip to: 6484
/* 6444 */    MCD::OPC_ExtractField, 22, 1,  // Inst{22} ...
/* 6447 */    MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 6476
/* 6451 */    MCD::OPC_ExtractField, 21, 1,  // Inst{21} ...
/* 6454 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 6468
/* 6458 */    MCD::OPC_CheckField, 20, 1, 1, 61, 59, // Skip to: 21629
/* 6464 */    MCD::OPC_Decode, 238, 18, 85, // Opcode: XVSTELM_D
/* 6468 */    MCD::OPC_FilterValue, 1, 53, 59, // Skip to: 21629
/* 6472 */    MCD::OPC_Decode, 240, 18, 86, // Opcode: XVSTELM_W
/* 6476 */    MCD::OPC_FilterValue, 1, 45, 59, // Skip to: 21629
/* 6480 */    MCD::OPC_Decode, 239, 18, 87, // Opcode: XVSTELM_H
/* 6484 */    MCD::OPC_FilterValue, 7, 37, 59, // Skip to: 21629
/* 6488 */    MCD::OPC_Decode, 237, 18, 88, // Opcode: XVSTELM_B
/* 6492 */    MCD::OPC_FilterValue, 14, 234, 4, // Skip to: 7754
/* 6496 */    MCD::OPC_ExtractField, 15, 11,  // Inst{25-15} ...
/* 6499 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 6511
/* 6503 */    MCD::OPC_CheckPredicate, 0, 18, 59, // Skip to: 21629
/* 6507 */    MCD::OPC_Decode, 219, 5, 11, // Opcode: LDX_B
/* 6511 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 6523
/* 6515 */    MCD::OPC_CheckPredicate, 0, 6, 59, // Skip to: 21629
/* 6519 */    MCD::OPC_Decode, 222, 5, 11, // Opcode: LDX_H
/* 6523 */    MCD::OPC_FilterValue, 16, 8, 0, // Skip to: 6535
/* 6527 */    MCD::OPC_CheckPredicate, 0, 250, 58, // Skip to: 21629
/* 6531 */    MCD::OPC_Decode, 224, 5, 11, // Opcode: LDX_W
/* 6535 */    MCD::OPC_FilterValue, 24, 8, 0, // Skip to: 6547
/* 6539 */    MCD::OPC_CheckPredicate, 0, 238, 58, // Skip to: 21629
/* 6543 */    MCD::OPC_Decode, 221, 5, 11, // Opcode: LDX_D
/* 6547 */    MCD::OPC_FilterValue, 32, 8, 0, // Skip to: 6559
/* 6551 */    MCD::OPC_CheckPredicate, 0, 226, 58, // Skip to: 21629
/* 6555 */    MCD::OPC_Decode, 222, 6, 11, // Opcode: STX_B
/* 6559 */    MCD::OPC_FilterValue, 40, 8, 0, // Skip to: 6571
/* 6563 */    MCD::OPC_CheckPredicate, 0, 214, 58, // Skip to: 21629
/* 6567 */    MCD::OPC_Decode, 224, 6, 11, // Opcode: STX_H
/* 6571 */    MCD::OPC_FilterValue, 48, 8, 0, // Skip to: 6583
/* 6575 */    MCD::OPC_CheckPredicate, 0, 202, 58, // Skip to: 21629
/* 6579 */    MCD::OPC_Decode, 225, 6, 11, // Opcode: STX_W
/* 6583 */    MCD::OPC_FilterValue, 56, 8, 0, // Skip to: 6595
/* 6587 */    MCD::OPC_CheckPredicate, 0, 190, 58, // Skip to: 21629
/* 6591 */    MCD::OPC_Decode, 223, 6, 11, // Opcode: STX_D
/* 6595 */    MCD::OPC_FilterValue, 64, 8, 0, // Skip to: 6607
/* 6599 */    MCD::OPC_CheckPredicate, 0, 178, 58, // Skip to: 21629
/* 6603 */    MCD::OPC_Decode, 220, 5, 11, // Opcode: LDX_BU
/* 6607 */    MCD::OPC_FilterValue, 72, 8, 0, // Skip to: 6619
/* 6611 */    MCD::OPC_CheckPredicate, 0, 166, 58, // Skip to: 21629
/* 6615 */    MCD::OPC_Decode, 223, 5, 11, // Opcode: LDX_HU
/* 6619 */    MCD::OPC_FilterValue, 80, 8, 0, // Skip to: 6631
/* 6623 */    MCD::OPC_CheckPredicate, 0, 154, 58, // Skip to: 21629
/* 6627 */    MCD::OPC_Decode, 225, 5, 11, // Opcode: LDX_WU
/* 6631 */    MCD::OPC_FilterValue, 88, 8, 0, // Skip to: 6643
/* 6635 */    MCD::OPC_CheckPredicate, 0, 142, 58, // Skip to: 21629
/* 6639 */    MCD::OPC_Decode, 151, 6, 89, // Opcode: PRELDX
/* 6643 */    MCD::OPC_FilterValue, 96, 4, 0, // Skip to: 6651
/* 6647 */    MCD::OPC_Decode, 239, 4, 90, // Opcode: FLDX_S
/* 6651 */    MCD::OPC_FilterValue, 104, 4, 0, // Skip to: 6659
/* 6655 */    MCD::OPC_Decode, 238, 4, 91, // Opcode: FLDX_D
/* 6659 */    MCD::OPC_FilterValue, 112, 4, 0, // Skip to: 6667
/* 6663 */    MCD::OPC_Decode, 159, 5, 90, // Opcode: FSTX_S
/* 6667 */    MCD::OPC_FilterValue, 120, 4, 0, // Skip to: 6675
/* 6671 */    MCD::OPC_Decode, 158, 5, 91, // Opcode: FSTX_D
/* 6675 */    MCD::OPC_FilterValue, 128, 1, 4, 0, // Skip to: 6684
/* 6680 */    MCD::OPC_Decode, 161, 9, 92, // Opcode: VLDX
/* 6684 */    MCD::OPC_FilterValue, 136, 1, 4, 0, // Skip to: 6693
/* 6689 */    MCD::OPC_Decode, 171, 12, 92, // Opcode: VSTX
/* 6693 */    MCD::OPC_FilterValue, 144, 1, 4, 0, // Skip to: 6702
/* 6698 */    MCD::OPC_Decode, 225, 15, 93, // Opcode: XVLDX
/* 6702 */    MCD::OPC_FilterValue, 152, 1, 4, 0, // Skip to: 6711
/* 6707 */    MCD::OPC_Decode, 241, 18, 93, // Opcode: XVSTX
/* 6711 */    MCD::OPC_FilterValue, 174, 1, 8, 0, // Skip to: 6724
/* 6716 */    MCD::OPC_CheckPredicate, 0, 61, 58, // Skip to: 21629
/* 6720 */    MCD::OPC_Decode, 184, 6, 94, // Opcode: SC_Q
/* 6724 */    MCD::OPC_FilterValue, 175, 1, 51, 0, // Skip to: 6780
/* 6729 */    MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 6732 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 6744
/* 6736 */    MCD::OPC_CheckPredicate, 0, 41, 58, // Skip to: 21629
/* 6740 */    MCD::OPC_Decode, 234, 5, 2, // Opcode: LLACQ_W
/* 6744 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 6756
/* 6748 */    MCD::OPC_CheckPredicate, 0, 29, 58, // Skip to: 21629
/* 6752 */    MCD::OPC_Decode, 182, 6, 95, // Opcode: SCREL_W
/* 6756 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 6768
/* 6760 */    MCD::OPC_CheckPredicate, 0, 17, 58, // Skip to: 21629
/* 6764 */    MCD::OPC_Decode, 233, 5, 2, // Opcode: LLACQ_D
/* 6768 */    MCD::OPC_FilterValue, 3, 9, 58, // Skip to: 21629
/* 6772 */    MCD::OPC_CheckPredicate, 0, 5, 58, // Skip to: 21629
/* 6776 */    MCD::OPC_Decode, 181, 6, 95, // Opcode: SCREL_D
/* 6780 */    MCD::OPC_FilterValue, 176, 1, 8, 0, // Skip to: 6793
/* 6785 */    MCD::OPC_CheckPredicate, 0, 248, 57, // Skip to: 21629
/* 6789 */    MCD::OPC_Decode, 179, 3, 94, // Opcode: AMCAS_B
/* 6793 */    MCD::OPC_FilterValue, 177, 1, 8, 0, // Skip to: 6806
/* 6798 */    MCD::OPC_CheckPredicate, 0, 235, 57, // Skip to: 21629
/* 6802 */    MCD::OPC_Decode, 181, 3, 94, // Opcode: AMCAS_H
/* 6806 */    MCD::OPC_FilterValue, 178, 1, 8, 0, // Skip to: 6819
/* 6811 */    MCD::OPC_CheckPredicate, 0, 222, 57, // Skip to: 21629
/* 6815 */    MCD::OPC_Decode, 182, 3, 94, // Opcode: AMCAS_W
/* 6819 */    MCD::OPC_FilterValue, 179, 1, 8, 0, // Skip to: 6832
/* 6824 */    MCD::OPC_CheckPredicate, 0, 209, 57, // Skip to: 21629
/* 6828 */    MCD::OPC_Decode, 180, 3, 94, // Opcode: AMCAS_D
/* 6832 */    MCD::OPC_FilterValue, 180, 1, 8, 0, // Skip to: 6845
/* 6837 */    MCD::OPC_CheckPredicate, 0, 196, 57, // Skip to: 21629
/* 6841 */    MCD::OPC_Decode, 183, 3, 94, // Opcode: AMCAS__DB_B
/* 6845 */    MCD::OPC_FilterValue, 181, 1, 8, 0, // Skip to: 6858
/* 6850 */    MCD::OPC_CheckPredicate, 0, 183, 57, // Skip to: 21629
/* 6854 */    MCD::OPC_Decode, 185, 3, 94, // Opcode: AMCAS__DB_H
/* 6858 */    MCD::OPC_FilterValue, 182, 1, 8, 0, // Skip to: 6871
/* 6863 */    MCD::OPC_CheckPredicate, 0, 170, 57, // Skip to: 21629
/* 6867 */    MCD::OPC_Decode, 186, 3, 94, // Opcode: AMCAS__DB_W
/* 6871 */    MCD::OPC_FilterValue, 183, 1, 8, 0, // Skip to: 6884
/* 6876 */    MCD::OPC_CheckPredicate, 0, 157, 57, // Skip to: 21629
/* 6880 */    MCD::OPC_Decode, 184, 3, 94, // Opcode: AMCAS__DB_D
/* 6884 */    MCD::OPC_FilterValue, 184, 1, 8, 0, // Skip to: 6897
/* 6889 */    MCD::OPC_CheckPredicate, 0, 144, 57, // Skip to: 21629
/* 6893 */    MCD::OPC_Decode, 207, 3, 96, // Opcode: AMSWAP_B
/* 6897 */    MCD::OPC_FilterValue, 185, 1, 8, 0, // Skip to: 6910
/* 6902 */    MCD::OPC_CheckPredicate, 0, 131, 57, // Skip to: 21629
/* 6906 */    MCD::OPC_Decode, 209, 3, 96, // Opcode: AMSWAP_H
/* 6910 */    MCD::OPC_FilterValue, 186, 1, 8, 0, // Skip to: 6923
/* 6915 */    MCD::OPC_CheckPredicate, 0, 118, 57, // Skip to: 21629
/* 6919 */    MCD::OPC_Decode, 167, 3, 96, // Opcode: AMADD_B
/* 6923 */    MCD::OPC_FilterValue, 187, 1, 8, 0, // Skip to: 6936
/* 6928 */    MCD::OPC_CheckPredicate, 0, 105, 57, // Skip to: 21629
/* 6932 */    MCD::OPC_Decode, 169, 3, 96, // Opcode: AMADD_H
/* 6936 */    MCD::OPC_FilterValue, 188, 1, 8, 0, // Skip to: 6949
/* 6941 */    MCD::OPC_CheckPredicate, 0, 92, 57, // Skip to: 21629
/* 6945 */    MCD::OPC_Decode, 211, 3, 96, // Opcode: AMSWAP__DB_B
/* 6949 */    MCD::OPC_FilterValue, 189, 1, 8, 0, // Skip to: 6962
/* 6954 */    MCD::OPC_CheckPredicate, 0, 79, 57, // Skip to: 21629
/* 6958 */    MCD::OPC_Decode, 213, 3, 96, // Opcode: AMSWAP__DB_H
/* 6962 */    MCD::OPC_FilterValue, 190, 1, 8, 0, // Skip to: 6975
/* 6967 */    MCD::OPC_CheckPredicate, 0, 66, 57, // Skip to: 21629
/* 6971 */    MCD::OPC_Decode, 171, 3, 96, // Opcode: AMADD__DB_B
/* 6975 */    MCD::OPC_FilterValue, 191, 1, 8, 0, // Skip to: 6988
/* 6980 */    MCD::OPC_CheckPredicate, 0, 53, 57, // Skip to: 21629
/* 6984 */    MCD::OPC_Decode, 173, 3, 96, // Opcode: AMADD__DB_H
/* 6988 */    MCD::OPC_FilterValue, 192, 1, 8, 0, // Skip to: 7001
/* 6993 */    MCD::OPC_CheckPredicate, 0, 40, 57, // Skip to: 21629
/* 6997 */    MCD::OPC_Decode, 210, 3, 96, // Opcode: AMSWAP_W
/* 7001 */    MCD::OPC_FilterValue, 193, 1, 8, 0, // Skip to: 7014
/* 7006 */    MCD::OPC_CheckPredicate, 0, 27, 57, // Skip to: 21629
/* 7010 */    MCD::OPC_Decode, 208, 3, 96, // Opcode: AMSWAP_D
/* 7014 */    MCD::OPC_FilterValue, 194, 1, 8, 0, // Skip to: 7027
/* 7019 */    MCD::OPC_CheckPredicate, 0, 14, 57, // Skip to: 21629
/* 7023 */    MCD::OPC_Decode, 170, 3, 96, // Opcode: AMADD_W
/* 7027 */    MCD::OPC_FilterValue, 195, 1, 8, 0, // Skip to: 7040
/* 7032 */    MCD::OPC_CheckPredicate, 0, 1, 57, // Skip to: 21629
/* 7036 */    MCD::OPC_Decode, 168, 3, 96, // Opcode: AMADD_D
/* 7040 */    MCD::OPC_FilterValue, 196, 1, 8, 0, // Skip to: 7053
/* 7045 */    MCD::OPC_CheckPredicate, 0, 244, 56, // Skip to: 21629
/* 7049 */    MCD::OPC_Decode, 176, 3, 96, // Opcode: AMAND_W
/* 7053 */    MCD::OPC_FilterValue, 197, 1, 8, 0, // Skip to: 7066
/* 7058 */    MCD::OPC_CheckPredicate, 0, 231, 56, // Skip to: 21629
/* 7062 */    MCD::OPC_Decode, 175, 3, 96, // Opcode: AMAND_D
/* 7066 */    MCD::OPC_FilterValue, 198, 1, 8, 0, // Skip to: 7079
/* 7071 */    MCD::OPC_CheckPredicate, 0, 218, 56, // Skip to: 21629
/* 7075 */    MCD::OPC_Decode, 204, 3, 96, // Opcode: AMOR_W
/* 7079 */    MCD::OPC_FilterValue, 199, 1, 8, 0, // Skip to: 7092
/* 7084 */    MCD::OPC_CheckPredicate, 0, 205, 56, // Skip to: 21629
/* 7088 */    MCD::OPC_Decode, 203, 3, 96, // Opcode: AMOR_D
/* 7092 */    MCD::OPC_FilterValue, 200, 1, 8, 0, // Skip to: 7105
/* 7097 */    MCD::OPC_CheckPredicate, 0, 192, 56, // Skip to: 21629
/* 7101 */    MCD::OPC_Decode, 216, 3, 96, // Opcode: AMXOR_W
/* 7105 */    MCD::OPC_FilterValue, 201, 1, 8, 0, // Skip to: 7118
/* 7110 */    MCD::OPC_CheckPredicate, 0, 179, 56, // Skip to: 21629
/* 7114 */    MCD::OPC_Decode, 215, 3, 96, // Opcode: AMXOR_D
/* 7118 */    MCD::OPC_FilterValue, 202, 1, 8, 0, // Skip to: 7131
/* 7123 */    MCD::OPC_CheckPredicate, 0, 166, 56, // Skip to: 21629
/* 7127 */    MCD::OPC_Decode, 189, 3, 96, // Opcode: AMMAX_W
/* 7131 */    MCD::OPC_FilterValue, 203, 1, 8, 0, // Skip to: 7144
/* 7136 */    MCD::OPC_CheckPredicate, 0, 153, 56, // Skip to: 21629
/* 7140 */    MCD::OPC_Decode, 187, 3, 96, // Opcode: AMMAX_D
/* 7144 */    MCD::OPC_FilterValue, 204, 1, 8, 0, // Skip to: 7157
/* 7149 */    MCD::OPC_CheckPredicate, 0, 140, 56, // Skip to: 21629
/* 7153 */    MCD::OPC_Decode, 197, 3, 96, // Opcode: AMMIN_W
/* 7157 */    MCD::OPC_FilterValue, 205, 1, 8, 0, // Skip to: 7170
/* 7162 */    MCD::OPC_CheckPredicate, 0, 127, 56, // Skip to: 21629
/* 7166 */    MCD::OPC_Decode, 195, 3, 96, // Opcode: AMMIN_D
/* 7170 */    MCD::OPC_FilterValue, 206, 1, 8, 0, // Skip to: 7183
/* 7175 */    MCD::OPC_CheckPredicate, 0, 114, 56, // Skip to: 21629
/* 7179 */    MCD::OPC_Decode, 190, 3, 96, // Opcode: AMMAX_WU
/* 7183 */    MCD::OPC_FilterValue, 207, 1, 8, 0, // Skip to: 7196
/* 7188 */    MCD::OPC_CheckPredicate, 0, 101, 56, // Skip to: 21629
/* 7192 */    MCD::OPC_Decode, 188, 3, 96, // Opcode: AMMAX_DU
/* 7196 */    MCD::OPC_FilterValue, 208, 1, 8, 0, // Skip to: 7209
/* 7201 */    MCD::OPC_CheckPredicate, 0, 88, 56, // Skip to: 21629
/* 7205 */    MCD::OPC_Decode, 198, 3, 96, // Opcode: AMMIN_WU
/* 7209 */    MCD::OPC_FilterValue, 209, 1, 8, 0, // Skip to: 7222
/* 7214 */    MCD::OPC_CheckPredicate, 0, 75, 56, // Skip to: 21629
/* 7218 */    MCD::OPC_Decode, 196, 3, 96, // Opcode: AMMIN_DU
/* 7222 */    MCD::OPC_FilterValue, 210, 1, 8, 0, // Skip to: 7235
/* 7227 */    MCD::OPC_CheckPredicate, 0, 62, 56, // Skip to: 21629
/* 7231 */    MCD::OPC_Decode, 214, 3, 96, // Opcode: AMSWAP__DB_W
/* 7235 */    MCD::OPC_FilterValue, 211, 1, 8, 0, // Skip to: 7248
/* 7240 */    MCD::OPC_CheckPredicate, 0, 49, 56, // Skip to: 21629
/* 7244 */    MCD::OPC_Decode, 212, 3, 96, // Opcode: AMSWAP__DB_D
/* 7248 */    MCD::OPC_FilterValue, 212, 1, 8, 0, // Skip to: 7261
/* 7253 */    MCD::OPC_CheckPredicate, 0, 36, 56, // Skip to: 21629
/* 7257 */    MCD::OPC_Decode, 174, 3, 96, // Opcode: AMADD__DB_W
/* 7261 */    MCD::OPC_FilterValue, 213, 1, 8, 0, // Skip to: 7274
/* 7266 */    MCD::OPC_CheckPredicate, 0, 23, 56, // Skip to: 21629
/* 7270 */    MCD::OPC_Decode, 172, 3, 96, // Opcode: AMADD__DB_D
/* 7274 */    MCD::OPC_FilterValue, 214, 1, 8, 0, // Skip to: 7287
/* 7279 */    MCD::OPC_CheckPredicate, 0, 10, 56, // Skip to: 21629
/* 7283 */    MCD::OPC_Decode, 178, 3, 96, // Opcode: AMAND__DB_W
/* 7287 */    MCD::OPC_FilterValue, 215, 1, 8, 0, // Skip to: 7300
/* 7292 */    MCD::OPC_CheckPredicate, 0, 253, 55, // Skip to: 21629
/* 7296 */    MCD::OPC_Decode, 177, 3, 96, // Opcode: AMAND__DB_D
/* 7300 */    MCD::OPC_FilterValue, 216, 1, 8, 0, // Skip to: 7313
/* 7305 */    MCD::OPC_CheckPredicate, 0, 240, 55, // Skip to: 21629
/* 7309 */    MCD::OPC_Decode, 206, 3, 96, // Opcode: AMOR__DB_W
/* 7313 */    MCD::OPC_FilterValue, 217, 1, 8, 0, // Skip to: 7326
/* 7318 */    MCD::OPC_CheckPredicate, 0, 227, 55, // Skip to: 21629
/* 7322 */    MCD::OPC_Decode, 205, 3, 96, // Opcode: AMOR__DB_D
/* 7326 */    MCD::OPC_FilterValue, 218, 1, 8, 0, // Skip to: 7339
/* 7331 */    MCD::OPC_CheckPredicate, 0, 214, 55, // Skip to: 21629
/* 7335 */    MCD::OPC_Decode, 218, 3, 96, // Opcode: AMXOR__DB_W
/* 7339 */    MCD::OPC_FilterValue, 219, 1, 8, 0, // Skip to: 7352
/* 7344 */    MCD::OPC_CheckPredicate, 0, 201, 55, // Skip to: 21629
/* 7348 */    MCD::OPC_Decode, 217, 3, 96, // Opcode: AMXOR__DB_D
/* 7352 */    MCD::OPC_FilterValue, 220, 1, 8, 0, // Skip to: 7365
/* 7357 */    MCD::OPC_CheckPredicate, 0, 188, 55, // Skip to: 21629
/* 7361 */    MCD::OPC_Decode, 193, 3, 96, // Opcode: AMMAX__DB_W
/* 7365 */    MCD::OPC_FilterValue, 221, 1, 8, 0, // Skip to: 7378
/* 7370 */    MCD::OPC_CheckPredicate, 0, 175, 55, // Skip to: 21629
/* 7374 */    MCD::OPC_Decode, 191, 3, 96, // Opcode: AMMAX__DB_D
/* 7378 */    MCD::OPC_FilterValue, 222, 1, 8, 0, // Skip to: 7391
/* 7383 */    MCD::OPC_CheckPredicate, 0, 162, 55, // Skip to: 21629
/* 7387 */    MCD::OPC_Decode, 201, 3, 96, // Opcode: AMMIN__DB_W
/* 7391 */    MCD::OPC_FilterValue, 223, 1, 8, 0, // Skip to: 7404
/* 7396 */    MCD::OPC_CheckPredicate, 0, 149, 55, // Skip to: 21629
/* 7400 */    MCD::OPC_Decode, 199, 3, 96, // Opcode: AMMIN__DB_D
/* 7404 */    MCD::OPC_FilterValue, 224, 1, 8, 0, // Skip to: 7417
/* 7409 */    MCD::OPC_CheckPredicate, 0, 136, 55, // Skip to: 21629
/* 7413 */    MCD::OPC_Decode, 194, 3, 96, // Opcode: AMMAX__DB_WU
/* 7417 */    MCD::OPC_FilterValue, 225, 1, 8, 0, // Skip to: 7430
/* 7422 */    MCD::OPC_CheckPredicate, 0, 123, 55, // Skip to: 21629
/* 7426 */    MCD::OPC_Decode, 192, 3, 96, // Opcode: AMMAX__DB_DU
/* 7430 */    MCD::OPC_FilterValue, 226, 1, 8, 0, // Skip to: 7443
/* 7435 */    MCD::OPC_CheckPredicate, 0, 110, 55, // Skip to: 21629
/* 7439 */    MCD::OPC_Decode, 202, 3, 96, // Opcode: AMMIN__DB_WU
/* 7443 */    MCD::OPC_FilterValue, 227, 1, 8, 0, // Skip to: 7456
/* 7448 */    MCD::OPC_CheckPredicate, 0, 97, 55, // Skip to: 21629
/* 7452 */    MCD::OPC_Decode, 200, 3, 96, // Opcode: AMMIN__DB_DU
/* 7456 */    MCD::OPC_FilterValue, 228, 1, 4, 0, // Skip to: 7465
/* 7461 */    MCD::OPC_Decode, 162, 4, 13, // Opcode: DBAR
/* 7465 */    MCD::OPC_FilterValue, 229, 1, 4, 0, // Skip to: 7474
/* 7470 */    MCD::OPC_Decode, 189, 5, 13, // Opcode: IBAR
/* 7474 */    MCD::OPC_FilterValue, 232, 1, 4, 0, // Skip to: 7483
/* 7479 */    MCD::OPC_Decode, 235, 4, 90, // Opcode: FLDGT_S
/* 7483 */    MCD::OPC_FilterValue, 233, 1, 4, 0, // Skip to: 7492
/* 7488 */    MCD::OPC_Decode, 234, 4, 91, // Opcode: FLDGT_D
/* 7492 */    MCD::OPC_FilterValue, 234, 1, 4, 0, // Skip to: 7501
/* 7497 */    MCD::OPC_Decode, 237, 4, 90, // Opcode: FLDLE_S
/* 7501 */    MCD::OPC_FilterValue, 235, 1, 4, 0, // Skip to: 7510
/* 7506 */    MCD::OPC_Decode, 236, 4, 91, // Opcode: FLDLE_D
/* 7510 */    MCD::OPC_FilterValue, 236, 1, 4, 0, // Skip to: 7519
/* 7515 */    MCD::OPC_Decode, 155, 5, 90, // Opcode: FSTGT_S
/* 7519 */    MCD::OPC_FilterValue, 237, 1, 4, 0, // Skip to: 7528
/* 7524 */    MCD::OPC_Decode, 154, 5, 91, // Opcode: FSTGT_D
/* 7528 */    MCD::OPC_FilterValue, 238, 1, 4, 0, // Skip to: 7537
/* 7533 */    MCD::OPC_Decode, 157, 5, 90, // Opcode: FSTLE_S
/* 7537 */    MCD::OPC_FilterValue, 239, 1, 4, 0, // Skip to: 7546
/* 7542 */    MCD::OPC_Decode, 156, 5, 91, // Opcode: FSTLE_D
/* 7546 */    MCD::OPC_FilterValue, 240, 1, 8, 0, // Skip to: 7559
/* 7551 */    MCD::OPC_CheckPredicate, 0, 250, 54, // Skip to: 21629
/* 7555 */    MCD::OPC_Decode, 204, 5, 11, // Opcode: LDGT_B
/* 7559 */    MCD::OPC_FilterValue, 241, 1, 8, 0, // Skip to: 7572
/* 7564 */    MCD::OPC_CheckPredicate, 0, 237, 54, // Skip to: 21629
/* 7568 */    MCD::OPC_Decode, 206, 5, 11, // Opcode: LDGT_H
/* 7572 */    MCD::OPC_FilterValue, 242, 1, 8, 0, // Skip to: 7585
/* 7577 */    MCD::OPC_CheckPredicate, 0, 224, 54, // Skip to: 21629
/* 7581 */    MCD::OPC_Decode, 207, 5, 11, // Opcode: LDGT_W
/* 7585 */    MCD::OPC_FilterValue, 243, 1, 8, 0, // Skip to: 7598
/* 7590 */    MCD::OPC_CheckPredicate, 0, 211, 54, // Skip to: 21629
/* 7594 */    MCD::OPC_Decode, 205, 5, 11, // Opcode: LDGT_D
/* 7598 */    MCD::OPC_FilterValue, 244, 1, 8, 0, // Skip to: 7611
/* 7603 */    MCD::OPC_CheckPredicate, 0, 198, 54, // Skip to: 21629
/* 7607 */    MCD::OPC_Decode, 208, 5, 11, // Opcode: LDLE_B
/* 7611 */    MCD::OPC_FilterValue, 245, 1, 8, 0, // Skip to: 7624
/* 7616 */    MCD::OPC_CheckPredicate, 0, 185, 54, // Skip to: 21629
/* 7620 */    MCD::OPC_Decode, 210, 5, 11, // Opcode: LDLE_H
/* 7624 */    MCD::OPC_FilterValue, 246, 1, 8, 0, // Skip to: 7637
/* 7629 */    MCD::OPC_CheckPredicate, 0, 172, 54, // Skip to: 21629
/* 7633 */    MCD::OPC_Decode, 211, 5, 11, // Opcode: LDLE_W
/* 7637 */    MCD::OPC_FilterValue, 247, 1, 8, 0, // Skip to: 7650
/* 7642 */    MCD::OPC_CheckPredicate, 0, 159, 54, // Skip to: 21629
/* 7646 */    MCD::OPC_Decode, 209, 5, 11, // Opcode: LDLE_D
/* 7650 */    MCD::OPC_FilterValue, 248, 1, 8, 0, // Skip to: 7663
/* 7655 */    MCD::OPC_CheckPredicate, 0, 146, 54, // Skip to: 21629
/* 7659 */    MCD::OPC_Decode, 208, 6, 11, // Opcode: STGT_B
/* 7663 */    MCD::OPC_FilterValue, 249, 1, 8, 0, // Skip to: 7676
/* 7668 */    MCD::OPC_CheckPredicate, 0, 133, 54, // Skip to: 21629
/* 7672 */    MCD::OPC_Decode, 210, 6, 11, // Opcode: STGT_H
/* 7676 */    MCD::OPC_FilterValue, 250, 1, 8, 0, // Skip to: 7689
/* 7681 */    MCD::OPC_CheckPredicate, 0, 120, 54, // Skip to: 21629
/* 7685 */    MCD::OPC_Decode, 211, 6, 11, // Opcode: STGT_W
/* 7689 */    MCD::OPC_FilterValue, 251, 1, 8, 0, // Skip to: 7702
/* 7694 */    MCD::OPC_CheckPredicate, 0, 107, 54, // Skip to: 21629
/* 7698 */    MCD::OPC_Decode, 209, 6, 11, // Opcode: STGT_D
/* 7702 */    MCD::OPC_FilterValue, 252, 1, 8, 0, // Skip to: 7715
/* 7707 */    MCD::OPC_CheckPredicate, 0, 94, 54, // Skip to: 21629
/* 7711 */    MCD::OPC_Decode, 212, 6, 11, // Opcode: STLE_B
/* 7715 */    MCD::OPC_FilterValue, 253, 1, 8, 0, // Skip to: 7728
/* 7720 */    MCD::OPC_CheckPredicate, 0, 81, 54, // Skip to: 21629
/* 7724 */    MCD::OPC_Decode, 214, 6, 11, // Opcode: STLE_H
/* 7728 */    MCD::OPC_FilterValue, 254, 1, 8, 0, // Skip to: 7741
/* 7733 */    MCD::OPC_CheckPredicate, 0, 68, 54, // Skip to: 21629
/* 7737 */    MCD::OPC_Decode, 215, 6, 11, // Opcode: STLE_W
/* 7741 */    MCD::OPC_FilterValue, 255, 1, 59, 54, // Skip to: 21629
/* 7746 */    MCD::OPC_CheckPredicate, 0, 55, 54, // Skip to: 21629
/* 7750 */    MCD::OPC_Decode, 213, 6, 11, // Opcode: STLE_D
/* 7754 */    MCD::OPC_FilterValue, 16, 4, 0, // Skip to: 7762
/* 7758 */    MCD::OPC_Decode, 250, 3, 97, // Opcode: BEQZ
/* 7762 */    MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 7770
/* 7766 */    MCD::OPC_Decode, 133, 4, 97, // Opcode: BNEZ
/* 7770 */    MCD::OPC_FilterValue, 18, 47, 0, // Skip to: 7821
/* 7774 */    MCD::OPC_ExtractField, 8, 2,  // Inst{9-8} ...
/* 7777 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 7785
/* 7781 */    MCD::OPC_Decode, 247, 3, 98, // Opcode: BCEQZ
/* 7785 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 7793
/* 7789 */    MCD::OPC_Decode, 248, 3, 98, // Opcode: BCNEZ
/* 7793 */    MCD::OPC_FilterValue, 2, 10, 0, // Skip to: 7807
/* 7797 */    MCD::OPC_CheckField, 5, 3, 0, 2, 54, // Skip to: 21629
/* 7803 */    MCD::OPC_Decode, 201, 5, 99, // Opcode: JISCR0
/* 7807 */    MCD::OPC_FilterValue, 3, 250, 53, // Skip to: 21629
/* 7811 */    MCD::OPC_CheckField, 5, 3, 0, 244, 53, // Skip to: 21629
/* 7817 */    MCD::OPC_Decode, 202, 5, 99, // Opcode: JISCR1
/* 7821 */    MCD::OPC_FilterValue, 19, 4, 0, // Skip to: 7829
/* 7825 */    MCD::OPC_Decode, 200, 5, 100, // Opcode: JIRL
/* 7829 */    MCD::OPC_FilterValue, 20, 4, 0, // Skip to: 7837
/* 7833 */    MCD::OPC_Decode, 246, 3, 101, // Opcode: B
/* 7837 */    MCD::OPC_FilterValue, 21, 4, 0, // Skip to: 7845
/* 7841 */    MCD::OPC_Decode, 129, 4, 101, // Opcode: BL
/* 7845 */    MCD::OPC_FilterValue, 22, 4, 0, // Skip to: 7853
/* 7849 */    MCD::OPC_Decode, 249, 3, 102, // Opcode: BEQ
/* 7853 */    MCD::OPC_FilterValue, 23, 4, 0, // Skip to: 7861
/* 7857 */    MCD::OPC_Decode, 132, 4, 102, // Opcode: BNE
/* 7861 */    MCD::OPC_FilterValue, 24, 4, 0, // Skip to: 7869
/* 7865 */    MCD::OPC_Decode, 130, 4, 102, // Opcode: BLT
/* 7869 */    MCD::OPC_FilterValue, 25, 4, 0, // Skip to: 7877
/* 7873 */    MCD::OPC_Decode, 251, 3, 102, // Opcode: BGE
/* 7877 */    MCD::OPC_FilterValue, 26, 4, 0, // Skip to: 7885
/* 7881 */    MCD::OPC_Decode, 131, 4, 102, // Opcode: BLTU
/* 7885 */    MCD::OPC_FilterValue, 27, 4, 0, // Skip to: 7893
/* 7889 */    MCD::OPC_Decode, 252, 3, 102, // Opcode: BGEU
/* 7893 */    MCD::OPC_FilterValue, 28, 215, 25, // Skip to: 14512
/* 7897 */    MCD::OPC_ExtractField, 18, 8,  // Inst{25-18} ...
/* 7900 */    MCD::OPC_FilterValue, 0, 67, 0, // Skip to: 7971
/* 7904 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7907 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 7915
/* 7911 */    MCD::OPC_Decode, 226, 10, 63, // Opcode: VSEQ_B
/* 7915 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 7923
/* 7919 */    MCD::OPC_Decode, 228, 10, 63, // Opcode: VSEQ_H
/* 7923 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 7931
/* 7927 */    MCD::OPC_Decode, 229, 10, 63, // Opcode: VSEQ_W
/* 7931 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 7939
/* 7935 */    MCD::OPC_Decode, 227, 10, 63, // Opcode: VSEQ_D
/* 7939 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 7947
/* 7943 */    MCD::OPC_Decode, 132, 11, 63, // Opcode: VSLE_B
/* 7947 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 7955
/* 7951 */    MCD::OPC_Decode, 136, 11, 63, // Opcode: VSLE_H
/* 7955 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 7963
/* 7959 */    MCD::OPC_Decode, 138, 11, 63, // Opcode: VSLE_W
/* 7963 */    MCD::OPC_FilterValue, 7, 94, 53, // Skip to: 21629
/* 7967 */    MCD::OPC_Decode, 134, 11, 63, // Opcode: VSLE_D
/* 7971 */    MCD::OPC_FilterValue, 1, 67, 0, // Skip to: 8042
/* 7975 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 7978 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 7986
/* 7982 */    MCD::OPC_Decode, 133, 11, 63, // Opcode: VSLE_BU
/* 7986 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 7994
/* 7990 */    MCD::OPC_Decode, 137, 11, 63, // Opcode: VSLE_HU
/* 7994 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8002
/* 7998 */    MCD::OPC_Decode, 139, 11, 63, // Opcode: VSLE_WU
/* 8002 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 8010
/* 8006 */    MCD::OPC_Decode, 135, 11, 63, // Opcode: VSLE_DU
/* 8010 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 8018
/* 8014 */    MCD::OPC_Decode, 162, 11, 63, // Opcode: VSLT_B
/* 8018 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 8026
/* 8022 */    MCD::OPC_Decode, 166, 11, 63, // Opcode: VSLT_H
/* 8026 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 8034
/* 8030 */    MCD::OPC_Decode, 168, 11, 63, // Opcode: VSLT_W
/* 8034 */    MCD::OPC_FilterValue, 7, 23, 53, // Skip to: 21629
/* 8038 */    MCD::OPC_Decode, 164, 11, 63, // Opcode: VSLT_D
/* 8042 */    MCD::OPC_FilterValue, 2, 67, 0, // Skip to: 8113
/* 8046 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8049 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8057
/* 8053 */    MCD::OPC_Decode, 163, 11, 63, // Opcode: VSLT_BU
/* 8057 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8065
/* 8061 */    MCD::OPC_Decode, 167, 11, 63, // Opcode: VSLT_HU
/* 8065 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8073
/* 8069 */    MCD::OPC_Decode, 169, 11, 63, // Opcode: VSLT_WU
/* 8073 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 8081
/* 8077 */    MCD::OPC_Decode, 165, 11, 63, // Opcode: VSLT_DU
/* 8081 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 8089
/* 8085 */    MCD::OPC_Decode, 151, 7, 63, // Opcode: VADD_B
/* 8089 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 8097
/* 8093 */    MCD::OPC_Decode, 153, 7, 63, // Opcode: VADD_H
/* 8097 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 8105
/* 8101 */    MCD::OPC_Decode, 155, 7, 63, // Opcode: VADD_W
/* 8105 */    MCD::OPC_FilterValue, 7, 208, 52, // Skip to: 21629
/* 8109 */    MCD::OPC_Decode, 152, 7, 63, // Opcode: VADD_D
/* 8113 */    MCD::OPC_FilterValue, 3, 35, 0, // Skip to: 8152
/* 8117 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8120 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8128
/* 8124 */    MCD::OPC_Decode, 192, 12, 63, // Opcode: VSUB_B
/* 8128 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8136
/* 8132 */    MCD::OPC_Decode, 194, 12, 63, // Opcode: VSUB_H
/* 8136 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8144
/* 8140 */    MCD::OPC_Decode, 196, 12, 63, // Opcode: VSUB_W
/* 8144 */    MCD::OPC_FilterValue, 3, 169, 52, // Skip to: 21629
/* 8148 */    MCD::OPC_Decode, 193, 12, 63, // Opcode: VSUB_D
/* 8152 */    MCD::OPC_FilterValue, 7, 35, 0, // Skip to: 8191
/* 8156 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8159 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 8167
/* 8163 */    MCD::OPC_Decode, 130, 7, 63, // Opcode: VADDWEV_H_B
/* 8167 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 8175
/* 8171 */    MCD::OPC_Decode, 136, 7, 63, // Opcode: VADDWEV_W_H
/* 8175 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 8183
/* 8179 */    MCD::OPC_Decode, 255, 6, 63, // Opcode: VADDWEV_D_W
/* 8183 */    MCD::OPC_FilterValue, 7, 130, 52, // Skip to: 21629
/* 8187 */    MCD::OPC_Decode, 133, 7, 63, // Opcode: VADDWEV_Q_D
/* 8191 */    MCD::OPC_FilterValue, 8, 67, 0, // Skip to: 8262
/* 8195 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8198 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8206
/* 8202 */    MCD::OPC_Decode, 178, 12, 63, // Opcode: VSUBWEV_H_B
/* 8206 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8214
/* 8210 */    MCD::OPC_Decode, 182, 12, 63, // Opcode: VSUBWEV_W_H
/* 8214 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8222
/* 8218 */    MCD::OPC_Decode, 176, 12, 63, // Opcode: VSUBWEV_D_W
/* 8222 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 8230
/* 8226 */    MCD::OPC_Decode, 180, 12, 63, // Opcode: VSUBWEV_Q_D
/* 8230 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 8238
/* 8234 */    MCD::OPC_Decode, 142, 7, 63, // Opcode: VADDWOD_H_B
/* 8238 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 8246
/* 8242 */    MCD::OPC_Decode, 148, 7, 63, // Opcode: VADDWOD_W_H
/* 8246 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 8254
/* 8250 */    MCD::OPC_Decode, 139, 7, 63, // Opcode: VADDWOD_D_W
/* 8254 */    MCD::OPC_FilterValue, 7, 59, 52, // Skip to: 21629
/* 8258 */    MCD::OPC_Decode, 145, 7, 63, // Opcode: VADDWOD_Q_D
/* 8262 */    MCD::OPC_FilterValue, 9, 35, 0, // Skip to: 8301
/* 8266 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8269 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8277
/* 8273 */    MCD::OPC_Decode, 186, 12, 63, // Opcode: VSUBWOD_H_B
/* 8277 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8285
/* 8281 */    MCD::OPC_Decode, 190, 12, 63, // Opcode: VSUBWOD_W_H
/* 8285 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8293
/* 8289 */    MCD::OPC_Decode, 184, 12, 63, // Opcode: VSUBWOD_D_W
/* 8293 */    MCD::OPC_FilterValue, 3, 20, 52, // Skip to: 21629
/* 8297 */    MCD::OPC_Decode, 188, 12, 63, // Opcode: VSUBWOD_Q_D
/* 8301 */    MCD::OPC_FilterValue, 11, 35, 0, // Skip to: 8340
/* 8305 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8308 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 8316
/* 8312 */    MCD::OPC_Decode, 131, 7, 63, // Opcode: VADDWEV_H_BU
/* 8316 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 8324
/* 8320 */    MCD::OPC_Decode, 137, 7, 63, // Opcode: VADDWEV_W_HU
/* 8324 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 8332
/* 8328 */    MCD::OPC_Decode, 128, 7, 63, // Opcode: VADDWEV_D_WU
/* 8332 */    MCD::OPC_FilterValue, 7, 237, 51, // Skip to: 21629
/* 8336 */    MCD::OPC_Decode, 134, 7, 63, // Opcode: VADDWEV_Q_DU
/* 8340 */    MCD::OPC_FilterValue, 12, 67, 0, // Skip to: 8411
/* 8344 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8347 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8355
/* 8351 */    MCD::OPC_Decode, 179, 12, 63, // Opcode: VSUBWEV_H_BU
/* 8355 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8363
/* 8359 */    MCD::OPC_Decode, 183, 12, 63, // Opcode: VSUBWEV_W_HU
/* 8363 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8371
/* 8367 */    MCD::OPC_Decode, 177, 12, 63, // Opcode: VSUBWEV_D_WU
/* 8371 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 8379
/* 8375 */    MCD::OPC_Decode, 181, 12, 63, // Opcode: VSUBWEV_Q_DU
/* 8379 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 8387
/* 8383 */    MCD::OPC_Decode, 143, 7, 63, // Opcode: VADDWOD_H_BU
/* 8387 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 8395
/* 8391 */    MCD::OPC_Decode, 149, 7, 63, // Opcode: VADDWOD_W_HU
/* 8395 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 8403
/* 8399 */    MCD::OPC_Decode, 140, 7, 63, // Opcode: VADDWOD_D_WU
/* 8403 */    MCD::OPC_FilterValue, 7, 166, 51, // Skip to: 21629
/* 8407 */    MCD::OPC_Decode, 146, 7, 63, // Opcode: VADDWOD_Q_DU
/* 8411 */    MCD::OPC_FilterValue, 13, 35, 0, // Skip to: 8450
/* 8415 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8418 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8426
/* 8422 */    MCD::OPC_Decode, 187, 12, 63, // Opcode: VSUBWOD_H_BU
/* 8426 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8434
/* 8430 */    MCD::OPC_Decode, 191, 12, 63, // Opcode: VSUBWOD_W_HU
/* 8434 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8442
/* 8438 */    MCD::OPC_Decode, 185, 12, 63, // Opcode: VSUBWOD_D_WU
/* 8442 */    MCD::OPC_FilterValue, 3, 127, 51, // Skip to: 21629
/* 8446 */    MCD::OPC_Decode, 189, 12, 63, // Opcode: VSUBWOD_Q_DU
/* 8450 */    MCD::OPC_FilterValue, 15, 35, 0, // Skip to: 8489
/* 8454 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8457 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 8465
/* 8461 */    MCD::OPC_Decode, 132, 7, 63, // Opcode: VADDWEV_H_BU_B
/* 8465 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 8473
/* 8469 */    MCD::OPC_Decode, 138, 7, 63, // Opcode: VADDWEV_W_HU_H
/* 8473 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 8481
/* 8477 */    MCD::OPC_Decode, 129, 7, 63, // Opcode: VADDWEV_D_WU_W
/* 8481 */    MCD::OPC_FilterValue, 7, 88, 51, // Skip to: 21629
/* 8485 */    MCD::OPC_Decode, 135, 7, 63, // Opcode: VADDWEV_Q_DU_D
/* 8489 */    MCD::OPC_FilterValue, 16, 35, 0, // Skip to: 8528
/* 8493 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8496 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8504
/* 8500 */    MCD::OPC_Decode, 144, 7, 63, // Opcode: VADDWOD_H_BU_B
/* 8504 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8512
/* 8508 */    MCD::OPC_Decode, 150, 7, 63, // Opcode: VADDWOD_W_HU_H
/* 8512 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8520
/* 8516 */    MCD::OPC_Decode, 141, 7, 63, // Opcode: VADDWOD_D_WU_W
/* 8520 */    MCD::OPC_FilterValue, 3, 49, 51, // Skip to: 21629
/* 8524 */    MCD::OPC_Decode, 147, 7, 63, // Opcode: VADDWOD_Q_DU_D
/* 8528 */    MCD::OPC_FilterValue, 17, 35, 0, // Skip to: 8567
/* 8532 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8535 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 8543
/* 8539 */    MCD::OPC_Decode, 206, 10, 63, // Opcode: VSADD_B
/* 8543 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 8551
/* 8547 */    MCD::OPC_Decode, 210, 10, 63, // Opcode: VSADD_H
/* 8551 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 8559
/* 8555 */    MCD::OPC_Decode, 212, 10, 63, // Opcode: VSADD_W
/* 8559 */    MCD::OPC_FilterValue, 7, 10, 51, // Skip to: 21629
/* 8563 */    MCD::OPC_Decode, 208, 10, 63, // Opcode: VSADD_D
/* 8567 */    MCD::OPC_FilterValue, 18, 67, 0, // Skip to: 8638
/* 8571 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8574 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8582
/* 8578 */    MCD::OPC_Decode, 158, 12, 63, // Opcode: VSSUB_B
/* 8582 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8590
/* 8586 */    MCD::OPC_Decode, 162, 12, 63, // Opcode: VSSUB_H
/* 8590 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8598
/* 8594 */    MCD::OPC_Decode, 164, 12, 63, // Opcode: VSSUB_W
/* 8598 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 8606
/* 8602 */    MCD::OPC_Decode, 160, 12, 63, // Opcode: VSSUB_D
/* 8606 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 8614
/* 8610 */    MCD::OPC_Decode, 207, 10, 63, // Opcode: VSADD_BU
/* 8614 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 8622
/* 8618 */    MCD::OPC_Decode, 211, 10, 63, // Opcode: VSADD_HU
/* 8622 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 8630
/* 8626 */    MCD::OPC_Decode, 213, 10, 63, // Opcode: VSADD_WU
/* 8630 */    MCD::OPC_FilterValue, 7, 195, 50, // Skip to: 21629
/* 8634 */    MCD::OPC_Decode, 209, 10, 63, // Opcode: VSADD_DU
/* 8638 */    MCD::OPC_FilterValue, 19, 35, 0, // Skip to: 8677
/* 8642 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8645 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8653
/* 8649 */    MCD::OPC_Decode, 159, 12, 63, // Opcode: VSSUB_BU
/* 8653 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8661
/* 8657 */    MCD::OPC_Decode, 163, 12, 63, // Opcode: VSSUB_HU
/* 8661 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8669
/* 8665 */    MCD::OPC_Decode, 165, 12, 63, // Opcode: VSSUB_WU
/* 8669 */    MCD::OPC_FilterValue, 3, 156, 50, // Skip to: 21629
/* 8673 */    MCD::OPC_Decode, 161, 12, 63, // Opcode: VSSUB_DU
/* 8677 */    MCD::OPC_FilterValue, 21, 67, 0, // Skip to: 8748
/* 8681 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8684 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8692
/* 8688 */    MCD::OPC_Decode, 130, 9, 63, // Opcode: VHADDW_H_B
/* 8692 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8700
/* 8696 */    MCD::OPC_Decode, 134, 9, 63, // Opcode: VHADDW_W_H
/* 8700 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8708
/* 8704 */    MCD::OPC_Decode, 128, 9, 63, // Opcode: VHADDW_D_W
/* 8708 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 8716
/* 8712 */    MCD::OPC_Decode, 132, 9, 63, // Opcode: VHADDW_Q_D
/* 8716 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 8724
/* 8720 */    MCD::OPC_Decode, 138, 9, 63, // Opcode: VHSUBW_H_B
/* 8724 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 8732
/* 8728 */    MCD::OPC_Decode, 142, 9, 63, // Opcode: VHSUBW_W_H
/* 8732 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 8740
/* 8736 */    MCD::OPC_Decode, 136, 9, 63, // Opcode: VHSUBW_D_W
/* 8740 */    MCD::OPC_FilterValue, 7, 85, 50, // Skip to: 21629
/* 8744 */    MCD::OPC_Decode, 140, 9, 63, // Opcode: VHSUBW_Q_D
/* 8748 */    MCD::OPC_FilterValue, 22, 67, 0, // Skip to: 8819
/* 8752 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8755 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8763
/* 8759 */    MCD::OPC_Decode, 129, 9, 63, // Opcode: VHADDW_HU_BU
/* 8763 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8771
/* 8767 */    MCD::OPC_Decode, 133, 9, 63, // Opcode: VHADDW_WU_HU
/* 8771 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8779
/* 8775 */    MCD::OPC_Decode, 255, 8, 63, // Opcode: VHADDW_DU_WU
/* 8779 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 8787
/* 8783 */    MCD::OPC_Decode, 131, 9, 63, // Opcode: VHADDW_QU_DU
/* 8787 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 8795
/* 8791 */    MCD::OPC_Decode, 137, 9, 63, // Opcode: VHSUBW_HU_BU
/* 8795 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 8803
/* 8799 */    MCD::OPC_Decode, 141, 9, 63, // Opcode: VHSUBW_WU_HU
/* 8803 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 8811
/* 8807 */    MCD::OPC_Decode, 135, 9, 63, // Opcode: VHSUBW_DU_WU
/* 8811 */    MCD::OPC_FilterValue, 7, 14, 50, // Skip to: 21629
/* 8815 */    MCD::OPC_Decode, 139, 9, 63, // Opcode: VHSUBW_QU_DU
/* 8819 */    MCD::OPC_FilterValue, 23, 35, 0, // Skip to: 8858
/* 8823 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8826 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8834
/* 8830 */    MCD::OPC_Decode, 247, 6, 63, // Opcode: VADDA_B
/* 8834 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8842
/* 8838 */    MCD::OPC_Decode, 249, 6, 63, // Opcode: VADDA_H
/* 8842 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8850
/* 8846 */    MCD::OPC_Decode, 250, 6, 63, // Opcode: VADDA_W
/* 8850 */    MCD::OPC_FilterValue, 3, 231, 49, // Skip to: 21629
/* 8854 */    MCD::OPC_Decode, 248, 6, 63, // Opcode: VADDA_D
/* 8858 */    MCD::OPC_FilterValue, 24, 67, 0, // Skip to: 8929
/* 8862 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8865 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8873
/* 8869 */    MCD::OPC_Decode, 239, 6, 63, // Opcode: VABSD_B
/* 8873 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8881
/* 8877 */    MCD::OPC_Decode, 243, 6, 63, // Opcode: VABSD_H
/* 8881 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8889
/* 8885 */    MCD::OPC_Decode, 245, 6, 63, // Opcode: VABSD_W
/* 8889 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 8897
/* 8893 */    MCD::OPC_Decode, 241, 6, 63, // Opcode: VABSD_D
/* 8897 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 8905
/* 8901 */    MCD::OPC_Decode, 240, 6, 63, // Opcode: VABSD_BU
/* 8905 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 8913
/* 8909 */    MCD::OPC_Decode, 244, 6, 63, // Opcode: VABSD_HU
/* 8913 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 8921
/* 8917 */    MCD::OPC_Decode, 246, 6, 63, // Opcode: VABSD_WU
/* 8921 */    MCD::OPC_FilterValue, 7, 160, 49, // Skip to: 21629
/* 8925 */    MCD::OPC_Decode, 242, 6, 63, // Opcode: VABSD_DU
/* 8929 */    MCD::OPC_FilterValue, 25, 67, 0, // Skip to: 9000
/* 8933 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 8936 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 8944
/* 8940 */    MCD::OPC_Decode, 167, 7, 63, // Opcode: VAVG_B
/* 8944 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 8952
/* 8948 */    MCD::OPC_Decode, 171, 7, 63, // Opcode: VAVG_H
/* 8952 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 8960
/* 8956 */    MCD::OPC_Decode, 173, 7, 63, // Opcode: VAVG_W
/* 8960 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 8968
/* 8964 */    MCD::OPC_Decode, 169, 7, 63, // Opcode: VAVG_D
/* 8968 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 8976
/* 8972 */    MCD::OPC_Decode, 168, 7, 63, // Opcode: VAVG_BU
/* 8976 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 8984
/* 8980 */    MCD::OPC_Decode, 172, 7, 63, // Opcode: VAVG_HU
/* 8984 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 8992
/* 8988 */    MCD::OPC_Decode, 174, 7, 63, // Opcode: VAVG_WU
/* 8992 */    MCD::OPC_FilterValue, 7, 89, 49, // Skip to: 21629
/* 8996 */    MCD::OPC_Decode, 170, 7, 63, // Opcode: VAVG_DU
/* 9000 */    MCD::OPC_FilterValue, 26, 67, 0, // Skip to: 9071
/* 9004 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9007 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9015
/* 9011 */    MCD::OPC_Decode, 159, 7, 63, // Opcode: VAVGR_B
/* 9015 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9023
/* 9019 */    MCD::OPC_Decode, 163, 7, 63, // Opcode: VAVGR_H
/* 9023 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9031
/* 9027 */    MCD::OPC_Decode, 165, 7, 63, // Opcode: VAVGR_W
/* 9031 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 9039
/* 9035 */    MCD::OPC_Decode, 161, 7, 63, // Opcode: VAVGR_D
/* 9039 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 9047
/* 9043 */    MCD::OPC_Decode, 160, 7, 63, // Opcode: VAVGR_BU
/* 9047 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 9055
/* 9051 */    MCD::OPC_Decode, 164, 7, 63, // Opcode: VAVGR_HU
/* 9055 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 9063
/* 9059 */    MCD::OPC_Decode, 166, 7, 63, // Opcode: VAVGR_WU
/* 9063 */    MCD::OPC_FilterValue, 7, 18, 49, // Skip to: 21629
/* 9067 */    MCD::OPC_Decode, 162, 7, 63, // Opcode: VAVGR_DU
/* 9071 */    MCD::OPC_FilterValue, 28, 67, 0, // Skip to: 9142
/* 9075 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9078 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9086
/* 9082 */    MCD::OPC_Decode, 198, 9, 63, // Opcode: VMAX_B
/* 9086 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9094
/* 9090 */    MCD::OPC_Decode, 202, 9, 63, // Opcode: VMAX_H
/* 9094 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9102
/* 9098 */    MCD::OPC_Decode, 204, 9, 63, // Opcode: VMAX_W
/* 9102 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 9110
/* 9106 */    MCD::OPC_Decode, 200, 9, 63, // Opcode: VMAX_D
/* 9110 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 9118
/* 9114 */    MCD::OPC_Decode, 214, 9, 63, // Opcode: VMIN_B
/* 9118 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 9126
/* 9122 */    MCD::OPC_Decode, 218, 9, 63, // Opcode: VMIN_H
/* 9126 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 9134
/* 9130 */    MCD::OPC_Decode, 220, 9, 63, // Opcode: VMIN_W
/* 9134 */    MCD::OPC_FilterValue, 7, 203, 48, // Skip to: 21629
/* 9138 */    MCD::OPC_Decode, 216, 9, 63, // Opcode: VMIN_D
/* 9142 */    MCD::OPC_FilterValue, 29, 67, 0, // Skip to: 9213
/* 9146 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9149 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9157
/* 9153 */    MCD::OPC_Decode, 199, 9, 63, // Opcode: VMAX_BU
/* 9157 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9165
/* 9161 */    MCD::OPC_Decode, 203, 9, 63, // Opcode: VMAX_HU
/* 9165 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9173
/* 9169 */    MCD::OPC_Decode, 205, 9, 63, // Opcode: VMAX_WU
/* 9173 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 9181
/* 9177 */    MCD::OPC_Decode, 201, 9, 63, // Opcode: VMAX_DU
/* 9181 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 9189
/* 9185 */    MCD::OPC_Decode, 215, 9, 63, // Opcode: VMIN_BU
/* 9189 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 9197
/* 9193 */    MCD::OPC_Decode, 219, 9, 63, // Opcode: VMIN_HU
/* 9197 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 9205
/* 9201 */    MCD::OPC_Decode, 221, 9, 63, // Opcode: VMIN_WU
/* 9205 */    MCD::OPC_FilterValue, 7, 132, 48, // Skip to: 21629
/* 9209 */    MCD::OPC_Decode, 217, 9, 63, // Opcode: VMIN_DU
/* 9213 */    MCD::OPC_FilterValue, 33, 67, 0, // Skip to: 9284
/* 9217 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9220 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9228
/* 9224 */    MCD::OPC_Decode, 144, 10, 63, // Opcode: VMUL_B
/* 9228 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9236
/* 9232 */    MCD::OPC_Decode, 146, 10, 63, // Opcode: VMUL_H
/* 9236 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9244
/* 9240 */    MCD::OPC_Decode, 147, 10, 63, // Opcode: VMUL_W
/* 9244 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 9252
/* 9248 */    MCD::OPC_Decode, 145, 10, 63, // Opcode: VMUL_D
/* 9252 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 9260
/* 9256 */    MCD::OPC_Decode, 240, 9, 63, // Opcode: VMUH_B
/* 9260 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 9268
/* 9264 */    MCD::OPC_Decode, 244, 9, 63, // Opcode: VMUH_H
/* 9268 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 9276
/* 9272 */    MCD::OPC_Decode, 246, 9, 63, // Opcode: VMUH_W
/* 9276 */    MCD::OPC_FilterValue, 7, 61, 48, // Skip to: 21629
/* 9280 */    MCD::OPC_Decode, 242, 9, 63, // Opcode: VMUH_D
/* 9284 */    MCD::OPC_FilterValue, 34, 35, 0, // Skip to: 9323
/* 9288 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9291 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9299
/* 9295 */    MCD::OPC_Decode, 241, 9, 63, // Opcode: VMUH_BU
/* 9299 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9307
/* 9303 */    MCD::OPC_Decode, 245, 9, 63, // Opcode: VMUH_HU
/* 9307 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9315
/* 9311 */    MCD::OPC_Decode, 247, 9, 63, // Opcode: VMUH_WU
/* 9315 */    MCD::OPC_FilterValue, 3, 22, 48, // Skip to: 21629
/* 9319 */    MCD::OPC_Decode, 243, 9, 63, // Opcode: VMUH_DU
/* 9323 */    MCD::OPC_FilterValue, 36, 67, 0, // Skip to: 9394
/* 9327 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9330 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9338
/* 9334 */    MCD::OPC_Decode, 251, 9, 63, // Opcode: VMULWEV_H_B
/* 9338 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9346
/* 9342 */    MCD::OPC_Decode, 129, 10, 63, // Opcode: VMULWEV_W_H
/* 9346 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9354
/* 9350 */    MCD::OPC_Decode, 248, 9, 63, // Opcode: VMULWEV_D_W
/* 9354 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 9362
/* 9358 */    MCD::OPC_Decode, 254, 9, 63, // Opcode: VMULWEV_Q_D
/* 9362 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 9370
/* 9366 */    MCD::OPC_Decode, 135, 10, 63, // Opcode: VMULWOD_H_B
/* 9370 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 9378
/* 9374 */    MCD::OPC_Decode, 141, 10, 63, // Opcode: VMULWOD_W_H
/* 9378 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 9386
/* 9382 */    MCD::OPC_Decode, 132, 10, 63, // Opcode: VMULWOD_D_W
/* 9386 */    MCD::OPC_FilterValue, 7, 207, 47, // Skip to: 21629
/* 9390 */    MCD::OPC_Decode, 138, 10, 63, // Opcode: VMULWOD_Q_D
/* 9394 */    MCD::OPC_FilterValue, 38, 67, 0, // Skip to: 9465
/* 9398 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9401 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9409
/* 9405 */    MCD::OPC_Decode, 252, 9, 63, // Opcode: VMULWEV_H_BU
/* 9409 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9417
/* 9413 */    MCD::OPC_Decode, 130, 10, 63, // Opcode: VMULWEV_W_HU
/* 9417 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9425
/* 9421 */    MCD::OPC_Decode, 249, 9, 63, // Opcode: VMULWEV_D_WU
/* 9425 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 9433
/* 9429 */    MCD::OPC_Decode, 255, 9, 63, // Opcode: VMULWEV_Q_DU
/* 9433 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 9441
/* 9437 */    MCD::OPC_Decode, 136, 10, 63, // Opcode: VMULWOD_H_BU
/* 9441 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 9449
/* 9445 */    MCD::OPC_Decode, 142, 10, 63, // Opcode: VMULWOD_W_HU
/* 9449 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 9457
/* 9453 */    MCD::OPC_Decode, 133, 10, 63, // Opcode: VMULWOD_D_WU
/* 9457 */    MCD::OPC_FilterValue, 7, 136, 47, // Skip to: 21629
/* 9461 */    MCD::OPC_Decode, 139, 10, 63, // Opcode: VMULWOD_Q_DU
/* 9465 */    MCD::OPC_FilterValue, 40, 67, 0, // Skip to: 9536
/* 9469 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9472 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9480
/* 9476 */    MCD::OPC_Decode, 253, 9, 63, // Opcode: VMULWEV_H_BU_B
/* 9480 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9488
/* 9484 */    MCD::OPC_Decode, 131, 10, 63, // Opcode: VMULWEV_W_HU_H
/* 9488 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9496
/* 9492 */    MCD::OPC_Decode, 250, 9, 63, // Opcode: VMULWEV_D_WU_W
/* 9496 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 9504
/* 9500 */    MCD::OPC_Decode, 128, 10, 63, // Opcode: VMULWEV_Q_DU_D
/* 9504 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 9512
/* 9508 */    MCD::OPC_Decode, 137, 10, 63, // Opcode: VMULWOD_H_BU_B
/* 9512 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 9520
/* 9516 */    MCD::OPC_Decode, 143, 10, 63, // Opcode: VMULWOD_W_HU_H
/* 9520 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 9528
/* 9524 */    MCD::OPC_Decode, 134, 10, 63, // Opcode: VMULWOD_D_WU_W
/* 9528 */    MCD::OPC_FilterValue, 7, 65, 47, // Skip to: 21629
/* 9532 */    MCD::OPC_Decode, 140, 10, 63, // Opcode: VMULWOD_Q_DU_D
/* 9536 */    MCD::OPC_FilterValue, 42, 67, 0, // Skip to: 9607
/* 9540 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9543 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9551
/* 9547 */    MCD::OPC_Decode, 186, 9, 103, // Opcode: VMADD_B
/* 9551 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9559
/* 9555 */    MCD::OPC_Decode, 188, 9, 103, // Opcode: VMADD_H
/* 9559 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9567
/* 9563 */    MCD::OPC_Decode, 189, 9, 103, // Opcode: VMADD_W
/* 9567 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 9575
/* 9571 */    MCD::OPC_Decode, 187, 9, 103, // Opcode: VMADD_D
/* 9575 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 9583
/* 9579 */    MCD::OPC_Decode, 236, 9, 103, // Opcode: VMSUB_B
/* 9583 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 9591
/* 9587 */    MCD::OPC_Decode, 238, 9, 103, // Opcode: VMSUB_H
/* 9591 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 9599
/* 9595 */    MCD::OPC_Decode, 239, 9, 103, // Opcode: VMSUB_W
/* 9599 */    MCD::OPC_FilterValue, 7, 250, 46, // Skip to: 21629
/* 9603 */    MCD::OPC_Decode, 237, 9, 103, // Opcode: VMSUB_D
/* 9607 */    MCD::OPC_FilterValue, 43, 67, 0, // Skip to: 9678
/* 9611 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9614 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9622
/* 9618 */    MCD::OPC_Decode, 165, 9, 103, // Opcode: VMADDWEV_H_B
/* 9622 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9630
/* 9626 */    MCD::OPC_Decode, 171, 9, 103, // Opcode: VMADDWEV_W_H
/* 9630 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9638
/* 9634 */    MCD::OPC_Decode, 162, 9, 103, // Opcode: VMADDWEV_D_W
/* 9638 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 9646
/* 9642 */    MCD::OPC_Decode, 168, 9, 103, // Opcode: VMADDWEV_Q_D
/* 9646 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 9654
/* 9650 */    MCD::OPC_Decode, 177, 9, 103, // Opcode: VMADDWOD_H_B
/* 9654 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 9662
/* 9658 */    MCD::OPC_Decode, 183, 9, 103, // Opcode: VMADDWOD_W_H
/* 9662 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 9670
/* 9666 */    MCD::OPC_Decode, 174, 9, 103, // Opcode: VMADDWOD_D_W
/* 9670 */    MCD::OPC_FilterValue, 7, 179, 46, // Skip to: 21629
/* 9674 */    MCD::OPC_Decode, 180, 9, 103, // Opcode: VMADDWOD_Q_D
/* 9678 */    MCD::OPC_FilterValue, 45, 67, 0, // Skip to: 9749
/* 9682 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9685 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9693
/* 9689 */    MCD::OPC_Decode, 166, 9, 103, // Opcode: VMADDWEV_H_BU
/* 9693 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9701
/* 9697 */    MCD::OPC_Decode, 172, 9, 103, // Opcode: VMADDWEV_W_HU
/* 9701 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9709
/* 9705 */    MCD::OPC_Decode, 163, 9, 103, // Opcode: VMADDWEV_D_WU
/* 9709 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 9717
/* 9713 */    MCD::OPC_Decode, 169, 9, 103, // Opcode: VMADDWEV_Q_DU
/* 9717 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 9725
/* 9721 */    MCD::OPC_Decode, 178, 9, 103, // Opcode: VMADDWOD_H_BU
/* 9725 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 9733
/* 9729 */    MCD::OPC_Decode, 184, 9, 103, // Opcode: VMADDWOD_W_HU
/* 9733 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 9741
/* 9737 */    MCD::OPC_Decode, 175, 9, 103, // Opcode: VMADDWOD_D_WU
/* 9741 */    MCD::OPC_FilterValue, 7, 108, 46, // Skip to: 21629
/* 9745 */    MCD::OPC_Decode, 181, 9, 103, // Opcode: VMADDWOD_Q_DU
/* 9749 */    MCD::OPC_FilterValue, 47, 67, 0, // Skip to: 9820
/* 9753 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9756 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9764
/* 9760 */    MCD::OPC_Decode, 167, 9, 103, // Opcode: VMADDWEV_H_BU_B
/* 9764 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9772
/* 9768 */    MCD::OPC_Decode, 173, 9, 103, // Opcode: VMADDWEV_W_HU_H
/* 9772 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9780
/* 9776 */    MCD::OPC_Decode, 164, 9, 103, // Opcode: VMADDWEV_D_WU_W
/* 9780 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 9788
/* 9784 */    MCD::OPC_Decode, 170, 9, 103, // Opcode: VMADDWEV_Q_DU_D
/* 9788 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 9796
/* 9792 */    MCD::OPC_Decode, 179, 9, 103, // Opcode: VMADDWOD_H_BU_B
/* 9796 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 9804
/* 9800 */    MCD::OPC_Decode, 185, 9, 103, // Opcode: VMADDWOD_W_HU_H
/* 9804 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 9812
/* 9808 */    MCD::OPC_Decode, 176, 9, 103, // Opcode: VMADDWOD_D_WU_W
/* 9812 */    MCD::OPC_FilterValue, 7, 37, 46, // Skip to: 21629
/* 9816 */    MCD::OPC_Decode, 182, 9, 103, // Opcode: VMADDWOD_Q_DU_D
/* 9820 */    MCD::OPC_FilterValue, 56, 67, 0, // Skip to: 9891
/* 9824 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9827 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9835
/* 9831 */    MCD::OPC_Decode, 211, 7, 63, // Opcode: VDIV_B
/* 9835 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9843
/* 9839 */    MCD::OPC_Decode, 215, 7, 63, // Opcode: VDIV_H
/* 9843 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9851
/* 9847 */    MCD::OPC_Decode, 217, 7, 63, // Opcode: VDIV_W
/* 9851 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 9859
/* 9855 */    MCD::OPC_Decode, 213, 7, 63, // Opcode: VDIV_D
/* 9859 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 9867
/* 9863 */    MCD::OPC_Decode, 222, 9, 63, // Opcode: VMOD_B
/* 9867 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 9875
/* 9871 */    MCD::OPC_Decode, 226, 9, 63, // Opcode: VMOD_H
/* 9875 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 9883
/* 9879 */    MCD::OPC_Decode, 228, 9, 63, // Opcode: VMOD_W
/* 9883 */    MCD::OPC_FilterValue, 7, 222, 45, // Skip to: 21629
/* 9887 */    MCD::OPC_Decode, 224, 9, 63, // Opcode: VMOD_D
/* 9891 */    MCD::OPC_FilterValue, 57, 67, 0, // Skip to: 9962
/* 9895 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9898 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9906
/* 9902 */    MCD::OPC_Decode, 212, 7, 63, // Opcode: VDIV_BU
/* 9906 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9914
/* 9910 */    MCD::OPC_Decode, 216, 7, 63, // Opcode: VDIV_HU
/* 9914 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9922
/* 9918 */    MCD::OPC_Decode, 218, 7, 63, // Opcode: VDIV_WU
/* 9922 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 9930
/* 9926 */    MCD::OPC_Decode, 214, 7, 63, // Opcode: VDIV_DU
/* 9930 */    MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 9938
/* 9934 */    MCD::OPC_Decode, 223, 9, 63, // Opcode: VMOD_BU
/* 9938 */    MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 9946
/* 9942 */    MCD::OPC_Decode, 227, 9, 63, // Opcode: VMOD_HU
/* 9946 */    MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 9954
/* 9950 */    MCD::OPC_Decode, 229, 9, 63, // Opcode: VMOD_WU
/* 9954 */    MCD::OPC_FilterValue, 7, 151, 45, // Skip to: 21629
/* 9958 */    MCD::OPC_Decode, 225, 9, 63, // Opcode: VMOD_DU
/* 9962 */    MCD::OPC_FilterValue, 58, 67, 0, // Skip to: 10033
/* 9966 */    MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 9969 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 9977
/* 9973 */    MCD::OPC_Decode, 150, 11, 63, // Opcode: VSLL_B
/* 9977 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 9985
/* 9981 */    MCD::OPC_Decode, 152, 11, 63, // Opcode: VSLL_H
/* 9985 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 9993
/* 9989 */    MCD::OPC_Decode, 153, 11, 63, // Opcode: VSLL_W
/* 9993 */    MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10001
/* 9997 */    MCD::OPC_Decode, 151, 11, 63, // Opcode: VSLL_D
/* 10001 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 10009
/* 10005 */   MCD::OPC_Decode, 226, 11, 63, // Opcode: VSRL_B
/* 10009 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10017
/* 10013 */   MCD::OPC_Decode, 228, 11, 63, // Opcode: VSRL_H
/* 10017 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10025
/* 10021 */   MCD::OPC_Decode, 229, 11, 63, // Opcode: VSRL_W
/* 10025 */   MCD::OPC_FilterValue, 7, 80, 45, // Skip to: 21629
/* 10029 */   MCD::OPC_Decode, 227, 11, 63, // Opcode: VSRL_D
/* 10033 */   MCD::OPC_FilterValue, 59, 67, 0, // Skip to: 10104
/* 10037 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10040 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 10048
/* 10044 */   MCD::OPC_Decode, 196, 11, 63, // Opcode: VSRA_B
/* 10048 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10056
/* 10052 */   MCD::OPC_Decode, 198, 11, 63, // Opcode: VSRA_H
/* 10056 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10064
/* 10060 */   MCD::OPC_Decode, 199, 11, 63, // Opcode: VSRA_W
/* 10064 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10072
/* 10068 */   MCD::OPC_Decode, 197, 11, 63, // Opcode: VSRA_D
/* 10072 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 10080
/* 10076 */   MCD::OPC_Decode, 202, 10, 63, // Opcode: VROTR_B
/* 10080 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10088
/* 10084 */   MCD::OPC_Decode, 204, 10, 63, // Opcode: VROTR_H
/* 10088 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10096
/* 10092 */   MCD::OPC_Decode, 205, 10, 63, // Opcode: VROTR_W
/* 10096 */   MCD::OPC_FilterValue, 7, 9, 45, // Skip to: 21629
/* 10100 */   MCD::OPC_Decode, 203, 10, 63, // Opcode: VROTR_D
/* 10104 */   MCD::OPC_FilterValue, 60, 67, 0, // Skip to: 10175
/* 10108 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10111 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 10119
/* 10115 */   MCD::OPC_Decode, 222, 11, 63, // Opcode: VSRLR_B
/* 10119 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10127
/* 10123 */   MCD::OPC_Decode, 224, 11, 63, // Opcode: VSRLR_H
/* 10127 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10135
/* 10131 */   MCD::OPC_Decode, 225, 11, 63, // Opcode: VSRLR_W
/* 10135 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10143
/* 10139 */   MCD::OPC_Decode, 223, 11, 63, // Opcode: VSRLR_D
/* 10143 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 10151
/* 10147 */   MCD::OPC_Decode, 192, 11, 63, // Opcode: VSRAR_B
/* 10151 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10159
/* 10155 */   MCD::OPC_Decode, 194, 11, 63, // Opcode: VSRAR_H
/* 10159 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10167
/* 10163 */   MCD::OPC_Decode, 195, 11, 63, // Opcode: VSRAR_W
/* 10167 */   MCD::OPC_FilterValue, 7, 194, 44, // Skip to: 21629
/* 10171 */   MCD::OPC_Decode, 193, 11, 63, // Opcode: VSRAR_D
/* 10175 */   MCD::OPC_FilterValue, 61, 51, 0, // Skip to: 10230
/* 10179 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10182 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10190
/* 10186 */   MCD::OPC_Decode, 208, 11, 63, // Opcode: VSRLN_B_H
/* 10190 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10198
/* 10194 */   MCD::OPC_Decode, 209, 11, 63, // Opcode: VSRLN_H_W
/* 10198 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10206
/* 10202 */   MCD::OPC_Decode, 210, 11, 63, // Opcode: VSRLN_W_D
/* 10206 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10214
/* 10210 */   MCD::OPC_Decode, 178, 11, 63, // Opcode: VSRAN_B_H
/* 10214 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10222
/* 10218 */   MCD::OPC_Decode, 179, 11, 63, // Opcode: VSRAN_H_W
/* 10222 */   MCD::OPC_FilterValue, 7, 139, 44, // Skip to: 21629
/* 10226 */   MCD::OPC_Decode, 180, 11, 63, // Opcode: VSRAN_W_D
/* 10230 */   MCD::OPC_FilterValue, 62, 51, 0, // Skip to: 10285
/* 10234 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10237 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10245
/* 10241 */   MCD::OPC_Decode, 219, 11, 63, // Opcode: VSRLRN_B_H
/* 10245 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10253
/* 10249 */   MCD::OPC_Decode, 220, 11, 63, // Opcode: VSRLRN_H_W
/* 10253 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10261
/* 10257 */   MCD::OPC_Decode, 221, 11, 63, // Opcode: VSRLRN_W_D
/* 10261 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10269
/* 10265 */   MCD::OPC_Decode, 189, 11, 63, // Opcode: VSRARN_B_H
/* 10269 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10277
/* 10273 */   MCD::OPC_Decode, 190, 11, 63, // Opcode: VSRARN_H_W
/* 10277 */   MCD::OPC_FilterValue, 7, 84, 44, // Skip to: 21629
/* 10281 */   MCD::OPC_Decode, 191, 11, 63, // Opcode: VSRARN_W_D
/* 10285 */   MCD::OPC_FilterValue, 63, 51, 0, // Skip to: 10340
/* 10289 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10292 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10300
/* 10296 */   MCD::OPC_Decode, 139, 12, 63, // Opcode: VSSRLN_B_H
/* 10300 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10308
/* 10304 */   MCD::OPC_Decode, 141, 12, 63, // Opcode: VSSRLN_H_W
/* 10308 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10316
/* 10312 */   MCD::OPC_Decode, 143, 12, 63, // Opcode: VSSRLN_W_D
/* 10316 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10324
/* 10320 */   MCD::OPC_Decode, 239, 11, 63, // Opcode: VSSRAN_B_H
/* 10324 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10332
/* 10328 */   MCD::OPC_Decode, 241, 11, 63, // Opcode: VSSRAN_H_W
/* 10332 */   MCD::OPC_FilterValue, 7, 29, 44, // Skip to: 21629
/* 10336 */   MCD::OPC_Decode, 243, 11, 63, // Opcode: VSSRAN_W_D
/* 10340 */   MCD::OPC_FilterValue, 64, 51, 0, // Skip to: 10395
/* 10344 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10347 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10355
/* 10351 */   MCD::OPC_Decode, 153, 12, 63, // Opcode: VSSRLRN_B_H
/* 10355 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10363
/* 10359 */   MCD::OPC_Decode, 155, 12, 63, // Opcode: VSSRLRN_H_W
/* 10363 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10371
/* 10367 */   MCD::OPC_Decode, 157, 12, 63, // Opcode: VSSRLRN_W_D
/* 10371 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10379
/* 10375 */   MCD::OPC_Decode, 253, 11, 63, // Opcode: VSSRARN_B_H
/* 10379 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10387
/* 10383 */   MCD::OPC_Decode, 255, 11, 63, // Opcode: VSSRARN_H_W
/* 10387 */   MCD::OPC_FilterValue, 7, 230, 43, // Skip to: 21629
/* 10391 */   MCD::OPC_Decode, 129, 12, 63, // Opcode: VSSRARN_W_D
/* 10395 */   MCD::OPC_FilterValue, 65, 51, 0, // Skip to: 10450
/* 10399 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10402 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10410
/* 10406 */   MCD::OPC_Decode, 138, 12, 63, // Opcode: VSSRLN_BU_H
/* 10410 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10418
/* 10414 */   MCD::OPC_Decode, 140, 12, 63, // Opcode: VSSRLN_HU_W
/* 10418 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10426
/* 10422 */   MCD::OPC_Decode, 142, 12, 63, // Opcode: VSSRLN_WU_D
/* 10426 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10434
/* 10430 */   MCD::OPC_Decode, 238, 11, 63, // Opcode: VSSRAN_BU_H
/* 10434 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10442
/* 10438 */   MCD::OPC_Decode, 240, 11, 63, // Opcode: VSSRAN_HU_W
/* 10442 */   MCD::OPC_FilterValue, 7, 175, 43, // Skip to: 21629
/* 10446 */   MCD::OPC_Decode, 242, 11, 63, // Opcode: VSSRAN_WU_D
/* 10450 */   MCD::OPC_FilterValue, 66, 51, 0, // Skip to: 10505
/* 10454 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10457 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10465
/* 10461 */   MCD::OPC_Decode, 152, 12, 63, // Opcode: VSSRLRN_BU_H
/* 10465 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10473
/* 10469 */   MCD::OPC_Decode, 154, 12, 63, // Opcode: VSSRLRN_HU_W
/* 10473 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10481
/* 10477 */   MCD::OPC_Decode, 156, 12, 63, // Opcode: VSSRLRN_WU_D
/* 10481 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10489
/* 10485 */   MCD::OPC_Decode, 252, 11, 63, // Opcode: VSSRARN_BU_H
/* 10489 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10497
/* 10493 */   MCD::OPC_Decode, 254, 11, 63, // Opcode: VSSRARN_HU_W
/* 10497 */   MCD::OPC_FilterValue, 7, 120, 43, // Skip to: 21629
/* 10501 */   MCD::OPC_Decode, 128, 12, 63, // Opcode: VSSRARN_WU_D
/* 10505 */   MCD::OPC_FilterValue, 67, 67, 0, // Skip to: 10576
/* 10509 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10512 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 10520
/* 10516 */   MCD::OPC_Decode, 179, 7, 63, // Opcode: VBITCLR_B
/* 10520 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10528
/* 10524 */   MCD::OPC_Decode, 181, 7, 63, // Opcode: VBITCLR_H
/* 10528 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10536
/* 10532 */   MCD::OPC_Decode, 182, 7, 63, // Opcode: VBITCLR_W
/* 10536 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10544
/* 10540 */   MCD::OPC_Decode, 180, 7, 63, // Opcode: VBITCLR_D
/* 10544 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 10552
/* 10548 */   MCD::OPC_Decode, 197, 7, 63, // Opcode: VBITSET_B
/* 10552 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10560
/* 10556 */   MCD::OPC_Decode, 199, 7, 63, // Opcode: VBITSET_H
/* 10560 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10568
/* 10564 */   MCD::OPC_Decode, 200, 7, 63, // Opcode: VBITSET_W
/* 10568 */   MCD::OPC_FilterValue, 7, 49, 43, // Skip to: 21629
/* 10572 */   MCD::OPC_Decode, 198, 7, 63, // Opcode: VBITSET_D
/* 10576 */   MCD::OPC_FilterValue, 68, 35, 0, // Skip to: 10615
/* 10580 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10583 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 10591
/* 10587 */   MCD::OPC_Decode, 187, 7, 63, // Opcode: VBITREV_B
/* 10591 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10599
/* 10595 */   MCD::OPC_Decode, 189, 7, 63, // Opcode: VBITREV_H
/* 10599 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10607
/* 10603 */   MCD::OPC_Decode, 190, 7, 63, // Opcode: VBITREV_W
/* 10607 */   MCD::OPC_FilterValue, 3, 10, 43, // Skip to: 21629
/* 10611 */   MCD::OPC_Decode, 188, 7, 63, // Opcode: VBITREV_D
/* 10615 */   MCD::OPC_FilterValue, 69, 35, 0, // Skip to: 10654
/* 10619 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10622 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 10630
/* 10626 */   MCD::OPC_Decode, 157, 10, 63, // Opcode: VPACKEV_B
/* 10630 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10638
/* 10634 */   MCD::OPC_Decode, 159, 10, 63, // Opcode: VPACKEV_H
/* 10638 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10646
/* 10642 */   MCD::OPC_Decode, 160, 10, 63, // Opcode: VPACKEV_W
/* 10646 */   MCD::OPC_FilterValue, 7, 227, 42, // Skip to: 21629
/* 10650 */   MCD::OPC_Decode, 158, 10, 63, // Opcode: VPACKEV_D
/* 10654 */   MCD::OPC_FilterValue, 70, 67, 0, // Skip to: 10725
/* 10658 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10661 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 10669
/* 10665 */   MCD::OPC_Decode, 161, 10, 63, // Opcode: VPACKOD_B
/* 10669 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10677
/* 10673 */   MCD::OPC_Decode, 163, 10, 63, // Opcode: VPACKOD_H
/* 10677 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10685
/* 10681 */   MCD::OPC_Decode, 164, 10, 63, // Opcode: VPACKOD_W
/* 10685 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10693
/* 10689 */   MCD::OPC_Decode, 162, 10, 63, // Opcode: VPACKOD_D
/* 10693 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 10701
/* 10697 */   MCD::OPC_Decode, 147, 9, 63, // Opcode: VILVL_B
/* 10701 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10709
/* 10705 */   MCD::OPC_Decode, 149, 9, 63, // Opcode: VILVL_H
/* 10709 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10717
/* 10713 */   MCD::OPC_Decode, 150, 9, 63, // Opcode: VILVL_W
/* 10717 */   MCD::OPC_FilterValue, 7, 156, 42, // Skip to: 21629
/* 10721 */   MCD::OPC_Decode, 148, 9, 63, // Opcode: VILVL_D
/* 10725 */   MCD::OPC_FilterValue, 71, 67, 0, // Skip to: 10796
/* 10729 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10732 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 10740
/* 10736 */   MCD::OPC_Decode, 143, 9, 63, // Opcode: VILVH_B
/* 10740 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10748
/* 10744 */   MCD::OPC_Decode, 145, 9, 63, // Opcode: VILVH_H
/* 10748 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10756
/* 10752 */   MCD::OPC_Decode, 146, 9, 63, // Opcode: VILVH_W
/* 10756 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10764
/* 10760 */   MCD::OPC_Decode, 144, 9, 63, // Opcode: VILVH_D
/* 10764 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 10772
/* 10768 */   MCD::OPC_Decode, 170, 10, 63, // Opcode: VPICKEV_B
/* 10772 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10780
/* 10776 */   MCD::OPC_Decode, 172, 10, 63, // Opcode: VPICKEV_H
/* 10780 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10788
/* 10784 */   MCD::OPC_Decode, 173, 10, 63, // Opcode: VPICKEV_W
/* 10788 */   MCD::OPC_FilterValue, 7, 85, 42, // Skip to: 21629
/* 10792 */   MCD::OPC_Decode, 171, 10, 63, // Opcode: VPICKEV_D
/* 10796 */   MCD::OPC_FilterValue, 72, 67, 0, // Skip to: 10867
/* 10800 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10803 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 10811
/* 10807 */   MCD::OPC_Decode, 174, 10, 63, // Opcode: VPICKOD_B
/* 10811 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10819
/* 10815 */   MCD::OPC_Decode, 176, 10, 63, // Opcode: VPICKOD_H
/* 10819 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10827
/* 10823 */   MCD::OPC_Decode, 177, 10, 63, // Opcode: VPICKOD_W
/* 10827 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10835
/* 10831 */   MCD::OPC_Decode, 175, 10, 63, // Opcode: VPICKOD_D
/* 10835 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 10843
/* 10839 */   MCD::OPC_Decode, 194, 10, 104, // Opcode: VREPLVE_B
/* 10843 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10851
/* 10847 */   MCD::OPC_Decode, 196, 10, 104, // Opcode: VREPLVE_H
/* 10851 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10859
/* 10855 */   MCD::OPC_Decode, 197, 10, 104, // Opcode: VREPLVE_W
/* 10859 */   MCD::OPC_FilterValue, 7, 14, 42, // Skip to: 21629
/* 10863 */   MCD::OPC_Decode, 195, 10, 104, // Opcode: VREPLVE_D
/* 10867 */   MCD::OPC_FilterValue, 73, 35, 0, // Skip to: 10906
/* 10871 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10874 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 10882
/* 10878 */   MCD::OPC_Decode, 158, 7, 63, // Opcode: VAND_V
/* 10882 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10890
/* 10886 */   MCD::OPC_Decode, 156, 10, 63, // Opcode: VOR_V
/* 10890 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10898
/* 10894 */   MCD::OPC_Decode, 198, 12, 63, // Opcode: VXOR_V
/* 10898 */   MCD::OPC_FilterValue, 7, 231, 41, // Skip to: 21629
/* 10902 */   MCD::OPC_Decode, 153, 10, 63, // Opcode: VNOR_V
/* 10906 */   MCD::OPC_FilterValue, 74, 35, 0, // Skip to: 10945
/* 10910 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10913 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 10921
/* 10917 */   MCD::OPC_Decode, 157, 7, 63, // Opcode: VANDN_V
/* 10921 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 10929
/* 10925 */   MCD::OPC_Decode, 155, 10, 63, // Opcode: VORN_V
/* 10929 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10937
/* 10933 */   MCD::OPC_Decode, 220, 8, 103, // Opcode: VFRSTP_B
/* 10937 */   MCD::OPC_FilterValue, 7, 192, 41, // Skip to: 21629
/* 10941 */   MCD::OPC_Decode, 221, 8, 103, // Opcode: VFRSTP_H
/* 10945 */   MCD::OPC_FilterValue, 75, 51, 0, // Skip to: 11000
/* 10949 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 10952 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 10960
/* 10956 */   MCD::OPC_Decode, 154, 7, 63, // Opcode: VADD_Q
/* 10960 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 10968
/* 10964 */   MCD::OPC_Decode, 195, 12, 63, // Opcode: VSUB_Q
/* 10968 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 10976
/* 10972 */   MCD::OPC_Decode, 248, 10, 63, // Opcode: VSIGNCOV_B
/* 10976 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 10984
/* 10980 */   MCD::OPC_Decode, 250, 10, 63, // Opcode: VSIGNCOV_H
/* 10984 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 10992
/* 10988 */   MCD::OPC_Decode, 251, 10, 63, // Opcode: VSIGNCOV_W
/* 10992 */   MCD::OPC_FilterValue, 7, 137, 41, // Skip to: 21629
/* 10996 */   MCD::OPC_Decode, 249, 10, 63, // Opcode: VSIGNCOV_D
/* 11000 */   MCD::OPC_FilterValue, 76, 35, 0, // Skip to: 11039
/* 11004 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11007 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 11015
/* 11011 */   MCD::OPC_Decode, 246, 7, 63, // Opcode: VFADD_S
/* 11015 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 11023
/* 11019 */   MCD::OPC_Decode, 245, 7, 63, // Opcode: VFADD_D
/* 11023 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 11031
/* 11027 */   MCD::OPC_Decode, 225, 8, 63, // Opcode: VFSUB_S
/* 11031 */   MCD::OPC_FilterValue, 6, 98, 41, // Skip to: 21629
/* 11035 */   MCD::OPC_Decode, 224, 8, 63, // Opcode: VFSUB_D
/* 11039 */   MCD::OPC_FilterValue, 78, 35, 0, // Skip to: 11078
/* 11043 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11046 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 11054
/* 11050 */   MCD::OPC_Decode, 195, 8, 63, // Opcode: VFMUL_S
/* 11054 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 11062
/* 11058 */   MCD::OPC_Decode, 194, 8, 63, // Opcode: VFMUL_D
/* 11062 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 11070
/* 11066 */   MCD::OPC_Decode, 172, 8, 63, // Opcode: VFDIV_S
/* 11070 */   MCD::OPC_FilterValue, 6, 59, 41, // Skip to: 21629
/* 11074 */   MCD::OPC_Decode, 171, 8, 63, // Opcode: VFDIV_D
/* 11078 */   MCD::OPC_FilterValue, 79, 35, 0, // Skip to: 11117
/* 11082 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11085 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 11093
/* 11089 */   MCD::OPC_Decode, 187, 8, 63, // Opcode: VFMAX_S
/* 11093 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 11101
/* 11097 */   MCD::OPC_Decode, 186, 8, 63, // Opcode: VFMAX_D
/* 11101 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 11109
/* 11105 */   MCD::OPC_Decode, 191, 8, 63, // Opcode: VFMIN_S
/* 11109 */   MCD::OPC_FilterValue, 6, 20, 41, // Skip to: 21629
/* 11113 */   MCD::OPC_Decode, 190, 8, 63, // Opcode: VFMIN_D
/* 11117 */   MCD::OPC_FilterValue, 80, 35, 0, // Skip to: 11156
/* 11121 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11124 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 11132
/* 11128 */   MCD::OPC_Decode, 185, 8, 63, // Opcode: VFMAXA_S
/* 11132 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 11140
/* 11136 */   MCD::OPC_Decode, 184, 8, 63, // Opcode: VFMAXA_D
/* 11140 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 11148
/* 11144 */   MCD::OPC_Decode, 189, 8, 63, // Opcode: VFMINA_S
/* 11148 */   MCD::OPC_FilterValue, 6, 237, 40, // Skip to: 21629
/* 11152 */   MCD::OPC_Decode, 188, 8, 63, // Opcode: VFMINA_D
/* 11156 */   MCD::OPC_FilterValue, 81, 19, 0, // Skip to: 11179
/* 11160 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11163 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 11171
/* 11167 */   MCD::OPC_Decode, 169, 8, 63, // Opcode: VFCVT_H_S
/* 11171 */   MCD::OPC_FilterValue, 5, 214, 40, // Skip to: 21629
/* 11175 */   MCD::OPC_Decode, 170, 8, 63, // Opcode: VFCVT_S_D
/* 11179 */   MCD::OPC_FilterValue, 82, 51, 0, // Skip to: 11234
/* 11183 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11186 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 11194
/* 11190 */   MCD::OPC_Decode, 177, 8, 63, // Opcode: VFFINT_S_L
/* 11194 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 11202
/* 11198 */   MCD::OPC_Decode, 253, 8, 63, // Opcode: VFTINT_W_D
/* 11202 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 11210
/* 11206 */   MCD::OPC_Decode, 231, 8, 63, // Opcode: VFTINTRM_W_D
/* 11210 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 11218
/* 11214 */   MCD::OPC_Decode, 241, 8, 63, // Opcode: VFTINTRP_W_D
/* 11218 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 11226
/* 11222 */   MCD::OPC_Decode, 248, 8, 63, // Opcode: VFTINTRZ_W_D
/* 11226 */   MCD::OPC_FilterValue, 7, 159, 40, // Skip to: 21629
/* 11230 */   MCD::OPC_Decode, 236, 8, 63, // Opcode: VFTINTRNE_W_D
/* 11234 */   MCD::OPC_FilterValue, 94, 27, 0, // Skip to: 11265
/* 11238 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11241 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 11249
/* 11245 */   MCD::OPC_Decode, 246, 10, 103, // Opcode: VSHUF_H
/* 11249 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 11257
/* 11253 */   MCD::OPC_Decode, 247, 10, 103, // Opcode: VSHUF_W
/* 11257 */   MCD::OPC_FilterValue, 7, 128, 40, // Skip to: 21629
/* 11261 */   MCD::OPC_Decode, 245, 10, 103, // Opcode: VSHUF_D
/* 11265 */   MCD::OPC_FilterValue, 160, 1, 67, 0, // Skip to: 11337
/* 11270 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11273 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 11281
/* 11277 */   MCD::OPC_Decode, 222, 10, 105, // Opcode: VSEQI_B
/* 11281 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 11289
/* 11285 */   MCD::OPC_Decode, 224, 10, 105, // Opcode: VSEQI_H
/* 11289 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 11297
/* 11293 */   MCD::OPC_Decode, 225, 10, 105, // Opcode: VSEQI_W
/* 11297 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 11305
/* 11301 */   MCD::OPC_Decode, 223, 10, 105, // Opcode: VSEQI_D
/* 11305 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 11313
/* 11309 */   MCD::OPC_Decode, 252, 10, 105, // Opcode: VSLEI_B
/* 11313 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 11321
/* 11317 */   MCD::OPC_Decode, 128, 11, 105, // Opcode: VSLEI_H
/* 11321 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 11329
/* 11325 */   MCD::OPC_Decode, 130, 11, 105, // Opcode: VSLEI_W
/* 11329 */   MCD::OPC_FilterValue, 7, 56, 40, // Skip to: 21629
/* 11333 */   MCD::OPC_Decode, 254, 10, 105, // Opcode: VSLEI_D
/* 11337 */   MCD::OPC_FilterValue, 161, 1, 67, 0, // Skip to: 11409
/* 11342 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11345 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 11353
/* 11349 */   MCD::OPC_Decode, 253, 10, 106, // Opcode: VSLEI_BU
/* 11353 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 11361
/* 11357 */   MCD::OPC_Decode, 129, 11, 106, // Opcode: VSLEI_HU
/* 11361 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 11369
/* 11365 */   MCD::OPC_Decode, 131, 11, 106, // Opcode: VSLEI_WU
/* 11369 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 11377
/* 11373 */   MCD::OPC_Decode, 255, 10, 106, // Opcode: VSLEI_DU
/* 11377 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 11385
/* 11381 */   MCD::OPC_Decode, 154, 11, 105, // Opcode: VSLTI_B
/* 11385 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 11393
/* 11389 */   MCD::OPC_Decode, 158, 11, 105, // Opcode: VSLTI_H
/* 11393 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 11401
/* 11397 */   MCD::OPC_Decode, 160, 11, 105, // Opcode: VSLTI_W
/* 11401 */   MCD::OPC_FilterValue, 7, 240, 39, // Skip to: 21629
/* 11405 */   MCD::OPC_Decode, 156, 11, 105, // Opcode: VSLTI_D
/* 11409 */   MCD::OPC_FilterValue, 162, 1, 67, 0, // Skip to: 11481
/* 11414 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11417 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 11425
/* 11421 */   MCD::OPC_Decode, 155, 11, 106, // Opcode: VSLTI_BU
/* 11425 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 11433
/* 11429 */   MCD::OPC_Decode, 159, 11, 106, // Opcode: VSLTI_HU
/* 11433 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 11441
/* 11437 */   MCD::OPC_Decode, 161, 11, 106, // Opcode: VSLTI_WU
/* 11441 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 11449
/* 11445 */   MCD::OPC_Decode, 157, 11, 106, // Opcode: VSLTI_DU
/* 11449 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 11457
/* 11453 */   MCD::OPC_Decode, 251, 6, 106, // Opcode: VADDI_BU
/* 11457 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 11465
/* 11461 */   MCD::OPC_Decode, 253, 6, 106, // Opcode: VADDI_HU
/* 11465 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 11473
/* 11469 */   MCD::OPC_Decode, 254, 6, 106, // Opcode: VADDI_WU
/* 11473 */   MCD::OPC_FilterValue, 7, 168, 39, // Skip to: 21629
/* 11477 */   MCD::OPC_Decode, 252, 6, 106, // Opcode: VADDI_DU
/* 11481 */   MCD::OPC_FilterValue, 163, 1, 51, 0, // Skip to: 11537
/* 11486 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11489 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 11497
/* 11493 */   MCD::OPC_Decode, 172, 12, 106, // Opcode: VSUBI_BU
/* 11497 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 11505
/* 11501 */   MCD::OPC_Decode, 174, 12, 106, // Opcode: VSUBI_HU
/* 11505 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 11513
/* 11509 */   MCD::OPC_Decode, 175, 12, 106, // Opcode: VSUBI_WU
/* 11513 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 11521
/* 11517 */   MCD::OPC_Decode, 173, 12, 106, // Opcode: VSUBI_DU
/* 11521 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 11529
/* 11525 */   MCD::OPC_Decode, 201, 7, 106, // Opcode: VBSLL_V
/* 11529 */   MCD::OPC_FilterValue, 5, 112, 39, // Skip to: 21629
/* 11533 */   MCD::OPC_Decode, 202, 7, 106, // Opcode: VBSRL_V
/* 11537 */   MCD::OPC_FilterValue, 164, 1, 67, 0, // Skip to: 11609
/* 11542 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11545 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 11553
/* 11549 */   MCD::OPC_Decode, 190, 9, 105, // Opcode: VMAXI_B
/* 11553 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 11561
/* 11557 */   MCD::OPC_Decode, 194, 9, 105, // Opcode: VMAXI_H
/* 11561 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 11569
/* 11565 */   MCD::OPC_Decode, 196, 9, 105, // Opcode: VMAXI_W
/* 11569 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 11577
/* 11573 */   MCD::OPC_Decode, 192, 9, 105, // Opcode: VMAXI_D
/* 11577 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 11585
/* 11581 */   MCD::OPC_Decode, 206, 9, 105, // Opcode: VMINI_B
/* 11585 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 11593
/* 11589 */   MCD::OPC_Decode, 210, 9, 105, // Opcode: VMINI_H
/* 11593 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 11601
/* 11597 */   MCD::OPC_Decode, 212, 9, 105, // Opcode: VMINI_W
/* 11601 */   MCD::OPC_FilterValue, 7, 40, 39, // Skip to: 21629
/* 11605 */   MCD::OPC_Decode, 208, 9, 105, // Opcode: VMINI_D
/* 11609 */   MCD::OPC_FilterValue, 165, 1, 67, 0, // Skip to: 11681
/* 11614 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11617 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 11625
/* 11621 */   MCD::OPC_Decode, 191, 9, 106, // Opcode: VMAXI_BU
/* 11625 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 11633
/* 11629 */   MCD::OPC_Decode, 195, 9, 106, // Opcode: VMAXI_HU
/* 11633 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 11641
/* 11637 */   MCD::OPC_Decode, 197, 9, 106, // Opcode: VMAXI_WU
/* 11641 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 11649
/* 11645 */   MCD::OPC_Decode, 193, 9, 106, // Opcode: VMAXI_DU
/* 11649 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 11657
/* 11653 */   MCD::OPC_Decode, 207, 9, 106, // Opcode: VMINI_BU
/* 11657 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 11665
/* 11661 */   MCD::OPC_Decode, 211, 9, 106, // Opcode: VMINI_HU
/* 11665 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 11673
/* 11669 */   MCD::OPC_Decode, 213, 9, 106, // Opcode: VMINI_WU
/* 11673 */   MCD::OPC_FilterValue, 7, 224, 38, // Skip to: 21629
/* 11677 */   MCD::OPC_Decode, 209, 9, 106, // Opcode: VMINI_DU
/* 11681 */   MCD::OPC_FilterValue, 166, 1, 19, 0, // Skip to: 11705
/* 11686 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 11689 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 11697
/* 11693 */   MCD::OPC_Decode, 218, 8, 107, // Opcode: VFRSTPI_B
/* 11697 */   MCD::OPC_FilterValue, 5, 200, 38, // Skip to: 21629
/* 11701 */   MCD::OPC_Decode, 219, 8, 107, // Opcode: VFRSTPI_H
/* 11705 */   MCD::OPC_FilterValue, 167, 1, 153, 3, // Skip to: 12631
/* 11710 */   MCD::OPC_ExtractField, 10, 8,  // Inst{17-10} ...
/* 11713 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 11721
/* 11717 */   MCD::OPC_Decode, 203, 7, 108, // Opcode: VCLO_B
/* 11721 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 11729
/* 11725 */   MCD::OPC_Decode, 205, 7, 108, // Opcode: VCLO_H
/* 11729 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 11737
/* 11733 */   MCD::OPC_Decode, 206, 7, 108, // Opcode: VCLO_W
/* 11737 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 11745
/* 11741 */   MCD::OPC_Decode, 204, 7, 108, // Opcode: VCLO_D
/* 11745 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 11753
/* 11749 */   MCD::OPC_Decode, 207, 7, 108, // Opcode: VCLZ_B
/* 11753 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 11761
/* 11757 */   MCD::OPC_Decode, 209, 7, 108, // Opcode: VCLZ_H
/* 11761 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 11769
/* 11765 */   MCD::OPC_Decode, 210, 7, 108, // Opcode: VCLZ_W
/* 11769 */   MCD::OPC_FilterValue, 7, 4, 0, // Skip to: 11777
/* 11773 */   MCD::OPC_Decode, 208, 7, 108, // Opcode: VCLZ_D
/* 11777 */   MCD::OPC_FilterValue, 8, 4, 0, // Skip to: 11785
/* 11781 */   MCD::OPC_Decode, 165, 10, 108, // Opcode: VPCNT_B
/* 11785 */   MCD::OPC_FilterValue, 9, 4, 0, // Skip to: 11793
/* 11789 */   MCD::OPC_Decode, 167, 10, 108, // Opcode: VPCNT_H
/* 11793 */   MCD::OPC_FilterValue, 10, 4, 0, // Skip to: 11801
/* 11797 */   MCD::OPC_Decode, 168, 10, 108, // Opcode: VPCNT_W
/* 11801 */   MCD::OPC_FilterValue, 11, 4, 0, // Skip to: 11809
/* 11805 */   MCD::OPC_Decode, 166, 10, 108, // Opcode: VPCNT_D
/* 11809 */   MCD::OPC_FilterValue, 12, 4, 0, // Skip to: 11817
/* 11813 */   MCD::OPC_Decode, 148, 10, 108, // Opcode: VNEG_B
/* 11817 */   MCD::OPC_FilterValue, 13, 4, 0, // Skip to: 11825
/* 11821 */   MCD::OPC_Decode, 150, 10, 108, // Opcode: VNEG_H
/* 11825 */   MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 11833
/* 11829 */   MCD::OPC_Decode, 151, 10, 108, // Opcode: VNEG_W
/* 11833 */   MCD::OPC_FilterValue, 15, 4, 0, // Skip to: 11841
/* 11837 */   MCD::OPC_Decode, 149, 10, 108, // Opcode: VNEG_D
/* 11841 */   MCD::OPC_FilterValue, 16, 4, 0, // Skip to: 11849
/* 11845 */   MCD::OPC_Decode, 231, 9, 108, // Opcode: VMSKLTZ_B
/* 11849 */   MCD::OPC_FilterValue, 17, 4, 0, // Skip to: 11857
/* 11853 */   MCD::OPC_Decode, 233, 9, 108, // Opcode: VMSKLTZ_H
/* 11857 */   MCD::OPC_FilterValue, 18, 4, 0, // Skip to: 11865
/* 11861 */   MCD::OPC_Decode, 234, 9, 108, // Opcode: VMSKLTZ_W
/* 11865 */   MCD::OPC_FilterValue, 19, 4, 0, // Skip to: 11873
/* 11869 */   MCD::OPC_Decode, 232, 9, 108, // Opcode: VMSKLTZ_D
/* 11873 */   MCD::OPC_FilterValue, 20, 4, 0, // Skip to: 11881
/* 11877 */   MCD::OPC_Decode, 230, 9, 108, // Opcode: VMSKGEZ_B
/* 11881 */   MCD::OPC_FilterValue, 24, 4, 0, // Skip to: 11889
/* 11885 */   MCD::OPC_Decode, 235, 9, 108, // Opcode: VMSKNZ_B
/* 11889 */   MCD::OPC_FilterValue, 38, 10, 0, // Skip to: 11903
/* 11893 */   MCD::OPC_CheckField, 3, 2, 0, 2, 38, // Skip to: 21629
/* 11899 */   MCD::OPC_Decode, 238, 10, 109, // Opcode: VSETEQZ_V
/* 11903 */   MCD::OPC_FilterValue, 39, 10, 0, // Skip to: 11917
/* 11907 */   MCD::OPC_CheckField, 3, 2, 0, 244, 37, // Skip to: 21629
/* 11913 */   MCD::OPC_Decode, 239, 10, 109, // Opcode: VSETNEZ_V
/* 11917 */   MCD::OPC_FilterValue, 40, 10, 0, // Skip to: 11931
/* 11921 */   MCD::OPC_CheckField, 3, 2, 0, 230, 37, // Skip to: 21629
/* 11927 */   MCD::OPC_Decode, 234, 10, 109, // Opcode: VSETANYEQZ_B
/* 11931 */   MCD::OPC_FilterValue, 41, 10, 0, // Skip to: 11945
/* 11935 */   MCD::OPC_CheckField, 3, 2, 0, 216, 37, // Skip to: 21629
/* 11941 */   MCD::OPC_Decode, 236, 10, 109, // Opcode: VSETANYEQZ_H
/* 11945 */   MCD::OPC_FilterValue, 42, 10, 0, // Skip to: 11959
/* 11949 */   MCD::OPC_CheckField, 3, 2, 0, 202, 37, // Skip to: 21629
/* 11955 */   MCD::OPC_Decode, 237, 10, 109, // Opcode: VSETANYEQZ_W
/* 11959 */   MCD::OPC_FilterValue, 43, 10, 0, // Skip to: 11973
/* 11963 */   MCD::OPC_CheckField, 3, 2, 0, 188, 37, // Skip to: 21629
/* 11969 */   MCD::OPC_Decode, 235, 10, 109, // Opcode: VSETANYEQZ_D
/* 11973 */   MCD::OPC_FilterValue, 44, 10, 0, // Skip to: 11987
/* 11977 */   MCD::OPC_CheckField, 3, 2, 0, 174, 37, // Skip to: 21629
/* 11983 */   MCD::OPC_Decode, 230, 10, 109, // Opcode: VSETALLNEZ_B
/* 11987 */   MCD::OPC_FilterValue, 45, 10, 0, // Skip to: 12001
/* 11991 */   MCD::OPC_CheckField, 3, 2, 0, 160, 37, // Skip to: 21629
/* 11997 */   MCD::OPC_Decode, 232, 10, 109, // Opcode: VSETALLNEZ_H
/* 12001 */   MCD::OPC_FilterValue, 46, 10, 0, // Skip to: 12015
/* 12005 */   MCD::OPC_CheckField, 3, 2, 0, 146, 37, // Skip to: 21629
/* 12011 */   MCD::OPC_Decode, 233, 10, 109, // Opcode: VSETALLNEZ_W
/* 12015 */   MCD::OPC_FilterValue, 47, 10, 0, // Skip to: 12029
/* 12019 */   MCD::OPC_CheckField, 3, 2, 0, 132, 37, // Skip to: 21629
/* 12025 */   MCD::OPC_Decode, 231, 10, 109, // Opcode: VSETALLNEZ_D
/* 12029 */   MCD::OPC_FilterValue, 49, 4, 0, // Skip to: 12037
/* 12033 */   MCD::OPC_Decode, 181, 8, 108, // Opcode: VFLOGB_S
/* 12037 */   MCD::OPC_FilterValue, 50, 4, 0, // Skip to: 12045
/* 12041 */   MCD::OPC_Decode, 180, 8, 108, // Opcode: VFLOGB_D
/* 12045 */   MCD::OPC_FilterValue, 53, 4, 0, // Skip to: 12053
/* 12049 */   MCD::OPC_Decode, 248, 7, 108, // Opcode: VFCLASS_S
/* 12053 */   MCD::OPC_FilterValue, 54, 4, 0, // Skip to: 12061
/* 12057 */   MCD::OPC_Decode, 247, 7, 108, // Opcode: VFCLASS_D
/* 12061 */   MCD::OPC_FilterValue, 57, 4, 0, // Skip to: 12069
/* 12065 */   MCD::OPC_Decode, 223, 8, 108, // Opcode: VFSQRT_S
/* 12069 */   MCD::OPC_FilterValue, 58, 4, 0, // Skip to: 12077
/* 12073 */   MCD::OPC_Decode, 222, 8, 108, // Opcode: VFSQRT_D
/* 12077 */   MCD::OPC_FilterValue, 61, 4, 0, // Skip to: 12085
/* 12081 */   MCD::OPC_Decode, 203, 8, 108, // Opcode: VFRECIP_S
/* 12085 */   MCD::OPC_FilterValue, 62, 4, 0, // Skip to: 12093
/* 12089 */   MCD::OPC_Decode, 202, 8, 108, // Opcode: VFRECIP_D
/* 12093 */   MCD::OPC_FilterValue, 65, 4, 0, // Skip to: 12101
/* 12097 */   MCD::OPC_Decode, 217, 8, 108, // Opcode: VFRSQRT_S
/* 12101 */   MCD::OPC_FilterValue, 66, 4, 0, // Skip to: 12109
/* 12105 */   MCD::OPC_Decode, 216, 8, 108, // Opcode: VFRSQRT_D
/* 12109 */   MCD::OPC_FilterValue, 69, 4, 0, // Skip to: 12117
/* 12113 */   MCD::OPC_Decode, 201, 8, 108, // Opcode: VFRECIPE_S
/* 12117 */   MCD::OPC_FilterValue, 70, 4, 0, // Skip to: 12125
/* 12121 */   MCD::OPC_Decode, 200, 8, 108, // Opcode: VFRECIPE_D
/* 12125 */   MCD::OPC_FilterValue, 73, 4, 0, // Skip to: 12133
/* 12129 */   MCD::OPC_Decode, 215, 8, 108, // Opcode: VFRSQRTE_S
/* 12133 */   MCD::OPC_FilterValue, 74, 4, 0, // Skip to: 12141
/* 12137 */   MCD::OPC_Decode, 214, 8, 108, // Opcode: VFRSQRTE_D
/* 12141 */   MCD::OPC_FilterValue, 77, 4, 0, // Skip to: 12149
/* 12145 */   MCD::OPC_Decode, 213, 8, 108, // Opcode: VFRINT_S
/* 12149 */   MCD::OPC_FilterValue, 78, 4, 0, // Skip to: 12157
/* 12153 */   MCD::OPC_Decode, 212, 8, 108, // Opcode: VFRINT_D
/* 12157 */   MCD::OPC_FilterValue, 81, 4, 0, // Skip to: 12165
/* 12161 */   MCD::OPC_Decode, 205, 8, 108, // Opcode: VFRINTRM_S
/* 12165 */   MCD::OPC_FilterValue, 82, 4, 0, // Skip to: 12173
/* 12169 */   MCD::OPC_Decode, 204, 8, 108, // Opcode: VFRINTRM_D
/* 12173 */   MCD::OPC_FilterValue, 85, 4, 0, // Skip to: 12181
/* 12177 */   MCD::OPC_Decode, 209, 8, 108, // Opcode: VFRINTRP_S
/* 12181 */   MCD::OPC_FilterValue, 86, 4, 0, // Skip to: 12189
/* 12185 */   MCD::OPC_Decode, 208, 8, 108, // Opcode: VFRINTRP_D
/* 12189 */   MCD::OPC_FilterValue, 89, 4, 0, // Skip to: 12197
/* 12193 */   MCD::OPC_Decode, 211, 8, 108, // Opcode: VFRINTRZ_S
/* 12197 */   MCD::OPC_FilterValue, 90, 4, 0, // Skip to: 12205
/* 12201 */   MCD::OPC_Decode, 210, 8, 108, // Opcode: VFRINTRZ_D
/* 12205 */   MCD::OPC_FilterValue, 93, 4, 0, // Skip to: 12213
/* 12209 */   MCD::OPC_Decode, 207, 8, 108, // Opcode: VFRINTRNE_S
/* 12213 */   MCD::OPC_FilterValue, 94, 4, 0, // Skip to: 12221
/* 12217 */   MCD::OPC_Decode, 206, 8, 108, // Opcode: VFRINTRNE_D
/* 12221 */   MCD::OPC_FilterValue, 122, 4, 0, // Skip to: 12229
/* 12225 */   MCD::OPC_Decode, 168, 8, 108, // Opcode: VFCVTL_S_H
/* 12229 */   MCD::OPC_FilterValue, 123, 4, 0, // Skip to: 12237
/* 12233 */   MCD::OPC_Decode, 166, 8, 108, // Opcode: VFCVTH_S_H
/* 12237 */   MCD::OPC_FilterValue, 124, 4, 0, // Skip to: 12245
/* 12241 */   MCD::OPC_Decode, 167, 8, 108, // Opcode: VFCVTL_D_S
/* 12245 */   MCD::OPC_FilterValue, 125, 4, 0, // Skip to: 12253
/* 12249 */   MCD::OPC_Decode, 165, 8, 108, // Opcode: VFCVTH_D_S
/* 12253 */   MCD::OPC_FilterValue, 128, 1, 4, 0, // Skip to: 12262
/* 12258 */   MCD::OPC_Decode, 178, 8, 108, // Opcode: VFFINT_S_W
/* 12262 */   MCD::OPC_FilterValue, 129, 1, 4, 0, // Skip to: 12271
/* 12267 */   MCD::OPC_Decode, 179, 8, 108, // Opcode: VFFINT_S_WU
/* 12271 */   MCD::OPC_FilterValue, 130, 1, 4, 0, // Skip to: 12280
/* 12276 */   MCD::OPC_Decode, 175, 8, 108, // Opcode: VFFINT_D_L
/* 12280 */   MCD::OPC_FilterValue, 131, 1, 4, 0, // Skip to: 12289
/* 12285 */   MCD::OPC_Decode, 176, 8, 108, // Opcode: VFFINT_D_LU
/* 12289 */   MCD::OPC_FilterValue, 132, 1, 4, 0, // Skip to: 12298
/* 12294 */   MCD::OPC_Decode, 174, 8, 108, // Opcode: VFFINTL_D_W
/* 12298 */   MCD::OPC_FilterValue, 133, 1, 4, 0, // Skip to: 12307
/* 12303 */   MCD::OPC_Decode, 173, 8, 108, // Opcode: VFFINTH_D_W
/* 12307 */   MCD::OPC_FilterValue, 140, 1, 4, 0, // Skip to: 12316
/* 12312 */   MCD::OPC_Decode, 254, 8, 108, // Opcode: VFTINT_W_S
/* 12316 */   MCD::OPC_FilterValue, 141, 1, 4, 0, // Skip to: 12325
/* 12321 */   MCD::OPC_Decode, 251, 8, 108, // Opcode: VFTINT_L_D
/* 12325 */   MCD::OPC_FilterValue, 142, 1, 4, 0, // Skip to: 12334
/* 12330 */   MCD::OPC_Decode, 232, 8, 108, // Opcode: VFTINTRM_W_S
/* 12334 */   MCD::OPC_FilterValue, 143, 1, 4, 0, // Skip to: 12343
/* 12339 */   MCD::OPC_Decode, 230, 8, 108, // Opcode: VFTINTRM_L_D
/* 12343 */   MCD::OPC_FilterValue, 144, 1, 4, 0, // Skip to: 12352
/* 12348 */   MCD::OPC_Decode, 242, 8, 108, // Opcode: VFTINTRP_W_S
/* 12352 */   MCD::OPC_FilterValue, 145, 1, 4, 0, // Skip to: 12361
/* 12357 */   MCD::OPC_Decode, 240, 8, 108, // Opcode: VFTINTRP_L_D
/* 12361 */   MCD::OPC_FilterValue, 146, 1, 4, 0, // Skip to: 12370
/* 12366 */   MCD::OPC_Decode, 249, 8, 108, // Opcode: VFTINTRZ_W_S
/* 12370 */   MCD::OPC_FilterValue, 147, 1, 4, 0, // Skip to: 12379
/* 12375 */   MCD::OPC_Decode, 246, 8, 108, // Opcode: VFTINTRZ_L_D
/* 12379 */   MCD::OPC_FilterValue, 148, 1, 4, 0, // Skip to: 12388
/* 12384 */   MCD::OPC_Decode, 237, 8, 108, // Opcode: VFTINTRNE_W_S
/* 12388 */   MCD::OPC_FilterValue, 149, 1, 4, 0, // Skip to: 12397
/* 12393 */   MCD::OPC_Decode, 235, 8, 108, // Opcode: VFTINTRNE_L_D
/* 12397 */   MCD::OPC_FilterValue, 150, 1, 4, 0, // Skip to: 12406
/* 12402 */   MCD::OPC_Decode, 252, 8, 108, // Opcode: VFTINT_WU_S
/* 12406 */   MCD::OPC_FilterValue, 151, 1, 4, 0, // Skip to: 12415
/* 12411 */   MCD::OPC_Decode, 250, 8, 108, // Opcode: VFTINT_LU_D
/* 12415 */   MCD::OPC_FilterValue, 156, 1, 4, 0, // Skip to: 12424
/* 12420 */   MCD::OPC_Decode, 247, 8, 108, // Opcode: VFTINTRZ_WU_S
/* 12424 */   MCD::OPC_FilterValue, 157, 1, 4, 0, // Skip to: 12433
/* 12429 */   MCD::OPC_Decode, 245, 8, 108, // Opcode: VFTINTRZ_LU_D
/* 12433 */   MCD::OPC_FilterValue, 160, 1, 4, 0, // Skip to: 12442
/* 12438 */   MCD::OPC_Decode, 227, 8, 108, // Opcode: VFTINTL_L_S
/* 12442 */   MCD::OPC_FilterValue, 161, 1, 4, 0, // Skip to: 12451
/* 12447 */   MCD::OPC_Decode, 226, 8, 108, // Opcode: VFTINTH_L_S
/* 12451 */   MCD::OPC_FilterValue, 162, 1, 4, 0, // Skip to: 12460
/* 12456 */   MCD::OPC_Decode, 229, 8, 108, // Opcode: VFTINTRML_L_S
/* 12460 */   MCD::OPC_FilterValue, 163, 1, 4, 0, // Skip to: 12469
/* 12465 */   MCD::OPC_Decode, 228, 8, 108, // Opcode: VFTINTRMH_L_S
/* 12469 */   MCD::OPC_FilterValue, 164, 1, 4, 0, // Skip to: 12478
/* 12474 */   MCD::OPC_Decode, 239, 8, 108, // Opcode: VFTINTRPL_L_S
/* 12478 */   MCD::OPC_FilterValue, 165, 1, 4, 0, // Skip to: 12487
/* 12483 */   MCD::OPC_Decode, 238, 8, 108, // Opcode: VFTINTRPH_L_S
/* 12487 */   MCD::OPC_FilterValue, 166, 1, 4, 0, // Skip to: 12496
/* 12492 */   MCD::OPC_Decode, 244, 8, 108, // Opcode: VFTINTRZL_L_S
/* 12496 */   MCD::OPC_FilterValue, 167, 1, 4, 0, // Skip to: 12505
/* 12501 */   MCD::OPC_Decode, 243, 8, 108, // Opcode: VFTINTRZH_L_S
/* 12505 */   MCD::OPC_FilterValue, 168, 1, 4, 0, // Skip to: 12514
/* 12510 */   MCD::OPC_Decode, 234, 8, 108, // Opcode: VFTINTRNEL_L_S
/* 12514 */   MCD::OPC_FilterValue, 169, 1, 4, 0, // Skip to: 12523
/* 12519 */   MCD::OPC_Decode, 233, 8, 108, // Opcode: VFTINTRNEH_L_S
/* 12523 */   MCD::OPC_FilterValue, 184, 1, 4, 0, // Skip to: 12532
/* 12528 */   MCD::OPC_Decode, 234, 7, 108, // Opcode: VEXTH_H_B
/* 12532 */   MCD::OPC_FilterValue, 185, 1, 4, 0, // Skip to: 12541
/* 12537 */   MCD::OPC_Decode, 238, 7, 108, // Opcode: VEXTH_W_H
/* 12541 */   MCD::OPC_FilterValue, 186, 1, 4, 0, // Skip to: 12550
/* 12546 */   MCD::OPC_Decode, 232, 7, 108, // Opcode: VEXTH_D_W
/* 12550 */   MCD::OPC_FilterValue, 187, 1, 4, 0, // Skip to: 12559
/* 12555 */   MCD::OPC_Decode, 236, 7, 108, // Opcode: VEXTH_Q_D
/* 12559 */   MCD::OPC_FilterValue, 188, 1, 4, 0, // Skip to: 12568
/* 12564 */   MCD::OPC_Decode, 233, 7, 108, // Opcode: VEXTH_HU_BU
/* 12568 */   MCD::OPC_FilterValue, 189, 1, 4, 0, // Skip to: 12577
/* 12573 */   MCD::OPC_Decode, 237, 7, 108, // Opcode: VEXTH_WU_HU
/* 12577 */   MCD::OPC_FilterValue, 190, 1, 4, 0, // Skip to: 12586
/* 12582 */   MCD::OPC_Decode, 231, 7, 108, // Opcode: VEXTH_DU_WU
/* 12586 */   MCD::OPC_FilterValue, 191, 1, 4, 0, // Skip to: 12595
/* 12591 */   MCD::OPC_Decode, 235, 7, 108, // Opcode: VEXTH_QU_DU
/* 12595 */   MCD::OPC_FilterValue, 192, 1, 4, 0, // Skip to: 12604
/* 12600 */   MCD::OPC_Decode, 186, 10, 110, // Opcode: VREPLGR2VR_B
/* 12604 */   MCD::OPC_FilterValue, 193, 1, 4, 0, // Skip to: 12613
/* 12609 */   MCD::OPC_Decode, 188, 10, 110, // Opcode: VREPLGR2VR_H
/* 12613 */   MCD::OPC_FilterValue, 194, 1, 4, 0, // Skip to: 12622
/* 12618 */   MCD::OPC_Decode, 189, 10, 110, // Opcode: VREPLGR2VR_W
/* 12622 */   MCD::OPC_FilterValue, 195, 1, 42, 35, // Skip to: 21629
/* 12627 */   MCD::OPC_Decode, 187, 10, 110, // Opcode: VREPLGR2VR_D
/* 12631 */   MCD::OPC_FilterValue, 168, 1, 55, 0, // Skip to: 12691
/* 12636 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 12639 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 12683
/* 12643 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 12646 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 12675
/* 12650 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 12653 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 12667
/* 12657 */   MCD::OPC_CheckField, 13, 1, 1, 6, 35, // Skip to: 21629
/* 12663 */   MCD::OPC_Decode, 198, 10, 111, // Opcode: VROTRI_B
/* 12667 */   MCD::OPC_FilterValue, 1, 254, 34, // Skip to: 21629
/* 12671 */   MCD::OPC_Decode, 200, 10, 112, // Opcode: VROTRI_H
/* 12675 */   MCD::OPC_FilterValue, 1, 246, 34, // Skip to: 21629
/* 12679 */   MCD::OPC_Decode, 201, 10, 106, // Opcode: VROTRI_W
/* 12683 */   MCD::OPC_FilterValue, 1, 238, 34, // Skip to: 21629
/* 12687 */   MCD::OPC_Decode, 199, 10, 113, // Opcode: VROTRI_D
/* 12691 */   MCD::OPC_FilterValue, 169, 1, 55, 0, // Skip to: 12751
/* 12696 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 12699 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 12743
/* 12703 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 12706 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 12735
/* 12710 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 12713 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 12727
/* 12717 */   MCD::OPC_CheckField, 13, 1, 1, 202, 34, // Skip to: 21629
/* 12723 */   MCD::OPC_Decode, 211, 11, 111, // Opcode: VSRLRI_B
/* 12727 */   MCD::OPC_FilterValue, 1, 194, 34, // Skip to: 21629
/* 12731 */   MCD::OPC_Decode, 213, 11, 112, // Opcode: VSRLRI_H
/* 12735 */   MCD::OPC_FilterValue, 1, 186, 34, // Skip to: 21629
/* 12739 */   MCD::OPC_Decode, 214, 11, 106, // Opcode: VSRLRI_W
/* 12743 */   MCD::OPC_FilterValue, 1, 178, 34, // Skip to: 21629
/* 12747 */   MCD::OPC_Decode, 212, 11, 113, // Opcode: VSRLRI_D
/* 12751 */   MCD::OPC_FilterValue, 170, 1, 55, 0, // Skip to: 12811
/* 12756 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 12759 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 12803
/* 12763 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 12766 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 12795
/* 12770 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 12773 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 12787
/* 12777 */   MCD::OPC_CheckField, 13, 1, 1, 142, 34, // Skip to: 21629
/* 12783 */   MCD::OPC_Decode, 181, 11, 111, // Opcode: VSRARI_B
/* 12787 */   MCD::OPC_FilterValue, 1, 134, 34, // Skip to: 21629
/* 12791 */   MCD::OPC_Decode, 183, 11, 112, // Opcode: VSRARI_H
/* 12795 */   MCD::OPC_FilterValue, 1, 126, 34, // Skip to: 21629
/* 12799 */   MCD::OPC_Decode, 184, 11, 106, // Opcode: VSRARI_W
/* 12803 */   MCD::OPC_FilterValue, 1, 118, 34, // Skip to: 21629
/* 12807 */   MCD::OPC_Decode, 182, 11, 113, // Opcode: VSRARI_D
/* 12811 */   MCD::OPC_FilterValue, 186, 1, 55, 0, // Skip to: 12871
/* 12816 */   MCD::OPC_ExtractField, 14, 4,  // Inst{17-14} ...
/* 12819 */   MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 12827
/* 12823 */   MCD::OPC_Decode, 151, 9, 114, // Opcode: VINSGR2VR_B
/* 12827 */   MCD::OPC_FilterValue, 15, 94, 34, // Skip to: 21629
/* 12831 */   MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 12834 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 12842
/* 12838 */   MCD::OPC_Decode, 153, 9, 115, // Opcode: VINSGR2VR_H
/* 12842 */   MCD::OPC_FilterValue, 1, 79, 34, // Skip to: 21629
/* 12846 */   MCD::OPC_ExtractField, 12, 1,  // Inst{12} ...
/* 12849 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 12857
/* 12853 */   MCD::OPC_Decode, 154, 9, 116, // Opcode: VINSGR2VR_W
/* 12857 */   MCD::OPC_FilterValue, 1, 64, 34, // Skip to: 21629
/* 12861 */   MCD::OPC_CheckField, 11, 1, 0, 58, 34, // Skip to: 21629
/* 12867 */   MCD::OPC_Decode, 152, 9, 117, // Opcode: VINSGR2VR_D
/* 12871 */   MCD::OPC_FilterValue, 187, 1, 55, 0, // Skip to: 12931
/* 12876 */   MCD::OPC_ExtractField, 14, 4,  // Inst{17-14} ...
/* 12879 */   MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 12887
/* 12883 */   MCD::OPC_Decode, 178, 10, 118, // Opcode: VPICKVE2GR_B
/* 12887 */   MCD::OPC_FilterValue, 15, 34, 34, // Skip to: 21629
/* 12891 */   MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 12894 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 12902
/* 12898 */   MCD::OPC_Decode, 182, 10, 119, // Opcode: VPICKVE2GR_H
/* 12902 */   MCD::OPC_FilterValue, 1, 19, 34, // Skip to: 21629
/* 12906 */   MCD::OPC_ExtractField, 12, 1,  // Inst{12} ...
/* 12909 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 12917
/* 12913 */   MCD::OPC_Decode, 184, 10, 120, // Opcode: VPICKVE2GR_W
/* 12917 */   MCD::OPC_FilterValue, 1, 4, 34, // Skip to: 21629
/* 12921 */   MCD::OPC_CheckField, 11, 1, 0, 254, 33, // Skip to: 21629
/* 12927 */   MCD::OPC_Decode, 180, 10, 121, // Opcode: VPICKVE2GR_D
/* 12931 */   MCD::OPC_FilterValue, 188, 1, 55, 0, // Skip to: 12991
/* 12936 */   MCD::OPC_ExtractField, 14, 4,  // Inst{17-14} ...
/* 12939 */   MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 12947
/* 12943 */   MCD::OPC_Decode, 179, 10, 118, // Opcode: VPICKVE2GR_BU
/* 12947 */   MCD::OPC_FilterValue, 15, 230, 33, // Skip to: 21629
/* 12951 */   MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 12954 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 12962
/* 12958 */   MCD::OPC_Decode, 183, 10, 119, // Opcode: VPICKVE2GR_HU
/* 12962 */   MCD::OPC_FilterValue, 1, 215, 33, // Skip to: 21629
/* 12966 */   MCD::OPC_ExtractField, 12, 1,  // Inst{12} ...
/* 12969 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 12977
/* 12973 */   MCD::OPC_Decode, 185, 10, 120, // Opcode: VPICKVE2GR_WU
/* 12977 */   MCD::OPC_FilterValue, 1, 200, 33, // Skip to: 21629
/* 12981 */   MCD::OPC_CheckField, 11, 1, 0, 194, 33, // Skip to: 21629
/* 12987 */   MCD::OPC_Decode, 181, 10, 121, // Opcode: VPICKVE2GR_DU
/* 12991 */   MCD::OPC_FilterValue, 189, 1, 55, 0, // Skip to: 13051
/* 12996 */   MCD::OPC_ExtractField, 14, 4,  // Inst{17-14} ...
/* 12999 */   MCD::OPC_FilterValue, 14, 4, 0, // Skip to: 13007
/* 13003 */   MCD::OPC_Decode, 190, 10, 112, // Opcode: VREPLVEI_B
/* 13007 */   MCD::OPC_FilterValue, 15, 170, 33, // Skip to: 21629
/* 13011 */   MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 13014 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 13022
/* 13018 */   MCD::OPC_Decode, 192, 10, 111, // Opcode: VREPLVEI_H
/* 13022 */   MCD::OPC_FilterValue, 1, 155, 33, // Skip to: 21629
/* 13026 */   MCD::OPC_ExtractField, 12, 1,  // Inst{12} ...
/* 13029 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 13037
/* 13033 */   MCD::OPC_Decode, 193, 10, 122, // Opcode: VREPLVEI_W
/* 13037 */   MCD::OPC_FilterValue, 1, 140, 33, // Skip to: 21629
/* 13041 */   MCD::OPC_CheckField, 11, 1, 0, 134, 33, // Skip to: 21629
/* 13047 */   MCD::OPC_Decode, 191, 10, 123, // Opcode: VREPLVEI_D
/* 13051 */   MCD::OPC_FilterValue, 194, 1, 54, 0, // Skip to: 13110
/* 13056 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13059 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13088
/* 13063 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 13066 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13080
/* 13070 */   MCD::OPC_CheckField, 13, 1, 1, 105, 33, // Skip to: 21629
/* 13076 */   MCD::OPC_Decode, 147, 11, 111, // Opcode: VSLLWIL_H_B
/* 13080 */   MCD::OPC_FilterValue, 1, 97, 33, // Skip to: 21629
/* 13084 */   MCD::OPC_Decode, 149, 11, 112, // Opcode: VSLLWIL_W_H
/* 13088 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 13096
/* 13092 */   MCD::OPC_Decode, 145, 11, 106, // Opcode: VSLLWIL_D_W
/* 13096 */   MCD::OPC_FilterValue, 2, 81, 33, // Skip to: 21629
/* 13100 */   MCD::OPC_CheckField, 10, 5, 0, 75, 33, // Skip to: 21629
/* 13106 */   MCD::OPC_Decode, 240, 7, 108, // Opcode: VEXTL_Q_D
/* 13110 */   MCD::OPC_FilterValue, 195, 1, 54, 0, // Skip to: 13169
/* 13115 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 13118 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13147
/* 13122 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 13125 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13139
/* 13129 */   MCD::OPC_CheckField, 13, 1, 1, 46, 33, // Skip to: 21629
/* 13135 */   MCD::OPC_Decode, 146, 11, 111, // Opcode: VSLLWIL_HU_BU
/* 13139 */   MCD::OPC_FilterValue, 1, 38, 33, // Skip to: 21629
/* 13143 */   MCD::OPC_Decode, 148, 11, 112, // Opcode: VSLLWIL_WU_HU
/* 13147 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 13155
/* 13151 */   MCD::OPC_Decode, 144, 11, 106, // Opcode: VSLLWIL_DU_WU
/* 13155 */   MCD::OPC_FilterValue, 2, 22, 33, // Skip to: 21629
/* 13159 */   MCD::OPC_CheckField, 10, 5, 0, 16, 33, // Skip to: 21629
/* 13165 */   MCD::OPC_Decode, 239, 7, 108, // Opcode: VEXTL_QU_DU
/* 13169 */   MCD::OPC_FilterValue, 196, 1, 55, 0, // Skip to: 13229
/* 13174 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 13177 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 13221
/* 13181 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13184 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13213
/* 13188 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 13191 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13205
/* 13195 */   MCD::OPC_CheckField, 13, 1, 1, 236, 32, // Skip to: 21629
/* 13201 */   MCD::OPC_Decode, 175, 7, 111, // Opcode: VBITCLRI_B
/* 13205 */   MCD::OPC_FilterValue, 1, 228, 32, // Skip to: 21629
/* 13209 */   MCD::OPC_Decode, 177, 7, 112, // Opcode: VBITCLRI_H
/* 13213 */   MCD::OPC_FilterValue, 1, 220, 32, // Skip to: 21629
/* 13217 */   MCD::OPC_Decode, 178, 7, 106, // Opcode: VBITCLRI_W
/* 13221 */   MCD::OPC_FilterValue, 1, 212, 32, // Skip to: 21629
/* 13225 */   MCD::OPC_Decode, 176, 7, 113, // Opcode: VBITCLRI_D
/* 13229 */   MCD::OPC_FilterValue, 197, 1, 55, 0, // Skip to: 13289
/* 13234 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 13237 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 13281
/* 13241 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13244 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13273
/* 13248 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 13251 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13265
/* 13255 */   MCD::OPC_CheckField, 13, 1, 1, 176, 32, // Skip to: 21629
/* 13261 */   MCD::OPC_Decode, 193, 7, 111, // Opcode: VBITSETI_B
/* 13265 */   MCD::OPC_FilterValue, 1, 168, 32, // Skip to: 21629
/* 13269 */   MCD::OPC_Decode, 195, 7, 112, // Opcode: VBITSETI_H
/* 13273 */   MCD::OPC_FilterValue, 1, 160, 32, // Skip to: 21629
/* 13277 */   MCD::OPC_Decode, 196, 7, 106, // Opcode: VBITSETI_W
/* 13281 */   MCD::OPC_FilterValue, 1, 152, 32, // Skip to: 21629
/* 13285 */   MCD::OPC_Decode, 194, 7, 113, // Opcode: VBITSETI_D
/* 13289 */   MCD::OPC_FilterValue, 198, 1, 55, 0, // Skip to: 13349
/* 13294 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 13297 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 13341
/* 13301 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13304 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13333
/* 13308 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 13311 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13325
/* 13315 */   MCD::OPC_CheckField, 13, 1, 1, 116, 32, // Skip to: 21629
/* 13321 */   MCD::OPC_Decode, 183, 7, 111, // Opcode: VBITREVI_B
/* 13325 */   MCD::OPC_FilterValue, 1, 108, 32, // Skip to: 21629
/* 13329 */   MCD::OPC_Decode, 185, 7, 112, // Opcode: VBITREVI_H
/* 13333 */   MCD::OPC_FilterValue, 1, 100, 32, // Skip to: 21629
/* 13337 */   MCD::OPC_Decode, 186, 7, 106, // Opcode: VBITREVI_W
/* 13341 */   MCD::OPC_FilterValue, 1, 92, 32, // Skip to: 21629
/* 13345 */   MCD::OPC_Decode, 184, 7, 113, // Opcode: VBITREVI_D
/* 13349 */   MCD::OPC_FilterValue, 201, 1, 55, 0, // Skip to: 13409
/* 13354 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 13357 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 13401
/* 13361 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13364 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13393
/* 13368 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 13371 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13385
/* 13375 */   MCD::OPC_CheckField, 13, 1, 1, 56, 32, // Skip to: 21629
/* 13381 */   MCD::OPC_Decode, 214, 10, 111, // Opcode: VSAT_B
/* 13385 */   MCD::OPC_FilterValue, 1, 48, 32, // Skip to: 21629
/* 13389 */   MCD::OPC_Decode, 218, 10, 112, // Opcode: VSAT_H
/* 13393 */   MCD::OPC_FilterValue, 1, 40, 32, // Skip to: 21629
/* 13397 */   MCD::OPC_Decode, 220, 10, 106, // Opcode: VSAT_W
/* 13401 */   MCD::OPC_FilterValue, 1, 32, 32, // Skip to: 21629
/* 13405 */   MCD::OPC_Decode, 216, 10, 113, // Opcode: VSAT_D
/* 13409 */   MCD::OPC_FilterValue, 202, 1, 55, 0, // Skip to: 13469
/* 13414 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 13417 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 13461
/* 13421 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13424 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13453
/* 13428 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 13431 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13445
/* 13435 */   MCD::OPC_CheckField, 13, 1, 1, 252, 31, // Skip to: 21629
/* 13441 */   MCD::OPC_Decode, 215, 10, 111, // Opcode: VSAT_BU
/* 13445 */   MCD::OPC_FilterValue, 1, 244, 31, // Skip to: 21629
/* 13449 */   MCD::OPC_Decode, 219, 10, 112, // Opcode: VSAT_HU
/* 13453 */   MCD::OPC_FilterValue, 1, 236, 31, // Skip to: 21629
/* 13457 */   MCD::OPC_Decode, 221, 10, 106, // Opcode: VSAT_WU
/* 13461 */   MCD::OPC_FilterValue, 1, 228, 31, // Skip to: 21629
/* 13465 */   MCD::OPC_Decode, 217, 10, 113, // Opcode: VSAT_DU
/* 13469 */   MCD::OPC_FilterValue, 203, 1, 55, 0, // Skip to: 13529
/* 13474 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 13477 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 13521
/* 13481 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13484 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13513
/* 13488 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 13491 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13505
/* 13495 */   MCD::OPC_CheckField, 13, 1, 1, 192, 31, // Skip to: 21629
/* 13501 */   MCD::OPC_Decode, 140, 11, 111, // Opcode: VSLLI_B
/* 13505 */   MCD::OPC_FilterValue, 1, 184, 31, // Skip to: 21629
/* 13509 */   MCD::OPC_Decode, 142, 11, 112, // Opcode: VSLLI_H
/* 13513 */   MCD::OPC_FilterValue, 1, 176, 31, // Skip to: 21629
/* 13517 */   MCD::OPC_Decode, 143, 11, 106, // Opcode: VSLLI_W
/* 13521 */   MCD::OPC_FilterValue, 1, 168, 31, // Skip to: 21629
/* 13525 */   MCD::OPC_Decode, 141, 11, 113, // Opcode: VSLLI_D
/* 13529 */   MCD::OPC_FilterValue, 204, 1, 55, 0, // Skip to: 13589
/* 13534 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 13537 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 13581
/* 13541 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13544 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13573
/* 13548 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 13551 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13565
/* 13555 */   MCD::OPC_CheckField, 13, 1, 1, 132, 31, // Skip to: 21629
/* 13561 */   MCD::OPC_Decode, 200, 11, 111, // Opcode: VSRLI_B
/* 13565 */   MCD::OPC_FilterValue, 1, 124, 31, // Skip to: 21629
/* 13569 */   MCD::OPC_Decode, 202, 11, 112, // Opcode: VSRLI_H
/* 13573 */   MCD::OPC_FilterValue, 1, 116, 31, // Skip to: 21629
/* 13577 */   MCD::OPC_Decode, 203, 11, 106, // Opcode: VSRLI_W
/* 13581 */   MCD::OPC_FilterValue, 1, 108, 31, // Skip to: 21629
/* 13585 */   MCD::OPC_Decode, 201, 11, 113, // Opcode: VSRLI_D
/* 13589 */   MCD::OPC_FilterValue, 205, 1, 55, 0, // Skip to: 13649
/* 13594 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 13597 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 13641
/* 13601 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13604 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13633
/* 13608 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 13611 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13625
/* 13615 */   MCD::OPC_CheckField, 13, 1, 1, 72, 31, // Skip to: 21629
/* 13621 */   MCD::OPC_Decode, 170, 11, 111, // Opcode: VSRAI_B
/* 13625 */   MCD::OPC_FilterValue, 1, 64, 31, // Skip to: 21629
/* 13629 */   MCD::OPC_Decode, 172, 11, 112, // Opcode: VSRAI_H
/* 13633 */   MCD::OPC_FilterValue, 1, 56, 31, // Skip to: 21629
/* 13637 */   MCD::OPC_Decode, 173, 11, 106, // Opcode: VSRAI_W
/* 13641 */   MCD::OPC_FilterValue, 1, 48, 31, // Skip to: 21629
/* 13645 */   MCD::OPC_Decode, 171, 11, 113, // Opcode: VSRAI_D
/* 13649 */   MCD::OPC_FilterValue, 208, 1, 55, 0, // Skip to: 13709
/* 13654 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 13657 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 13701
/* 13661 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 13664 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13693
/* 13668 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13671 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13685
/* 13675 */   MCD::OPC_CheckField, 14, 1, 1, 12, 31, // Skip to: 21629
/* 13681 */   MCD::OPC_Decode, 204, 11, 124, // Opcode: VSRLNI_B_H
/* 13685 */   MCD::OPC_FilterValue, 1, 4, 31, // Skip to: 21629
/* 13689 */   MCD::OPC_Decode, 206, 11, 107, // Opcode: VSRLNI_H_W
/* 13693 */   MCD::OPC_FilterValue, 1, 252, 30, // Skip to: 21629
/* 13697 */   MCD::OPC_Decode, 207, 11, 125, // Opcode: VSRLNI_W_D
/* 13701 */   MCD::OPC_FilterValue, 1, 244, 30, // Skip to: 21629
/* 13705 */   MCD::OPC_Decode, 205, 11, 126, // Opcode: VSRLNI_D_Q
/* 13709 */   MCD::OPC_FilterValue, 209, 1, 55, 0, // Skip to: 13769
/* 13714 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 13717 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 13761
/* 13721 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 13724 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13753
/* 13728 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13731 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13745
/* 13735 */   MCD::OPC_CheckField, 14, 1, 1, 208, 30, // Skip to: 21629
/* 13741 */   MCD::OPC_Decode, 215, 11, 124, // Opcode: VSRLRNI_B_H
/* 13745 */   MCD::OPC_FilterValue, 1, 200, 30, // Skip to: 21629
/* 13749 */   MCD::OPC_Decode, 217, 11, 107, // Opcode: VSRLRNI_H_W
/* 13753 */   MCD::OPC_FilterValue, 1, 192, 30, // Skip to: 21629
/* 13757 */   MCD::OPC_Decode, 218, 11, 125, // Opcode: VSRLRNI_W_D
/* 13761 */   MCD::OPC_FilterValue, 1, 184, 30, // Skip to: 21629
/* 13765 */   MCD::OPC_Decode, 216, 11, 126, // Opcode: VSRLRNI_D_Q
/* 13769 */   MCD::OPC_FilterValue, 210, 1, 55, 0, // Skip to: 13829
/* 13774 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 13777 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 13821
/* 13781 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 13784 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13813
/* 13788 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13791 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13805
/* 13795 */   MCD::OPC_CheckField, 14, 1, 1, 148, 30, // Skip to: 21629
/* 13801 */   MCD::OPC_Decode, 131, 12, 124, // Opcode: VSSRLNI_B_H
/* 13805 */   MCD::OPC_FilterValue, 1, 140, 30, // Skip to: 21629
/* 13809 */   MCD::OPC_Decode, 135, 12, 107, // Opcode: VSSRLNI_H_W
/* 13813 */   MCD::OPC_FilterValue, 1, 132, 30, // Skip to: 21629
/* 13817 */   MCD::OPC_Decode, 137, 12, 125, // Opcode: VSSRLNI_W_D
/* 13821 */   MCD::OPC_FilterValue, 1, 124, 30, // Skip to: 21629
/* 13825 */   MCD::OPC_Decode, 133, 12, 126, // Opcode: VSSRLNI_D_Q
/* 13829 */   MCD::OPC_FilterValue, 211, 1, 55, 0, // Skip to: 13889
/* 13834 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 13837 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 13881
/* 13841 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 13844 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13873
/* 13848 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13851 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13865
/* 13855 */   MCD::OPC_CheckField, 14, 1, 1, 88, 30, // Skip to: 21629
/* 13861 */   MCD::OPC_Decode, 130, 12, 124, // Opcode: VSSRLNI_BU_H
/* 13865 */   MCD::OPC_FilterValue, 1, 80, 30, // Skip to: 21629
/* 13869 */   MCD::OPC_Decode, 134, 12, 107, // Opcode: VSSRLNI_HU_W
/* 13873 */   MCD::OPC_FilterValue, 1, 72, 30, // Skip to: 21629
/* 13877 */   MCD::OPC_Decode, 136, 12, 125, // Opcode: VSSRLNI_WU_D
/* 13881 */   MCD::OPC_FilterValue, 1, 64, 30, // Skip to: 21629
/* 13885 */   MCD::OPC_Decode, 132, 12, 126, // Opcode: VSSRLNI_DU_Q
/* 13889 */   MCD::OPC_FilterValue, 212, 1, 55, 0, // Skip to: 13949
/* 13894 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 13897 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 13941
/* 13901 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 13904 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13933
/* 13908 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13911 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13925
/* 13915 */   MCD::OPC_CheckField, 14, 1, 1, 28, 30, // Skip to: 21629
/* 13921 */   MCD::OPC_Decode, 145, 12, 124, // Opcode: VSSRLRNI_B_H
/* 13925 */   MCD::OPC_FilterValue, 1, 20, 30, // Skip to: 21629
/* 13929 */   MCD::OPC_Decode, 149, 12, 107, // Opcode: VSSRLRNI_H_W
/* 13933 */   MCD::OPC_FilterValue, 1, 12, 30, // Skip to: 21629
/* 13937 */   MCD::OPC_Decode, 151, 12, 125, // Opcode: VSSRLRNI_W_D
/* 13941 */   MCD::OPC_FilterValue, 1, 4, 30, // Skip to: 21629
/* 13945 */   MCD::OPC_Decode, 147, 12, 126, // Opcode: VSSRLRNI_D_Q
/* 13949 */   MCD::OPC_FilterValue, 213, 1, 55, 0, // Skip to: 14009
/* 13954 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 13957 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 14001
/* 13961 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 13964 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 13993
/* 13968 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 13971 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 13985
/* 13975 */   MCD::OPC_CheckField, 14, 1, 1, 224, 29, // Skip to: 21629
/* 13981 */   MCD::OPC_Decode, 144, 12, 124, // Opcode: VSSRLRNI_BU_H
/* 13985 */   MCD::OPC_FilterValue, 1, 216, 29, // Skip to: 21629
/* 13989 */   MCD::OPC_Decode, 148, 12, 107, // Opcode: VSSRLRNI_HU_W
/* 13993 */   MCD::OPC_FilterValue, 1, 208, 29, // Skip to: 21629
/* 13997 */   MCD::OPC_Decode, 150, 12, 125, // Opcode: VSSRLRNI_WU_D
/* 14001 */   MCD::OPC_FilterValue, 1, 200, 29, // Skip to: 21629
/* 14005 */   MCD::OPC_Decode, 146, 12, 126, // Opcode: VSSRLRNI_DU_Q
/* 14009 */   MCD::OPC_FilterValue, 214, 1, 55, 0, // Skip to: 14069
/* 14014 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 14017 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 14061
/* 14021 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 14024 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 14053
/* 14028 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 14031 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 14045
/* 14035 */   MCD::OPC_CheckField, 14, 1, 1, 164, 29, // Skip to: 21629
/* 14041 */   MCD::OPC_Decode, 174, 11, 124, // Opcode: VSRANI_B_H
/* 14045 */   MCD::OPC_FilterValue, 1, 156, 29, // Skip to: 21629
/* 14049 */   MCD::OPC_Decode, 176, 11, 107, // Opcode: VSRANI_H_W
/* 14053 */   MCD::OPC_FilterValue, 1, 148, 29, // Skip to: 21629
/* 14057 */   MCD::OPC_Decode, 177, 11, 125, // Opcode: VSRANI_W_D
/* 14061 */   MCD::OPC_FilterValue, 1, 140, 29, // Skip to: 21629
/* 14065 */   MCD::OPC_Decode, 175, 11, 126, // Opcode: VSRANI_D_Q
/* 14069 */   MCD::OPC_FilterValue, 215, 1, 55, 0, // Skip to: 14129
/* 14074 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 14077 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 14121
/* 14081 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 14084 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 14113
/* 14088 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 14091 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 14105
/* 14095 */   MCD::OPC_CheckField, 14, 1, 1, 104, 29, // Skip to: 21629
/* 14101 */   MCD::OPC_Decode, 185, 11, 124, // Opcode: VSRARNI_B_H
/* 14105 */   MCD::OPC_FilterValue, 1, 96, 29, // Skip to: 21629
/* 14109 */   MCD::OPC_Decode, 187, 11, 107, // Opcode: VSRARNI_H_W
/* 14113 */   MCD::OPC_FilterValue, 1, 88, 29, // Skip to: 21629
/* 14117 */   MCD::OPC_Decode, 188, 11, 125, // Opcode: VSRARNI_W_D
/* 14121 */   MCD::OPC_FilterValue, 1, 80, 29, // Skip to: 21629
/* 14125 */   MCD::OPC_Decode, 186, 11, 126, // Opcode: VSRARNI_D_Q
/* 14129 */   MCD::OPC_FilterValue, 216, 1, 55, 0, // Skip to: 14189
/* 14134 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 14137 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 14181
/* 14141 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 14144 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 14173
/* 14148 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 14151 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 14165
/* 14155 */   MCD::OPC_CheckField, 14, 1, 1, 44, 29, // Skip to: 21629
/* 14161 */   MCD::OPC_Decode, 231, 11, 124, // Opcode: VSSRANI_B_H
/* 14165 */   MCD::OPC_FilterValue, 1, 36, 29, // Skip to: 21629
/* 14169 */   MCD::OPC_Decode, 235, 11, 107, // Opcode: VSSRANI_H_W
/* 14173 */   MCD::OPC_FilterValue, 1, 28, 29, // Skip to: 21629
/* 14177 */   MCD::OPC_Decode, 237, 11, 125, // Opcode: VSSRANI_W_D
/* 14181 */   MCD::OPC_FilterValue, 1, 20, 29, // Skip to: 21629
/* 14185 */   MCD::OPC_Decode, 233, 11, 126, // Opcode: VSSRANI_D_Q
/* 14189 */   MCD::OPC_FilterValue, 217, 1, 55, 0, // Skip to: 14249
/* 14194 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 14197 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 14241
/* 14201 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 14204 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 14233
/* 14208 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 14211 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 14225
/* 14215 */   MCD::OPC_CheckField, 14, 1, 1, 240, 28, // Skip to: 21629
/* 14221 */   MCD::OPC_Decode, 230, 11, 124, // Opcode: VSSRANI_BU_H
/* 14225 */   MCD::OPC_FilterValue, 1, 232, 28, // Skip to: 21629
/* 14229 */   MCD::OPC_Decode, 234, 11, 107, // Opcode: VSSRANI_HU_W
/* 14233 */   MCD::OPC_FilterValue, 1, 224, 28, // Skip to: 21629
/* 14237 */   MCD::OPC_Decode, 236, 11, 125, // Opcode: VSSRANI_WU_D
/* 14241 */   MCD::OPC_FilterValue, 1, 216, 28, // Skip to: 21629
/* 14245 */   MCD::OPC_Decode, 232, 11, 126, // Opcode: VSSRANI_DU_Q
/* 14249 */   MCD::OPC_FilterValue, 218, 1, 55, 0, // Skip to: 14309
/* 14254 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 14257 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 14301
/* 14261 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 14264 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 14293
/* 14268 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 14271 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 14285
/* 14275 */   MCD::OPC_CheckField, 14, 1, 1, 180, 28, // Skip to: 21629
/* 14281 */   MCD::OPC_Decode, 245, 11, 124, // Opcode: VSSRARNI_B_H
/* 14285 */   MCD::OPC_FilterValue, 1, 172, 28, // Skip to: 21629
/* 14289 */   MCD::OPC_Decode, 249, 11, 107, // Opcode: VSSRARNI_H_W
/* 14293 */   MCD::OPC_FilterValue, 1, 164, 28, // Skip to: 21629
/* 14297 */   MCD::OPC_Decode, 251, 11, 125, // Opcode: VSSRARNI_W_D
/* 14301 */   MCD::OPC_FilterValue, 1, 156, 28, // Skip to: 21629
/* 14305 */   MCD::OPC_Decode, 247, 11, 126, // Opcode: VSSRARNI_D_Q
/* 14309 */   MCD::OPC_FilterValue, 219, 1, 55, 0, // Skip to: 14369
/* 14314 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 14317 */   MCD::OPC_FilterValue, 0, 40, 0, // Skip to: 14361
/* 14321 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 14324 */   MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 14353
/* 14328 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 14331 */   MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 14345
/* 14335 */   MCD::OPC_CheckField, 14, 1, 1, 120, 28, // Skip to: 21629
/* 14341 */   MCD::OPC_Decode, 244, 11, 124, // Opcode: VSSRARNI_BU_H
/* 14345 */   MCD::OPC_FilterValue, 1, 112, 28, // Skip to: 21629
/* 14349 */   MCD::OPC_Decode, 248, 11, 107, // Opcode: VSSRARNI_HU_W
/* 14353 */   MCD::OPC_FilterValue, 1, 104, 28, // Skip to: 21629
/* 14357 */   MCD::OPC_Decode, 250, 11, 125, // Opcode: VSSRARNI_WU_D
/* 14361 */   MCD::OPC_FilterValue, 1, 96, 28, // Skip to: 21629
/* 14365 */   MCD::OPC_Decode, 246, 11, 126, // Opcode: VSSRARNI_DU_Q
/* 14369 */   MCD::OPC_FilterValue, 224, 1, 4, 0, // Skip to: 14378
/* 14374 */   MCD::OPC_Decode, 242, 7, 127, // Opcode: VEXTRINS_D
/* 14378 */   MCD::OPC_FilterValue, 225, 1, 4, 0, // Skip to: 14387
/* 14383 */   MCD::OPC_Decode, 244, 7, 127, // Opcode: VEXTRINS_W
/* 14387 */   MCD::OPC_FilterValue, 226, 1, 4, 0, // Skip to: 14396
/* 14392 */   MCD::OPC_Decode, 243, 7, 127, // Opcode: VEXTRINS_H
/* 14396 */   MCD::OPC_FilterValue, 227, 1, 4, 0, // Skip to: 14405
/* 14401 */   MCD::OPC_Decode, 241, 7, 127, // Opcode: VEXTRINS_B
/* 14405 */   MCD::OPC_FilterValue, 228, 1, 5, 0, // Skip to: 14415
/* 14410 */   MCD::OPC_Decode, 240, 10, 128, 1, // Opcode: VSHUF4I_B
/* 14415 */   MCD::OPC_FilterValue, 229, 1, 5, 0, // Skip to: 14425
/* 14420 */   MCD::OPC_Decode, 242, 10, 128, 1, // Opcode: VSHUF4I_H
/* 14425 */   MCD::OPC_FilterValue, 230, 1, 5, 0, // Skip to: 14435
/* 14430 */   MCD::OPC_Decode, 243, 10, 128, 1, // Opcode: VSHUF4I_W
/* 14435 */   MCD::OPC_FilterValue, 231, 1, 4, 0, // Skip to: 14444
/* 14440 */   MCD::OPC_Decode, 241, 10, 127, // Opcode: VSHUF4I_D
/* 14444 */   MCD::OPC_FilterValue, 241, 1, 4, 0, // Skip to: 14453
/* 14449 */   MCD::OPC_Decode, 191, 7, 127, // Opcode: VBITSELI_B
/* 14453 */   MCD::OPC_FilterValue, 244, 1, 5, 0, // Skip to: 14463
/* 14458 */   MCD::OPC_Decode, 156, 7, 128, 1, // Opcode: VANDI_B
/* 14463 */   MCD::OPC_FilterValue, 245, 1, 5, 0, // Skip to: 14473
/* 14468 */   MCD::OPC_Decode, 154, 10, 128, 1, // Opcode: VORI_B
/* 14473 */   MCD::OPC_FilterValue, 246, 1, 5, 0, // Skip to: 14483
/* 14478 */   MCD::OPC_Decode, 197, 12, 128, 1, // Opcode: VXORI_B
/* 14483 */   MCD::OPC_FilterValue, 247, 1, 5, 0, // Skip to: 14493
/* 14488 */   MCD::OPC_Decode, 152, 10, 128, 1, // Opcode: VNORI_B
/* 14493 */   MCD::OPC_FilterValue, 248, 1, 5, 0, // Skip to: 14503
/* 14498 */   MCD::OPC_Decode, 156, 9, 129, 1, // Opcode: VLDI
/* 14503 */   MCD::OPC_FilterValue, 249, 1, 209, 27, // Skip to: 21629
/* 14508 */   MCD::OPC_Decode, 169, 10, 127, // Opcode: VPERMI_W
/* 14512 */   MCD::OPC_FilterValue, 29, 201, 27, // Skip to: 21629
/* 14516 */   MCD::OPC_ExtractField, 18, 8,  // Inst{25-18} ...
/* 14519 */   MCD::OPC_FilterValue, 0, 67, 0, // Skip to: 14590
/* 14523 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14526 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 14534
/* 14530 */   MCD::OPC_Decode, 168, 17, 64, // Opcode: XVSEQ_B
/* 14534 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 14542
/* 14538 */   MCD::OPC_Decode, 170, 17, 64, // Opcode: XVSEQ_H
/* 14542 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 14550
/* 14546 */   MCD::OPC_Decode, 171, 17, 64, // Opcode: XVSEQ_W
/* 14550 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 14558
/* 14554 */   MCD::OPC_Decode, 169, 17, 64, // Opcode: XVSEQ_D
/* 14558 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 14566
/* 14562 */   MCD::OPC_Decode, 202, 17, 64, // Opcode: XVSLE_B
/* 14566 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 14574
/* 14570 */   MCD::OPC_Decode, 206, 17, 64, // Opcode: XVSLE_H
/* 14574 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 14582
/* 14578 */   MCD::OPC_Decode, 208, 17, 64, // Opcode: XVSLE_W
/* 14582 */   MCD::OPC_FilterValue, 7, 131, 27, // Skip to: 21629
/* 14586 */   MCD::OPC_Decode, 204, 17, 64, // Opcode: XVSLE_D
/* 14590 */   MCD::OPC_FilterValue, 1, 67, 0, // Skip to: 14661
/* 14594 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14597 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 14605
/* 14601 */   MCD::OPC_Decode, 203, 17, 64, // Opcode: XVSLE_BU
/* 14605 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 14613
/* 14609 */   MCD::OPC_Decode, 207, 17, 64, // Opcode: XVSLE_HU
/* 14613 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 14621
/* 14617 */   MCD::OPC_Decode, 209, 17, 64, // Opcode: XVSLE_WU
/* 14621 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 14629
/* 14625 */   MCD::OPC_Decode, 205, 17, 64, // Opcode: XVSLE_DU
/* 14629 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 14637
/* 14633 */   MCD::OPC_Decode, 232, 17, 64, // Opcode: XVSLT_B
/* 14637 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 14645
/* 14641 */   MCD::OPC_Decode, 236, 17, 64, // Opcode: XVSLT_H
/* 14645 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 14653
/* 14649 */   MCD::OPC_Decode, 238, 17, 64, // Opcode: XVSLT_W
/* 14653 */   MCD::OPC_FilterValue, 7, 60, 27, // Skip to: 21629
/* 14657 */   MCD::OPC_Decode, 234, 17, 64, // Opcode: XVSLT_D
/* 14661 */   MCD::OPC_FilterValue, 2, 67, 0, // Skip to: 14732
/* 14665 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14668 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 14676
/* 14672 */   MCD::OPC_Decode, 233, 17, 64, // Opcode: XVSLT_BU
/* 14676 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 14684
/* 14680 */   MCD::OPC_Decode, 237, 17, 64, // Opcode: XVSLT_HU
/* 14684 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 14692
/* 14688 */   MCD::OPC_Decode, 239, 17, 64, // Opcode: XVSLT_WU
/* 14692 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 14700
/* 14696 */   MCD::OPC_Decode, 235, 17, 64, // Opcode: XVSLT_DU
/* 14700 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 14708
/* 14704 */   MCD::OPC_Decode, 226, 13, 64, // Opcode: XVADD_B
/* 14708 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 14716
/* 14712 */   MCD::OPC_Decode, 228, 13, 64, // Opcode: XVADD_H
/* 14716 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 14724
/* 14720 */   MCD::OPC_Decode, 230, 13, 64, // Opcode: XVADD_W
/* 14724 */   MCD::OPC_FilterValue, 7, 245, 26, // Skip to: 21629
/* 14728 */   MCD::OPC_Decode, 227, 13, 64, // Opcode: XVADD_D
/* 14732 */   MCD::OPC_FilterValue, 3, 35, 0, // Skip to: 14771
/* 14736 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14739 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 14747
/* 14743 */   MCD::OPC_Decode, 134, 19, 64, // Opcode: XVSUB_B
/* 14747 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 14755
/* 14751 */   MCD::OPC_Decode, 136, 19, 64, // Opcode: XVSUB_H
/* 14755 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 14763
/* 14759 */   MCD::OPC_Decode, 138, 19, 64, // Opcode: XVSUB_W
/* 14763 */   MCD::OPC_FilterValue, 3, 206, 26, // Skip to: 21629
/* 14767 */   MCD::OPC_Decode, 135, 19, 64, // Opcode: XVSUB_D
/* 14771 */   MCD::OPC_FilterValue, 7, 35, 0, // Skip to: 14810
/* 14775 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14778 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 14786
/* 14782 */   MCD::OPC_Decode, 205, 13, 64, // Opcode: XVADDWEV_H_B
/* 14786 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 14794
/* 14790 */   MCD::OPC_Decode, 211, 13, 64, // Opcode: XVADDWEV_W_H
/* 14794 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 14802
/* 14798 */   MCD::OPC_Decode, 202, 13, 64, // Opcode: XVADDWEV_D_W
/* 14802 */   MCD::OPC_FilterValue, 7, 167, 26, // Skip to: 21629
/* 14806 */   MCD::OPC_Decode, 208, 13, 64, // Opcode: XVADDWEV_Q_D
/* 14810 */   MCD::OPC_FilterValue, 8, 67, 0, // Skip to: 14881
/* 14814 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14817 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 14825
/* 14821 */   MCD::OPC_Decode, 248, 18, 64, // Opcode: XVSUBWEV_H_B
/* 14825 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 14833
/* 14829 */   MCD::OPC_Decode, 252, 18, 64, // Opcode: XVSUBWEV_W_H
/* 14833 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 14841
/* 14837 */   MCD::OPC_Decode, 246, 18, 64, // Opcode: XVSUBWEV_D_W
/* 14841 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 14849
/* 14845 */   MCD::OPC_Decode, 250, 18, 64, // Opcode: XVSUBWEV_Q_D
/* 14849 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 14857
/* 14853 */   MCD::OPC_Decode, 217, 13, 64, // Opcode: XVADDWOD_H_B
/* 14857 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 14865
/* 14861 */   MCD::OPC_Decode, 223, 13, 64, // Opcode: XVADDWOD_W_H
/* 14865 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 14873
/* 14869 */   MCD::OPC_Decode, 214, 13, 64, // Opcode: XVADDWOD_D_W
/* 14873 */   MCD::OPC_FilterValue, 7, 96, 26, // Skip to: 21629
/* 14877 */   MCD::OPC_Decode, 220, 13, 64, // Opcode: XVADDWOD_Q_D
/* 14881 */   MCD::OPC_FilterValue, 9, 35, 0, // Skip to: 14920
/* 14885 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14888 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 14896
/* 14892 */   MCD::OPC_Decode, 128, 19, 64, // Opcode: XVSUBWOD_H_B
/* 14896 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 14904
/* 14900 */   MCD::OPC_Decode, 132, 19, 64, // Opcode: XVSUBWOD_W_H
/* 14904 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 14912
/* 14908 */   MCD::OPC_Decode, 254, 18, 64, // Opcode: XVSUBWOD_D_W
/* 14912 */   MCD::OPC_FilterValue, 3, 57, 26, // Skip to: 21629
/* 14916 */   MCD::OPC_Decode, 130, 19, 64, // Opcode: XVSUBWOD_Q_D
/* 14920 */   MCD::OPC_FilterValue, 11, 35, 0, // Skip to: 14959
/* 14924 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14927 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 14935
/* 14931 */   MCD::OPC_Decode, 206, 13, 64, // Opcode: XVADDWEV_H_BU
/* 14935 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 14943
/* 14939 */   MCD::OPC_Decode, 212, 13, 64, // Opcode: XVADDWEV_W_HU
/* 14943 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 14951
/* 14947 */   MCD::OPC_Decode, 203, 13, 64, // Opcode: XVADDWEV_D_WU
/* 14951 */   MCD::OPC_FilterValue, 7, 18, 26, // Skip to: 21629
/* 14955 */   MCD::OPC_Decode, 209, 13, 64, // Opcode: XVADDWEV_Q_DU
/* 14959 */   MCD::OPC_FilterValue, 12, 67, 0, // Skip to: 15030
/* 14963 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 14966 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 14974
/* 14970 */   MCD::OPC_Decode, 249, 18, 64, // Opcode: XVSUBWEV_H_BU
/* 14974 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 14982
/* 14978 */   MCD::OPC_Decode, 253, 18, 64, // Opcode: XVSUBWEV_W_HU
/* 14982 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 14990
/* 14986 */   MCD::OPC_Decode, 247, 18, 64, // Opcode: XVSUBWEV_D_WU
/* 14990 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 14998
/* 14994 */   MCD::OPC_Decode, 251, 18, 64, // Opcode: XVSUBWEV_Q_DU
/* 14998 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 15006
/* 15002 */   MCD::OPC_Decode, 218, 13, 64, // Opcode: XVADDWOD_H_BU
/* 15006 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 15014
/* 15010 */   MCD::OPC_Decode, 224, 13, 64, // Opcode: XVADDWOD_W_HU
/* 15014 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 15022
/* 15018 */   MCD::OPC_Decode, 215, 13, 64, // Opcode: XVADDWOD_D_WU
/* 15022 */   MCD::OPC_FilterValue, 7, 203, 25, // Skip to: 21629
/* 15026 */   MCD::OPC_Decode, 221, 13, 64, // Opcode: XVADDWOD_Q_DU
/* 15030 */   MCD::OPC_FilterValue, 13, 35, 0, // Skip to: 15069
/* 15034 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15037 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15045
/* 15041 */   MCD::OPC_Decode, 129, 19, 64, // Opcode: XVSUBWOD_H_BU
/* 15045 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15053
/* 15049 */   MCD::OPC_Decode, 133, 19, 64, // Opcode: XVSUBWOD_W_HU
/* 15053 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15061
/* 15057 */   MCD::OPC_Decode, 255, 18, 64, // Opcode: XVSUBWOD_D_WU
/* 15061 */   MCD::OPC_FilterValue, 3, 164, 25, // Skip to: 21629
/* 15065 */   MCD::OPC_Decode, 131, 19, 64, // Opcode: XVSUBWOD_Q_DU
/* 15069 */   MCD::OPC_FilterValue, 15, 35, 0, // Skip to: 15108
/* 15073 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15076 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 15084
/* 15080 */   MCD::OPC_Decode, 207, 13, 64, // Opcode: XVADDWEV_H_BU_B
/* 15084 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 15092
/* 15088 */   MCD::OPC_Decode, 213, 13, 64, // Opcode: XVADDWEV_W_HU_H
/* 15092 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 15100
/* 15096 */   MCD::OPC_Decode, 204, 13, 64, // Opcode: XVADDWEV_D_WU_W
/* 15100 */   MCD::OPC_FilterValue, 7, 125, 25, // Skip to: 21629
/* 15104 */   MCD::OPC_Decode, 210, 13, 64, // Opcode: XVADDWEV_Q_DU_D
/* 15108 */   MCD::OPC_FilterValue, 16, 35, 0, // Skip to: 15147
/* 15112 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15115 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15123
/* 15119 */   MCD::OPC_Decode, 219, 13, 64, // Opcode: XVADDWOD_H_BU_B
/* 15123 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15131
/* 15127 */   MCD::OPC_Decode, 225, 13, 64, // Opcode: XVADDWOD_W_HU_H
/* 15131 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15139
/* 15135 */   MCD::OPC_Decode, 216, 13, 64, // Opcode: XVADDWOD_D_WU_W
/* 15139 */   MCD::OPC_FilterValue, 3, 86, 25, // Skip to: 21629
/* 15143 */   MCD::OPC_Decode, 222, 13, 64, // Opcode: XVADDWOD_Q_DU_D
/* 15147 */   MCD::OPC_FilterValue, 17, 35, 0, // Skip to: 15186
/* 15151 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15154 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 15162
/* 15158 */   MCD::OPC_Decode, 148, 17, 64, // Opcode: XVSADD_B
/* 15162 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 15170
/* 15166 */   MCD::OPC_Decode, 152, 17, 64, // Opcode: XVSADD_H
/* 15170 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 15178
/* 15174 */   MCD::OPC_Decode, 154, 17, 64, // Opcode: XVSADD_W
/* 15178 */   MCD::OPC_FilterValue, 7, 47, 25, // Skip to: 21629
/* 15182 */   MCD::OPC_Decode, 150, 17, 64, // Opcode: XVSADD_D
/* 15186 */   MCD::OPC_FilterValue, 18, 67, 0, // Skip to: 15257
/* 15190 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15193 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15201
/* 15197 */   MCD::OPC_Decode, 228, 18, 64, // Opcode: XVSSUB_B
/* 15201 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15209
/* 15205 */   MCD::OPC_Decode, 232, 18, 64, // Opcode: XVSSUB_H
/* 15209 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15217
/* 15213 */   MCD::OPC_Decode, 234, 18, 64, // Opcode: XVSSUB_W
/* 15217 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 15225
/* 15221 */   MCD::OPC_Decode, 230, 18, 64, // Opcode: XVSSUB_D
/* 15225 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 15233
/* 15229 */   MCD::OPC_Decode, 149, 17, 64, // Opcode: XVSADD_BU
/* 15233 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 15241
/* 15237 */   MCD::OPC_Decode, 153, 17, 64, // Opcode: XVSADD_HU
/* 15241 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 15249
/* 15245 */   MCD::OPC_Decode, 155, 17, 64, // Opcode: XVSADD_WU
/* 15249 */   MCD::OPC_FilterValue, 7, 232, 24, // Skip to: 21629
/* 15253 */   MCD::OPC_Decode, 151, 17, 64, // Opcode: XVSADD_DU
/* 15257 */   MCD::OPC_FilterValue, 19, 35, 0, // Skip to: 15296
/* 15261 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15264 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15272
/* 15268 */   MCD::OPC_Decode, 229, 18, 64, // Opcode: XVSSUB_BU
/* 15272 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15280
/* 15276 */   MCD::OPC_Decode, 233, 18, 64, // Opcode: XVSSUB_HU
/* 15280 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15288
/* 15284 */   MCD::OPC_Decode, 235, 18, 64, // Opcode: XVSSUB_WU
/* 15288 */   MCD::OPC_FilterValue, 3, 193, 24, // Skip to: 21629
/* 15292 */   MCD::OPC_Decode, 231, 18, 64, // Opcode: XVSSUB_DU
/* 15296 */   MCD::OPC_FilterValue, 21, 67, 0, // Skip to: 15367
/* 15300 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15303 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15311
/* 15307 */   MCD::OPC_Decode, 193, 15, 64, // Opcode: XVHADDW_H_B
/* 15311 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15319
/* 15315 */   MCD::OPC_Decode, 197, 15, 64, // Opcode: XVHADDW_W_H
/* 15319 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15327
/* 15323 */   MCD::OPC_Decode, 191, 15, 64, // Opcode: XVHADDW_D_W
/* 15327 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 15335
/* 15331 */   MCD::OPC_Decode, 195, 15, 64, // Opcode: XVHADDW_Q_D
/* 15335 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 15343
/* 15339 */   MCD::OPC_Decode, 202, 15, 64, // Opcode: XVHSUBW_H_B
/* 15343 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 15351
/* 15347 */   MCD::OPC_Decode, 206, 15, 64, // Opcode: XVHSUBW_W_H
/* 15351 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 15359
/* 15355 */   MCD::OPC_Decode, 200, 15, 64, // Opcode: XVHSUBW_D_W
/* 15359 */   MCD::OPC_FilterValue, 7, 122, 24, // Skip to: 21629
/* 15363 */   MCD::OPC_Decode, 204, 15, 64, // Opcode: XVHSUBW_Q_D
/* 15367 */   MCD::OPC_FilterValue, 22, 67, 0, // Skip to: 15438
/* 15371 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15374 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15382
/* 15378 */   MCD::OPC_Decode, 192, 15, 64, // Opcode: XVHADDW_HU_BU
/* 15382 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15390
/* 15386 */   MCD::OPC_Decode, 196, 15, 64, // Opcode: XVHADDW_WU_HU
/* 15390 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15398
/* 15394 */   MCD::OPC_Decode, 190, 15, 64, // Opcode: XVHADDW_DU_WU
/* 15398 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 15406
/* 15402 */   MCD::OPC_Decode, 194, 15, 64, // Opcode: XVHADDW_QU_DU
/* 15406 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 15414
/* 15410 */   MCD::OPC_Decode, 201, 15, 64, // Opcode: XVHSUBW_HU_BU
/* 15414 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 15422
/* 15418 */   MCD::OPC_Decode, 205, 15, 64, // Opcode: XVHSUBW_WU_HU
/* 15422 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 15430
/* 15426 */   MCD::OPC_Decode, 199, 15, 64, // Opcode: XVHSUBW_DU_WU
/* 15430 */   MCD::OPC_FilterValue, 7, 51, 24, // Skip to: 21629
/* 15434 */   MCD::OPC_Decode, 203, 15, 64, // Opcode: XVHSUBW_QU_DU
/* 15438 */   MCD::OPC_FilterValue, 23, 35, 0, // Skip to: 15477
/* 15442 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15445 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15453
/* 15449 */   MCD::OPC_Decode, 194, 13, 64, // Opcode: XVADDA_B
/* 15453 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15461
/* 15457 */   MCD::OPC_Decode, 196, 13, 64, // Opcode: XVADDA_H
/* 15461 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15469
/* 15465 */   MCD::OPC_Decode, 197, 13, 64, // Opcode: XVADDA_W
/* 15469 */   MCD::OPC_FilterValue, 3, 12, 24, // Skip to: 21629
/* 15473 */   MCD::OPC_Decode, 195, 13, 64, // Opcode: XVADDA_D
/* 15477 */   MCD::OPC_FilterValue, 24, 67, 0, // Skip to: 15548
/* 15481 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15484 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15492
/* 15488 */   MCD::OPC_Decode, 186, 13, 64, // Opcode: XVABSD_B
/* 15492 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15500
/* 15496 */   MCD::OPC_Decode, 190, 13, 64, // Opcode: XVABSD_H
/* 15500 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15508
/* 15504 */   MCD::OPC_Decode, 192, 13, 64, // Opcode: XVABSD_W
/* 15508 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 15516
/* 15512 */   MCD::OPC_Decode, 188, 13, 64, // Opcode: XVABSD_D
/* 15516 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 15524
/* 15520 */   MCD::OPC_Decode, 187, 13, 64, // Opcode: XVABSD_BU
/* 15524 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 15532
/* 15528 */   MCD::OPC_Decode, 191, 13, 64, // Opcode: XVABSD_HU
/* 15532 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 15540
/* 15536 */   MCD::OPC_Decode, 193, 13, 64, // Opcode: XVABSD_WU
/* 15540 */   MCD::OPC_FilterValue, 7, 197, 23, // Skip to: 21629
/* 15544 */   MCD::OPC_Decode, 189, 13, 64, // Opcode: XVABSD_DU
/* 15548 */   MCD::OPC_FilterValue, 25, 67, 0, // Skip to: 15619
/* 15552 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15555 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15563
/* 15559 */   MCD::OPC_Decode, 242, 13, 64, // Opcode: XVAVG_B
/* 15563 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15571
/* 15567 */   MCD::OPC_Decode, 246, 13, 64, // Opcode: XVAVG_H
/* 15571 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15579
/* 15575 */   MCD::OPC_Decode, 248, 13, 64, // Opcode: XVAVG_W
/* 15579 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 15587
/* 15583 */   MCD::OPC_Decode, 244, 13, 64, // Opcode: XVAVG_D
/* 15587 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 15595
/* 15591 */   MCD::OPC_Decode, 243, 13, 64, // Opcode: XVAVG_BU
/* 15595 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 15603
/* 15599 */   MCD::OPC_Decode, 247, 13, 64, // Opcode: XVAVG_HU
/* 15603 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 15611
/* 15607 */   MCD::OPC_Decode, 249, 13, 64, // Opcode: XVAVG_WU
/* 15611 */   MCD::OPC_FilterValue, 7, 126, 23, // Skip to: 21629
/* 15615 */   MCD::OPC_Decode, 245, 13, 64, // Opcode: XVAVG_DU
/* 15619 */   MCD::OPC_FilterValue, 26, 67, 0, // Skip to: 15690
/* 15623 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15626 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15634
/* 15630 */   MCD::OPC_Decode, 234, 13, 64, // Opcode: XVAVGR_B
/* 15634 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15642
/* 15638 */   MCD::OPC_Decode, 238, 13, 64, // Opcode: XVAVGR_H
/* 15642 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15650
/* 15646 */   MCD::OPC_Decode, 240, 13, 64, // Opcode: XVAVGR_W
/* 15650 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 15658
/* 15654 */   MCD::OPC_Decode, 236, 13, 64, // Opcode: XVAVGR_D
/* 15658 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 15666
/* 15662 */   MCD::OPC_Decode, 235, 13, 64, // Opcode: XVAVGR_BU
/* 15666 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 15674
/* 15670 */   MCD::OPC_Decode, 239, 13, 64, // Opcode: XVAVGR_HU
/* 15674 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 15682
/* 15678 */   MCD::OPC_Decode, 241, 13, 64, // Opcode: XVAVGR_WU
/* 15682 */   MCD::OPC_FilterValue, 7, 55, 23, // Skip to: 21629
/* 15686 */   MCD::OPC_Decode, 237, 13, 64, // Opcode: XVAVGR_DU
/* 15690 */   MCD::OPC_FilterValue, 28, 67, 0, // Skip to: 15761
/* 15694 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15697 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15705
/* 15701 */   MCD::OPC_Decode, 134, 16, 64, // Opcode: XVMAX_B
/* 15705 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15713
/* 15709 */   MCD::OPC_Decode, 138, 16, 64, // Opcode: XVMAX_H
/* 15713 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15721
/* 15717 */   MCD::OPC_Decode, 140, 16, 64, // Opcode: XVMAX_W
/* 15721 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 15729
/* 15725 */   MCD::OPC_Decode, 136, 16, 64, // Opcode: XVMAX_D
/* 15729 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 15737
/* 15733 */   MCD::OPC_Decode, 150, 16, 64, // Opcode: XVMIN_B
/* 15737 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 15745
/* 15741 */   MCD::OPC_Decode, 154, 16, 64, // Opcode: XVMIN_H
/* 15745 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 15753
/* 15749 */   MCD::OPC_Decode, 156, 16, 64, // Opcode: XVMIN_W
/* 15753 */   MCD::OPC_FilterValue, 7, 240, 22, // Skip to: 21629
/* 15757 */   MCD::OPC_Decode, 152, 16, 64, // Opcode: XVMIN_D
/* 15761 */   MCD::OPC_FilterValue, 29, 67, 0, // Skip to: 15832
/* 15765 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15768 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15776
/* 15772 */   MCD::OPC_Decode, 135, 16, 64, // Opcode: XVMAX_BU
/* 15776 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15784
/* 15780 */   MCD::OPC_Decode, 139, 16, 64, // Opcode: XVMAX_HU
/* 15784 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15792
/* 15788 */   MCD::OPC_Decode, 141, 16, 64, // Opcode: XVMAX_WU
/* 15792 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 15800
/* 15796 */   MCD::OPC_Decode, 137, 16, 64, // Opcode: XVMAX_DU
/* 15800 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 15808
/* 15804 */   MCD::OPC_Decode, 151, 16, 64, // Opcode: XVMIN_BU
/* 15808 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 15816
/* 15812 */   MCD::OPC_Decode, 155, 16, 64, // Opcode: XVMIN_HU
/* 15816 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 15824
/* 15820 */   MCD::OPC_Decode, 157, 16, 64, // Opcode: XVMIN_WU
/* 15824 */   MCD::OPC_FilterValue, 7, 169, 22, // Skip to: 21629
/* 15828 */   MCD::OPC_Decode, 153, 16, 64, // Opcode: XVMIN_DU
/* 15832 */   MCD::OPC_FilterValue, 33, 67, 0, // Skip to: 15903
/* 15836 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15839 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15847
/* 15843 */   MCD::OPC_Decode, 208, 16, 64, // Opcode: XVMUL_B
/* 15847 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15855
/* 15851 */   MCD::OPC_Decode, 210, 16, 64, // Opcode: XVMUL_H
/* 15855 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15863
/* 15859 */   MCD::OPC_Decode, 211, 16, 64, // Opcode: XVMUL_W
/* 15863 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 15871
/* 15867 */   MCD::OPC_Decode, 209, 16, 64, // Opcode: XVMUL_D
/* 15871 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 15879
/* 15875 */   MCD::OPC_Decode, 176, 16, 64, // Opcode: XVMUH_B
/* 15879 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 15887
/* 15883 */   MCD::OPC_Decode, 180, 16, 64, // Opcode: XVMUH_H
/* 15887 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 15895
/* 15891 */   MCD::OPC_Decode, 182, 16, 64, // Opcode: XVMUH_W
/* 15895 */   MCD::OPC_FilterValue, 7, 98, 22, // Skip to: 21629
/* 15899 */   MCD::OPC_Decode, 178, 16, 64, // Opcode: XVMUH_D
/* 15903 */   MCD::OPC_FilterValue, 34, 35, 0, // Skip to: 15942
/* 15907 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15910 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15918
/* 15914 */   MCD::OPC_Decode, 177, 16, 64, // Opcode: XVMUH_BU
/* 15918 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15926
/* 15922 */   MCD::OPC_Decode, 181, 16, 64, // Opcode: XVMUH_HU
/* 15926 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15934
/* 15930 */   MCD::OPC_Decode, 183, 16, 64, // Opcode: XVMUH_WU
/* 15934 */   MCD::OPC_FilterValue, 3, 59, 22, // Skip to: 21629
/* 15938 */   MCD::OPC_Decode, 179, 16, 64, // Opcode: XVMUH_DU
/* 15942 */   MCD::OPC_FilterValue, 36, 67, 0, // Skip to: 16013
/* 15946 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 15949 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 15957
/* 15953 */   MCD::OPC_Decode, 187, 16, 64, // Opcode: XVMULWEV_H_B
/* 15957 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 15965
/* 15961 */   MCD::OPC_Decode, 193, 16, 64, // Opcode: XVMULWEV_W_H
/* 15965 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 15973
/* 15969 */   MCD::OPC_Decode, 184, 16, 64, // Opcode: XVMULWEV_D_W
/* 15973 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 15981
/* 15977 */   MCD::OPC_Decode, 190, 16, 64, // Opcode: XVMULWEV_Q_D
/* 15981 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 15989
/* 15985 */   MCD::OPC_Decode, 199, 16, 64, // Opcode: XVMULWOD_H_B
/* 15989 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 15997
/* 15993 */   MCD::OPC_Decode, 205, 16, 64, // Opcode: XVMULWOD_W_H
/* 15997 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 16005
/* 16001 */   MCD::OPC_Decode, 196, 16, 64, // Opcode: XVMULWOD_D_W
/* 16005 */   MCD::OPC_FilterValue, 7, 244, 21, // Skip to: 21629
/* 16009 */   MCD::OPC_Decode, 202, 16, 64, // Opcode: XVMULWOD_Q_D
/* 16013 */   MCD::OPC_FilterValue, 38, 67, 0, // Skip to: 16084
/* 16017 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16020 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 16028
/* 16024 */   MCD::OPC_Decode, 188, 16, 64, // Opcode: XVMULWEV_H_BU
/* 16028 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 16036
/* 16032 */   MCD::OPC_Decode, 194, 16, 64, // Opcode: XVMULWEV_W_HU
/* 16036 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 16044
/* 16040 */   MCD::OPC_Decode, 185, 16, 64, // Opcode: XVMULWEV_D_WU
/* 16044 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 16052
/* 16048 */   MCD::OPC_Decode, 191, 16, 64, // Opcode: XVMULWEV_Q_DU
/* 16052 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 16060
/* 16056 */   MCD::OPC_Decode, 200, 16, 64, // Opcode: XVMULWOD_H_BU
/* 16060 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 16068
/* 16064 */   MCD::OPC_Decode, 206, 16, 64, // Opcode: XVMULWOD_W_HU
/* 16068 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 16076
/* 16072 */   MCD::OPC_Decode, 197, 16, 64, // Opcode: XVMULWOD_D_WU
/* 16076 */   MCD::OPC_FilterValue, 7, 173, 21, // Skip to: 21629
/* 16080 */   MCD::OPC_Decode, 203, 16, 64, // Opcode: XVMULWOD_Q_DU
/* 16084 */   MCD::OPC_FilterValue, 40, 67, 0, // Skip to: 16155
/* 16088 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16091 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 16099
/* 16095 */   MCD::OPC_Decode, 189, 16, 64, // Opcode: XVMULWEV_H_BU_B
/* 16099 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 16107
/* 16103 */   MCD::OPC_Decode, 195, 16, 64, // Opcode: XVMULWEV_W_HU_H
/* 16107 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 16115
/* 16111 */   MCD::OPC_Decode, 186, 16, 64, // Opcode: XVMULWEV_D_WU_W
/* 16115 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 16123
/* 16119 */   MCD::OPC_Decode, 192, 16, 64, // Opcode: XVMULWEV_Q_DU_D
/* 16123 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 16131
/* 16127 */   MCD::OPC_Decode, 201, 16, 64, // Opcode: XVMULWOD_H_BU_B
/* 16131 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 16139
/* 16135 */   MCD::OPC_Decode, 207, 16, 64, // Opcode: XVMULWOD_W_HU_H
/* 16139 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 16147
/* 16143 */   MCD::OPC_Decode, 198, 16, 64, // Opcode: XVMULWOD_D_WU_W
/* 16147 */   MCD::OPC_FilterValue, 7, 102, 21, // Skip to: 21629
/* 16151 */   MCD::OPC_Decode, 204, 16, 64, // Opcode: XVMULWOD_Q_DU_D
/* 16155 */   MCD::OPC_FilterValue, 42, 75, 0, // Skip to: 16234
/* 16159 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16162 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 16171
/* 16166 */   MCD::OPC_Decode, 250, 15, 130, 1, // Opcode: XVMADD_B
/* 16171 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 16180
/* 16175 */   MCD::OPC_Decode, 252, 15, 130, 1, // Opcode: XVMADD_H
/* 16180 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 16189
/* 16184 */   MCD::OPC_Decode, 253, 15, 130, 1, // Opcode: XVMADD_W
/* 16189 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 16198
/* 16193 */   MCD::OPC_Decode, 251, 15, 130, 1, // Opcode: XVMADD_D
/* 16198 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 16207
/* 16202 */   MCD::OPC_Decode, 172, 16, 130, 1, // Opcode: XVMSUB_B
/* 16207 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 16216
/* 16211 */   MCD::OPC_Decode, 174, 16, 130, 1, // Opcode: XVMSUB_H
/* 16216 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 16225
/* 16220 */   MCD::OPC_Decode, 175, 16, 130, 1, // Opcode: XVMSUB_W
/* 16225 */   MCD::OPC_FilterValue, 7, 24, 21, // Skip to: 21629
/* 16229 */   MCD::OPC_Decode, 173, 16, 130, 1, // Opcode: XVMSUB_D
/* 16234 */   MCD::OPC_FilterValue, 43, 75, 0, // Skip to: 16313
/* 16238 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16241 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 16250
/* 16245 */   MCD::OPC_Decode, 229, 15, 130, 1, // Opcode: XVMADDWEV_H_B
/* 16250 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 16259
/* 16254 */   MCD::OPC_Decode, 235, 15, 130, 1, // Opcode: XVMADDWEV_W_H
/* 16259 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 16268
/* 16263 */   MCD::OPC_Decode, 226, 15, 130, 1, // Opcode: XVMADDWEV_D_W
/* 16268 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 16277
/* 16272 */   MCD::OPC_Decode, 232, 15, 130, 1, // Opcode: XVMADDWEV_Q_D
/* 16277 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 16286
/* 16281 */   MCD::OPC_Decode, 241, 15, 130, 1, // Opcode: XVMADDWOD_H_B
/* 16286 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 16295
/* 16290 */   MCD::OPC_Decode, 247, 15, 130, 1, // Opcode: XVMADDWOD_W_H
/* 16295 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 16304
/* 16299 */   MCD::OPC_Decode, 238, 15, 130, 1, // Opcode: XVMADDWOD_D_W
/* 16304 */   MCD::OPC_FilterValue, 7, 201, 20, // Skip to: 21629
/* 16308 */   MCD::OPC_Decode, 244, 15, 130, 1, // Opcode: XVMADDWOD_Q_D
/* 16313 */   MCD::OPC_FilterValue, 45, 75, 0, // Skip to: 16392
/* 16317 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16320 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 16329
/* 16324 */   MCD::OPC_Decode, 230, 15, 130, 1, // Opcode: XVMADDWEV_H_BU
/* 16329 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 16338
/* 16333 */   MCD::OPC_Decode, 236, 15, 130, 1, // Opcode: XVMADDWEV_W_HU
/* 16338 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 16347
/* 16342 */   MCD::OPC_Decode, 227, 15, 130, 1, // Opcode: XVMADDWEV_D_WU
/* 16347 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 16356
/* 16351 */   MCD::OPC_Decode, 233, 15, 130, 1, // Opcode: XVMADDWEV_Q_DU
/* 16356 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 16365
/* 16360 */   MCD::OPC_Decode, 242, 15, 130, 1, // Opcode: XVMADDWOD_H_BU
/* 16365 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 16374
/* 16369 */   MCD::OPC_Decode, 248, 15, 130, 1, // Opcode: XVMADDWOD_W_HU
/* 16374 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 16383
/* 16378 */   MCD::OPC_Decode, 239, 15, 130, 1, // Opcode: XVMADDWOD_D_WU
/* 16383 */   MCD::OPC_FilterValue, 7, 122, 20, // Skip to: 21629
/* 16387 */   MCD::OPC_Decode, 245, 15, 130, 1, // Opcode: XVMADDWOD_Q_DU
/* 16392 */   MCD::OPC_FilterValue, 47, 75, 0, // Skip to: 16471
/* 16396 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16399 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 16408
/* 16403 */   MCD::OPC_Decode, 231, 15, 130, 1, // Opcode: XVMADDWEV_H_BU_B
/* 16408 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 16417
/* 16412 */   MCD::OPC_Decode, 237, 15, 130, 1, // Opcode: XVMADDWEV_W_HU_H
/* 16417 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 16426
/* 16421 */   MCD::OPC_Decode, 228, 15, 130, 1, // Opcode: XVMADDWEV_D_WU_W
/* 16426 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 16435
/* 16430 */   MCD::OPC_Decode, 234, 15, 130, 1, // Opcode: XVMADDWEV_Q_DU_D
/* 16435 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 16444
/* 16439 */   MCD::OPC_Decode, 243, 15, 130, 1, // Opcode: XVMADDWOD_H_BU_B
/* 16444 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 16453
/* 16448 */   MCD::OPC_Decode, 249, 15, 130, 1, // Opcode: XVMADDWOD_W_HU_H
/* 16453 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 16462
/* 16457 */   MCD::OPC_Decode, 240, 15, 130, 1, // Opcode: XVMADDWOD_D_WU_W
/* 16462 */   MCD::OPC_FilterValue, 7, 43, 20, // Skip to: 21629
/* 16466 */   MCD::OPC_Decode, 246, 15, 130, 1, // Opcode: XVMADDWOD_Q_DU_D
/* 16471 */   MCD::OPC_FilterValue, 56, 67, 0, // Skip to: 16542
/* 16475 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16478 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 16486
/* 16482 */   MCD::OPC_Decode, 158, 14, 64, // Opcode: XVDIV_B
/* 16486 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 16494
/* 16490 */   MCD::OPC_Decode, 162, 14, 64, // Opcode: XVDIV_H
/* 16494 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 16502
/* 16498 */   MCD::OPC_Decode, 164, 14, 64, // Opcode: XVDIV_W
/* 16502 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 16510
/* 16506 */   MCD::OPC_Decode, 160, 14, 64, // Opcode: XVDIV_D
/* 16510 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 16518
/* 16514 */   MCD::OPC_Decode, 158, 16, 64, // Opcode: XVMOD_B
/* 16518 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 16526
/* 16522 */   MCD::OPC_Decode, 162, 16, 64, // Opcode: XVMOD_H
/* 16526 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 16534
/* 16530 */   MCD::OPC_Decode, 164, 16, 64, // Opcode: XVMOD_W
/* 16534 */   MCD::OPC_FilterValue, 7, 227, 19, // Skip to: 21629
/* 16538 */   MCD::OPC_Decode, 160, 16, 64, // Opcode: XVMOD_D
/* 16542 */   MCD::OPC_FilterValue, 57, 67, 0, // Skip to: 16613
/* 16546 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16549 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 16557
/* 16553 */   MCD::OPC_Decode, 159, 14, 64, // Opcode: XVDIV_BU
/* 16557 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 16565
/* 16561 */   MCD::OPC_Decode, 163, 14, 64, // Opcode: XVDIV_HU
/* 16565 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 16573
/* 16569 */   MCD::OPC_Decode, 165, 14, 64, // Opcode: XVDIV_WU
/* 16573 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 16581
/* 16577 */   MCD::OPC_Decode, 161, 14, 64, // Opcode: XVDIV_DU
/* 16581 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 16589
/* 16585 */   MCD::OPC_Decode, 159, 16, 64, // Opcode: XVMOD_BU
/* 16589 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 16597
/* 16593 */   MCD::OPC_Decode, 163, 16, 64, // Opcode: XVMOD_HU
/* 16597 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 16605
/* 16601 */   MCD::OPC_Decode, 165, 16, 64, // Opcode: XVMOD_WU
/* 16605 */   MCD::OPC_FilterValue, 7, 156, 19, // Skip to: 21629
/* 16609 */   MCD::OPC_Decode, 161, 16, 64, // Opcode: XVMOD_DU
/* 16613 */   MCD::OPC_FilterValue, 58, 67, 0, // Skip to: 16684
/* 16617 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16620 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 16628
/* 16624 */   MCD::OPC_Decode, 220, 17, 64, // Opcode: XVSLL_B
/* 16628 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 16636
/* 16632 */   MCD::OPC_Decode, 222, 17, 64, // Opcode: XVSLL_H
/* 16636 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 16644
/* 16640 */   MCD::OPC_Decode, 223, 17, 64, // Opcode: XVSLL_W
/* 16644 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 16652
/* 16648 */   MCD::OPC_Decode, 221, 17, 64, // Opcode: XVSLL_D
/* 16652 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 16660
/* 16656 */   MCD::OPC_Decode, 168, 18, 64, // Opcode: XVSRL_B
/* 16660 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 16668
/* 16664 */   MCD::OPC_Decode, 170, 18, 64, // Opcode: XVSRL_H
/* 16668 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 16676
/* 16672 */   MCD::OPC_Decode, 171, 18, 64, // Opcode: XVSRL_W
/* 16676 */   MCD::OPC_FilterValue, 7, 85, 19, // Skip to: 21629
/* 16680 */   MCD::OPC_Decode, 169, 18, 64, // Opcode: XVSRL_D
/* 16684 */   MCD::OPC_FilterValue, 59, 67, 0, // Skip to: 16755
/* 16688 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16691 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 16699
/* 16695 */   MCD::OPC_Decode, 138, 18, 64, // Opcode: XVSRA_B
/* 16699 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 16707
/* 16703 */   MCD::OPC_Decode, 140, 18, 64, // Opcode: XVSRA_H
/* 16707 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 16715
/* 16711 */   MCD::OPC_Decode, 141, 18, 64, // Opcode: XVSRA_W
/* 16715 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 16723
/* 16719 */   MCD::OPC_Decode, 139, 18, 64, // Opcode: XVSRA_D
/* 16723 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 16731
/* 16727 */   MCD::OPC_Decode, 144, 17, 64, // Opcode: XVROTR_B
/* 16731 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 16739
/* 16735 */   MCD::OPC_Decode, 146, 17, 64, // Opcode: XVROTR_H
/* 16739 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 16747
/* 16743 */   MCD::OPC_Decode, 147, 17, 64, // Opcode: XVROTR_W
/* 16747 */   MCD::OPC_FilterValue, 7, 14, 19, // Skip to: 21629
/* 16751 */   MCD::OPC_Decode, 145, 17, 64, // Opcode: XVROTR_D
/* 16755 */   MCD::OPC_FilterValue, 60, 67, 0, // Skip to: 16826
/* 16759 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16762 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 16770
/* 16766 */   MCD::OPC_Decode, 164, 18, 64, // Opcode: XVSRLR_B
/* 16770 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 16778
/* 16774 */   MCD::OPC_Decode, 166, 18, 64, // Opcode: XVSRLR_H
/* 16778 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 16786
/* 16782 */   MCD::OPC_Decode, 167, 18, 64, // Opcode: XVSRLR_W
/* 16786 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 16794
/* 16790 */   MCD::OPC_Decode, 165, 18, 64, // Opcode: XVSRLR_D
/* 16794 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 16802
/* 16798 */   MCD::OPC_Decode, 134, 18, 64, // Opcode: XVSRAR_B
/* 16802 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 16810
/* 16806 */   MCD::OPC_Decode, 136, 18, 64, // Opcode: XVSRAR_H
/* 16810 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 16818
/* 16814 */   MCD::OPC_Decode, 137, 18, 64, // Opcode: XVSRAR_W
/* 16818 */   MCD::OPC_FilterValue, 7, 199, 18, // Skip to: 21629
/* 16822 */   MCD::OPC_Decode, 135, 18, 64, // Opcode: XVSRAR_D
/* 16826 */   MCD::OPC_FilterValue, 61, 51, 0, // Skip to: 16881
/* 16830 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16833 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 16841
/* 16837 */   MCD::OPC_Decode, 150, 18, 64, // Opcode: XVSRLN_B_H
/* 16841 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 16849
/* 16845 */   MCD::OPC_Decode, 151, 18, 64, // Opcode: XVSRLN_H_W
/* 16849 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 16857
/* 16853 */   MCD::OPC_Decode, 152, 18, 64, // Opcode: XVSRLN_W_D
/* 16857 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 16865
/* 16861 */   MCD::OPC_Decode, 248, 17, 64, // Opcode: XVSRAN_B_H
/* 16865 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 16873
/* 16869 */   MCD::OPC_Decode, 249, 17, 64, // Opcode: XVSRAN_H_W
/* 16873 */   MCD::OPC_FilterValue, 7, 144, 18, // Skip to: 21629
/* 16877 */   MCD::OPC_Decode, 250, 17, 64, // Opcode: XVSRAN_W_D
/* 16881 */   MCD::OPC_FilterValue, 62, 51, 0, // Skip to: 16936
/* 16885 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16888 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 16896
/* 16892 */   MCD::OPC_Decode, 161, 18, 64, // Opcode: XVSRLRN_B_H
/* 16896 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 16904
/* 16900 */   MCD::OPC_Decode, 162, 18, 64, // Opcode: XVSRLRN_H_W
/* 16904 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 16912
/* 16908 */   MCD::OPC_Decode, 163, 18, 64, // Opcode: XVSRLRN_W_D
/* 16912 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 16920
/* 16916 */   MCD::OPC_Decode, 131, 18, 64, // Opcode: XVSRARN_B_H
/* 16920 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 16928
/* 16924 */   MCD::OPC_Decode, 132, 18, 64, // Opcode: XVSRARN_H_W
/* 16928 */   MCD::OPC_FilterValue, 7, 89, 18, // Skip to: 21629
/* 16932 */   MCD::OPC_Decode, 133, 18, 64, // Opcode: XVSRARN_W_D
/* 16936 */   MCD::OPC_FilterValue, 63, 51, 0, // Skip to: 16991
/* 16940 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16943 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 16951
/* 16947 */   MCD::OPC_Decode, 209, 18, 64, // Opcode: XVSSRLN_B_H
/* 16951 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 16959
/* 16955 */   MCD::OPC_Decode, 211, 18, 64, // Opcode: XVSSRLN_H_W
/* 16959 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 16967
/* 16963 */   MCD::OPC_Decode, 213, 18, 64, // Opcode: XVSSRLN_W_D
/* 16967 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 16975
/* 16971 */   MCD::OPC_Decode, 181, 18, 64, // Opcode: XVSSRAN_B_H
/* 16975 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 16983
/* 16979 */   MCD::OPC_Decode, 183, 18, 64, // Opcode: XVSSRAN_H_W
/* 16983 */   MCD::OPC_FilterValue, 7, 34, 18, // Skip to: 21629
/* 16987 */   MCD::OPC_Decode, 185, 18, 64, // Opcode: XVSSRAN_W_D
/* 16991 */   MCD::OPC_FilterValue, 64, 51, 0, // Skip to: 17046
/* 16995 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 16998 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 17006
/* 17002 */   MCD::OPC_Decode, 223, 18, 64, // Opcode: XVSSRLRN_B_H
/* 17006 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 17014
/* 17010 */   MCD::OPC_Decode, 225, 18, 64, // Opcode: XVSSRLRN_H_W
/* 17014 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 17022
/* 17018 */   MCD::OPC_Decode, 227, 18, 64, // Opcode: XVSSRLRN_W_D
/* 17022 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17030
/* 17026 */   MCD::OPC_Decode, 195, 18, 64, // Opcode: XVSSRARN_B_H
/* 17030 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 17038
/* 17034 */   MCD::OPC_Decode, 197, 18, 64, // Opcode: XVSSRARN_H_W
/* 17038 */   MCD::OPC_FilterValue, 7, 235, 17, // Skip to: 21629
/* 17042 */   MCD::OPC_Decode, 199, 18, 64, // Opcode: XVSSRARN_W_D
/* 17046 */   MCD::OPC_FilterValue, 65, 51, 0, // Skip to: 17101
/* 17050 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17053 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 17061
/* 17057 */   MCD::OPC_Decode, 208, 18, 64, // Opcode: XVSSRLN_BU_H
/* 17061 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 17069
/* 17065 */   MCD::OPC_Decode, 210, 18, 64, // Opcode: XVSSRLN_HU_W
/* 17069 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 17077
/* 17073 */   MCD::OPC_Decode, 212, 18, 64, // Opcode: XVSSRLN_WU_D
/* 17077 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17085
/* 17081 */   MCD::OPC_Decode, 180, 18, 64, // Opcode: XVSSRAN_BU_H
/* 17085 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 17093
/* 17089 */   MCD::OPC_Decode, 182, 18, 64, // Opcode: XVSSRAN_HU_W
/* 17093 */   MCD::OPC_FilterValue, 7, 180, 17, // Skip to: 21629
/* 17097 */   MCD::OPC_Decode, 184, 18, 64, // Opcode: XVSSRAN_WU_D
/* 17101 */   MCD::OPC_FilterValue, 66, 51, 0, // Skip to: 17156
/* 17105 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17108 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 17116
/* 17112 */   MCD::OPC_Decode, 222, 18, 64, // Opcode: XVSSRLRN_BU_H
/* 17116 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 17124
/* 17120 */   MCD::OPC_Decode, 224, 18, 64, // Opcode: XVSSRLRN_HU_W
/* 17124 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 17132
/* 17128 */   MCD::OPC_Decode, 226, 18, 64, // Opcode: XVSSRLRN_WU_D
/* 17132 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17140
/* 17136 */   MCD::OPC_Decode, 194, 18, 64, // Opcode: XVSSRARN_BU_H
/* 17140 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 17148
/* 17144 */   MCD::OPC_Decode, 196, 18, 64, // Opcode: XVSSRARN_HU_W
/* 17148 */   MCD::OPC_FilterValue, 7, 125, 17, // Skip to: 21629
/* 17152 */   MCD::OPC_Decode, 198, 18, 64, // Opcode: XVSSRARN_WU_D
/* 17156 */   MCD::OPC_FilterValue, 67, 67, 0, // Skip to: 17227
/* 17160 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17163 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 17171
/* 17167 */   MCD::OPC_Decode, 254, 13, 64, // Opcode: XVBITCLR_B
/* 17171 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 17179
/* 17175 */   MCD::OPC_Decode, 128, 14, 64, // Opcode: XVBITCLR_H
/* 17179 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 17187
/* 17183 */   MCD::OPC_Decode, 129, 14, 64, // Opcode: XVBITCLR_W
/* 17187 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 17195
/* 17191 */   MCD::OPC_Decode, 255, 13, 64, // Opcode: XVBITCLR_D
/* 17195 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 17203
/* 17199 */   MCD::OPC_Decode, 144, 14, 64, // Opcode: XVBITSET_B
/* 17203 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17211
/* 17207 */   MCD::OPC_Decode, 146, 14, 64, // Opcode: XVBITSET_H
/* 17211 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 17219
/* 17215 */   MCD::OPC_Decode, 147, 14, 64, // Opcode: XVBITSET_W
/* 17219 */   MCD::OPC_FilterValue, 7, 54, 17, // Skip to: 21629
/* 17223 */   MCD::OPC_Decode, 145, 14, 64, // Opcode: XVBITSET_D
/* 17227 */   MCD::OPC_FilterValue, 68, 35, 0, // Skip to: 17266
/* 17231 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17234 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 17242
/* 17238 */   MCD::OPC_Decode, 134, 14, 64, // Opcode: XVBITREV_B
/* 17242 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 17250
/* 17246 */   MCD::OPC_Decode, 136, 14, 64, // Opcode: XVBITREV_H
/* 17250 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 17258
/* 17254 */   MCD::OPC_Decode, 137, 14, 64, // Opcode: XVBITREV_W
/* 17258 */   MCD::OPC_FilterValue, 3, 15, 17, // Skip to: 21629
/* 17262 */   MCD::OPC_Decode, 135, 14, 64, // Opcode: XVBITREV_D
/* 17266 */   MCD::OPC_FilterValue, 69, 35, 0, // Skip to: 17305
/* 17270 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17273 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 17281
/* 17277 */   MCD::OPC_Decode, 221, 16, 64, // Opcode: XVPACKEV_B
/* 17281 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17289
/* 17285 */   MCD::OPC_Decode, 223, 16, 64, // Opcode: XVPACKEV_H
/* 17289 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 17297
/* 17293 */   MCD::OPC_Decode, 224, 16, 64, // Opcode: XVPACKEV_W
/* 17297 */   MCD::OPC_FilterValue, 7, 232, 16, // Skip to: 21629
/* 17301 */   MCD::OPC_Decode, 222, 16, 64, // Opcode: XVPACKEV_D
/* 17305 */   MCD::OPC_FilterValue, 70, 67, 0, // Skip to: 17376
/* 17309 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17312 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 17320
/* 17316 */   MCD::OPC_Decode, 225, 16, 64, // Opcode: XVPACKOD_B
/* 17320 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 17328
/* 17324 */   MCD::OPC_Decode, 227, 16, 64, // Opcode: XVPACKOD_H
/* 17328 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 17336
/* 17332 */   MCD::OPC_Decode, 228, 16, 64, // Opcode: XVPACKOD_W
/* 17336 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 17344
/* 17340 */   MCD::OPC_Decode, 226, 16, 64, // Opcode: XVPACKOD_D
/* 17344 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 17352
/* 17348 */   MCD::OPC_Decode, 211, 15, 64, // Opcode: XVILVL_B
/* 17352 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17360
/* 17356 */   MCD::OPC_Decode, 213, 15, 64, // Opcode: XVILVL_H
/* 17360 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 17368
/* 17364 */   MCD::OPC_Decode, 214, 15, 64, // Opcode: XVILVL_W
/* 17368 */   MCD::OPC_FilterValue, 7, 161, 16, // Skip to: 21629
/* 17372 */   MCD::OPC_Decode, 212, 15, 64, // Opcode: XVILVL_D
/* 17376 */   MCD::OPC_FilterValue, 71, 67, 0, // Skip to: 17447
/* 17380 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17383 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 17391
/* 17387 */   MCD::OPC_Decode, 207, 15, 64, // Opcode: XVILVH_B
/* 17391 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 17399
/* 17395 */   MCD::OPC_Decode, 209, 15, 64, // Opcode: XVILVH_H
/* 17399 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 17407
/* 17403 */   MCD::OPC_Decode, 210, 15, 64, // Opcode: XVILVH_W
/* 17407 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 17415
/* 17411 */   MCD::OPC_Decode, 208, 15, 64, // Opcode: XVILVH_D
/* 17415 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 17423
/* 17419 */   MCD::OPC_Decode, 237, 16, 64, // Opcode: XVPICKEV_B
/* 17423 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17431
/* 17427 */   MCD::OPC_Decode, 239, 16, 64, // Opcode: XVPICKEV_H
/* 17431 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 17439
/* 17435 */   MCD::OPC_Decode, 240, 16, 64, // Opcode: XVPICKEV_W
/* 17439 */   MCD::OPC_FilterValue, 7, 90, 16, // Skip to: 21629
/* 17443 */   MCD::OPC_Decode, 238, 16, 64, // Opcode: XVPICKEV_D
/* 17447 */   MCD::OPC_FilterValue, 72, 71, 0, // Skip to: 17522
/* 17451 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17454 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 17462
/* 17458 */   MCD::OPC_Decode, 241, 16, 64, // Opcode: XVPICKOD_B
/* 17462 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 17470
/* 17466 */   MCD::OPC_Decode, 243, 16, 64, // Opcode: XVPICKOD_H
/* 17470 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 17478
/* 17474 */   MCD::OPC_Decode, 244, 16, 64, // Opcode: XVPICKOD_W
/* 17478 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 17486
/* 17482 */   MCD::OPC_Decode, 242, 16, 64, // Opcode: XVPICKOD_D
/* 17486 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 17495
/* 17490 */   MCD::OPC_Decode, 136, 17, 131, 1, // Opcode: XVREPLVE_B
/* 17495 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 17504
/* 17499 */   MCD::OPC_Decode, 138, 17, 131, 1, // Opcode: XVREPLVE_H
/* 17504 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 17513
/* 17508 */   MCD::OPC_Decode, 139, 17, 131, 1, // Opcode: XVREPLVE_W
/* 17513 */   MCD::OPC_FilterValue, 7, 16, 16, // Skip to: 21629
/* 17517 */   MCD::OPC_Decode, 137, 17, 131, 1, // Opcode: XVREPLVE_D
/* 17522 */   MCD::OPC_FilterValue, 73, 35, 0, // Skip to: 17561
/* 17526 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17529 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 17537
/* 17533 */   MCD::OPC_Decode, 233, 13, 64, // Opcode: XVAND_V
/* 17537 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17545
/* 17541 */   MCD::OPC_Decode, 220, 16, 64, // Opcode: XVOR_V
/* 17545 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 17553
/* 17549 */   MCD::OPC_Decode, 140, 19, 64, // Opcode: XVXOR_V
/* 17553 */   MCD::OPC_FilterValue, 7, 232, 15, // Skip to: 21629
/* 17557 */   MCD::OPC_Decode, 217, 16, 64, // Opcode: XVNOR_V
/* 17561 */   MCD::OPC_FilterValue, 74, 37, 0, // Skip to: 17602
/* 17565 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17568 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 17576
/* 17572 */   MCD::OPC_Decode, 232, 13, 64, // Opcode: XVANDN_V
/* 17576 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 17584
/* 17580 */   MCD::OPC_Decode, 219, 16, 64, // Opcode: XVORN_V
/* 17584 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 17593
/* 17588 */   MCD::OPC_Decode, 155, 15, 130, 1, // Opcode: XVFRSTP_B
/* 17593 */   MCD::OPC_FilterValue, 7, 192, 15, // Skip to: 21629
/* 17597 */   MCD::OPC_Decode, 156, 15, 130, 1, // Opcode: XVFRSTP_H
/* 17602 */   MCD::OPC_FilterValue, 75, 51, 0, // Skip to: 17657
/* 17606 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17609 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 17617
/* 17613 */   MCD::OPC_Decode, 229, 13, 64, // Opcode: XVADD_Q
/* 17617 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 17625
/* 17621 */   MCD::OPC_Decode, 137, 19, 64, // Opcode: XVSUB_Q
/* 17625 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 17633
/* 17629 */   MCD::OPC_Decode, 190, 17, 64, // Opcode: XVSIGNCOV_B
/* 17633 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17641
/* 17637 */   MCD::OPC_Decode, 192, 17, 64, // Opcode: XVSIGNCOV_H
/* 17641 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 17649
/* 17645 */   MCD::OPC_Decode, 193, 17, 64, // Opcode: XVSIGNCOV_W
/* 17649 */   MCD::OPC_FilterValue, 7, 136, 15, // Skip to: 21629
/* 17653 */   MCD::OPC_Decode, 191, 17, 64, // Opcode: XVSIGNCOV_D
/* 17657 */   MCD::OPC_FilterValue, 76, 35, 0, // Skip to: 17696
/* 17661 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17664 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 17672
/* 17668 */   MCD::OPC_Decode, 181, 14, 64, // Opcode: XVFADD_S
/* 17672 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 17680
/* 17676 */   MCD::OPC_Decode, 180, 14, 64, // Opcode: XVFADD_D
/* 17680 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17688
/* 17684 */   MCD::OPC_Decode, 160, 15, 64, // Opcode: XVFSUB_S
/* 17688 */   MCD::OPC_FilterValue, 6, 97, 15, // Skip to: 21629
/* 17692 */   MCD::OPC_Decode, 159, 15, 64, // Opcode: XVFSUB_D
/* 17696 */   MCD::OPC_FilterValue, 78, 35, 0, // Skip to: 17735
/* 17700 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17703 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 17711
/* 17707 */   MCD::OPC_Decode, 130, 15, 64, // Opcode: XVFMUL_S
/* 17711 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 17719
/* 17715 */   MCD::OPC_Decode, 129, 15, 64, // Opcode: XVFMUL_D
/* 17719 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17727
/* 17723 */   MCD::OPC_Decode, 235, 14, 64, // Opcode: XVFDIV_S
/* 17727 */   MCD::OPC_FilterValue, 6, 58, 15, // Skip to: 21629
/* 17731 */   MCD::OPC_Decode, 234, 14, 64, // Opcode: XVFDIV_D
/* 17735 */   MCD::OPC_FilterValue, 79, 35, 0, // Skip to: 17774
/* 17739 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17742 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 17750
/* 17746 */   MCD::OPC_Decode, 250, 14, 64, // Opcode: XVFMAX_S
/* 17750 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 17758
/* 17754 */   MCD::OPC_Decode, 249, 14, 64, // Opcode: XVFMAX_D
/* 17758 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17766
/* 17762 */   MCD::OPC_Decode, 254, 14, 64, // Opcode: XVFMIN_S
/* 17766 */   MCD::OPC_FilterValue, 6, 19, 15, // Skip to: 21629
/* 17770 */   MCD::OPC_Decode, 253, 14, 64, // Opcode: XVFMIN_D
/* 17774 */   MCD::OPC_FilterValue, 80, 35, 0, // Skip to: 17813
/* 17778 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17781 */   MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 17789
/* 17785 */   MCD::OPC_Decode, 248, 14, 64, // Opcode: XVFMAXA_S
/* 17789 */   MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 17797
/* 17793 */   MCD::OPC_Decode, 247, 14, 64, // Opcode: XVFMAXA_D
/* 17797 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17805
/* 17801 */   MCD::OPC_Decode, 252, 14, 64, // Opcode: XVFMINA_S
/* 17805 */   MCD::OPC_FilterValue, 6, 236, 14, // Skip to: 21629
/* 17809 */   MCD::OPC_Decode, 251, 14, 64, // Opcode: XVFMINA_D
/* 17813 */   MCD::OPC_FilterValue, 81, 19, 0, // Skip to: 17836
/* 17817 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17820 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 17828
/* 17824 */   MCD::OPC_Decode, 232, 14, 64, // Opcode: XVFCVT_H_S
/* 17828 */   MCD::OPC_FilterValue, 5, 213, 14, // Skip to: 21629
/* 17832 */   MCD::OPC_Decode, 233, 14, 64, // Opcode: XVFCVT_S_D
/* 17836 */   MCD::OPC_FilterValue, 82, 51, 0, // Skip to: 17891
/* 17840 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17843 */   MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 17851
/* 17847 */   MCD::OPC_Decode, 240, 14, 64, // Opcode: XVFFINT_S_L
/* 17851 */   MCD::OPC_FilterValue, 3, 4, 0, // Skip to: 17859
/* 17855 */   MCD::OPC_Decode, 188, 15, 64, // Opcode: XVFTINT_W_D
/* 17859 */   MCD::OPC_FilterValue, 4, 4, 0, // Skip to: 17867
/* 17863 */   MCD::OPC_Decode, 166, 15, 64, // Opcode: XVFTINTRM_W_D
/* 17867 */   MCD::OPC_FilterValue, 5, 4, 0, // Skip to: 17875
/* 17871 */   MCD::OPC_Decode, 176, 15, 64, // Opcode: XVFTINTRP_W_D
/* 17875 */   MCD::OPC_FilterValue, 6, 4, 0, // Skip to: 17883
/* 17879 */   MCD::OPC_Decode, 183, 15, 64, // Opcode: XVFTINTRZ_W_D
/* 17883 */   MCD::OPC_FilterValue, 7, 158, 14, // Skip to: 21629
/* 17887 */   MCD::OPC_Decode, 171, 15, 64, // Opcode: XVFTINTRNE_W_D
/* 17891 */   MCD::OPC_FilterValue, 94, 30, 0, // Skip to: 17925
/* 17895 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17898 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 17907
/* 17902 */   MCD::OPC_Decode, 188, 17, 130, 1, // Opcode: XVSHUF_H
/* 17907 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 17916
/* 17911 */   MCD::OPC_Decode, 189, 17, 130, 1, // Opcode: XVSHUF_W
/* 17916 */   MCD::OPC_FilterValue, 7, 125, 14, // Skip to: 21629
/* 17920 */   MCD::OPC_Decode, 187, 17, 130, 1, // Opcode: XVSHUF_D
/* 17925 */   MCD::OPC_FilterValue, 95, 10, 0, // Skip to: 17939
/* 17929 */   MCD::OPC_CheckField, 15, 3, 2, 110, 14, // Skip to: 21629
/* 17935 */   MCD::OPC_Decode, 236, 16, 64, // Opcode: XVPERM_W
/* 17939 */   MCD::OPC_FilterValue, 160, 1, 75, 0, // Skip to: 18019
/* 17944 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 17947 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 17956
/* 17951 */   MCD::OPC_Decode, 164, 17, 132, 1, // Opcode: XVSEQI_B
/* 17956 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 17965
/* 17960 */   MCD::OPC_Decode, 166, 17, 132, 1, // Opcode: XVSEQI_H
/* 17965 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 17974
/* 17969 */   MCD::OPC_Decode, 167, 17, 132, 1, // Opcode: XVSEQI_W
/* 17974 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 17983
/* 17978 */   MCD::OPC_Decode, 165, 17, 132, 1, // Opcode: XVSEQI_D
/* 17983 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 17992
/* 17987 */   MCD::OPC_Decode, 194, 17, 132, 1, // Opcode: XVSLEI_B
/* 17992 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 18001
/* 17996 */   MCD::OPC_Decode, 198, 17, 132, 1, // Opcode: XVSLEI_H
/* 18001 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 18010
/* 18005 */   MCD::OPC_Decode, 200, 17, 132, 1, // Opcode: XVSLEI_W
/* 18010 */   MCD::OPC_FilterValue, 7, 31, 14, // Skip to: 21629
/* 18014 */   MCD::OPC_Decode, 196, 17, 132, 1, // Opcode: XVSLEI_D
/* 18019 */   MCD::OPC_FilterValue, 161, 1, 75, 0, // Skip to: 18099
/* 18024 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 18027 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 18036
/* 18031 */   MCD::OPC_Decode, 195, 17, 133, 1, // Opcode: XVSLEI_BU
/* 18036 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 18045
/* 18040 */   MCD::OPC_Decode, 199, 17, 133, 1, // Opcode: XVSLEI_HU
/* 18045 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 18054
/* 18049 */   MCD::OPC_Decode, 201, 17, 133, 1, // Opcode: XVSLEI_WU
/* 18054 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 18063
/* 18058 */   MCD::OPC_Decode, 197, 17, 133, 1, // Opcode: XVSLEI_DU
/* 18063 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 18072
/* 18067 */   MCD::OPC_Decode, 224, 17, 132, 1, // Opcode: XVSLTI_B
/* 18072 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 18081
/* 18076 */   MCD::OPC_Decode, 228, 17, 132, 1, // Opcode: XVSLTI_H
/* 18081 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 18090
/* 18085 */   MCD::OPC_Decode, 230, 17, 132, 1, // Opcode: XVSLTI_W
/* 18090 */   MCD::OPC_FilterValue, 7, 207, 13, // Skip to: 21629
/* 18094 */   MCD::OPC_Decode, 226, 17, 132, 1, // Opcode: XVSLTI_D
/* 18099 */   MCD::OPC_FilterValue, 162, 1, 75, 0, // Skip to: 18179
/* 18104 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 18107 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 18116
/* 18111 */   MCD::OPC_Decode, 225, 17, 133, 1, // Opcode: XVSLTI_BU
/* 18116 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 18125
/* 18120 */   MCD::OPC_Decode, 229, 17, 133, 1, // Opcode: XVSLTI_HU
/* 18125 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 18134
/* 18129 */   MCD::OPC_Decode, 231, 17, 133, 1, // Opcode: XVSLTI_WU
/* 18134 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 18143
/* 18138 */   MCD::OPC_Decode, 227, 17, 133, 1, // Opcode: XVSLTI_DU
/* 18143 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 18152
/* 18147 */   MCD::OPC_Decode, 198, 13, 133, 1, // Opcode: XVADDI_BU
/* 18152 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 18161
/* 18156 */   MCD::OPC_Decode, 200, 13, 133, 1, // Opcode: XVADDI_HU
/* 18161 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 18170
/* 18165 */   MCD::OPC_Decode, 201, 13, 133, 1, // Opcode: XVADDI_WU
/* 18170 */   MCD::OPC_FilterValue, 7, 127, 13, // Skip to: 21629
/* 18174 */   MCD::OPC_Decode, 199, 13, 133, 1, // Opcode: XVADDI_DU
/* 18179 */   MCD::OPC_FilterValue, 163, 1, 57, 0, // Skip to: 18241
/* 18184 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 18187 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 18196
/* 18191 */   MCD::OPC_Decode, 242, 18, 133, 1, // Opcode: XVSUBI_BU
/* 18196 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 18205
/* 18200 */   MCD::OPC_Decode, 244, 18, 133, 1, // Opcode: XVSUBI_HU
/* 18205 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 18214
/* 18209 */   MCD::OPC_Decode, 245, 18, 133, 1, // Opcode: XVSUBI_WU
/* 18214 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 18223
/* 18218 */   MCD::OPC_Decode, 243, 18, 133, 1, // Opcode: XVSUBI_DU
/* 18223 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 18232
/* 18227 */   MCD::OPC_Decode, 148, 14, 133, 1, // Opcode: XVBSLL_V
/* 18232 */   MCD::OPC_FilterValue, 5, 65, 13, // Skip to: 21629
/* 18236 */   MCD::OPC_Decode, 149, 14, 133, 1, // Opcode: XVBSRL_V
/* 18241 */   MCD::OPC_FilterValue, 164, 1, 75, 0, // Skip to: 18321
/* 18246 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 18249 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 18258
/* 18253 */   MCD::OPC_Decode, 254, 15, 132, 1, // Opcode: XVMAXI_B
/* 18258 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 18267
/* 18262 */   MCD::OPC_Decode, 130, 16, 132, 1, // Opcode: XVMAXI_H
/* 18267 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 18276
/* 18271 */   MCD::OPC_Decode, 132, 16, 132, 1, // Opcode: XVMAXI_W
/* 18276 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 18285
/* 18280 */   MCD::OPC_Decode, 128, 16, 132, 1, // Opcode: XVMAXI_D
/* 18285 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 18294
/* 18289 */   MCD::OPC_Decode, 142, 16, 132, 1, // Opcode: XVMINI_B
/* 18294 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 18303
/* 18298 */   MCD::OPC_Decode, 146, 16, 132, 1, // Opcode: XVMINI_H
/* 18303 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 18312
/* 18307 */   MCD::OPC_Decode, 148, 16, 132, 1, // Opcode: XVMINI_W
/* 18312 */   MCD::OPC_FilterValue, 7, 241, 12, // Skip to: 21629
/* 18316 */   MCD::OPC_Decode, 144, 16, 132, 1, // Opcode: XVMINI_D
/* 18321 */   MCD::OPC_FilterValue, 165, 1, 75, 0, // Skip to: 18401
/* 18326 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 18329 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 18338
/* 18333 */   MCD::OPC_Decode, 255, 15, 133, 1, // Opcode: XVMAXI_BU
/* 18338 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 18347
/* 18342 */   MCD::OPC_Decode, 131, 16, 133, 1, // Opcode: XVMAXI_HU
/* 18347 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 18356
/* 18351 */   MCD::OPC_Decode, 133, 16, 133, 1, // Opcode: XVMAXI_WU
/* 18356 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 18365
/* 18360 */   MCD::OPC_Decode, 129, 16, 133, 1, // Opcode: XVMAXI_DU
/* 18365 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 18374
/* 18369 */   MCD::OPC_Decode, 143, 16, 133, 1, // Opcode: XVMINI_BU
/* 18374 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 18383
/* 18378 */   MCD::OPC_Decode, 147, 16, 133, 1, // Opcode: XVMINI_HU
/* 18383 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 18392
/* 18387 */   MCD::OPC_Decode, 149, 16, 133, 1, // Opcode: XVMINI_WU
/* 18392 */   MCD::OPC_FilterValue, 7, 161, 12, // Skip to: 21629
/* 18396 */   MCD::OPC_Decode, 145, 16, 133, 1, // Opcode: XVMINI_DU
/* 18401 */   MCD::OPC_FilterValue, 166, 1, 21, 0, // Skip to: 18427
/* 18406 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 18409 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 18418
/* 18413 */   MCD::OPC_Decode, 153, 15, 134, 1, // Opcode: XVFRSTPI_B
/* 18418 */   MCD::OPC_FilterValue, 5, 135, 12, // Skip to: 21629
/* 18422 */   MCD::OPC_Decode, 154, 15, 134, 1, // Opcode: XVFRSTPI_H
/* 18427 */   MCD::OPC_FilterValue, 167, 1, 123, 4, // Skip to: 19579
/* 18432 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 18435 */   MCD::OPC_FilterValue, 0, 201, 0, // Skip to: 18640
/* 18439 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 18442 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 18451
/* 18446 */   MCD::OPC_Decode, 150, 14, 135, 1, // Opcode: XVCLO_B
/* 18451 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 18460
/* 18455 */   MCD::OPC_Decode, 152, 14, 135, 1, // Opcode: XVCLO_H
/* 18460 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 18469
/* 18464 */   MCD::OPC_Decode, 153, 14, 135, 1, // Opcode: XVCLO_W
/* 18469 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 18478
/* 18473 */   MCD::OPC_Decode, 151, 14, 135, 1, // Opcode: XVCLO_D
/* 18478 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 18487
/* 18482 */   MCD::OPC_Decode, 154, 14, 135, 1, // Opcode: XVCLZ_B
/* 18487 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 18496
/* 18491 */   MCD::OPC_Decode, 156, 14, 135, 1, // Opcode: XVCLZ_H
/* 18496 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 18505
/* 18500 */   MCD::OPC_Decode, 157, 14, 135, 1, // Opcode: XVCLZ_W
/* 18505 */   MCD::OPC_FilterValue, 7, 5, 0, // Skip to: 18514
/* 18509 */   MCD::OPC_Decode, 155, 14, 135, 1, // Opcode: XVCLZ_D
/* 18514 */   MCD::OPC_FilterValue, 8, 5, 0, // Skip to: 18523
/* 18518 */   MCD::OPC_Decode, 229, 16, 135, 1, // Opcode: XVPCNT_B
/* 18523 */   MCD::OPC_FilterValue, 9, 5, 0, // Skip to: 18532
/* 18527 */   MCD::OPC_Decode, 231, 16, 135, 1, // Opcode: XVPCNT_H
/* 18532 */   MCD::OPC_FilterValue, 10, 5, 0, // Skip to: 18541
/* 18536 */   MCD::OPC_Decode, 232, 16, 135, 1, // Opcode: XVPCNT_W
/* 18541 */   MCD::OPC_FilterValue, 11, 5, 0, // Skip to: 18550
/* 18545 */   MCD::OPC_Decode, 230, 16, 135, 1, // Opcode: XVPCNT_D
/* 18550 */   MCD::OPC_FilterValue, 12, 5, 0, // Skip to: 18559
/* 18554 */   MCD::OPC_Decode, 212, 16, 135, 1, // Opcode: XVNEG_B
/* 18559 */   MCD::OPC_FilterValue, 13, 5, 0, // Skip to: 18568
/* 18563 */   MCD::OPC_Decode, 214, 16, 135, 1, // Opcode: XVNEG_H
/* 18568 */   MCD::OPC_FilterValue, 14, 5, 0, // Skip to: 18577
/* 18572 */   MCD::OPC_Decode, 215, 16, 135, 1, // Opcode: XVNEG_W
/* 18577 */   MCD::OPC_FilterValue, 15, 5, 0, // Skip to: 18586
/* 18581 */   MCD::OPC_Decode, 213, 16, 135, 1, // Opcode: XVNEG_D
/* 18586 */   MCD::OPC_FilterValue, 16, 5, 0, // Skip to: 18595
/* 18590 */   MCD::OPC_Decode, 167, 16, 135, 1, // Opcode: XVMSKLTZ_B
/* 18595 */   MCD::OPC_FilterValue, 17, 5, 0, // Skip to: 18604
/* 18599 */   MCD::OPC_Decode, 169, 16, 135, 1, // Opcode: XVMSKLTZ_H
/* 18604 */   MCD::OPC_FilterValue, 18, 5, 0, // Skip to: 18613
/* 18608 */   MCD::OPC_Decode, 170, 16, 135, 1, // Opcode: XVMSKLTZ_W
/* 18613 */   MCD::OPC_FilterValue, 19, 5, 0, // Skip to: 18622
/* 18617 */   MCD::OPC_Decode, 168, 16, 135, 1, // Opcode: XVMSKLTZ_D
/* 18622 */   MCD::OPC_FilterValue, 20, 5, 0, // Skip to: 18631
/* 18626 */   MCD::OPC_Decode, 166, 16, 135, 1, // Opcode: XVMSKGEZ_B
/* 18631 */   MCD::OPC_FilterValue, 24, 178, 11, // Skip to: 21629
/* 18635 */   MCD::OPC_Decode, 171, 16, 135, 1, // Opcode: XVMSKNZ_B
/* 18640 */   MCD::OPC_FilterValue, 1, 225, 0, // Skip to: 18869
/* 18644 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 18647 */   MCD::OPC_FilterValue, 6, 11, 0, // Skip to: 18662
/* 18651 */   MCD::OPC_CheckField, 3, 2, 0, 156, 11, // Skip to: 21629
/* 18657 */   MCD::OPC_Decode, 180, 17, 136, 1, // Opcode: XVSETEQZ_V
/* 18662 */   MCD::OPC_FilterValue, 7, 11, 0, // Skip to: 18677
/* 18666 */   MCD::OPC_CheckField, 3, 2, 0, 141, 11, // Skip to: 21629
/* 18672 */   MCD::OPC_Decode, 181, 17, 136, 1, // Opcode: XVSETNEZ_V
/* 18677 */   MCD::OPC_FilterValue, 8, 11, 0, // Skip to: 18692
/* 18681 */   MCD::OPC_CheckField, 3, 2, 0, 126, 11, // Skip to: 21629
/* 18687 */   MCD::OPC_Decode, 176, 17, 136, 1, // Opcode: XVSETANYEQZ_B
/* 18692 */   MCD::OPC_FilterValue, 9, 11, 0, // Skip to: 18707
/* 18696 */   MCD::OPC_CheckField, 3, 2, 0, 111, 11, // Skip to: 21629
/* 18702 */   MCD::OPC_Decode, 178, 17, 136, 1, // Opcode: XVSETANYEQZ_H
/* 18707 */   MCD::OPC_FilterValue, 10, 11, 0, // Skip to: 18722
/* 18711 */   MCD::OPC_CheckField, 3, 2, 0, 96, 11, // Skip to: 21629
/* 18717 */   MCD::OPC_Decode, 179, 17, 136, 1, // Opcode: XVSETANYEQZ_W
/* 18722 */   MCD::OPC_FilterValue, 11, 11, 0, // Skip to: 18737
/* 18726 */   MCD::OPC_CheckField, 3, 2, 0, 81, 11, // Skip to: 21629
/* 18732 */   MCD::OPC_Decode, 177, 17, 136, 1, // Opcode: XVSETANYEQZ_D
/* 18737 */   MCD::OPC_FilterValue, 12, 11, 0, // Skip to: 18752
/* 18741 */   MCD::OPC_CheckField, 3, 2, 0, 66, 11, // Skip to: 21629
/* 18747 */   MCD::OPC_Decode, 172, 17, 136, 1, // Opcode: XVSETALLNEZ_B
/* 18752 */   MCD::OPC_FilterValue, 13, 11, 0, // Skip to: 18767
/* 18756 */   MCD::OPC_CheckField, 3, 2, 0, 51, 11, // Skip to: 21629
/* 18762 */   MCD::OPC_Decode, 174, 17, 136, 1, // Opcode: XVSETALLNEZ_H
/* 18767 */   MCD::OPC_FilterValue, 14, 11, 0, // Skip to: 18782
/* 18771 */   MCD::OPC_CheckField, 3, 2, 0, 36, 11, // Skip to: 21629
/* 18777 */   MCD::OPC_Decode, 175, 17, 136, 1, // Opcode: XVSETALLNEZ_W
/* 18782 */   MCD::OPC_FilterValue, 15, 11, 0, // Skip to: 18797
/* 18786 */   MCD::OPC_CheckField, 3, 2, 0, 21, 11, // Skip to: 21629
/* 18792 */   MCD::OPC_Decode, 173, 17, 136, 1, // Opcode: XVSETALLNEZ_D
/* 18797 */   MCD::OPC_FilterValue, 17, 5, 0, // Skip to: 18806
/* 18801 */   MCD::OPC_Decode, 244, 14, 135, 1, // Opcode: XVFLOGB_S
/* 18806 */   MCD::OPC_FilterValue, 18, 5, 0, // Skip to: 18815
/* 18810 */   MCD::OPC_Decode, 243, 14, 135, 1, // Opcode: XVFLOGB_D
/* 18815 */   MCD::OPC_FilterValue, 21, 5, 0, // Skip to: 18824
/* 18819 */   MCD::OPC_Decode, 183, 14, 135, 1, // Opcode: XVFCLASS_S
/* 18824 */   MCD::OPC_FilterValue, 22, 5, 0, // Skip to: 18833
/* 18828 */   MCD::OPC_Decode, 182, 14, 135, 1, // Opcode: XVFCLASS_D
/* 18833 */   MCD::OPC_FilterValue, 25, 5, 0, // Skip to: 18842
/* 18837 */   MCD::OPC_Decode, 158, 15, 135, 1, // Opcode: XVFSQRT_S
/* 18842 */   MCD::OPC_FilterValue, 26, 5, 0, // Skip to: 18851
/* 18846 */   MCD::OPC_Decode, 157, 15, 135, 1, // Opcode: XVFSQRT_D
/* 18851 */   MCD::OPC_FilterValue, 29, 5, 0, // Skip to: 18860
/* 18855 */   MCD::OPC_Decode, 138, 15, 135, 1, // Opcode: XVFRECIP_S
/* 18860 */   MCD::OPC_FilterValue, 30, 205, 10, // Skip to: 21629
/* 18864 */   MCD::OPC_Decode, 137, 15, 135, 1, // Opcode: XVFRECIP_D
/* 18869 */   MCD::OPC_FilterValue, 2, 147, 0, // Skip to: 19020
/* 18873 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 18876 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 18885
/* 18880 */   MCD::OPC_Decode, 152, 15, 135, 1, // Opcode: XVFRSQRT_S
/* 18885 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 18894
/* 18889 */   MCD::OPC_Decode, 151, 15, 135, 1, // Opcode: XVFRSQRT_D
/* 18894 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 18903
/* 18898 */   MCD::OPC_Decode, 136, 15, 135, 1, // Opcode: XVFRECIPE_S
/* 18903 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 18912
/* 18907 */   MCD::OPC_Decode, 135, 15, 135, 1, // Opcode: XVFRECIPE_D
/* 18912 */   MCD::OPC_FilterValue, 9, 5, 0, // Skip to: 18921
/* 18916 */   MCD::OPC_Decode, 150, 15, 135, 1, // Opcode: XVFRSQRTE_S
/* 18921 */   MCD::OPC_FilterValue, 10, 5, 0, // Skip to: 18930
/* 18925 */   MCD::OPC_Decode, 149, 15, 135, 1, // Opcode: XVFRSQRTE_D
/* 18930 */   MCD::OPC_FilterValue, 13, 5, 0, // Skip to: 18939
/* 18934 */   MCD::OPC_Decode, 148, 15, 135, 1, // Opcode: XVFRINT_S
/* 18939 */   MCD::OPC_FilterValue, 14, 5, 0, // Skip to: 18948
/* 18943 */   MCD::OPC_Decode, 147, 15, 135, 1, // Opcode: XVFRINT_D
/* 18948 */   MCD::OPC_FilterValue, 17, 5, 0, // Skip to: 18957
/* 18952 */   MCD::OPC_Decode, 140, 15, 135, 1, // Opcode: XVFRINTRM_S
/* 18957 */   MCD::OPC_FilterValue, 18, 5, 0, // Skip to: 18966
/* 18961 */   MCD::OPC_Decode, 139, 15, 135, 1, // Opcode: XVFRINTRM_D
/* 18966 */   MCD::OPC_FilterValue, 21, 5, 0, // Skip to: 18975
/* 18970 */   MCD::OPC_Decode, 144, 15, 135, 1, // Opcode: XVFRINTRP_S
/* 18975 */   MCD::OPC_FilterValue, 22, 5, 0, // Skip to: 18984
/* 18979 */   MCD::OPC_Decode, 143, 15, 135, 1, // Opcode: XVFRINTRP_D
/* 18984 */   MCD::OPC_FilterValue, 25, 5, 0, // Skip to: 18993
/* 18988 */   MCD::OPC_Decode, 146, 15, 135, 1, // Opcode: XVFRINTRZ_S
/* 18993 */   MCD::OPC_FilterValue, 26, 5, 0, // Skip to: 19002
/* 18997 */   MCD::OPC_Decode, 145, 15, 135, 1, // Opcode: XVFRINTRZ_D
/* 19002 */   MCD::OPC_FilterValue, 29, 5, 0, // Skip to: 19011
/* 19006 */   MCD::OPC_Decode, 142, 15, 135, 1, // Opcode: XVFRINTRNE_S
/* 19011 */   MCD::OPC_FilterValue, 30, 54, 10, // Skip to: 21629
/* 19015 */   MCD::OPC_Decode, 141, 15, 135, 1, // Opcode: XVFRINTRNE_D
/* 19020 */   MCD::OPC_FilterValue, 3, 39, 0, // Skip to: 19063
/* 19024 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 19027 */   MCD::OPC_FilterValue, 26, 5, 0, // Skip to: 19036
/* 19031 */   MCD::OPC_Decode, 231, 14, 135, 1, // Opcode: XVFCVTL_S_H
/* 19036 */   MCD::OPC_FilterValue, 27, 5, 0, // Skip to: 19045
/* 19040 */   MCD::OPC_Decode, 229, 14, 135, 1, // Opcode: XVFCVTH_S_H
/* 19045 */   MCD::OPC_FilterValue, 28, 5, 0, // Skip to: 19054
/* 19049 */   MCD::OPC_Decode, 230, 14, 135, 1, // Opcode: XVFCVTL_D_S
/* 19054 */   MCD::OPC_FilterValue, 29, 11, 10, // Skip to: 21629
/* 19058 */   MCD::OPC_Decode, 228, 14, 135, 1, // Opcode: XVFCVTH_D_S
/* 19063 */   MCD::OPC_FilterValue, 4, 183, 0, // Skip to: 19250
/* 19067 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 19070 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 19079
/* 19074 */   MCD::OPC_Decode, 241, 14, 135, 1, // Opcode: XVFFINT_S_W
/* 19079 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 19088
/* 19083 */   MCD::OPC_Decode, 242, 14, 135, 1, // Opcode: XVFFINT_S_WU
/* 19088 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 19097
/* 19092 */   MCD::OPC_Decode, 238, 14, 135, 1, // Opcode: XVFFINT_D_L
/* 19097 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 19106
/* 19101 */   MCD::OPC_Decode, 239, 14, 135, 1, // Opcode: XVFFINT_D_LU
/* 19106 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 19115
/* 19110 */   MCD::OPC_Decode, 237, 14, 135, 1, // Opcode: XVFFINTL_D_W
/* 19115 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 19124
/* 19119 */   MCD::OPC_Decode, 236, 14, 135, 1, // Opcode: XVFFINTH_D_W
/* 19124 */   MCD::OPC_FilterValue, 12, 5, 0, // Skip to: 19133
/* 19128 */   MCD::OPC_Decode, 189, 15, 135, 1, // Opcode: XVFTINT_W_S
/* 19133 */   MCD::OPC_FilterValue, 13, 5, 0, // Skip to: 19142
/* 19137 */   MCD::OPC_Decode, 186, 15, 135, 1, // Opcode: XVFTINT_L_D
/* 19142 */   MCD::OPC_FilterValue, 14, 5, 0, // Skip to: 19151
/* 19146 */   MCD::OPC_Decode, 167, 15, 135, 1, // Opcode: XVFTINTRM_W_S
/* 19151 */   MCD::OPC_FilterValue, 15, 5, 0, // Skip to: 19160
/* 19155 */   MCD::OPC_Decode, 165, 15, 135, 1, // Opcode: XVFTINTRM_L_D
/* 19160 */   MCD::OPC_FilterValue, 16, 5, 0, // Skip to: 19169
/* 19164 */   MCD::OPC_Decode, 177, 15, 135, 1, // Opcode: XVFTINTRP_W_S
/* 19169 */   MCD::OPC_FilterValue, 17, 5, 0, // Skip to: 19178
/* 19173 */   MCD::OPC_Decode, 175, 15, 135, 1, // Opcode: XVFTINTRP_L_D
/* 19178 */   MCD::OPC_FilterValue, 18, 5, 0, // Skip to: 19187
/* 19182 */   MCD::OPC_Decode, 184, 15, 135, 1, // Opcode: XVFTINTRZ_W_S
/* 19187 */   MCD::OPC_FilterValue, 19, 5, 0, // Skip to: 19196
/* 19191 */   MCD::OPC_Decode, 181, 15, 135, 1, // Opcode: XVFTINTRZ_L_D
/* 19196 */   MCD::OPC_FilterValue, 20, 5, 0, // Skip to: 19205
/* 19200 */   MCD::OPC_Decode, 172, 15, 135, 1, // Opcode: XVFTINTRNE_W_S
/* 19205 */   MCD::OPC_FilterValue, 21, 5, 0, // Skip to: 19214
/* 19209 */   MCD::OPC_Decode, 170, 15, 135, 1, // Opcode: XVFTINTRNE_L_D
/* 19214 */   MCD::OPC_FilterValue, 22, 5, 0, // Skip to: 19223
/* 19218 */   MCD::OPC_Decode, 187, 15, 135, 1, // Opcode: XVFTINT_WU_S
/* 19223 */   MCD::OPC_FilterValue, 23, 5, 0, // Skip to: 19232
/* 19227 */   MCD::OPC_Decode, 185, 15, 135, 1, // Opcode: XVFTINT_LU_D
/* 19232 */   MCD::OPC_FilterValue, 28, 5, 0, // Skip to: 19241
/* 19236 */   MCD::OPC_Decode, 182, 15, 135, 1, // Opcode: XVFTINTRZ_WU_S
/* 19241 */   MCD::OPC_FilterValue, 29, 80, 9, // Skip to: 21629
/* 19245 */   MCD::OPC_Decode, 180, 15, 135, 1, // Opcode: XVFTINTRZ_LU_D
/* 19250 */   MCD::OPC_FilterValue, 5, 165, 0, // Skip to: 19419
/* 19254 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 19257 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 19266
/* 19261 */   MCD::OPC_Decode, 162, 15, 135, 1, // Opcode: XVFTINTL_L_S
/* 19266 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 19275
/* 19270 */   MCD::OPC_Decode, 161, 15, 135, 1, // Opcode: XVFTINTH_L_S
/* 19275 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 19284
/* 19279 */   MCD::OPC_Decode, 164, 15, 135, 1, // Opcode: XVFTINTRML_L_S
/* 19284 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 19293
/* 19288 */   MCD::OPC_Decode, 163, 15, 135, 1, // Opcode: XVFTINTRMH_L_S
/* 19293 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 19302
/* 19297 */   MCD::OPC_Decode, 174, 15, 135, 1, // Opcode: XVFTINTRPL_L_S
/* 19302 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 19311
/* 19306 */   MCD::OPC_Decode, 173, 15, 135, 1, // Opcode: XVFTINTRPH_L_S
/* 19311 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 19320
/* 19315 */   MCD::OPC_Decode, 179, 15, 135, 1, // Opcode: XVFTINTRZL_L_S
/* 19320 */   MCD::OPC_FilterValue, 7, 5, 0, // Skip to: 19329
/* 19324 */   MCD::OPC_Decode, 178, 15, 135, 1, // Opcode: XVFTINTRZH_L_S
/* 19329 */   MCD::OPC_FilterValue, 8, 5, 0, // Skip to: 19338
/* 19333 */   MCD::OPC_Decode, 169, 15, 135, 1, // Opcode: XVFTINTRNEL_L_S
/* 19338 */   MCD::OPC_FilterValue, 9, 5, 0, // Skip to: 19347
/* 19342 */   MCD::OPC_Decode, 168, 15, 135, 1, // Opcode: XVFTINTRNEH_L_S
/* 19347 */   MCD::OPC_FilterValue, 24, 5, 0, // Skip to: 19356
/* 19351 */   MCD::OPC_Decode, 169, 14, 135, 1, // Opcode: XVEXTH_H_B
/* 19356 */   MCD::OPC_FilterValue, 25, 5, 0, // Skip to: 19365
/* 19360 */   MCD::OPC_Decode, 173, 14, 135, 1, // Opcode: XVEXTH_W_H
/* 19365 */   MCD::OPC_FilterValue, 26, 5, 0, // Skip to: 19374
/* 19369 */   MCD::OPC_Decode, 167, 14, 135, 1, // Opcode: XVEXTH_D_W
/* 19374 */   MCD::OPC_FilterValue, 27, 5, 0, // Skip to: 19383
/* 19378 */   MCD::OPC_Decode, 171, 14, 135, 1, // Opcode: XVEXTH_Q_D
/* 19383 */   MCD::OPC_FilterValue, 28, 5, 0, // Skip to: 19392
/* 19387 */   MCD::OPC_Decode, 168, 14, 135, 1, // Opcode: XVEXTH_HU_BU
/* 19392 */   MCD::OPC_FilterValue, 29, 5, 0, // Skip to: 19401
/* 19396 */   MCD::OPC_Decode, 172, 14, 135, 1, // Opcode: XVEXTH_WU_HU
/* 19401 */   MCD::OPC_FilterValue, 30, 5, 0, // Skip to: 19410
/* 19405 */   MCD::OPC_Decode, 166, 14, 135, 1, // Opcode: XVEXTH_DU_WU
/* 19410 */   MCD::OPC_FilterValue, 31, 167, 8, // Skip to: 21629
/* 19414 */   MCD::OPC_Decode, 170, 14, 135, 1, // Opcode: XVEXTH_QU_DU
/* 19419 */   MCD::OPC_FilterValue, 6, 147, 0, // Skip to: 19570
/* 19423 */   MCD::OPC_ExtractField, 10, 5,  // Inst{14-10} ...
/* 19426 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 19435
/* 19430 */   MCD::OPC_Decode, 255, 16, 137, 1, // Opcode: XVREPLGR2VR_B
/* 19435 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 19444
/* 19439 */   MCD::OPC_Decode, 129, 17, 137, 1, // Opcode: XVREPLGR2VR_H
/* 19444 */   MCD::OPC_FilterValue, 2, 5, 0, // Skip to: 19453
/* 19448 */   MCD::OPC_Decode, 130, 17, 137, 1, // Opcode: XVREPLGR2VR_W
/* 19453 */   MCD::OPC_FilterValue, 3, 5, 0, // Skip to: 19462
/* 19457 */   MCD::OPC_Decode, 128, 17, 137, 1, // Opcode: XVREPLGR2VR_D
/* 19462 */   MCD::OPC_FilterValue, 4, 5, 0, // Skip to: 19471
/* 19466 */   MCD::OPC_Decode, 226, 7, 135, 1, // Opcode: VEXT2XV_H_B
/* 19471 */   MCD::OPC_FilterValue, 5, 5, 0, // Skip to: 19480
/* 19475 */   MCD::OPC_Decode, 229, 7, 135, 1, // Opcode: VEXT2XV_W_B
/* 19480 */   MCD::OPC_FilterValue, 6, 5, 0, // Skip to: 19489
/* 19484 */   MCD::OPC_Decode, 222, 7, 135, 1, // Opcode: VEXT2XV_D_B
/* 19489 */   MCD::OPC_FilterValue, 7, 5, 0, // Skip to: 19498
/* 19493 */   MCD::OPC_Decode, 230, 7, 135, 1, // Opcode: VEXT2XV_W_H
/* 19498 */   MCD::OPC_FilterValue, 8, 5, 0, // Skip to: 19507
/* 19502 */   MCD::OPC_Decode, 223, 7, 135, 1, // Opcode: VEXT2XV_D_H
/* 19507 */   MCD::OPC_FilterValue, 9, 5, 0, // Skip to: 19516
/* 19511 */   MCD::OPC_Decode, 224, 7, 135, 1, // Opcode: VEXT2XV_D_W
/* 19516 */   MCD::OPC_FilterValue, 10, 5, 0, // Skip to: 19525
/* 19520 */   MCD::OPC_Decode, 225, 7, 135, 1, // Opcode: VEXT2XV_HU_BU
/* 19525 */   MCD::OPC_FilterValue, 11, 5, 0, // Skip to: 19534
/* 19529 */   MCD::OPC_Decode, 227, 7, 135, 1, // Opcode: VEXT2XV_WU_BU
/* 19534 */   MCD::OPC_FilterValue, 12, 5, 0, // Skip to: 19543
/* 19538 */   MCD::OPC_Decode, 219, 7, 135, 1, // Opcode: VEXT2XV_DU_BU
/* 19543 */   MCD::OPC_FilterValue, 13, 5, 0, // Skip to: 19552
/* 19547 */   MCD::OPC_Decode, 228, 7, 135, 1, // Opcode: VEXT2XV_WU_HU
/* 19552 */   MCD::OPC_FilterValue, 14, 5, 0, // Skip to: 19561
/* 19556 */   MCD::OPC_Decode, 220, 7, 135, 1, // Opcode: VEXT2XV_DU_HU
/* 19561 */   MCD::OPC_FilterValue, 15, 16, 8, // Skip to: 21629
/* 19565 */   MCD::OPC_Decode, 221, 7, 135, 1, // Opcode: VEXT2XV_DU_WU
/* 19570 */   MCD::OPC_FilterValue, 7, 7, 8, // Skip to: 21629
/* 19574 */   MCD::OPC_Decode, 198, 15, 133, 1, // Opcode: XVHSELI_D
/* 19579 */   MCD::OPC_FilterValue, 168, 1, 59, 0, // Skip to: 19643
/* 19584 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 19587 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 19634
/* 19591 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19594 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 19625
/* 19598 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 19601 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 19616
/* 19605 */   MCD::OPC_CheckField, 13, 1, 1, 226, 7, // Skip to: 21629
/* 19611 */   MCD::OPC_Decode, 140, 17, 138, 1, // Opcode: XVROTRI_B
/* 19616 */   MCD::OPC_FilterValue, 1, 217, 7, // Skip to: 21629
/* 19620 */   MCD::OPC_Decode, 142, 17, 139, 1, // Opcode: XVROTRI_H
/* 19625 */   MCD::OPC_FilterValue, 1, 208, 7, // Skip to: 21629
/* 19629 */   MCD::OPC_Decode, 143, 17, 133, 1, // Opcode: XVROTRI_W
/* 19634 */   MCD::OPC_FilterValue, 1, 199, 7, // Skip to: 21629
/* 19638 */   MCD::OPC_Decode, 141, 17, 140, 1, // Opcode: XVROTRI_D
/* 19643 */   MCD::OPC_FilterValue, 169, 1, 59, 0, // Skip to: 19707
/* 19648 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 19651 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 19698
/* 19655 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19658 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 19689
/* 19662 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 19665 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 19680
/* 19669 */   MCD::OPC_CheckField, 13, 1, 1, 162, 7, // Skip to: 21629
/* 19675 */   MCD::OPC_Decode, 153, 18, 138, 1, // Opcode: XVSRLRI_B
/* 19680 */   MCD::OPC_FilterValue, 1, 153, 7, // Skip to: 21629
/* 19684 */   MCD::OPC_Decode, 155, 18, 139, 1, // Opcode: XVSRLRI_H
/* 19689 */   MCD::OPC_FilterValue, 1, 144, 7, // Skip to: 21629
/* 19693 */   MCD::OPC_Decode, 156, 18, 133, 1, // Opcode: XVSRLRI_W
/* 19698 */   MCD::OPC_FilterValue, 1, 135, 7, // Skip to: 21629
/* 19702 */   MCD::OPC_Decode, 154, 18, 140, 1, // Opcode: XVSRLRI_D
/* 19707 */   MCD::OPC_FilterValue, 170, 1, 59, 0, // Skip to: 19771
/* 19712 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 19715 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 19762
/* 19719 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 19722 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 19753
/* 19726 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 19729 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 19744
/* 19733 */   MCD::OPC_CheckField, 13, 1, 1, 98, 7, // Skip to: 21629
/* 19739 */   MCD::OPC_Decode, 251, 17, 138, 1, // Opcode: XVSRARI_B
/* 19744 */   MCD::OPC_FilterValue, 1, 89, 7, // Skip to: 21629
/* 19748 */   MCD::OPC_Decode, 253, 17, 139, 1, // Opcode: XVSRARI_H
/* 19753 */   MCD::OPC_FilterValue, 1, 80, 7, // Skip to: 21629
/* 19757 */   MCD::OPC_Decode, 254, 17, 133, 1, // Opcode: XVSRARI_W
/* 19762 */   MCD::OPC_FilterValue, 1, 71, 7, // Skip to: 21629
/* 19766 */   MCD::OPC_Decode, 252, 17, 140, 1, // Opcode: XVSRARI_D
/* 19771 */   MCD::OPC_FilterValue, 186, 1, 27, 0, // Skip to: 19803
/* 19776 */   MCD::OPC_ExtractField, 13, 5,  // Inst{17-13} ...
/* 19779 */   MCD::OPC_FilterValue, 30, 5, 0, // Skip to: 19788
/* 19783 */   MCD::OPC_Decode, 216, 15, 141, 1, // Opcode: XVINSGR2VR_W
/* 19788 */   MCD::OPC_FilterValue, 31, 45, 7, // Skip to: 21629
/* 19792 */   MCD::OPC_CheckField, 12, 1, 0, 39, 7, // Skip to: 21629
/* 19798 */   MCD::OPC_Decode, 215, 15, 142, 1, // Opcode: XVINSGR2VR_D
/* 19803 */   MCD::OPC_FilterValue, 187, 1, 27, 0, // Skip to: 19835
/* 19808 */   MCD::OPC_ExtractField, 13, 5,  // Inst{17-13} ...
/* 19811 */   MCD::OPC_FilterValue, 30, 5, 0, // Skip to: 19820
/* 19815 */   MCD::OPC_Decode, 247, 16, 143, 1, // Opcode: XVPICKVE2GR_W
/* 19820 */   MCD::OPC_FilterValue, 31, 13, 7, // Skip to: 21629
/* 19824 */   MCD::OPC_CheckField, 12, 1, 0, 7, 7, // Skip to: 21629
/* 19830 */   MCD::OPC_Decode, 245, 16, 144, 1, // Opcode: XVPICKVE2GR_D
/* 19835 */   MCD::OPC_FilterValue, 188, 1, 27, 0, // Skip to: 19867
/* 19840 */   MCD::OPC_ExtractField, 13, 5,  // Inst{17-13} ...
/* 19843 */   MCD::OPC_FilterValue, 30, 5, 0, // Skip to: 19852
/* 19847 */   MCD::OPC_Decode, 248, 16, 143, 1, // Opcode: XVPICKVE2GR_WU
/* 19852 */   MCD::OPC_FilterValue, 31, 237, 6, // Skip to: 21629
/* 19856 */   MCD::OPC_CheckField, 12, 1, 0, 231, 6, // Skip to: 21629
/* 19862 */   MCD::OPC_Decode, 246, 16, 144, 1, // Opcode: XVPICKVE2GR_DU
/* 19867 */   MCD::OPC_FilterValue, 189, 1, 59, 0, // Skip to: 19931
/* 19872 */   MCD::OPC_ExtractField, 14, 4,  // Inst{17-14} ...
/* 19875 */   MCD::OPC_FilterValue, 14, 5, 0, // Skip to: 19884
/* 19879 */   MCD::OPC_Decode, 251, 16, 139, 1, // Opcode: XVREPL128VEI_B
/* 19884 */   MCD::OPC_FilterValue, 15, 205, 6, // Skip to: 21629
/* 19888 */   MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 19891 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 19900
/* 19895 */   MCD::OPC_Decode, 253, 16, 138, 1, // Opcode: XVREPL128VEI_H
/* 19900 */   MCD::OPC_FilterValue, 1, 189, 6, // Skip to: 21629
/* 19904 */   MCD::OPC_ExtractField, 12, 1,  // Inst{12} ...
/* 19907 */   MCD::OPC_FilterValue, 0, 5, 0, // Skip to: 19916
/* 19911 */   MCD::OPC_Decode, 254, 16, 145, 1, // Opcode: XVREPL128VEI_W
/* 19916 */   MCD::OPC_FilterValue, 1, 173, 6, // Skip to: 21629
/* 19920 */   MCD::OPC_CheckField, 11, 1, 0, 167, 6, // Skip to: 21629
/* 19926 */   MCD::OPC_Decode, 252, 16, 146, 1, // Opcode: XVREPL128VEI_D
/* 19931 */   MCD::OPC_FilterValue, 191, 1, 27, 0, // Skip to: 19963
/* 19936 */   MCD::OPC_ExtractField, 13, 5,  // Inst{17-13} ...
/* 19939 */   MCD::OPC_FilterValue, 30, 5, 0, // Skip to: 19948
/* 19943 */   MCD::OPC_Decode, 218, 15, 147, 1, // Opcode: XVINSVE0_W
/* 19948 */   MCD::OPC_FilterValue, 31, 141, 6, // Skip to: 21629
/* 19952 */   MCD::OPC_CheckField, 12, 1, 0, 135, 6, // Skip to: 21629
/* 19958 */   MCD::OPC_Decode, 217, 15, 148, 1, // Opcode: XVINSVE0_D
/* 19963 */   MCD::OPC_FilterValue, 192, 1, 27, 0, // Skip to: 19995
/* 19968 */   MCD::OPC_ExtractField, 13, 5,  // Inst{17-13} ...
/* 19971 */   MCD::OPC_FilterValue, 30, 5, 0, // Skip to: 19980
/* 19975 */   MCD::OPC_Decode, 250, 16, 138, 1, // Opcode: XVPICKVE_W
/* 19980 */   MCD::OPC_FilterValue, 31, 109, 6, // Skip to: 21629
/* 19984 */   MCD::OPC_CheckField, 12, 1, 0, 103, 6, // Skip to: 21629
/* 19990 */   MCD::OPC_Decode, 249, 16, 145, 1, // Opcode: XVPICKVE_D
/* 19995 */   MCD::OPC_FilterValue, 193, 1, 53, 0, // Skip to: 20053
/* 20000 */   MCD::OPC_ExtractField, 10, 8,  // Inst{17-10} ...
/* 20003 */   MCD::OPC_FilterValue, 192, 1, 5, 0, // Skip to: 20013
/* 20008 */   MCD::OPC_Decode, 131, 17, 135, 1, // Opcode: XVREPLVE0_B
/* 20013 */   MCD::OPC_FilterValue, 224, 1, 5, 0, // Skip to: 20023
/* 20018 */   MCD::OPC_Decode, 133, 17, 135, 1, // Opcode: XVREPLVE0_H
/* 20023 */   MCD::OPC_FilterValue, 240, 1, 5, 0, // Skip to: 20033
/* 20028 */   MCD::OPC_Decode, 135, 17, 135, 1, // Opcode: XVREPLVE0_W
/* 20033 */   MCD::OPC_FilterValue, 248, 1, 5, 0, // Skip to: 20043
/* 20038 */   MCD::OPC_Decode, 132, 17, 135, 1, // Opcode: XVREPLVE0_D
/* 20043 */   MCD::OPC_FilterValue, 252, 1, 45, 6, // Skip to: 21629
/* 20048 */   MCD::OPC_Decode, 134, 17, 135, 1, // Opcode: XVREPLVE0_Q
/* 20053 */   MCD::OPC_FilterValue, 194, 1, 58, 0, // Skip to: 20116
/* 20058 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 20061 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20092
/* 20065 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 20068 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20083
/* 20072 */   MCD::OPC_CheckField, 13, 1, 1, 15, 6, // Skip to: 21629
/* 20078 */   MCD::OPC_Decode, 217, 17, 138, 1, // Opcode: XVSLLWIL_H_B
/* 20083 */   MCD::OPC_FilterValue, 1, 6, 6, // Skip to: 21629
/* 20087 */   MCD::OPC_Decode, 219, 17, 139, 1, // Opcode: XVSLLWIL_W_H
/* 20092 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 20101
/* 20096 */   MCD::OPC_Decode, 215, 17, 133, 1, // Opcode: XVSLLWIL_D_W
/* 20101 */   MCD::OPC_FilterValue, 2, 244, 5, // Skip to: 21629
/* 20105 */   MCD::OPC_CheckField, 10, 5, 0, 238, 5, // Skip to: 21629
/* 20111 */   MCD::OPC_Decode, 175, 14, 135, 1, // Opcode: XVEXTL_Q_D
/* 20116 */   MCD::OPC_FilterValue, 195, 1, 58, 0, // Skip to: 20179
/* 20121 */   MCD::OPC_ExtractField, 15, 3,  // Inst{17-15} ...
/* 20124 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20155
/* 20128 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 20131 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20146
/* 20135 */   MCD::OPC_CheckField, 13, 1, 1, 208, 5, // Skip to: 21629
/* 20141 */   MCD::OPC_Decode, 216, 17, 138, 1, // Opcode: XVSLLWIL_HU_BU
/* 20146 */   MCD::OPC_FilterValue, 1, 199, 5, // Skip to: 21629
/* 20150 */   MCD::OPC_Decode, 218, 17, 139, 1, // Opcode: XVSLLWIL_WU_HU
/* 20155 */   MCD::OPC_FilterValue, 1, 5, 0, // Skip to: 20164
/* 20159 */   MCD::OPC_Decode, 214, 17, 133, 1, // Opcode: XVSLLWIL_DU_WU
/* 20164 */   MCD::OPC_FilterValue, 2, 181, 5, // Skip to: 21629
/* 20168 */   MCD::OPC_CheckField, 10, 5, 0, 175, 5, // Skip to: 21629
/* 20174 */   MCD::OPC_Decode, 174, 14, 135, 1, // Opcode: XVEXTL_QU_DU
/* 20179 */   MCD::OPC_FilterValue, 196, 1, 59, 0, // Skip to: 20243
/* 20184 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 20187 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 20234
/* 20191 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20194 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20225
/* 20198 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 20201 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20216
/* 20205 */   MCD::OPC_CheckField, 13, 1, 1, 138, 5, // Skip to: 21629
/* 20211 */   MCD::OPC_Decode, 250, 13, 138, 1, // Opcode: XVBITCLRI_B
/* 20216 */   MCD::OPC_FilterValue, 1, 129, 5, // Skip to: 21629
/* 20220 */   MCD::OPC_Decode, 252, 13, 139, 1, // Opcode: XVBITCLRI_H
/* 20225 */   MCD::OPC_FilterValue, 1, 120, 5, // Skip to: 21629
/* 20229 */   MCD::OPC_Decode, 253, 13, 133, 1, // Opcode: XVBITCLRI_W
/* 20234 */   MCD::OPC_FilterValue, 1, 111, 5, // Skip to: 21629
/* 20238 */   MCD::OPC_Decode, 251, 13, 140, 1, // Opcode: XVBITCLRI_D
/* 20243 */   MCD::OPC_FilterValue, 197, 1, 59, 0, // Skip to: 20307
/* 20248 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 20251 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 20298
/* 20255 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20258 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20289
/* 20262 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 20265 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20280
/* 20269 */   MCD::OPC_CheckField, 13, 1, 1, 74, 5, // Skip to: 21629
/* 20275 */   MCD::OPC_Decode, 140, 14, 138, 1, // Opcode: XVBITSETI_B
/* 20280 */   MCD::OPC_FilterValue, 1, 65, 5, // Skip to: 21629
/* 20284 */   MCD::OPC_Decode, 142, 14, 139, 1, // Opcode: XVBITSETI_H
/* 20289 */   MCD::OPC_FilterValue, 1, 56, 5, // Skip to: 21629
/* 20293 */   MCD::OPC_Decode, 143, 14, 133, 1, // Opcode: XVBITSETI_W
/* 20298 */   MCD::OPC_FilterValue, 1, 47, 5, // Skip to: 21629
/* 20302 */   MCD::OPC_Decode, 141, 14, 140, 1, // Opcode: XVBITSETI_D
/* 20307 */   MCD::OPC_FilterValue, 198, 1, 59, 0, // Skip to: 20371
/* 20312 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 20315 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 20362
/* 20319 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20322 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20353
/* 20326 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 20329 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20344
/* 20333 */   MCD::OPC_CheckField, 13, 1, 1, 10, 5, // Skip to: 21629
/* 20339 */   MCD::OPC_Decode, 130, 14, 138, 1, // Opcode: XVBITREVI_B
/* 20344 */   MCD::OPC_FilterValue, 1, 1, 5, // Skip to: 21629
/* 20348 */   MCD::OPC_Decode, 132, 14, 139, 1, // Opcode: XVBITREVI_H
/* 20353 */   MCD::OPC_FilterValue, 1, 248, 4, // Skip to: 21629
/* 20357 */   MCD::OPC_Decode, 133, 14, 133, 1, // Opcode: XVBITREVI_W
/* 20362 */   MCD::OPC_FilterValue, 1, 239, 4, // Skip to: 21629
/* 20366 */   MCD::OPC_Decode, 131, 14, 140, 1, // Opcode: XVBITREVI_D
/* 20371 */   MCD::OPC_FilterValue, 201, 1, 59, 0, // Skip to: 20435
/* 20376 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 20379 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 20426
/* 20383 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20386 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20417
/* 20390 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 20393 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20408
/* 20397 */   MCD::OPC_CheckField, 13, 1, 1, 202, 4, // Skip to: 21629
/* 20403 */   MCD::OPC_Decode, 156, 17, 138, 1, // Opcode: XVSAT_B
/* 20408 */   MCD::OPC_FilterValue, 1, 193, 4, // Skip to: 21629
/* 20412 */   MCD::OPC_Decode, 160, 17, 139, 1, // Opcode: XVSAT_H
/* 20417 */   MCD::OPC_FilterValue, 1, 184, 4, // Skip to: 21629
/* 20421 */   MCD::OPC_Decode, 162, 17, 133, 1, // Opcode: XVSAT_W
/* 20426 */   MCD::OPC_FilterValue, 1, 175, 4, // Skip to: 21629
/* 20430 */   MCD::OPC_Decode, 158, 17, 140, 1, // Opcode: XVSAT_D
/* 20435 */   MCD::OPC_FilterValue, 202, 1, 59, 0, // Skip to: 20499
/* 20440 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 20443 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 20490
/* 20447 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20450 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20481
/* 20454 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 20457 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20472
/* 20461 */   MCD::OPC_CheckField, 13, 1, 1, 138, 4, // Skip to: 21629
/* 20467 */   MCD::OPC_Decode, 157, 17, 138, 1, // Opcode: XVSAT_BU
/* 20472 */   MCD::OPC_FilterValue, 1, 129, 4, // Skip to: 21629
/* 20476 */   MCD::OPC_Decode, 161, 17, 139, 1, // Opcode: XVSAT_HU
/* 20481 */   MCD::OPC_FilterValue, 1, 120, 4, // Skip to: 21629
/* 20485 */   MCD::OPC_Decode, 163, 17, 133, 1, // Opcode: XVSAT_WU
/* 20490 */   MCD::OPC_FilterValue, 1, 111, 4, // Skip to: 21629
/* 20494 */   MCD::OPC_Decode, 159, 17, 140, 1, // Opcode: XVSAT_DU
/* 20499 */   MCD::OPC_FilterValue, 203, 1, 59, 0, // Skip to: 20563
/* 20504 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 20507 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 20554
/* 20511 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20514 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20545
/* 20518 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 20521 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20536
/* 20525 */   MCD::OPC_CheckField, 13, 1, 1, 74, 4, // Skip to: 21629
/* 20531 */   MCD::OPC_Decode, 210, 17, 138, 1, // Opcode: XVSLLI_B
/* 20536 */   MCD::OPC_FilterValue, 1, 65, 4, // Skip to: 21629
/* 20540 */   MCD::OPC_Decode, 212, 17, 139, 1, // Opcode: XVSLLI_H
/* 20545 */   MCD::OPC_FilterValue, 1, 56, 4, // Skip to: 21629
/* 20549 */   MCD::OPC_Decode, 213, 17, 133, 1, // Opcode: XVSLLI_W
/* 20554 */   MCD::OPC_FilterValue, 1, 47, 4, // Skip to: 21629
/* 20558 */   MCD::OPC_Decode, 211, 17, 140, 1, // Opcode: XVSLLI_D
/* 20563 */   MCD::OPC_FilterValue, 204, 1, 59, 0, // Skip to: 20627
/* 20568 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 20571 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 20618
/* 20575 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20578 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20609
/* 20582 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 20585 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20600
/* 20589 */   MCD::OPC_CheckField, 13, 1, 1, 10, 4, // Skip to: 21629
/* 20595 */   MCD::OPC_Decode, 142, 18, 138, 1, // Opcode: XVSRLI_B
/* 20600 */   MCD::OPC_FilterValue, 1, 1, 4, // Skip to: 21629
/* 20604 */   MCD::OPC_Decode, 144, 18, 139, 1, // Opcode: XVSRLI_H
/* 20609 */   MCD::OPC_FilterValue, 1, 248, 3, // Skip to: 21629
/* 20613 */   MCD::OPC_Decode, 145, 18, 133, 1, // Opcode: XVSRLI_W
/* 20618 */   MCD::OPC_FilterValue, 1, 239, 3, // Skip to: 21629
/* 20622 */   MCD::OPC_Decode, 143, 18, 140, 1, // Opcode: XVSRLI_D
/* 20627 */   MCD::OPC_FilterValue, 205, 1, 59, 0, // Skip to: 20691
/* 20632 */   MCD::OPC_ExtractField, 16, 2,  // Inst{17-16} ...
/* 20635 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 20682
/* 20639 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20642 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20673
/* 20646 */   MCD::OPC_ExtractField, 14, 1,  // Inst{14} ...
/* 20649 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20664
/* 20653 */   MCD::OPC_CheckField, 13, 1, 1, 202, 3, // Skip to: 21629
/* 20659 */   MCD::OPC_Decode, 240, 17, 138, 1, // Opcode: XVSRAI_B
/* 20664 */   MCD::OPC_FilterValue, 1, 193, 3, // Skip to: 21629
/* 20668 */   MCD::OPC_Decode, 242, 17, 139, 1, // Opcode: XVSRAI_H
/* 20673 */   MCD::OPC_FilterValue, 1, 184, 3, // Skip to: 21629
/* 20677 */   MCD::OPC_Decode, 243, 17, 133, 1, // Opcode: XVSRAI_W
/* 20682 */   MCD::OPC_FilterValue, 1, 175, 3, // Skip to: 21629
/* 20686 */   MCD::OPC_Decode, 241, 17, 140, 1, // Opcode: XVSRAI_D
/* 20691 */   MCD::OPC_FilterValue, 208, 1, 59, 0, // Skip to: 20755
/* 20696 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 20699 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 20746
/* 20703 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 20706 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20737
/* 20710 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20713 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20728
/* 20717 */   MCD::OPC_CheckField, 14, 1, 1, 138, 3, // Skip to: 21629
/* 20723 */   MCD::OPC_Decode, 146, 18, 149, 1, // Opcode: XVSRLNI_B_H
/* 20728 */   MCD::OPC_FilterValue, 1, 129, 3, // Skip to: 21629
/* 20732 */   MCD::OPC_Decode, 148, 18, 134, 1, // Opcode: XVSRLNI_H_W
/* 20737 */   MCD::OPC_FilterValue, 1, 120, 3, // Skip to: 21629
/* 20741 */   MCD::OPC_Decode, 149, 18, 150, 1, // Opcode: XVSRLNI_W_D
/* 20746 */   MCD::OPC_FilterValue, 1, 111, 3, // Skip to: 21629
/* 20750 */   MCD::OPC_Decode, 147, 18, 151, 1, // Opcode: XVSRLNI_D_Q
/* 20755 */   MCD::OPC_FilterValue, 209, 1, 59, 0, // Skip to: 20819
/* 20760 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 20763 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 20810
/* 20767 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 20770 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20801
/* 20774 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20777 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20792
/* 20781 */   MCD::OPC_CheckField, 14, 1, 1, 74, 3, // Skip to: 21629
/* 20787 */   MCD::OPC_Decode, 157, 18, 149, 1, // Opcode: XVSRLRNI_B_H
/* 20792 */   MCD::OPC_FilterValue, 1, 65, 3, // Skip to: 21629
/* 20796 */   MCD::OPC_Decode, 159, 18, 134, 1, // Opcode: XVSRLRNI_H_W
/* 20801 */   MCD::OPC_FilterValue, 1, 56, 3, // Skip to: 21629
/* 20805 */   MCD::OPC_Decode, 160, 18, 150, 1, // Opcode: XVSRLRNI_W_D
/* 20810 */   MCD::OPC_FilterValue, 1, 47, 3, // Skip to: 21629
/* 20814 */   MCD::OPC_Decode, 158, 18, 151, 1, // Opcode: XVSRLRNI_D_Q
/* 20819 */   MCD::OPC_FilterValue, 210, 1, 59, 0, // Skip to: 20883
/* 20824 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 20827 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 20874
/* 20831 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 20834 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20865
/* 20838 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20841 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20856
/* 20845 */   MCD::OPC_CheckField, 14, 1, 1, 10, 3, // Skip to: 21629
/* 20851 */   MCD::OPC_Decode, 201, 18, 149, 1, // Opcode: XVSSRLNI_B_H
/* 20856 */   MCD::OPC_FilterValue, 1, 1, 3, // Skip to: 21629
/* 20860 */   MCD::OPC_Decode, 205, 18, 134, 1, // Opcode: XVSSRLNI_H_W
/* 20865 */   MCD::OPC_FilterValue, 1, 248, 2, // Skip to: 21629
/* 20869 */   MCD::OPC_Decode, 207, 18, 150, 1, // Opcode: XVSSRLNI_W_D
/* 20874 */   MCD::OPC_FilterValue, 1, 239, 2, // Skip to: 21629
/* 20878 */   MCD::OPC_Decode, 203, 18, 151, 1, // Opcode: XVSSRLNI_D_Q
/* 20883 */   MCD::OPC_FilterValue, 211, 1, 59, 0, // Skip to: 20947
/* 20888 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 20891 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 20938
/* 20895 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 20898 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20929
/* 20902 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20905 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20920
/* 20909 */   MCD::OPC_CheckField, 14, 1, 1, 202, 2, // Skip to: 21629
/* 20915 */   MCD::OPC_Decode, 200, 18, 149, 1, // Opcode: XVSSRLNI_BU_H
/* 20920 */   MCD::OPC_FilterValue, 1, 193, 2, // Skip to: 21629
/* 20924 */   MCD::OPC_Decode, 204, 18, 134, 1, // Opcode: XVSSRLNI_HU_W
/* 20929 */   MCD::OPC_FilterValue, 1, 184, 2, // Skip to: 21629
/* 20933 */   MCD::OPC_Decode, 206, 18, 150, 1, // Opcode: XVSSRLNI_WU_D
/* 20938 */   MCD::OPC_FilterValue, 1, 175, 2, // Skip to: 21629
/* 20942 */   MCD::OPC_Decode, 202, 18, 151, 1, // Opcode: XVSSRLNI_DU_Q
/* 20947 */   MCD::OPC_FilterValue, 212, 1, 59, 0, // Skip to: 21011
/* 20952 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 20955 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 21002
/* 20959 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 20962 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 20993
/* 20966 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 20969 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 20984
/* 20973 */   MCD::OPC_CheckField, 14, 1, 1, 138, 2, // Skip to: 21629
/* 20979 */   MCD::OPC_Decode, 215, 18, 149, 1, // Opcode: XVSSRLRNI_B_H
/* 20984 */   MCD::OPC_FilterValue, 1, 129, 2, // Skip to: 21629
/* 20988 */   MCD::OPC_Decode, 219, 18, 134, 1, // Opcode: XVSSRLRNI_H_W
/* 20993 */   MCD::OPC_FilterValue, 1, 120, 2, // Skip to: 21629
/* 20997 */   MCD::OPC_Decode, 221, 18, 150, 1, // Opcode: XVSSRLRNI_W_D
/* 21002 */   MCD::OPC_FilterValue, 1, 111, 2, // Skip to: 21629
/* 21006 */   MCD::OPC_Decode, 217, 18, 151, 1, // Opcode: XVSSRLRNI_D_Q
/* 21011 */   MCD::OPC_FilterValue, 213, 1, 59, 0, // Skip to: 21075
/* 21016 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 21019 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 21066
/* 21023 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 21026 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 21057
/* 21030 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 21033 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 21048
/* 21037 */   MCD::OPC_CheckField, 14, 1, 1, 74, 2, // Skip to: 21629
/* 21043 */   MCD::OPC_Decode, 214, 18, 149, 1, // Opcode: XVSSRLRNI_BU_H
/* 21048 */   MCD::OPC_FilterValue, 1, 65, 2, // Skip to: 21629
/* 21052 */   MCD::OPC_Decode, 218, 18, 134, 1, // Opcode: XVSSRLRNI_HU_W
/* 21057 */   MCD::OPC_FilterValue, 1, 56, 2, // Skip to: 21629
/* 21061 */   MCD::OPC_Decode, 220, 18, 150, 1, // Opcode: XVSSRLRNI_WU_D
/* 21066 */   MCD::OPC_FilterValue, 1, 47, 2, // Skip to: 21629
/* 21070 */   MCD::OPC_Decode, 216, 18, 151, 1, // Opcode: XVSSRLRNI_DU_Q
/* 21075 */   MCD::OPC_FilterValue, 214, 1, 59, 0, // Skip to: 21139
/* 21080 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 21083 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 21130
/* 21087 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 21090 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 21121
/* 21094 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 21097 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 21112
/* 21101 */   MCD::OPC_CheckField, 14, 1, 1, 10, 2, // Skip to: 21629
/* 21107 */   MCD::OPC_Decode, 244, 17, 149, 1, // Opcode: XVSRANI_B_H
/* 21112 */   MCD::OPC_FilterValue, 1, 1, 2, // Skip to: 21629
/* 21116 */   MCD::OPC_Decode, 246, 17, 134, 1, // Opcode: XVSRANI_H_W
/* 21121 */   MCD::OPC_FilterValue, 1, 248, 1, // Skip to: 21629
/* 21125 */   MCD::OPC_Decode, 247, 17, 150, 1, // Opcode: XVSRANI_W_D
/* 21130 */   MCD::OPC_FilterValue, 1, 239, 1, // Skip to: 21629
/* 21134 */   MCD::OPC_Decode, 245, 17, 151, 1, // Opcode: XVSRANI_D_Q
/* 21139 */   MCD::OPC_FilterValue, 215, 1, 59, 0, // Skip to: 21203
/* 21144 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 21147 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 21194
/* 21151 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 21154 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 21185
/* 21158 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 21161 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 21176
/* 21165 */   MCD::OPC_CheckField, 14, 1, 1, 202, 1, // Skip to: 21629
/* 21171 */   MCD::OPC_Decode, 255, 17, 149, 1, // Opcode: XVSRARNI_B_H
/* 21176 */   MCD::OPC_FilterValue, 1, 193, 1, // Skip to: 21629
/* 21180 */   MCD::OPC_Decode, 129, 18, 134, 1, // Opcode: XVSRARNI_H_W
/* 21185 */   MCD::OPC_FilterValue, 1, 184, 1, // Skip to: 21629
/* 21189 */   MCD::OPC_Decode, 130, 18, 150, 1, // Opcode: XVSRARNI_W_D
/* 21194 */   MCD::OPC_FilterValue, 1, 175, 1, // Skip to: 21629
/* 21198 */   MCD::OPC_Decode, 128, 18, 151, 1, // Opcode: XVSRARNI_D_Q
/* 21203 */   MCD::OPC_FilterValue, 216, 1, 59, 0, // Skip to: 21267
/* 21208 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 21211 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 21258
/* 21215 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 21218 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 21249
/* 21222 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 21225 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 21240
/* 21229 */   MCD::OPC_CheckField, 14, 1, 1, 138, 1, // Skip to: 21629
/* 21235 */   MCD::OPC_Decode, 173, 18, 149, 1, // Opcode: XVSSRANI_B_H
/* 21240 */   MCD::OPC_FilterValue, 1, 129, 1, // Skip to: 21629
/* 21244 */   MCD::OPC_Decode, 177, 18, 134, 1, // Opcode: XVSSRANI_H_W
/* 21249 */   MCD::OPC_FilterValue, 1, 120, 1, // Skip to: 21629
/* 21253 */   MCD::OPC_Decode, 179, 18, 150, 1, // Opcode: XVSSRANI_W_D
/* 21258 */   MCD::OPC_FilterValue, 1, 111, 1, // Skip to: 21629
/* 21262 */   MCD::OPC_Decode, 175, 18, 151, 1, // Opcode: XVSSRANI_D_Q
/* 21267 */   MCD::OPC_FilterValue, 217, 1, 59, 0, // Skip to: 21331
/* 21272 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 21275 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 21322
/* 21279 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 21282 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 21313
/* 21286 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 21289 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 21304
/* 21293 */   MCD::OPC_CheckField, 14, 1, 1, 74, 1, // Skip to: 21629
/* 21299 */   MCD::OPC_Decode, 172, 18, 149, 1, // Opcode: XVSSRANI_BU_H
/* 21304 */   MCD::OPC_FilterValue, 1, 65, 1, // Skip to: 21629
/* 21308 */   MCD::OPC_Decode, 176, 18, 134, 1, // Opcode: XVSSRANI_HU_W
/* 21313 */   MCD::OPC_FilterValue, 1, 56, 1, // Skip to: 21629
/* 21317 */   MCD::OPC_Decode, 178, 18, 150, 1, // Opcode: XVSSRANI_WU_D
/* 21322 */   MCD::OPC_FilterValue, 1, 47, 1, // Skip to: 21629
/* 21326 */   MCD::OPC_Decode, 174, 18, 151, 1, // Opcode: XVSSRANI_DU_Q
/* 21331 */   MCD::OPC_FilterValue, 218, 1, 59, 0, // Skip to: 21395
/* 21336 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 21339 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 21386
/* 21343 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 21346 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 21377
/* 21350 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 21353 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 21368
/* 21357 */   MCD::OPC_CheckField, 14, 1, 1, 10, 1, // Skip to: 21629
/* 21363 */   MCD::OPC_Decode, 187, 18, 149, 1, // Opcode: XVSSRARNI_B_H
/* 21368 */   MCD::OPC_FilterValue, 1, 1, 1, // Skip to: 21629
/* 21372 */   MCD::OPC_Decode, 191, 18, 134, 1, // Opcode: XVSSRARNI_H_W
/* 21377 */   MCD::OPC_FilterValue, 1, 248, 0, // Skip to: 21629
/* 21381 */   MCD::OPC_Decode, 193, 18, 150, 1, // Opcode: XVSSRARNI_W_D
/* 21386 */   MCD::OPC_FilterValue, 1, 239, 0, // Skip to: 21629
/* 21390 */   MCD::OPC_Decode, 189, 18, 151, 1, // Opcode: XVSSRARNI_D_Q
/* 21395 */   MCD::OPC_FilterValue, 219, 1, 59, 0, // Skip to: 21459
/* 21400 */   MCD::OPC_ExtractField, 17, 1,  // Inst{17} ...
/* 21403 */   MCD::OPC_FilterValue, 0, 43, 0, // Skip to: 21450
/* 21407 */   MCD::OPC_ExtractField, 16, 1,  // Inst{16} ...
/* 21410 */   MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 21441
/* 21414 */   MCD::OPC_ExtractField, 15, 1,  // Inst{15} ...
/* 21417 */   MCD::OPC_FilterValue, 0, 11, 0, // Skip to: 21432
/* 21421 */   MCD::OPC_CheckField, 14, 1, 1, 202, 0, // Skip to: 21629
/* 21427 */   MCD::OPC_Decode, 186, 18, 149, 1, // Opcode: XVSSRARNI_BU_H
/* 21432 */   MCD::OPC_FilterValue, 1, 193, 0, // Skip to: 21629
/* 21436 */   MCD::OPC_Decode, 190, 18, 134, 1, // Opcode: XVSSRARNI_HU_W
/* 21441 */   MCD::OPC_FilterValue, 1, 184, 0, // Skip to: 21629
/* 21445 */   MCD::OPC_Decode, 192, 18, 150, 1, // Opcode: XVSSRARNI_WU_D
/* 21450 */   MCD::OPC_FilterValue, 1, 175, 0, // Skip to: 21629
/* 21454 */   MCD::OPC_Decode, 188, 18, 151, 1, // Opcode: XVSSRARNI_DU_Q
/* 21459 */   MCD::OPC_FilterValue, 224, 1, 5, 0, // Skip to: 21469
/* 21464 */   MCD::OPC_Decode, 177, 14, 152, 1, // Opcode: XVEXTRINS_D
/* 21469 */   MCD::OPC_FilterValue, 225, 1, 5, 0, // Skip to: 21479
/* 21474 */   MCD::OPC_Decode, 179, 14, 152, 1, // Opcode: XVEXTRINS_W
/* 21479 */   MCD::OPC_FilterValue, 226, 1, 5, 0, // Skip to: 21489
/* 21484 */   MCD::OPC_Decode, 178, 14, 152, 1, // Opcode: XVEXTRINS_H
/* 21489 */   MCD::OPC_FilterValue, 227, 1, 5, 0, // Skip to: 21499
/* 21494 */   MCD::OPC_Decode, 176, 14, 152, 1, // Opcode: XVEXTRINS_B
/* 21499 */   MCD::OPC_FilterValue, 228, 1, 5, 0, // Skip to: 21509
/* 21504 */   MCD::OPC_Decode, 182, 17, 153, 1, // Opcode: XVSHUF4I_B
/* 21509 */   MCD::OPC_FilterValue, 229, 1, 5, 0, // Skip to: 21519
/* 21514 */   MCD::OPC_Decode, 184, 17, 153, 1, // Opcode: XVSHUF4I_H
/* 21519 */   MCD::OPC_FilterValue, 230, 1, 5, 0, // Skip to: 21529
/* 21524 */   MCD::OPC_Decode, 185, 17, 153, 1, // Opcode: XVSHUF4I_W
/* 21529 */   MCD::OPC_FilterValue, 231, 1, 5, 0, // Skip to: 21539
/* 21534 */   MCD::OPC_Decode, 183, 17, 152, 1, // Opcode: XVSHUF4I_D
/* 21539 */   MCD::OPC_FilterValue, 241, 1, 5, 0, // Skip to: 21549
/* 21544 */   MCD::OPC_Decode, 138, 14, 152, 1, // Opcode: XVBITSELI_B
/* 21549 */   MCD::OPC_FilterValue, 244, 1, 5, 0, // Skip to: 21559
/* 21554 */   MCD::OPC_Decode, 231, 13, 153, 1, // Opcode: XVANDI_B
/* 21559 */   MCD::OPC_FilterValue, 245, 1, 5, 0, // Skip to: 21569
/* 21564 */   MCD::OPC_Decode, 218, 16, 153, 1, // Opcode: XVORI_B
/* 21569 */   MCD::OPC_FilterValue, 246, 1, 5, 0, // Skip to: 21579
/* 21574 */   MCD::OPC_Decode, 139, 19, 153, 1, // Opcode: XVXORI_B
/* 21579 */   MCD::OPC_FilterValue, 247, 1, 5, 0, // Skip to: 21589
/* 21584 */   MCD::OPC_Decode, 216, 16, 153, 1, // Opcode: XVNORI_B
/* 21589 */   MCD::OPC_FilterValue, 248, 1, 5, 0, // Skip to: 21599
/* 21594 */   MCD::OPC_Decode, 220, 15, 154, 1, // Opcode: XVLDI
/* 21599 */   MCD::OPC_FilterValue, 249, 1, 5, 0, // Skip to: 21609
/* 21604 */   MCD::OPC_Decode, 235, 16, 152, 1, // Opcode: XVPERMI_W
/* 21609 */   MCD::OPC_FilterValue, 250, 1, 5, 0, // Skip to: 21619
/* 21614 */   MCD::OPC_Decode, 233, 16, 153, 1, // Opcode: XVPERMI_D
/* 21619 */   MCD::OPC_FilterValue, 251, 1, 5, 0, // Skip to: 21629
/* 21624 */   MCD::OPC_Decode, 234, 16, 152, 1, // Opcode: XVPERMI_Q
/* 21629 */   MCD::OPC_Fail,
  0
};

static bool checkDecoderPredicate(unsigned Idx, const FeatureBitset &Bits) {
  switch (Idx) {
  default: llvm_unreachable("Invalid index!");
  case 0:
    return (Bits[LoongArch::Feature64Bit]);
  }
}

template <typename InsnType>
static DecodeStatus decodeToMCInst(DecodeStatus S, unsigned Idx, InsnType insn, MCInst &MI,
                                   uint64_t Address, const MCDisassembler *Decoder, bool &DecodeComplete) {
  DecodeComplete = true;
  using TmpType = std::conditional_t<std::is_integral<InsnType>::value, InsnType, uint64_t>;
  TmpType tmp;
  switch (Idx) {
  default: llvm_unreachable("Invalid index!");
  case 0:
    tmp = fieldFromInstruction(insn, 0, 2);
    if (!Check(S, DecodeSCRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 1:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 2);
    if (!Check(S, DecodeSCRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 2:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 3:
    tmp = fieldFromInstruction(insn, 5, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 4:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 5:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 6:
    return S;
  case 7:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 8:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 2);
    if (!Check(S, decodeUImmOperand<2, 1>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 9:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 10:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 11:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 12:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, decodeSImmOperand<5>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 13:
    tmp = fieldFromInstruction(insn, 0, 15);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 14:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 15:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 16:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 17:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 0, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 18:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 19:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 20:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 21:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 22:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 23:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 24:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 25:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 26:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 27:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 28:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 29:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 30:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 16, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 31:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 32:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 33:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 34:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 35:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 36:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 37:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 38:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 39:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 40:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFCSRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 41:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFCSRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 42:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeCFRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 43:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeCFRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 44:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeCFRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 45:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeCFRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 46:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 47:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 48:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (!Check(S, decodeSImmOperand<12>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 49:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (!Check(S, decodeUImmOperand<12>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 50:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 14);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 51:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 14);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 52:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRNoR0R1RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 14);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 53:
    tmp = fieldFromInstruction(insn, 0, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (!Check(S, decodeSImmOperand<12>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 54:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 55:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 56:
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 57:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 58:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 59:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 60:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 61:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (!Check(S, DecodeCFRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 62:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (!Check(S, DecodeCFRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 63:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 64:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 65:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 15, 3);
    if (!Check(S, DecodeCFRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 66:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 16);
    if (!Check(S, decodeSImmOperand<16>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 67:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 20);
    if (!Check(S, decodeSImmOperand<20>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 68:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 20);
    if (!Check(S, decodeSImmOperand<20>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 69:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 14);
    if (!Check(S, decodeSImmOperand<14, 2>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 70:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 14);
    if (!Check(S, decodeSImmOperand<14, 2>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 71:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (!Check(S, decodeSImmOperand<12>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 72:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (!Check(S, decodeSImmOperand<12>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 73:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (!Check(S, decodeSImmOperand<12>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 74:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 12);
    if (!Check(S, decodeSImmOperand<12>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 75:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 9);
    if (!Check(S, decodeSImmOperand<9, 3>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 76:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 10);
    if (!Check(S, decodeSImmOperand<10, 2>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 77:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 11);
    if (!Check(S, decodeSImmOperand<11, 1>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 78:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    if (!Check(S, decodeSImmOperand<8, 3>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 79:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    if (!Check(S, decodeSImmOperand<8, 2>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 80:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    if (!Check(S, decodeSImmOperand<8, 1>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 81:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    if (!Check(S, decodeSImmOperand<8>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 82:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 9);
    if (!Check(S, decodeSImmOperand<9, 3>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 83:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 10);
    if (!Check(S, decodeSImmOperand<10, 2>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 84:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 11);
    if (!Check(S, decodeSImmOperand<11, 1>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 85:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    if (!Check(S, decodeSImmOperand<8, 3>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 86:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    if (!Check(S, decodeSImmOperand<8, 2>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 87:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    if (!Check(S, decodeSImmOperand<8, 1>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 88:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    if (!Check(S, decodeSImmOperand<8>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 18, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 89:
    tmp = fieldFromInstruction(insn, 0, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 90:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR32RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 91:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPR64RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 92:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 93:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 94:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 95:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 96:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 97:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 0, 5), 16, 5);
    insertBits(tmp, fieldFromInstruction(insn, 10, 16), 0, 16);
    if (!Check(S, decodeSImmOperand<21, 2>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 98:
    tmp = fieldFromInstruction(insn, 5, 3);
    if (!Check(S, DecodeCFRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 0, 5), 16, 5);
    insertBits(tmp, fieldFromInstruction(insn, 10, 16), 0, 16);
    if (!Check(S, decodeSImmOperand<21, 2>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 99:
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 0, 5), 16, 5);
    insertBits(tmp, fieldFromInstruction(insn, 10, 16), 0, 16);
    if (!Check(S, decodeSImmOperand<21, 2>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 100:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 16);
    if (!Check(S, decodeSImmOperand<16, 2>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 101:
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 0, 10), 16, 10);
    insertBits(tmp, fieldFromInstruction(insn, 10, 16), 0, 16);
    if (!Check(S, decodeSImmOperand<26, 2>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 102:
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 16);
    if (!Check(S, decodeSImmOperand<16, 2>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 103:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 104:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 105:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, decodeSImmOperand<5>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 106:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 107:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 108:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 109:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (!Check(S, DecodeCFRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 110:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 111:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 112:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 113:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 114:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 115:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 116:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 117:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 118:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 119:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 120:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 121:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 122:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 123:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 124:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 125:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 126:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 7);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 127:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 128:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 129:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLSX128RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 13);
    if (!Check(S, decodeSImmOperand<13>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 130:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 131:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 132:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    if (!Check(S, decodeSImmOperand<5>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 133:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 134:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 135:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 136:
    tmp = fieldFromInstruction(insn, 0, 3);
    if (!Check(S, DecodeCFRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 137:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 138:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 139:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 140:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 141:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 142:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 143:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 144:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeGPRRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 145:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 146:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 1);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 147:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 148:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 2);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 149:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 150:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 151:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 7);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 152:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 153:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 154:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeLASX256RegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 13);
    if (!Check(S, decodeSImmOperand<13>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  }
}

static unsigned decodeNumToSkip(const uint8_t *&Ptr) {
  unsigned NumToSkip = *Ptr++;
  NumToSkip |= (*Ptr++) << 8;
  return NumToSkip;
}

template <typename InsnType>
static DecodeStatus decodeInstruction(const uint8_t DecodeTable[], MCInst &MI,
                                      InsnType insn, uint64_t Address,
                                      const MCDisassembler *DisAsm,
                                      const MCSubtargetInfo &STI) {
  const FeatureBitset &Bits = STI.getFeatureBits();

  const uint8_t *Ptr = DecodeTable;
  uint64_t CurFieldValue = 0;
  DecodeStatus S = MCDisassembler::Success;
  while (true) {
    ptrdiff_t Loc = Ptr - DecodeTable;
    switch (*Ptr++) {
    default:
      errs() << Loc << ": Unexpected decode table opcode!\n";
      return MCDisassembler::Fail;
    case MCD::OPC_ExtractField: {
      // Decode the start value.
      unsigned Start = decodeULEB128AndIncUnsafe(Ptr);
      unsigned Len = *Ptr++;
      CurFieldValue = fieldFromInstruction(insn, Start, Len);
      LLVM_DEBUG(dbgs() << Loc << ": OPC_ExtractField(" << Start << ", "
                   << Len << "): " << CurFieldValue << "\n");
      break;
    }
    case MCD::OPC_FilterValue: {
      // Decode the field value.
      uint64_t Val = decodeULEB128AndIncUnsafe(Ptr);
      bool Failed = Val != CurFieldValue;
      unsigned NumToSkip = decodeNumToSkip(Ptr);

      // Perform the filter operation.
      if (Failed)
        Ptr += NumToSkip;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_FilterValue(" << Val << ", " << NumToSkip
                   << "): " << (Failed ? "FAIL:" : "PASS:")
                   << " continuing at " << (Ptr - DecodeTable) << "\n");

      break;
    }
    case MCD::OPC_CheckField: {
      // Decode the start value.
      unsigned Start = decodeULEB128AndIncUnsafe(Ptr);
      unsigned Len = *Ptr;
      uint64_t FieldValue = fieldFromInstruction(insn, Start, Len);
      // Decode the field value.
      unsigned PtrLen = 0;
      uint64_t ExpectedValue = decodeULEB128(++Ptr, &PtrLen);
      Ptr += PtrLen;
      bool Failed = ExpectedValue != FieldValue;
      unsigned NumToSkip = decodeNumToSkip(Ptr);

      // If the actual and expected values don't match, skip.
      if (Failed)
        Ptr += NumToSkip;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_CheckField(" << Start << ", "
                   << Len << ", " << ExpectedValue << ", " << NumToSkip
                   << "): FieldValue = " << FieldValue << ", ExpectedValue = "
                   << ExpectedValue << ": "
                   << (Failed ? "FAIL\n" : "PASS\n"));
      break;
    }
    case MCD::OPC_CheckPredicate: {
      // Decode the Predicate Index value.
      unsigned PIdx = decodeULEB128AndIncUnsafe(Ptr);
      unsigned NumToSkip = decodeNumToSkip(Ptr);
      // Check the predicate.
      bool Failed = !checkDecoderPredicate(PIdx, Bits);
      if (Failed)
        Ptr += NumToSkip;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_CheckPredicate(" << PIdx << "): "
            << (Failed ? "FAIL\n" : "PASS\n"));

      break;
    }
    case MCD::OPC_Decode: {
      // Decode the Opcode value.
      unsigned Opc = decodeULEB128AndIncUnsafe(Ptr);
      unsigned DecodeIdx = decodeULEB128AndIncUnsafe(Ptr);

      MI.clear();
      MI.setOpcode(Opc);
      bool DecodeComplete;
      S = decodeToMCInst(S, DecodeIdx, insn, MI, Address, DisAsm, DecodeComplete);
      assert(DecodeComplete);

      LLVM_DEBUG(dbgs() << Loc << ": OPC_Decode: opcode " << Opc
                   << ", using decoder " << DecodeIdx << ": "
                   << (S != MCDisassembler::Fail ? "PASS" : "FAIL") << "\n");
      return S;
    }
    case MCD::OPC_TryDecode: {
      // Decode the Opcode value.
      unsigned Opc = decodeULEB128AndIncUnsafe(Ptr);
      unsigned DecodeIdx = decodeULEB128AndIncUnsafe(Ptr);
      unsigned NumToSkip = decodeNumToSkip(Ptr);

      // Perform the decode operation.
      MCInst TmpMI;
      TmpMI.setOpcode(Opc);
      bool DecodeComplete;
      S = decodeToMCInst(S, DecodeIdx, insn, TmpMI, Address, DisAsm, DecodeComplete);
      LLVM_DEBUG(dbgs() << Loc << ": OPC_TryDecode: opcode " << Opc
                   << ", using decoder " << DecodeIdx << ": ");

      if (DecodeComplete) {
        // Decoding complete.
        LLVM_DEBUG(dbgs() << (S != MCDisassembler::Fail ? "PASS" : "FAIL") << "\n");
        MI = TmpMI;
        return S;
      } else {
        assert(S == MCDisassembler::Fail);
        // If the decoding was incomplete, skip.
        Ptr += NumToSkip;
        LLVM_DEBUG(dbgs() << "FAIL: continuing at " << (Ptr - DecodeTable) << "\n");
        // Reset decode status. This also drops a SoftFail status that could be
        // set before the decode attempt.
        S = MCDisassembler::Success;
      }
      break;
    }
    case MCD::OPC_SoftFail: {
      // Decode the mask values.
      uint64_t PositiveMask = decodeULEB128AndIncUnsafe(Ptr);
      uint64_t NegativeMask = decodeULEB128AndIncUnsafe(Ptr);
      bool Fail = (insn & PositiveMask) != 0 || (~insn & NegativeMask) != 0;
      if (Fail)
        S = MCDisassembler::SoftFail;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_SoftFail: " << (Fail ? "FAIL\n" : "PASS\n"));
      break;
    }
    case MCD::OPC_Fail: {
      LLVM_DEBUG(dbgs() << Loc << ": OPC_Fail\n");
      return MCDisassembler::Fail;
    }
    }
  }
  llvm_unreachable("bogosity detected in disassembler state machine!");
}


} // namespace
