/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|*  * Sparc Disassembler                                                      *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/


#include "llvm/MC/MCInst.h"
#include "llvm/MC/MCSubtargetInfo.h"
#include "llvm/Support/DataTypes.h"
#include "llvm/Support/Debug.h"
#include "llvm/Support/LEB128.h"
#include "llvm/Support/raw_ostream.h"
#include "llvm/TargetParser/SubtargetFeature.h"
#include <assert.h>

namespace {

// Helper functions for extracting fields from encoded instructions.
// InsnType must either be integral or an APInt-like object that must:
// * be default-constructible and copy-constructible
// * be constructible from an APInt (this can be private)
// * Support insertBits(bits, startBit, numBits)
// * Support extractBitsAsZExtValue(numBits, startBit)
// * Support the ~, &, ==, and != operators with other objects of the same type
// * Support the != and bitwise & with uint64_t
// * Support put (<<) to raw_ostream&
template <typename InsnType>
#if defined(_MSC_VER) && !defined(__clang__)
__declspec(noinline)
#endif
static std::enable_if_t<std::is_integral<InsnType>::value, InsnType>
fieldFromInstruction(const InsnType &insn, unsigned startBit,
                     unsigned numBits) {
  assert(startBit + numBits <= 64 && "Cannot support >64-bit extractions!");
  assert(startBit + numBits <= (sizeof(InsnType) * 8) &&
         "Instruction field out of bounds!");
  InsnType fieldMask;
  if (numBits == sizeof(InsnType) * 8)
    fieldMask = (InsnType)(-1LL);
  else
    fieldMask = (((InsnType)1 << numBits) - 1) << startBit;
  return (insn & fieldMask) >> startBit;
}

template <typename InsnType>
static std::enable_if_t<!std::is_integral<InsnType>::value, uint64_t>
fieldFromInstruction(const InsnType &insn, unsigned startBit,
                     unsigned numBits) {
  return insn.extractBitsAsZExtValue(numBits, startBit);
}

// Helper function for inserting bits extracted from an encoded instruction into
// a field.
template <typename InsnType>
static void insertBits(InsnType &field, InsnType bits, unsigned startBit,
                       unsigned numBits) {
  if constexpr (std::is_integral<InsnType>::value) {
    assert(startBit + numBits <= sizeof field * 8);
    (void)numBits;
    field |= (InsnType)bits << startBit;
  } else {
    field.insertBits(bits, startBit, numBits);
  }
}

static bool Check(DecodeStatus &Out, DecodeStatus In) {
  Out = static_cast<DecodeStatus>(Out & In);
  return Out != MCDisassembler::Fail;
}

static const uint8_t DecoderTableSparc32[] = {
/* 0 */       MCD::OPC_ExtractField, 30, 2,  // Inst{31-30} ...
/* 3 */       MCD::OPC_FilterValue, 0, 129, 1, // Skip to: 392
/* 7 */       MCD::OPC_ExtractField, 22, 3,  // Inst{24-22} ...
/* 10 */      MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 24
/* 14 */      MCD::OPC_CheckField, 25, 5, 0, 135, 26, // Skip to: 6811
/* 20 */      MCD::OPC_Decode, 168, 6, 0, // Opcode: UNIMP
/* 24 */      MCD::OPC_FilterValue, 1, 111, 0, // Skip to: 139
/* 28 */      MCD::OPC_ExtractField, 19, 3,  // Inst{21-19} ...
/* 31 */      MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 62
/* 35 */      MCD::OPC_ExtractField, 29, 1,  // Inst{29} ...
/* 38 */      MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 50
/* 42 */      MCD::OPC_CheckPredicate, 0, 109, 26, // Skip to: 6811
/* 46 */      MCD::OPC_Decode, 237, 2, 1, // Opcode: BPICCNT
/* 50 */      MCD::OPC_FilterValue, 1, 101, 26, // Skip to: 6811
/* 54 */      MCD::OPC_CheckPredicate, 0, 97, 26, // Skip to: 6811
/* 58 */      MCD::OPC_Decode, 236, 2, 1, // Opcode: BPICCANT
/* 62 */      MCD::OPC_FilterValue, 1, 27, 0, // Skip to: 93
/* 66 */      MCD::OPC_ExtractField, 29, 1,  // Inst{29} ...
/* 69 */      MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 81
/* 73 */      MCD::OPC_CheckPredicate, 0, 78, 26, // Skip to: 6811
/* 77 */      MCD::OPC_Decode, 234, 2, 1, // Opcode: BPICC
/* 81 */      MCD::OPC_FilterValue, 1, 70, 26, // Skip to: 6811
/* 85 */      MCD::OPC_CheckPredicate, 0, 66, 26, // Skip to: 6811
/* 89 */      MCD::OPC_Decode, 235, 2, 1, // Opcode: BPICCA
/* 93 */      MCD::OPC_FilterValue, 4, 19, 0, // Skip to: 116
/* 97 */      MCD::OPC_ExtractField, 29, 1,  // Inst{29} ...
/* 100 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 108
/* 104 */     MCD::OPC_Decode, 245, 2, 1, // Opcode: BPXCCNT
/* 108 */     MCD::OPC_FilterValue, 1, 43, 26, // Skip to: 6811
/* 112 */     MCD::OPC_Decode, 244, 2, 1, // Opcode: BPXCCANT
/* 116 */     MCD::OPC_FilterValue, 5, 35, 26, // Skip to: 6811
/* 120 */     MCD::OPC_ExtractField, 29, 1,  // Inst{29} ...
/* 123 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 131
/* 127 */     MCD::OPC_Decode, 242, 2, 1, // Opcode: BPXCC
/* 131 */     MCD::OPC_FilterValue, 1, 20, 26, // Skip to: 6811
/* 135 */     MCD::OPC_Decode, 243, 2, 1, // Opcode: BPXCCA
/* 139 */     MCD::OPC_FilterValue, 2, 29, 0, // Skip to: 172
/* 143 */     MCD::OPC_ExtractField, 29, 1,  // Inst{29} ...
/* 146 */     MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 164
/* 150 */     MCD::OPC_CheckField, 25, 4, 8, 4, 0, // Skip to: 160
/* 156 */     MCD::OPC_Decode, 224, 2, 2, // Opcode: BA
/* 160 */     MCD::OPC_Decode, 225, 2, 3, // Opcode: BCOND
/* 164 */     MCD::OPC_FilterValue, 1, 243, 25, // Skip to: 6811
/* 168 */     MCD::OPC_Decode, 226, 2, 3, // Opcode: BCONDA
/* 172 */     MCD::OPC_FilterValue, 3, 49, 0, // Skip to: 225
/* 176 */     MCD::OPC_ExtractField, 19, 1,  // Inst{19} ...
/* 179 */     MCD::OPC_FilterValue, 0, 19, 0, // Skip to: 202
/* 183 */     MCD::OPC_ExtractField, 28, 2,  // Inst{29-28} ...
/* 186 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 194
/* 190 */     MCD::OPC_Decode, 241, 2, 4, // Opcode: BPRNT
/* 194 */     MCD::OPC_FilterValue, 2, 213, 25, // Skip to: 6811
/* 198 */     MCD::OPC_Decode, 240, 2, 4, // Opcode: BPRANT
/* 202 */     MCD::OPC_FilterValue, 1, 205, 25, // Skip to: 6811
/* 206 */     MCD::OPC_ExtractField, 28, 2,  // Inst{29-28} ...
/* 209 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 217
/* 213 */     MCD::OPC_Decode, 238, 2, 4, // Opcode: BPR
/* 217 */     MCD::OPC_FilterValue, 2, 190, 25, // Skip to: 6811
/* 221 */     MCD::OPC_Decode, 239, 2, 4, // Opcode: BPRA
/* 225 */     MCD::OPC_FilterValue, 4, 20, 0, // Skip to: 249
/* 229 */     MCD::OPC_CheckField, 25, 5, 0, 10, 0, // Skip to: 245
/* 235 */     MCD::OPC_CheckField, 0, 22, 0, 4, 0, // Skip to: 245
/* 241 */     MCD::OPC_Decode, 136, 5, 5, // Opcode: NOP
/* 245 */     MCD::OPC_Decode, 179, 5, 6, // Opcode: SETHIi
/* 249 */     MCD::OPC_FilterValue, 5, 93, 0, // Skip to: 346
/* 253 */     MCD::OPC_ExtractField, 19, 1,  // Inst{19} ...
/* 256 */     MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 287
/* 260 */     MCD::OPC_ExtractField, 29, 1,  // Inst{29} ...
/* 263 */     MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 275
/* 267 */     MCD::OPC_CheckPredicate, 0, 140, 25, // Skip to: 6811
/* 271 */     MCD::OPC_Decode, 233, 2, 7, // Opcode: BPFCCNT
/* 275 */     MCD::OPC_FilterValue, 1, 132, 25, // Skip to: 6811
/* 279 */     MCD::OPC_CheckPredicate, 0, 128, 25, // Skip to: 6811
/* 283 */     MCD::OPC_Decode, 232, 2, 7, // Opcode: BPFCCANT
/* 287 */     MCD::OPC_FilterValue, 1, 120, 25, // Skip to: 6811
/* 291 */     MCD::OPC_ExtractField, 29, 1,  // Inst{29} ...
/* 294 */     MCD::OPC_FilterValue, 0, 22, 0, // Skip to: 320
/* 298 */     MCD::OPC_CheckPredicate, 0, 10, 0, // Skip to: 312
/* 302 */     MCD::OPC_CheckField, 20, 2, 0, 4, 0, // Skip to: 312
/* 308 */     MCD::OPC_Decode, 163, 3, 1, // Opcode: FBCOND_V9
/* 312 */     MCD::OPC_CheckPredicate, 0, 95, 25, // Skip to: 6811
/* 316 */     MCD::OPC_Decode, 230, 2, 7, // Opcode: BPFCC
/* 320 */     MCD::OPC_FilterValue, 1, 87, 25, // Skip to: 6811
/* 324 */     MCD::OPC_CheckPredicate, 0, 10, 0, // Skip to: 338
/* 328 */     MCD::OPC_CheckField, 20, 2, 0, 4, 0, // Skip to: 338
/* 334 */     MCD::OPC_Decode, 162, 3, 1, // Opcode: FBCONDA_V9
/* 338 */     MCD::OPC_CheckPredicate, 0, 69, 25, // Skip to: 6811
/* 342 */     MCD::OPC_Decode, 231, 2, 7, // Opcode: BPFCCA
/* 346 */     MCD::OPC_FilterValue, 6, 19, 0, // Skip to: 369
/* 350 */     MCD::OPC_ExtractField, 29, 1,  // Inst{29} ...
/* 353 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 361
/* 357 */     MCD::OPC_Decode, 160, 3, 3, // Opcode: FBCOND
/* 361 */     MCD::OPC_FilterValue, 1, 46, 25, // Skip to: 6811
/* 365 */     MCD::OPC_Decode, 161, 3, 3, // Opcode: FBCONDA
/* 369 */     MCD::OPC_FilterValue, 7, 38, 25, // Skip to: 6811
/* 373 */     MCD::OPC_ExtractField, 29, 1,  // Inst{29} ...
/* 376 */     MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 384
/* 380 */     MCD::OPC_Decode, 132, 3, 3, // Opcode: CPBCOND
/* 384 */     MCD::OPC_FilterValue, 1, 23, 25, // Skip to: 6811
/* 388 */     MCD::OPC_Decode, 133, 3, 3, // Opcode: CPBCONDA
/* 392 */     MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 400
/* 396 */     MCD::OPC_Decode, 247, 2, 8, // Opcode: CALL
/* 400 */     MCD::OPC_FilterValue, 2, 140, 19, // Skip to: 5408
/* 404 */     MCD::OPC_ExtractField, 19, 6,  // Inst{24-19} ...
/* 407 */     MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 436
/* 411 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 414 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 428
/* 418 */     MCD::OPC_CheckField, 5, 8, 0, 243, 24, // Skip to: 6811
/* 424 */     MCD::OPC_Decode, 209, 2, 9, // Opcode: ADDrr
/* 428 */     MCD::OPC_FilterValue, 1, 235, 24, // Skip to: 6811
/* 432 */     MCD::OPC_Decode, 208, 2, 10, // Opcode: ADDri
/* 436 */     MCD::OPC_FilterValue, 1, 25, 0, // Skip to: 465
/* 440 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 443 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 457
/* 447 */     MCD::OPC_CheckField, 5, 8, 0, 214, 24, // Skip to: 6811
/* 453 */     MCD::OPC_Decode, 220, 2, 9, // Opcode: ANDrr
/* 457 */     MCD::OPC_FilterValue, 1, 206, 24, // Skip to: 6811
/* 461 */     MCD::OPC_Decode, 219, 2, 10, // Opcode: ANDri
/* 465 */     MCD::OPC_FilterValue, 2, 25, 0, // Skip to: 494
/* 469 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 472 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 486
/* 476 */     MCD::OPC_CheckField, 5, 8, 0, 185, 24, // Skip to: 6811
/* 482 */     MCD::OPC_Decode, 145, 5, 9, // Opcode: ORrr
/* 486 */     MCD::OPC_FilterValue, 1, 177, 24, // Skip to: 6811
/* 490 */     MCD::OPC_Decode, 144, 5, 10, // Opcode: ORri
/* 494 */     MCD::OPC_FilterValue, 3, 25, 0, // Skip to: 523
/* 498 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 501 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 515
/* 505 */     MCD::OPC_CheckField, 5, 8, 0, 156, 24, // Skip to: 6811
/* 511 */     MCD::OPC_Decode, 199, 6, 9, // Opcode: XORrr
/* 515 */     MCD::OPC_FilterValue, 1, 148, 24, // Skip to: 6811
/* 519 */     MCD::OPC_Decode, 198, 6, 10, // Opcode: XORri
/* 523 */     MCD::OPC_FilterValue, 4, 25, 0, // Skip to: 552
/* 527 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 530 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 544
/* 534 */     MCD::OPC_CheckField, 5, 8, 0, 127, 24, // Skip to: 6811
/* 540 */     MCD::OPC_Decode, 255, 5, 9, // Opcode: SUBrr
/* 544 */     MCD::OPC_FilterValue, 1, 119, 24, // Skip to: 6811
/* 548 */     MCD::OPC_Decode, 254, 5, 10, // Opcode: SUBri
/* 552 */     MCD::OPC_FilterValue, 5, 25, 0, // Skip to: 581
/* 556 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 559 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 573
/* 563 */     MCD::OPC_CheckField, 5, 8, 0, 98, 24, // Skip to: 6811
/* 569 */     MCD::OPC_Decode, 218, 2, 9, // Opcode: ANDNrr
/* 573 */     MCD::OPC_FilterValue, 1, 90, 24, // Skip to: 6811
/* 577 */     MCD::OPC_Decode, 217, 2, 10, // Opcode: ANDNri
/* 581 */     MCD::OPC_FilterValue, 6, 25, 0, // Skip to: 610
/* 585 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 588 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 602
/* 592 */     MCD::OPC_CheckField, 5, 8, 0, 69, 24, // Skip to: 6811
/* 598 */     MCD::OPC_Decode, 143, 5, 9, // Opcode: ORNrr
/* 602 */     MCD::OPC_FilterValue, 1, 61, 24, // Skip to: 6811
/* 606 */     MCD::OPC_Decode, 142, 5, 10, // Opcode: ORNri
/* 610 */     MCD::OPC_FilterValue, 7, 25, 0, // Skip to: 639
/* 614 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 617 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 631
/* 621 */     MCD::OPC_CheckField, 5, 8, 0, 40, 24, // Skip to: 6811
/* 627 */     MCD::OPC_Decode, 195, 6, 9, // Opcode: XNORrr
/* 631 */     MCD::OPC_FilterValue, 1, 32, 24, // Skip to: 6811
/* 635 */     MCD::OPC_Decode, 194, 6, 10, // Opcode: XNORri
/* 639 */     MCD::OPC_FilterValue, 8, 25, 0, // Skip to: 668
/* 643 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 646 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 660
/* 650 */     MCD::OPC_CheckField, 5, 8, 0, 11, 24, // Skip to: 6811
/* 656 */     MCD::OPC_Decode, 203, 2, 9, // Opcode: ADDCrr
/* 660 */     MCD::OPC_FilterValue, 1, 3, 24, // Skip to: 6811
/* 664 */     MCD::OPC_Decode, 202, 2, 10, // Opcode: ADDCri
/* 668 */     MCD::OPC_FilterValue, 9, 25, 0, // Skip to: 697
/* 672 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 675 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 689
/* 679 */     MCD::OPC_CheckField, 5, 8, 0, 238, 23, // Skip to: 6811
/* 685 */     MCD::OPC_Decode, 135, 5, 11, // Opcode: MULXrr
/* 689 */     MCD::OPC_FilterValue, 1, 230, 23, // Skip to: 6811
/* 693 */     MCD::OPC_Decode, 134, 5, 12, // Opcode: MULXri
/* 697 */     MCD::OPC_FilterValue, 10, 25, 0, // Skip to: 726
/* 701 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 704 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 718
/* 708 */     MCD::OPC_CheckField, 5, 8, 0, 209, 23, // Skip to: 6811
/* 714 */     MCD::OPC_Decode, 167, 6, 9, // Opcode: UMULrr
/* 718 */     MCD::OPC_FilterValue, 1, 201, 23, // Skip to: 6811
/* 722 */     MCD::OPC_Decode, 166, 6, 10, // Opcode: UMULri
/* 726 */     MCD::OPC_FilterValue, 11, 25, 0, // Skip to: 755
/* 730 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 733 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 747
/* 737 */     MCD::OPC_CheckField, 5, 8, 0, 180, 23, // Skip to: 6811
/* 743 */     MCD::OPC_Decode, 192, 5, 9, // Opcode: SMULrr
/* 747 */     MCD::OPC_FilterValue, 1, 172, 23, // Skip to: 6811
/* 751 */     MCD::OPC_Decode, 191, 5, 10, // Opcode: SMULri
/* 755 */     MCD::OPC_FilterValue, 12, 25, 0, // Skip to: 784
/* 759 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 762 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 776
/* 766 */     MCD::OPC_CheckField, 5, 8, 0, 151, 23, // Skip to: 6811
/* 772 */     MCD::OPC_Decode, 251, 5, 9, // Opcode: SUBCrr
/* 776 */     MCD::OPC_FilterValue, 1, 143, 23, // Skip to: 6811
/* 780 */     MCD::OPC_Decode, 250, 5, 10, // Opcode: SUBCri
/* 784 */     MCD::OPC_FilterValue, 13, 25, 0, // Skip to: 813
/* 788 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 791 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 805
/* 795 */     MCD::OPC_CheckField, 5, 8, 0, 122, 23, // Skip to: 6811
/* 801 */     MCD::OPC_Decode, 158, 6, 11, // Opcode: UDIVXrr
/* 805 */     MCD::OPC_FilterValue, 1, 114, 23, // Skip to: 6811
/* 809 */     MCD::OPC_Decode, 157, 6, 12, // Opcode: UDIVXri
/* 813 */     MCD::OPC_FilterValue, 14, 25, 0, // Skip to: 842
/* 817 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 820 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 834
/* 824 */     MCD::OPC_CheckField, 5, 8, 0, 93, 23, // Skip to: 6811
/* 830 */     MCD::OPC_Decode, 160, 6, 9, // Opcode: UDIVrr
/* 834 */     MCD::OPC_FilterValue, 1, 85, 23, // Skip to: 6811
/* 838 */     MCD::OPC_Decode, 159, 6, 10, // Opcode: UDIVri
/* 842 */     MCD::OPC_FilterValue, 15, 25, 0, // Skip to: 871
/* 846 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 849 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 863
/* 853 */     MCD::OPC_CheckField, 5, 8, 0, 64, 23, // Skip to: 6811
/* 859 */     MCD::OPC_Decode, 178, 5, 9, // Opcode: SDIVrr
/* 863 */     MCD::OPC_FilterValue, 1, 56, 23, // Skip to: 6811
/* 867 */     MCD::OPC_Decode, 177, 5, 10, // Opcode: SDIVri
/* 871 */     MCD::OPC_FilterValue, 16, 25, 0, // Skip to: 900
/* 875 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 878 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 892
/* 882 */     MCD::OPC_CheckField, 5, 8, 0, 35, 23, // Skip to: 6811
/* 888 */     MCD::OPC_Decode, 201, 2, 9, // Opcode: ADDCCrr
/* 892 */     MCD::OPC_FilterValue, 1, 27, 23, // Skip to: 6811
/* 896 */     MCD::OPC_Decode, 200, 2, 10, // Opcode: ADDCCri
/* 900 */     MCD::OPC_FilterValue, 17, 25, 0, // Skip to: 929
/* 904 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 907 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 921
/* 911 */     MCD::OPC_CheckField, 5, 8, 0, 6, 23, // Skip to: 6811
/* 917 */     MCD::OPC_Decode, 214, 2, 9, // Opcode: ANDCCrr
/* 921 */     MCD::OPC_FilterValue, 1, 254, 22, // Skip to: 6811
/* 925 */     MCD::OPC_Decode, 213, 2, 10, // Opcode: ANDCCri
/* 929 */     MCD::OPC_FilterValue, 18, 25, 0, // Skip to: 958
/* 933 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 936 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 950
/* 940 */     MCD::OPC_CheckField, 5, 8, 0, 233, 22, // Skip to: 6811
/* 946 */     MCD::OPC_Decode, 139, 5, 9, // Opcode: ORCCrr
/* 950 */     MCD::OPC_FilterValue, 1, 225, 22, // Skip to: 6811
/* 954 */     MCD::OPC_Decode, 138, 5, 10, // Opcode: ORCCri
/* 958 */     MCD::OPC_FilterValue, 19, 25, 0, // Skip to: 987
/* 962 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 965 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 979
/* 969 */     MCD::OPC_CheckField, 5, 8, 0, 204, 22, // Skip to: 6811
/* 975 */     MCD::OPC_Decode, 197, 6, 9, // Opcode: XORCCrr
/* 979 */     MCD::OPC_FilterValue, 1, 196, 22, // Skip to: 6811
/* 983 */     MCD::OPC_Decode, 196, 6, 10, // Opcode: XORCCri
/* 987 */     MCD::OPC_FilterValue, 20, 25, 0, // Skip to: 1016
/* 991 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 994 */     MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1008
/* 998 */     MCD::OPC_CheckField, 5, 8, 0, 175, 22, // Skip to: 6811
/* 1004 */    MCD::OPC_Decode, 249, 5, 9, // Opcode: SUBCCrr
/* 1008 */    MCD::OPC_FilterValue, 1, 167, 22, // Skip to: 6811
/* 1012 */    MCD::OPC_Decode, 248, 5, 10, // Opcode: SUBCCri
/* 1016 */    MCD::OPC_FilterValue, 21, 25, 0, // Skip to: 1045
/* 1020 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1023 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1037
/* 1027 */    MCD::OPC_CheckField, 5, 8, 0, 146, 22, // Skip to: 6811
/* 1033 */    MCD::OPC_Decode, 216, 2, 9, // Opcode: ANDNCCrr
/* 1037 */    MCD::OPC_FilterValue, 1, 138, 22, // Skip to: 6811
/* 1041 */    MCD::OPC_Decode, 215, 2, 10, // Opcode: ANDNCCri
/* 1045 */    MCD::OPC_FilterValue, 22, 25, 0, // Skip to: 1074
/* 1049 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1052 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1066
/* 1056 */    MCD::OPC_CheckField, 5, 8, 0, 117, 22, // Skip to: 6811
/* 1062 */    MCD::OPC_Decode, 141, 5, 9, // Opcode: ORNCCrr
/* 1066 */    MCD::OPC_FilterValue, 1, 109, 22, // Skip to: 6811
/* 1070 */    MCD::OPC_Decode, 140, 5, 10, // Opcode: ORNCCri
/* 1074 */    MCD::OPC_FilterValue, 23, 25, 0, // Skip to: 1103
/* 1078 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1081 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1095
/* 1085 */    MCD::OPC_CheckField, 5, 8, 0, 88, 22, // Skip to: 6811
/* 1091 */    MCD::OPC_Decode, 193, 6, 9, // Opcode: XNORCCrr
/* 1095 */    MCD::OPC_FilterValue, 1, 80, 22, // Skip to: 6811
/* 1099 */    MCD::OPC_Decode, 192, 6, 10, // Opcode: XNORCCri
/* 1103 */    MCD::OPC_FilterValue, 24, 25, 0, // Skip to: 1132
/* 1107 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1110 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1124
/* 1114 */    MCD::OPC_CheckField, 5, 8, 0, 59, 22, // Skip to: 6811
/* 1120 */    MCD::OPC_Decode, 205, 2, 9, // Opcode: ADDErr
/* 1124 */    MCD::OPC_FilterValue, 1, 51, 22, // Skip to: 6811
/* 1128 */    MCD::OPC_Decode, 204, 2, 10, // Opcode: ADDEri
/* 1132 */    MCD::OPC_FilterValue, 26, 25, 0, // Skip to: 1161
/* 1136 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1139 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1153
/* 1143 */    MCD::OPC_CheckField, 5, 8, 0, 30, 22, // Skip to: 6811
/* 1149 */    MCD::OPC_Decode, 164, 6, 9, // Opcode: UMULCCrr
/* 1153 */    MCD::OPC_FilterValue, 1, 22, 22, // Skip to: 6811
/* 1157 */    MCD::OPC_Decode, 163, 6, 10, // Opcode: UMULCCri
/* 1161 */    MCD::OPC_FilterValue, 27, 25, 0, // Skip to: 1190
/* 1165 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1168 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1182
/* 1172 */    MCD::OPC_CheckField, 5, 8, 0, 1, 22, // Skip to: 6811
/* 1178 */    MCD::OPC_Decode, 190, 5, 9, // Opcode: SMULCCrr
/* 1182 */    MCD::OPC_FilterValue, 1, 249, 21, // Skip to: 6811
/* 1186 */    MCD::OPC_Decode, 189, 5, 10, // Opcode: SMULCCri
/* 1190 */    MCD::OPC_FilterValue, 28, 25, 0, // Skip to: 1219
/* 1194 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1197 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1211
/* 1201 */    MCD::OPC_CheckField, 5, 8, 0, 228, 21, // Skip to: 6811
/* 1207 */    MCD::OPC_Decode, 253, 5, 9, // Opcode: SUBErr
/* 1211 */    MCD::OPC_FilterValue, 1, 220, 21, // Skip to: 6811
/* 1215 */    MCD::OPC_Decode, 252, 5, 10, // Opcode: SUBEri
/* 1219 */    MCD::OPC_FilterValue, 30, 25, 0, // Skip to: 1248
/* 1223 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1226 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1240
/* 1230 */    MCD::OPC_CheckField, 5, 8, 0, 199, 21, // Skip to: 6811
/* 1236 */    MCD::OPC_Decode, 156, 6, 9, // Opcode: UDIVCCrr
/* 1240 */    MCD::OPC_FilterValue, 1, 191, 21, // Skip to: 6811
/* 1244 */    MCD::OPC_Decode, 155, 6, 10, // Opcode: UDIVCCri
/* 1248 */    MCD::OPC_FilterValue, 31, 25, 0, // Skip to: 1277
/* 1252 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1255 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1269
/* 1259 */    MCD::OPC_CheckField, 5, 8, 0, 170, 21, // Skip to: 6811
/* 1265 */    MCD::OPC_Decode, 174, 5, 9, // Opcode: SDIVCCrr
/* 1269 */    MCD::OPC_FilterValue, 1, 162, 21, // Skip to: 6811
/* 1273 */    MCD::OPC_Decode, 173, 5, 10, // Opcode: SDIVCCri
/* 1277 */    MCD::OPC_FilterValue, 32, 25, 0, // Skip to: 1306
/* 1281 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1284 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1298
/* 1288 */    MCD::OPC_CheckField, 5, 8, 0, 141, 21, // Skip to: 6811
/* 1294 */    MCD::OPC_Decode, 138, 6, 9, // Opcode: TADDCCrr
/* 1298 */    MCD::OPC_FilterValue, 1, 133, 21, // Skip to: 6811
/* 1302 */    MCD::OPC_Decode, 137, 6, 10, // Opcode: TADDCCri
/* 1306 */    MCD::OPC_FilterValue, 33, 25, 0, // Skip to: 1335
/* 1310 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1313 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1327
/* 1317 */    MCD::OPC_CheckField, 5, 8, 0, 112, 21, // Skip to: 6811
/* 1323 */    MCD::OPC_Decode, 152, 6, 9, // Opcode: TSUBCCrr
/* 1327 */    MCD::OPC_FilterValue, 1, 104, 21, // Skip to: 6811
/* 1331 */    MCD::OPC_Decode, 151, 6, 10, // Opcode: TSUBCCri
/* 1335 */    MCD::OPC_FilterValue, 34, 25, 0, // Skip to: 1364
/* 1339 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1342 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1356
/* 1346 */    MCD::OPC_CheckField, 5, 8, 0, 83, 21, // Skip to: 6811
/* 1352 */    MCD::OPC_Decode, 136, 6, 9, // Opcode: TADDCCTVrr
/* 1356 */    MCD::OPC_FilterValue, 1, 75, 21, // Skip to: 6811
/* 1360 */    MCD::OPC_Decode, 135, 6, 10, // Opcode: TADDCCTVri
/* 1364 */    MCD::OPC_FilterValue, 35, 25, 0, // Skip to: 1393
/* 1368 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1371 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1385
/* 1375 */    MCD::OPC_CheckField, 5, 8, 0, 54, 21, // Skip to: 6811
/* 1381 */    MCD::OPC_Decode, 150, 6, 9, // Opcode: TSUBCCTVrr
/* 1385 */    MCD::OPC_FilterValue, 1, 46, 21, // Skip to: 6811
/* 1389 */    MCD::OPC_Decode, 149, 6, 10, // Opcode: TSUBCCTVri
/* 1393 */    MCD::OPC_FilterValue, 36, 25, 0, // Skip to: 1422
/* 1397 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1400 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1414
/* 1404 */    MCD::OPC_CheckField, 5, 8, 0, 25, 21, // Skip to: 6811
/* 1410 */    MCD::OPC_Decode, 133, 5, 9, // Opcode: MULSCCrr
/* 1414 */    MCD::OPC_FilterValue, 1, 17, 21, // Skip to: 6811
/* 1418 */    MCD::OPC_Decode, 132, 5, 10, // Opcode: MULSCCri
/* 1422 */    MCD::OPC_FilterValue, 37, 35, 0, // Skip to: 1461
/* 1426 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 1429 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 1437
/* 1433 */    MCD::OPC_Decode, 186, 5, 9, // Opcode: SLLrr
/* 1437 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 1445
/* 1441 */    MCD::OPC_Decode, 184, 5, 13, // Opcode: SLLXrr
/* 1445 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 1453
/* 1449 */    MCD::OPC_Decode, 185, 5, 14, // Opcode: SLLri
/* 1453 */    MCD::OPC_FilterValue, 3, 234, 20, // Skip to: 6811
/* 1457 */    MCD::OPC_Decode, 183, 5, 15, // Opcode: SLLXri
/* 1461 */    MCD::OPC_FilterValue, 38, 35, 0, // Skip to: 1500
/* 1465 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 1468 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 1476
/* 1472 */    MCD::OPC_Decode, 200, 5, 9, // Opcode: SRLrr
/* 1476 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 1484
/* 1480 */    MCD::OPC_Decode, 198, 5, 13, // Opcode: SRLXrr
/* 1484 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 1492
/* 1488 */    MCD::OPC_Decode, 199, 5, 14, // Opcode: SRLri
/* 1492 */    MCD::OPC_FilterValue, 3, 195, 20, // Skip to: 6811
/* 1496 */    MCD::OPC_Decode, 197, 5, 15, // Opcode: SRLXri
/* 1500 */    MCD::OPC_FilterValue, 39, 35, 0, // Skip to: 1539
/* 1504 */    MCD::OPC_ExtractField, 12, 2,  // Inst{13-12} ...
/* 1507 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 1515
/* 1511 */    MCD::OPC_Decode, 196, 5, 9, // Opcode: SRArr
/* 1515 */    MCD::OPC_FilterValue, 1, 4, 0, // Skip to: 1523
/* 1519 */    MCD::OPC_Decode, 194, 5, 13, // Opcode: SRAXrr
/* 1523 */    MCD::OPC_FilterValue, 2, 4, 0, // Skip to: 1531
/* 1527 */    MCD::OPC_Decode, 195, 5, 14, // Opcode: SRAri
/* 1531 */    MCD::OPC_FilterValue, 3, 156, 20, // Skip to: 6811
/* 1535 */    MCD::OPC_Decode, 193, 5, 15, // Opcode: SRAXri
/* 1539 */    MCD::OPC_FilterValue, 40, 58, 0, // Skip to: 1601
/* 1543 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1546 */    MCD::OPC_FilterValue, 0, 27, 0, // Skip to: 1577
/* 1550 */    MCD::OPC_ExtractField, 0, 13,  // Inst{12-0} ...
/* 1553 */    MCD::OPC_FilterValue, 0, 134, 20, // Skip to: 6811
/* 1557 */    MCD::OPC_CheckField, 25, 5, 0, 10, 0, // Skip to: 1573
/* 1563 */    MCD::OPC_CheckField, 14, 5, 15, 4, 0, // Skip to: 1573
/* 1569 */    MCD::OPC_Decode, 203, 5, 5, // Opcode: STBAR
/* 1573 */    MCD::OPC_Decode, 156, 5, 16, // Opcode: RDASR
/* 1577 */    MCD::OPC_FilterValue, 1, 110, 20, // Skip to: 6811
/* 1581 */    MCD::OPC_CheckPredicate, 0, 106, 20, // Skip to: 6811
/* 1585 */    MCD::OPC_CheckField, 25, 5, 0, 100, 20, // Skip to: 6811
/* 1591 */    MCD::OPC_CheckField, 14, 5, 15, 94, 20, // Skip to: 6811
/* 1597 */    MCD::OPC_Decode, 246, 4, 17, // Opcode: MEMBARi
/* 1601 */    MCD::OPC_FilterValue, 41, 10, 0, // Skip to: 1615
/* 1605 */    MCD::OPC_CheckField, 0, 19, 0, 80, 20, // Skip to: 6811
/* 1611 */    MCD::OPC_Decode, 159, 5, 18, // Opcode: RDPSR
/* 1615 */    MCD::OPC_FilterValue, 42, 38, 0, // Skip to: 1657
/* 1619 */    MCD::OPC_ExtractField, 0, 14,  // Inst{13-0} ...
/* 1622 */    MCD::OPC_FilterValue, 0, 65, 20, // Skip to: 6811
/* 1626 */    MCD::OPC_ExtractField, 14, 5,  // Inst{18-14} ...
/* 1629 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 1637
/* 1633 */    MCD::OPC_Decode, 161, 5, 18, // Opcode: RDWIM
/* 1637 */    MCD::OPC_FilterValue, 15, 8, 0, // Skip to: 1649
/* 1641 */    MCD::OPC_CheckPredicate, 0, 4, 0, // Skip to: 1649
/* 1645 */    MCD::OPC_Decode, 157, 5, 18, // Opcode: RDFQ
/* 1649 */    MCD::OPC_CheckPredicate, 0, 38, 20, // Skip to: 6811
/* 1653 */    MCD::OPC_Decode, 158, 5, 19, // Opcode: RDPR
/* 1657 */    MCD::OPC_FilterValue, 43, 25, 0, // Skip to: 1686
/* 1661 */    MCD::OPC_ExtractField, 0, 19,  // Inst{18-0} ...
/* 1664 */    MCD::OPC_FilterValue, 0, 23, 20, // Skip to: 6811
/* 1668 */    MCD::OPC_CheckPredicate, 0, 10, 0, // Skip to: 1682
/* 1672 */    MCD::OPC_CheckField, 25, 5, 0, 4, 0, // Skip to: 1682
/* 1678 */    MCD::OPC_Decode, 198, 3, 5, // Opcode: FLUSHW
/* 1682 */    MCD::OPC_Decode, 160, 5, 18, // Opcode: RDTBR
/* 1686 */    MCD::OPC_FilterValue, 44, 123, 0, // Skip to: 1813
/* 1690 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1693 */    MCD::OPC_FilterValue, 0, 56, 0, // Skip to: 1753
/* 1697 */    MCD::OPC_ExtractField, 18, 1,  // Inst{18} ...
/* 1700 */    MCD::OPC_FilterValue, 0, 22, 0, // Skip to: 1726
/* 1704 */    MCD::OPC_CheckPredicate, 0, 10, 0, // Skip to: 1718
/* 1708 */    MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 1718
/* 1714 */    MCD::OPC_Decode, 249, 4, 20, // Opcode: MOVFCCrr
/* 1718 */    MCD::OPC_CheckPredicate, 0, 225, 19, // Skip to: 6811
/* 1722 */    MCD::OPC_Decode, 179, 6, 21, // Opcode: V9MOVFCCrr
/* 1726 */    MCD::OPC_FilterValue, 1, 217, 19, // Skip to: 6811
/* 1730 */    MCD::OPC_ExtractField, 11, 2,  // Inst{12-11} ...
/* 1733 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1745
/* 1737 */    MCD::OPC_CheckPredicate, 0, 206, 19, // Skip to: 6811
/* 1741 */    MCD::OPC_Decode, 251, 4, 20, // Opcode: MOVICCrr
/* 1745 */    MCD::OPC_FilterValue, 2, 198, 19, // Skip to: 6811
/* 1749 */    MCD::OPC_Decode, 130, 5, 20, // Opcode: MOVXCCrr
/* 1753 */    MCD::OPC_FilterValue, 1, 190, 19, // Skip to: 6811
/* 1757 */    MCD::OPC_ExtractField, 18, 1,  // Inst{18} ...
/* 1760 */    MCD::OPC_FilterValue, 0, 22, 0, // Skip to: 1786
/* 1764 */    MCD::OPC_CheckPredicate, 0, 10, 0, // Skip to: 1778
/* 1768 */    MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 1778
/* 1774 */    MCD::OPC_Decode, 248, 4, 22, // Opcode: MOVFCCri
/* 1778 */    MCD::OPC_CheckPredicate, 0, 165, 19, // Skip to: 6811
/* 1782 */    MCD::OPC_Decode, 178, 6, 23, // Opcode: V9MOVFCCri
/* 1786 */    MCD::OPC_FilterValue, 1, 157, 19, // Skip to: 6811
/* 1790 */    MCD::OPC_ExtractField, 11, 2,  // Inst{12-11} ...
/* 1793 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 1805
/* 1797 */    MCD::OPC_CheckPredicate, 0, 146, 19, // Skip to: 6811
/* 1801 */    MCD::OPC_Decode, 250, 4, 22, // Opcode: MOVICCri
/* 1805 */    MCD::OPC_FilterValue, 2, 138, 19, // Skip to: 6811
/* 1809 */    MCD::OPC_Decode, 129, 5, 22, // Opcode: MOVXCCri
/* 1813 */    MCD::OPC_FilterValue, 45, 25, 0, // Skip to: 1842
/* 1817 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1820 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1834
/* 1824 */    MCD::OPC_CheckField, 5, 8, 0, 117, 19, // Skip to: 6811
/* 1830 */    MCD::OPC_Decode, 176, 5, 11, // Opcode: SDIVXrr
/* 1834 */    MCD::OPC_FilterValue, 1, 109, 19, // Skip to: 6811
/* 1838 */    MCD::OPC_Decode, 175, 5, 12, // Opcode: SDIVXri
/* 1842 */    MCD::OPC_FilterValue, 46, 14, 0, // Skip to: 1860
/* 1846 */    MCD::OPC_CheckPredicate, 0, 97, 19, // Skip to: 6811
/* 1850 */    MCD::OPC_CheckField, 5, 14, 0, 91, 19, // Skip to: 6811
/* 1856 */    MCD::OPC_Decode, 149, 5, 24, // Opcode: POPCrr
/* 1860 */    MCD::OPC_FilterValue, 47, 25, 0, // Skip to: 1889
/* 1864 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1867 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1881
/* 1871 */    MCD::OPC_CheckField, 5, 5, 0, 70, 19, // Skip to: 6811
/* 1877 */    MCD::OPC_Decode, 253, 4, 25, // Opcode: MOVRrr
/* 1881 */    MCD::OPC_FilterValue, 1, 62, 19, // Skip to: 6811
/* 1885 */    MCD::OPC_Decode, 252, 4, 26, // Opcode: MOVRri
/* 1889 */    MCD::OPC_FilterValue, 48, 45, 0, // Skip to: 1938
/* 1893 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1896 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 1910
/* 1900 */    MCD::OPC_CheckField, 5, 8, 0, 41, 19, // Skip to: 6811
/* 1906 */    MCD::OPC_Decode, 181, 6, 27, // Opcode: WRASRrr
/* 1910 */    MCD::OPC_FilterValue, 1, 33, 19, // Skip to: 6811
/* 1914 */    MCD::OPC_CheckPredicate, 0, 16, 0, // Skip to: 1934
/* 1918 */    MCD::OPC_CheckField, 25, 5, 15, 10, 0, // Skip to: 1934
/* 1924 */    MCD::OPC_CheckField, 14, 5, 0, 4, 0, // Skip to: 1934
/* 1930 */    MCD::OPC_Decode, 182, 5, 28, // Opcode: SIR
/* 1934 */    MCD::OPC_Decode, 180, 6, 29, // Opcode: WRASRri
/* 1938 */    MCD::OPC_FilterValue, 49, 183, 0, // Skip to: 2125
/* 1942 */    MCD::OPC_ExtractField, 25, 5,  // Inst{29-25} ...
/* 1945 */    MCD::OPC_FilterValue, 0, 46, 0, // Skip to: 1995
/* 1949 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 1952 */    MCD::OPC_FilterValue, 0, 31, 0, // Skip to: 1987
/* 1956 */    MCD::OPC_ExtractField, 5, 8,  // Inst{12-5} ...
/* 1959 */    MCD::OPC_FilterValue, 0, 240, 18, // Skip to: 6811
/* 1963 */    MCD::OPC_CheckPredicate, 0, 16, 0, // Skip to: 1983
/* 1967 */    MCD::OPC_CheckField, 14, 5, 0, 10, 0, // Skip to: 1983
/* 1973 */    MCD::OPC_CheckField, 0, 5, 0, 4, 0, // Skip to: 1983
/* 1979 */    MCD::OPC_Decode, 170, 5, 5, // Opcode: SAVED
/* 1983 */    MCD::OPC_Decode, 185, 6, 30, // Opcode: WRPSRrr
/* 1987 */    MCD::OPC_FilterValue, 1, 212, 18, // Skip to: 6811
/* 1991 */    MCD::OPC_Decode, 184, 6, 31, // Opcode: WRPSRri
/* 1995 */    MCD::OPC_FilterValue, 1, 54, 0, // Skip to: 2053
/* 1999 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 2002 */    MCD::OPC_FilterValue, 0, 35, 0, // Skip to: 2041
/* 2006 */    MCD::OPC_ExtractField, 5, 8,  // Inst{12-5} ...
/* 2009 */    MCD::OPC_FilterValue, 0, 190, 18, // Skip to: 6811
/* 2013 */    MCD::OPC_CheckPredicate, 0, 16, 0, // Skip to: 2033
/* 2017 */    MCD::OPC_CheckField, 14, 5, 0, 10, 0, // Skip to: 2033
/* 2023 */    MCD::OPC_CheckField, 0, 5, 0, 4, 0, // Skip to: 2033
/* 2029 */    MCD::OPC_Decode, 162, 5, 5, // Opcode: RESTORED
/* 2033 */    MCD::OPC_CheckPredicate, 1, 166, 18, // Skip to: 6811
/* 2037 */    MCD::OPC_Decode, 155, 5, 30, // Opcode: PWRPSRrr
/* 2041 */    MCD::OPC_FilterValue, 1, 158, 18, // Skip to: 6811
/* 2045 */    MCD::OPC_CheckPredicate, 1, 154, 18, // Skip to: 6811
/* 2049 */    MCD::OPC_Decode, 154, 5, 31, // Opcode: PWRPSRri
/* 2053 */    MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 2071
/* 2057 */    MCD::OPC_CheckPredicate, 2, 142, 18, // Skip to: 6811
/* 2061 */    MCD::OPC_CheckField, 0, 19, 0, 136, 18, // Skip to: 6811
/* 2067 */    MCD::OPC_Decode, 212, 2, 5, // Opcode: ALLCLEAN
/* 2071 */    MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 2089
/* 2075 */    MCD::OPC_CheckPredicate, 2, 124, 18, // Skip to: 6811
/* 2079 */    MCD::OPC_CheckField, 0, 19, 0, 118, 18, // Skip to: 6811
/* 2085 */    MCD::OPC_Decode, 146, 5, 5, // Opcode: OTHERW
/* 2089 */    MCD::OPC_FilterValue, 4, 14, 0, // Skip to: 2107
/* 2093 */    MCD::OPC_CheckPredicate, 2, 106, 18, // Skip to: 6811
/* 2097 */    MCD::OPC_CheckField, 0, 19, 0, 100, 18, // Skip to: 6811
/* 2103 */    MCD::OPC_Decode, 137, 5, 5, // Opcode: NORMALW
/* 2107 */    MCD::OPC_FilterValue, 5, 92, 18, // Skip to: 6811
/* 2111 */    MCD::OPC_CheckPredicate, 2, 88, 18, // Skip to: 6811
/* 2115 */    MCD::OPC_CheckField, 0, 19, 0, 82, 18, // Skip to: 6811
/* 2121 */    MCD::OPC_Decode, 184, 4, 5, // Opcode: INVALW
/* 2125 */    MCD::OPC_FilterValue, 50, 54, 0, // Skip to: 2183
/* 2129 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 2132 */    MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 2161
/* 2136 */    MCD::OPC_ExtractField, 5, 8,  // Inst{12-5} ...
/* 2139 */    MCD::OPC_FilterValue, 0, 60, 18, // Skip to: 6811
/* 2143 */    MCD::OPC_CheckField, 25, 5, 0, 4, 0, // Skip to: 2153
/* 2149 */    MCD::OPC_Decode, 189, 6, 30, // Opcode: WRWIMrr
/* 2153 */    MCD::OPC_CheckPredicate, 0, 46, 18, // Skip to: 6811
/* 2157 */    MCD::OPC_Decode, 183, 6, 32, // Opcode: WRPRrr
/* 2161 */    MCD::OPC_FilterValue, 1, 38, 18, // Skip to: 6811
/* 2165 */    MCD::OPC_CheckField, 25, 5, 0, 4, 0, // Skip to: 2175
/* 2171 */    MCD::OPC_Decode, 188, 6, 31, // Opcode: WRWIMri
/* 2175 */    MCD::OPC_CheckPredicate, 0, 24, 18, // Skip to: 6811
/* 2179 */    MCD::OPC_Decode, 182, 6, 33, // Opcode: WRPRri
/* 2183 */    MCD::OPC_FilterValue, 51, 37, 0, // Skip to: 2224
/* 2187 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 2190 */    MCD::OPC_FilterValue, 0, 16, 0, // Skip to: 2210
/* 2194 */    MCD::OPC_CheckField, 25, 5, 0, 3, 18, // Skip to: 6811
/* 2200 */    MCD::OPC_CheckField, 5, 8, 0, 253, 17, // Skip to: 6811
/* 2206 */    MCD::OPC_Decode, 187, 6, 30, // Opcode: WRTBRrr
/* 2210 */    MCD::OPC_FilterValue, 1, 245, 17, // Skip to: 6811
/* 2214 */    MCD::OPC_CheckField, 25, 5, 0, 239, 17, // Skip to: 6811
/* 2220 */    MCD::OPC_Decode, 186, 6, 31, // Opcode: WRTBRri
/* 2224 */    MCD::OPC_FilterValue, 52, 197, 2, // Skip to: 2937
/* 2228 */    MCD::OPC_ExtractField, 5, 9,  // Inst{13-5} ...
/* 2231 */    MCD::OPC_FilterValue, 1, 10, 0, // Skip to: 2245
/* 2235 */    MCD::OPC_CheckField, 14, 5, 0, 218, 17, // Skip to: 6811
/* 2241 */    MCD::OPC_Decode, 215, 3, 34, // Opcode: FMOVS
/* 2245 */    MCD::OPC_FilterValue, 2, 14, 0, // Skip to: 2263
/* 2249 */    MCD::OPC_CheckPredicate, 0, 206, 17, // Skip to: 6811
/* 2253 */    MCD::OPC_CheckField, 14, 5, 0, 200, 17, // Skip to: 6811
/* 2259 */    MCD::OPC_Decode, 204, 3, 35, // Opcode: FMOVD
/* 2263 */    MCD::OPC_FilterValue, 3, 14, 0, // Skip to: 2281
/* 2267 */    MCD::OPC_CheckPredicate, 0, 188, 17, // Skip to: 6811
/* 2271 */    MCD::OPC_CheckField, 14, 5, 0, 182, 17, // Skip to: 6811
/* 2277 */    MCD::OPC_Decode, 208, 3, 36, // Opcode: FMOVQ
/* 2281 */    MCD::OPC_FilterValue, 5, 10, 0, // Skip to: 2295
/* 2285 */    MCD::OPC_CheckField, 14, 5, 0, 168, 17, // Skip to: 6811
/* 2291 */    MCD::OPC_Decode, 237, 3, 34, // Opcode: FNEGS
/* 2295 */    MCD::OPC_FilterValue, 6, 14, 0, // Skip to: 2313
/* 2299 */    MCD::OPC_CheckPredicate, 0, 156, 17, // Skip to: 6811
/* 2303 */    MCD::OPC_CheckField, 14, 5, 0, 150, 17, // Skip to: 6811
/* 2309 */    MCD::OPC_Decode, 235, 3, 35, // Opcode: FNEGD
/* 2313 */    MCD::OPC_FilterValue, 7, 14, 0, // Skip to: 2331
/* 2317 */    MCD::OPC_CheckPredicate, 0, 138, 17, // Skip to: 6811
/* 2321 */    MCD::OPC_CheckField, 14, 5, 0, 132, 17, // Skip to: 6811
/* 2327 */    MCD::OPC_Decode, 236, 3, 36, // Opcode: FNEGQ
/* 2331 */    MCD::OPC_FilterValue, 9, 10, 0, // Skip to: 2345
/* 2335 */    MCD::OPC_CheckField, 14, 5, 0, 118, 17, // Skip to: 6811
/* 2341 */    MCD::OPC_Decode, 149, 3, 34, // Opcode: FABSS
/* 2345 */    MCD::OPC_FilterValue, 10, 14, 0, // Skip to: 2363
/* 2349 */    MCD::OPC_CheckPredicate, 0, 106, 17, // Skip to: 6811
/* 2353 */    MCD::OPC_CheckField, 14, 5, 0, 100, 17, // Skip to: 6811
/* 2359 */    MCD::OPC_Decode, 147, 3, 35, // Opcode: FABSD
/* 2363 */    MCD::OPC_FilterValue, 11, 14, 0, // Skip to: 2381
/* 2367 */    MCD::OPC_CheckPredicate, 0, 88, 17, // Skip to: 6811
/* 2371 */    MCD::OPC_CheckField, 14, 5, 0, 82, 17, // Skip to: 6811
/* 2377 */    MCD::OPC_Decode, 148, 3, 36, // Opcode: FABSQ
/* 2381 */    MCD::OPC_FilterValue, 41, 10, 0, // Skip to: 2395
/* 2385 */    MCD::OPC_CheckField, 14, 5, 0, 68, 17, // Skip to: 6811
/* 2391 */    MCD::OPC_Decode, 157, 4, 34, // Opcode: FSQRTS
/* 2395 */    MCD::OPC_FilterValue, 42, 10, 0, // Skip to: 2409
/* 2399 */    MCD::OPC_CheckField, 14, 5, 0, 54, 17, // Skip to: 6811
/* 2405 */    MCD::OPC_Decode, 155, 4, 35, // Opcode: FSQRTD
/* 2409 */    MCD::OPC_FilterValue, 43, 10, 0, // Skip to: 2423
/* 2413 */    MCD::OPC_CheckField, 14, 5, 0, 40, 17, // Skip to: 6811
/* 2419 */    MCD::OPC_Decode, 156, 4, 36, // Opcode: FSQRTQ
/* 2423 */    MCD::OPC_FilterValue, 65, 4, 0, // Skip to: 2431
/* 2427 */    MCD::OPC_Decode, 152, 3, 37, // Opcode: FADDS
/* 2431 */    MCD::OPC_FilterValue, 66, 4, 0, // Skip to: 2439
/* 2435 */    MCD::OPC_Decode, 150, 3, 38, // Opcode: FADDD
/* 2439 */    MCD::OPC_FilterValue, 67, 4, 0, // Skip to: 2447
/* 2443 */    MCD::OPC_Decode, 151, 3, 39, // Opcode: FADDQ
/* 2447 */    MCD::OPC_FilterValue, 69, 4, 0, // Skip to: 2455
/* 2451 */    MCD::OPC_Decode, 172, 4, 37, // Opcode: FSUBS
/* 2455 */    MCD::OPC_FilterValue, 70, 4, 0, // Skip to: 2463
/* 2459 */    MCD::OPC_Decode, 170, 4, 38, // Opcode: FSUBD
/* 2463 */    MCD::OPC_FilterValue, 71, 4, 0, // Skip to: 2471
/* 2467 */    MCD::OPC_Decode, 171, 4, 39, // Opcode: FSUBQ
/* 2471 */    MCD::OPC_FilterValue, 73, 4, 0, // Skip to: 2479
/* 2475 */    MCD::OPC_Decode, 230, 3, 37, // Opcode: FMULS
/* 2479 */    MCD::OPC_FilterValue, 74, 4, 0, // Skip to: 2487
/* 2483 */    MCD::OPC_Decode, 226, 3, 38, // Opcode: FMULD
/* 2487 */    MCD::OPC_FilterValue, 75, 4, 0, // Skip to: 2495
/* 2491 */    MCD::OPC_Decode, 229, 3, 39, // Opcode: FMULQ
/* 2495 */    MCD::OPC_FilterValue, 77, 4, 0, // Skip to: 2503
/* 2499 */    MCD::OPC_Decode, 181, 3, 37, // Opcode: FDIVS
/* 2503 */    MCD::OPC_FilterValue, 78, 4, 0, // Skip to: 2511
/* 2507 */    MCD::OPC_Decode, 179, 3, 38, // Opcode: FDIVD
/* 2511 */    MCD::OPC_FilterValue, 79, 4, 0, // Skip to: 2519
/* 2515 */    MCD::OPC_Decode, 180, 3, 39, // Opcode: FDIVQ
/* 2519 */    MCD::OPC_FilterValue, 81, 8, 0, // Skip to: 2531
/* 2523 */    MCD::OPC_CheckPredicate, 3, 188, 16, // Skip to: 6811
/* 2527 */    MCD::OPC_Decode, 232, 3, 37, // Opcode: FNADDS
/* 2531 */    MCD::OPC_FilterValue, 82, 8, 0, // Skip to: 2543
/* 2535 */    MCD::OPC_CheckPredicate, 3, 176, 16, // Skip to: 6811
/* 2539 */    MCD::OPC_Decode, 231, 3, 38, // Opcode: FNADDD
/* 2543 */    MCD::OPC_FilterValue, 89, 8, 0, // Skip to: 2555
/* 2547 */    MCD::OPC_CheckPredicate, 3, 164, 16, // Skip to: 6811
/* 2551 */    MCD::OPC_Decode, 245, 3, 37, // Opcode: FNMULS
/* 2555 */    MCD::OPC_FilterValue, 90, 8, 0, // Skip to: 2567
/* 2559 */    MCD::OPC_CheckPredicate, 3, 152, 16, // Skip to: 6811
/* 2563 */    MCD::OPC_Decode, 244, 3, 38, // Opcode: FNMULD
/* 2567 */    MCD::OPC_FilterValue, 97, 8, 0, // Skip to: 2579
/* 2571 */    MCD::OPC_CheckPredicate, 3, 140, 16, // Skip to: 6811
/* 2575 */    MCD::OPC_Decode, 189, 3, 37, // Opcode: FHADDS
/* 2579 */    MCD::OPC_FilterValue, 98, 8, 0, // Skip to: 2591
/* 2583 */    MCD::OPC_CheckPredicate, 3, 128, 16, // Skip to: 6811
/* 2587 */    MCD::OPC_Decode, 188, 3, 38, // Opcode: FHADDD
/* 2591 */    MCD::OPC_FilterValue, 101, 8, 0, // Skip to: 2603
/* 2595 */    MCD::OPC_CheckPredicate, 3, 116, 16, // Skip to: 6811
/* 2599 */    MCD::OPC_Decode, 191, 3, 37, // Opcode: FHSUBS
/* 2603 */    MCD::OPC_FilterValue, 102, 8, 0, // Skip to: 2615
/* 2607 */    MCD::OPC_CheckPredicate, 3, 104, 16, // Skip to: 6811
/* 2611 */    MCD::OPC_Decode, 190, 3, 38, // Opcode: FHSUBD
/* 2615 */    MCD::OPC_FilterValue, 105, 4, 0, // Skip to: 2623
/* 2619 */    MCD::OPC_Decode, 154, 4, 40, // Opcode: FSMULD
/* 2623 */    MCD::OPC_FilterValue, 110, 4, 0, // Skip to: 2631
/* 2627 */    MCD::OPC_Decode, 182, 3, 41, // Opcode: FDMULQ
/* 2631 */    MCD::OPC_FilterValue, 113, 8, 0, // Skip to: 2643
/* 2635 */    MCD::OPC_CheckPredicate, 3, 76, 16, // Skip to: 6811
/* 2639 */    MCD::OPC_Decode, 239, 3, 37, // Opcode: FNHADDS
/* 2643 */    MCD::OPC_FilterValue, 114, 8, 0, // Skip to: 2655
/* 2647 */    MCD::OPC_CheckPredicate, 3, 64, 16, // Skip to: 6811
/* 2651 */    MCD::OPC_Decode, 238, 3, 38, // Opcode: FNHADDD
/* 2655 */    MCD::OPC_FilterValue, 121, 8, 0, // Skip to: 2667
/* 2659 */    MCD::OPC_CheckPredicate, 3, 52, 16, // Skip to: 6811
/* 2663 */    MCD::OPC_Decode, 252, 3, 40, // Opcode: FNSMULD
/* 2667 */    MCD::OPC_FilterValue, 129, 1, 10, 0, // Skip to: 2682
/* 2672 */    MCD::OPC_CheckField, 14, 5, 0, 37, 16, // Skip to: 6811
/* 2678 */    MCD::OPC_Decode, 169, 4, 42, // Opcode: FSTOX
/* 2682 */    MCD::OPC_FilterValue, 130, 1, 10, 0, // Skip to: 2697
/* 2687 */    MCD::OPC_CheckField, 14, 5, 0, 22, 16, // Skip to: 6811
/* 2693 */    MCD::OPC_Decode, 186, 3, 35, // Opcode: FDTOX
/* 2697 */    MCD::OPC_FilterValue, 131, 1, 10, 0, // Skip to: 2712
/* 2702 */    MCD::OPC_CheckField, 14, 5, 0, 7, 16, // Skip to: 6811
/* 2708 */    MCD::OPC_Decode, 149, 4, 43, // Opcode: FQTOX
/* 2712 */    MCD::OPC_FilterValue, 132, 1, 10, 0, // Skip to: 2727
/* 2717 */    MCD::OPC_CheckField, 14, 5, 0, 248, 15, // Skip to: 6811
/* 2723 */    MCD::OPC_Decode, 179, 4, 44, // Opcode: FXTOS
/* 2727 */    MCD::OPC_FilterValue, 136, 1, 10, 0, // Skip to: 2742
/* 2732 */    MCD::OPC_CheckField, 14, 5, 0, 233, 15, // Skip to: 6811
/* 2738 */    MCD::OPC_Decode, 177, 4, 35, // Opcode: FXTOD
/* 2742 */    MCD::OPC_FilterValue, 140, 1, 10, 0, // Skip to: 2757
/* 2747 */    MCD::OPC_CheckField, 14, 5, 0, 218, 15, // Skip to: 6811
/* 2753 */    MCD::OPC_Decode, 178, 4, 45, // Opcode: FXTOQ
/* 2757 */    MCD::OPC_FilterValue, 196, 1, 10, 0, // Skip to: 2772
/* 2762 */    MCD::OPC_CheckField, 14, 5, 0, 203, 15, // Skip to: 6811
/* 2768 */    MCD::OPC_Decode, 194, 3, 34, // Opcode: FITOS
/* 2772 */    MCD::OPC_FilterValue, 198, 1, 10, 0, // Skip to: 2787
/* 2777 */    MCD::OPC_CheckField, 14, 5, 0, 188, 15, // Skip to: 6811
/* 2783 */    MCD::OPC_Decode, 185, 3, 44, // Opcode: FDTOS
/* 2787 */    MCD::OPC_FilterValue, 199, 1, 10, 0, // Skip to: 2802
/* 2792 */    MCD::OPC_CheckField, 14, 5, 0, 173, 15, // Skip to: 6811
/* 2798 */    MCD::OPC_Decode, 148, 4, 46, // Opcode: FQTOS
/* 2802 */    MCD::OPC_FilterValue, 200, 1, 10, 0, // Skip to: 2817
/* 2807 */    MCD::OPC_CheckField, 14, 5, 0, 158, 15, // Skip to: 6811
/* 2813 */    MCD::OPC_Decode, 192, 3, 42, // Opcode: FITOD
/* 2817 */    MCD::OPC_FilterValue, 201, 1, 10, 0, // Skip to: 2832
/* 2822 */    MCD::OPC_CheckField, 14, 5, 0, 143, 15, // Skip to: 6811
/* 2828 */    MCD::OPC_Decode, 166, 4, 42, // Opcode: FSTOD
/* 2832 */    MCD::OPC_FilterValue, 203, 1, 10, 0, // Skip to: 2847
/* 2837 */    MCD::OPC_CheckField, 14, 5, 0, 128, 15, // Skip to: 6811
/* 2843 */    MCD::OPC_Decode, 146, 4, 43, // Opcode: FQTOD
/* 2847 */    MCD::OPC_FilterValue, 204, 1, 10, 0, // Skip to: 2862
/* 2852 */    MCD::OPC_CheckField, 14, 5, 0, 113, 15, // Skip to: 6811
/* 2858 */    MCD::OPC_Decode, 193, 3, 47, // Opcode: FITOQ
/* 2862 */    MCD::OPC_FilterValue, 205, 1, 10, 0, // Skip to: 2877
/* 2867 */    MCD::OPC_CheckField, 14, 5, 0, 98, 15, // Skip to: 6811
/* 2873 */    MCD::OPC_Decode, 168, 4, 47, // Opcode: FSTOQ
/* 2877 */    MCD::OPC_FilterValue, 206, 1, 10, 0, // Skip to: 2892
/* 2882 */    MCD::OPC_CheckField, 14, 5, 0, 83, 15, // Skip to: 6811
/* 2888 */    MCD::OPC_Decode, 184, 3, 45, // Opcode: FDTOQ
/* 2892 */    MCD::OPC_FilterValue, 209, 1, 10, 0, // Skip to: 2907
/* 2897 */    MCD::OPC_CheckField, 14, 5, 0, 68, 15, // Skip to: 6811
/* 2903 */    MCD::OPC_Decode, 167, 4, 34, // Opcode: FSTOI
/* 2907 */    MCD::OPC_FilterValue, 210, 1, 10, 0, // Skip to: 2922
/* 2912 */    MCD::OPC_CheckField, 14, 5, 0, 53, 15, // Skip to: 6811
/* 2918 */    MCD::OPC_Decode, 183, 3, 44, // Opcode: FDTOI
/* 2922 */    MCD::OPC_FilterValue, 211, 1, 44, 15, // Skip to: 6811
/* 2927 */    MCD::OPC_CheckField, 14, 5, 0, 38, 15, // Skip to: 6811
/* 2933 */    MCD::OPC_Decode, 147, 4, 46, // Opcode: FQTOI
/* 2937 */    MCD::OPC_FilterValue, 53, 131, 1, // Skip to: 3328
/* 2941 */    MCD::OPC_ExtractField, 5, 5,  // Inst{9-5} ...
/* 2944 */    MCD::OPC_FilterValue, 1, 82, 0, // Skip to: 3030
/* 2948 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 2951 */    MCD::OPC_FilterValue, 0, 36, 0, // Skip to: 2991
/* 2955 */    MCD::OPC_ExtractField, 10, 1,  // Inst{10} ...
/* 2958 */    MCD::OPC_FilterValue, 0, 9, 15, // Skip to: 6811
/* 2962 */    MCD::OPC_ExtractField, 18, 1,  // Inst{18} ...
/* 2965 */    MCD::OPC_FilterValue, 0, 2, 15, // Skip to: 6811
/* 2969 */    MCD::OPC_CheckPredicate, 0, 10, 0, // Skip to: 2983
/* 2973 */    MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 2983
/* 2979 */    MCD::OPC_Decode, 216, 3, 48, // Opcode: FMOVS_FCC
/* 2983 */    MCD::OPC_CheckPredicate, 0, 240, 14, // Skip to: 6811
/* 2987 */    MCD::OPC_Decode, 177, 6, 49, // Opcode: V9FMOVS_FCC
/* 2991 */    MCD::OPC_FilterValue, 1, 232, 14, // Skip to: 6811
/* 2995 */    MCD::OPC_ExtractField, 10, 3,  // Inst{12-10} ...
/* 2998 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 3016
/* 3002 */    MCD::OPC_CheckPredicate, 0, 221, 14, // Skip to: 6811
/* 3006 */    MCD::OPC_CheckField, 18, 1, 0, 215, 14, // Skip to: 6811
/* 3012 */    MCD::OPC_Decode, 217, 3, 48, // Opcode: FMOVS_ICC
/* 3016 */    MCD::OPC_FilterValue, 4, 207, 14, // Skip to: 6811
/* 3020 */    MCD::OPC_CheckField, 18, 1, 0, 201, 14, // Skip to: 6811
/* 3026 */    MCD::OPC_Decode, 218, 3, 48, // Opcode: FMOVS_XCC
/* 3030 */    MCD::OPC_FilterValue, 2, 82, 0, // Skip to: 3116
/* 3034 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 3037 */    MCD::OPC_FilterValue, 0, 36, 0, // Skip to: 3077
/* 3041 */    MCD::OPC_ExtractField, 10, 1,  // Inst{10} ...
/* 3044 */    MCD::OPC_FilterValue, 0, 179, 14, // Skip to: 6811
/* 3048 */    MCD::OPC_ExtractField, 18, 1,  // Inst{18} ...
/* 3051 */    MCD::OPC_FilterValue, 0, 172, 14, // Skip to: 6811
/* 3055 */    MCD::OPC_CheckPredicate, 0, 10, 0, // Skip to: 3069
/* 3059 */    MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 3069
/* 3065 */    MCD::OPC_Decode, 205, 3, 50, // Opcode: FMOVD_FCC
/* 3069 */    MCD::OPC_CheckPredicate, 0, 154, 14, // Skip to: 6811
/* 3073 */    MCD::OPC_Decode, 175, 6, 51, // Opcode: V9FMOVD_FCC
/* 3077 */    MCD::OPC_FilterValue, 1, 146, 14, // Skip to: 6811
/* 3081 */    MCD::OPC_ExtractField, 10, 3,  // Inst{12-10} ...
/* 3084 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 3102
/* 3088 */    MCD::OPC_CheckPredicate, 0, 135, 14, // Skip to: 6811
/* 3092 */    MCD::OPC_CheckField, 18, 1, 0, 129, 14, // Skip to: 6811
/* 3098 */    MCD::OPC_Decode, 206, 3, 50, // Opcode: FMOVD_ICC
/* 3102 */    MCD::OPC_FilterValue, 4, 121, 14, // Skip to: 6811
/* 3106 */    MCD::OPC_CheckField, 18, 1, 0, 115, 14, // Skip to: 6811
/* 3112 */    MCD::OPC_Decode, 207, 3, 50, // Opcode: FMOVD_XCC
/* 3116 */    MCD::OPC_FilterValue, 3, 82, 0, // Skip to: 3202
/* 3120 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 3123 */    MCD::OPC_FilterValue, 0, 36, 0, // Skip to: 3163
/* 3127 */    MCD::OPC_ExtractField, 10, 1,  // Inst{10} ...
/* 3130 */    MCD::OPC_FilterValue, 0, 93, 14, // Skip to: 6811
/* 3134 */    MCD::OPC_ExtractField, 18, 1,  // Inst{18} ...
/* 3137 */    MCD::OPC_FilterValue, 0, 86, 14, // Skip to: 6811
/* 3141 */    MCD::OPC_CheckPredicate, 0, 10, 0, // Skip to: 3155
/* 3145 */    MCD::OPC_CheckField, 11, 2, 0, 4, 0, // Skip to: 3155
/* 3151 */    MCD::OPC_Decode, 209, 3, 52, // Opcode: FMOVQ_FCC
/* 3155 */    MCD::OPC_CheckPredicate, 0, 68, 14, // Skip to: 6811
/* 3159 */    MCD::OPC_Decode, 176, 6, 53, // Opcode: V9FMOVQ_FCC
/* 3163 */    MCD::OPC_FilterValue, 1, 60, 14, // Skip to: 6811
/* 3167 */    MCD::OPC_ExtractField, 10, 3,  // Inst{12-10} ...
/* 3170 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 3188
/* 3174 */    MCD::OPC_CheckPredicate, 0, 49, 14, // Skip to: 6811
/* 3178 */    MCD::OPC_CheckField, 18, 1, 0, 43, 14, // Skip to: 6811
/* 3184 */    MCD::OPC_Decode, 210, 3, 52, // Opcode: FMOVQ_ICC
/* 3188 */    MCD::OPC_FilterValue, 4, 35, 14, // Skip to: 6811
/* 3192 */    MCD::OPC_CheckField, 18, 1, 0, 29, 14, // Skip to: 6811
/* 3198 */    MCD::OPC_Decode, 211, 3, 52, // Opcode: FMOVQ_XCC
/* 3202 */    MCD::OPC_FilterValue, 5, 10, 0, // Skip to: 3216
/* 3206 */    MCD::OPC_CheckField, 13, 1, 0, 15, 14, // Skip to: 6811
/* 3212 */    MCD::OPC_Decode, 214, 3, 54, // Opcode: FMOVRS
/* 3216 */    MCD::OPC_FilterValue, 6, 10, 0, // Skip to: 3230
/* 3220 */    MCD::OPC_CheckField, 13, 1, 0, 1, 14, // Skip to: 6811
/* 3226 */    MCD::OPC_Decode, 212, 3, 55, // Opcode: FMOVRD
/* 3230 */    MCD::OPC_FilterValue, 7, 10, 0, // Skip to: 3244
/* 3234 */    MCD::OPC_CheckField, 13, 1, 0, 243, 13, // Skip to: 6811
/* 3240 */    MCD::OPC_Decode, 213, 3, 56, // Opcode: FMOVRQ
/* 3244 */    MCD::OPC_FilterValue, 17, 10, 0, // Skip to: 3258
/* 3248 */    MCD::OPC_CheckField, 10, 4, 2, 229, 13, // Skip to: 6811
/* 3254 */    MCD::OPC_Decode, 174, 6, 57, // Opcode: V9FCMPS
/* 3258 */    MCD::OPC_FilterValue, 18, 10, 0, // Skip to: 3272
/* 3262 */    MCD::OPC_CheckField, 10, 4, 2, 215, 13, // Skip to: 6811
/* 3268 */    MCD::OPC_Decode, 169, 6, 58, // Opcode: V9FCMPD
/* 3272 */    MCD::OPC_FilterValue, 19, 10, 0, // Skip to: 3286
/* 3276 */    MCD::OPC_CheckField, 10, 4, 2, 201, 13, // Skip to: 6811
/* 3282 */    MCD::OPC_Decode, 173, 6, 59, // Opcode: V9FCMPQ
/* 3286 */    MCD::OPC_FilterValue, 21, 10, 0, // Skip to: 3300
/* 3290 */    MCD::OPC_CheckField, 10, 4, 2, 187, 13, // Skip to: 6811
/* 3296 */    MCD::OPC_Decode, 172, 6, 57, // Opcode: V9FCMPES
/* 3300 */    MCD::OPC_FilterValue, 22, 10, 0, // Skip to: 3314
/* 3304 */    MCD::OPC_CheckField, 10, 4, 2, 173, 13, // Skip to: 6811
/* 3310 */    MCD::OPC_Decode, 170, 6, 58, // Opcode: V9FCMPED
/* 3314 */    MCD::OPC_FilterValue, 23, 165, 13, // Skip to: 6811
/* 3318 */    MCD::OPC_CheckField, 10, 4, 2, 159, 13, // Skip to: 6811
/* 3324 */    MCD::OPC_Decode, 171, 6, 59, // Opcode: V9FCMPEQ
/* 3328 */    MCD::OPC_FilterValue, 54, 32, 6, // Skip to: 4900
/* 3332 */    MCD::OPC_ExtractField, 5, 9,  // Inst{13-5} ...
/* 3335 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 3347
/* 3339 */    MCD::OPC_CheckPredicate, 4, 140, 13, // Skip to: 6811
/* 3343 */    MCD::OPC_Decode, 143, 3, 11, // Opcode: EDGE8
/* 3347 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 3359
/* 3351 */    MCD::OPC_CheckPredicate, 5, 128, 13, // Skip to: 6811
/* 3355 */    MCD::OPC_Decode, 146, 3, 11, // Opcode: EDGE8N
/* 3359 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 3371
/* 3363 */    MCD::OPC_CheckPredicate, 4, 116, 13, // Skip to: 6811
/* 3367 */    MCD::OPC_Decode, 144, 3, 11, // Opcode: EDGE8L
/* 3371 */    MCD::OPC_FilterValue, 3, 8, 0, // Skip to: 3383
/* 3375 */    MCD::OPC_CheckPredicate, 5, 104, 13, // Skip to: 6811
/* 3379 */    MCD::OPC_Decode, 145, 3, 11, // Opcode: EDGE8LN
/* 3383 */    MCD::OPC_FilterValue, 4, 8, 0, // Skip to: 3395
/* 3387 */    MCD::OPC_CheckPredicate, 4, 92, 13, // Skip to: 6811
/* 3391 */    MCD::OPC_Decode, 135, 3, 11, // Opcode: EDGE16
/* 3395 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 3407
/* 3399 */    MCD::OPC_CheckPredicate, 5, 80, 13, // Skip to: 6811
/* 3403 */    MCD::OPC_Decode, 138, 3, 11, // Opcode: EDGE16N
/* 3407 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 3419
/* 3411 */    MCD::OPC_CheckPredicate, 4, 68, 13, // Skip to: 6811
/* 3415 */    MCD::OPC_Decode, 136, 3, 11, // Opcode: EDGE16L
/* 3419 */    MCD::OPC_FilterValue, 7, 8, 0, // Skip to: 3431
/* 3423 */    MCD::OPC_CheckPredicate, 5, 56, 13, // Skip to: 6811
/* 3427 */    MCD::OPC_Decode, 137, 3, 11, // Opcode: EDGE16LN
/* 3431 */    MCD::OPC_FilterValue, 8, 8, 0, // Skip to: 3443
/* 3435 */    MCD::OPC_CheckPredicate, 4, 44, 13, // Skip to: 6811
/* 3439 */    MCD::OPC_Decode, 139, 3, 11, // Opcode: EDGE32
/* 3443 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 3455
/* 3447 */    MCD::OPC_CheckPredicate, 5, 32, 13, // Skip to: 6811
/* 3451 */    MCD::OPC_Decode, 142, 3, 11, // Opcode: EDGE32N
/* 3455 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 3467
/* 3459 */    MCD::OPC_CheckPredicate, 4, 20, 13, // Skip to: 6811
/* 3463 */    MCD::OPC_Decode, 140, 3, 11, // Opcode: EDGE32L
/* 3467 */    MCD::OPC_FilterValue, 11, 8, 0, // Skip to: 3479
/* 3471 */    MCD::OPC_CheckPredicate, 5, 8, 13, // Skip to: 6811
/* 3475 */    MCD::OPC_Decode, 141, 3, 11, // Opcode: EDGE32LN
/* 3479 */    MCD::OPC_FilterValue, 16, 8, 0, // Skip to: 3491
/* 3483 */    MCD::OPC_CheckPredicate, 4, 252, 12, // Skip to: 6811
/* 3487 */    MCD::OPC_Decode, 223, 2, 11, // Opcode: ARRAY8
/* 3491 */    MCD::OPC_FilterValue, 17, 8, 0, // Skip to: 3503
/* 3495 */    MCD::OPC_CheckPredicate, 3, 240, 12, // Skip to: 6811
/* 3499 */    MCD::OPC_Decode, 206, 2, 11, // Opcode: ADDXC
/* 3503 */    MCD::OPC_FilterValue, 18, 8, 0, // Skip to: 3515
/* 3507 */    MCD::OPC_CheckPredicate, 4, 228, 12, // Skip to: 6811
/* 3511 */    MCD::OPC_Decode, 221, 2, 11, // Opcode: ARRAY16
/* 3515 */    MCD::OPC_FilterValue, 19, 8, 0, // Skip to: 3527
/* 3519 */    MCD::OPC_CheckPredicate, 3, 216, 12, // Skip to: 6811
/* 3523 */    MCD::OPC_Decode, 207, 2, 11, // Opcode: ADDXCCC
/* 3527 */    MCD::OPC_FilterValue, 20, 8, 0, // Skip to: 3539
/* 3531 */    MCD::OPC_CheckPredicate, 4, 204, 12, // Skip to: 6811
/* 3535 */    MCD::OPC_Decode, 222, 2, 11, // Opcode: ARRAY32
/* 3539 */    MCD::OPC_FilterValue, 22, 8, 0, // Skip to: 3551
/* 3543 */    MCD::OPC_CheckPredicate, 3, 192, 12, // Skip to: 6811
/* 3547 */    MCD::OPC_Decode, 165, 6, 11, // Opcode: UMULXHI
/* 3551 */    MCD::OPC_FilterValue, 23, 14, 0, // Skip to: 3569
/* 3555 */    MCD::OPC_CheckPredicate, 3, 180, 12, // Skip to: 6811
/* 3559 */    MCD::OPC_CheckField, 14, 5, 0, 174, 12, // Skip to: 6811
/* 3565 */    MCD::OPC_Decode, 245, 4, 60, // Opcode: LZCNT
/* 3569 */    MCD::OPC_FilterValue, 24, 8, 0, // Skip to: 3581
/* 3573 */    MCD::OPC_CheckPredicate, 4, 162, 12, // Skip to: 6811
/* 3577 */    MCD::OPC_Decode, 210, 2, 11, // Opcode: ALIGNADDR
/* 3581 */    MCD::OPC_FilterValue, 25, 8, 0, // Skip to: 3593
/* 3585 */    MCD::OPC_CheckPredicate, 5, 150, 12, // Skip to: 6811
/* 3589 */    MCD::OPC_Decode, 229, 2, 11, // Opcode: BMASK
/* 3593 */    MCD::OPC_FilterValue, 26, 8, 0, // Skip to: 3605
/* 3597 */    MCD::OPC_CheckPredicate, 4, 138, 12, // Skip to: 6811
/* 3601 */    MCD::OPC_Decode, 211, 2, 11, // Opcode: ALIGNADDRL
/* 3605 */    MCD::OPC_FilterValue, 27, 20, 0, // Skip to: 3629
/* 3609 */    MCD::OPC_CheckPredicate, 3, 126, 12, // Skip to: 6811
/* 3613 */    MCD::OPC_CheckField, 25, 5, 0, 120, 12, // Skip to: 6811
/* 3619 */    MCD::OPC_CheckField, 14, 5, 0, 114, 12, // Skip to: 6811
/* 3625 */    MCD::OPC_Decode, 131, 3, 61, // Opcode: CMASK8
/* 3629 */    MCD::OPC_FilterValue, 29, 20, 0, // Skip to: 3653
/* 3633 */    MCD::OPC_CheckPredicate, 3, 102, 12, // Skip to: 6811
/* 3637 */    MCD::OPC_CheckField, 25, 5, 0, 96, 12, // Skip to: 6811
/* 3643 */    MCD::OPC_CheckField, 14, 5, 0, 90, 12, // Skip to: 6811
/* 3649 */    MCD::OPC_Decode, 129, 3, 61, // Opcode: CMASK16
/* 3653 */    MCD::OPC_FilterValue, 31, 20, 0, // Skip to: 3677
/* 3657 */    MCD::OPC_CheckPredicate, 3, 78, 12, // Skip to: 6811
/* 3661 */    MCD::OPC_CheckField, 25, 5, 0, 72, 12, // Skip to: 6811
/* 3667 */    MCD::OPC_CheckField, 14, 5, 0, 66, 12, // Skip to: 6811
/* 3673 */    MCD::OPC_Decode, 130, 3, 61, // Opcode: CMASK32
/* 3677 */    MCD::OPC_FilterValue, 32, 8, 0, // Skip to: 3689
/* 3681 */    MCD::OPC_CheckPredicate, 4, 54, 12, // Skip to: 6811
/* 3685 */    MCD::OPC_Decode, 171, 3, 62, // Opcode: FCMPLE16
/* 3689 */    MCD::OPC_FilterValue, 33, 8, 0, // Skip to: 3701
/* 3693 */    MCD::OPC_CheckPredicate, 3, 42, 12, // Skip to: 6811
/* 3697 */    MCD::OPC_Decode, 152, 4, 38, // Opcode: FSLL16
/* 3701 */    MCD::OPC_FilterValue, 34, 8, 0, // Skip to: 3713
/* 3705 */    MCD::OPC_CheckPredicate, 4, 30, 12, // Skip to: 6811
/* 3709 */    MCD::OPC_Decode, 173, 3, 62, // Opcode: FCMPNE16
/* 3713 */    MCD::OPC_FilterValue, 35, 8, 0, // Skip to: 3725
/* 3717 */    MCD::OPC_CheckPredicate, 3, 18, 12, // Skip to: 6811
/* 3721 */    MCD::OPC_Decode, 164, 4, 38, // Opcode: FSRL16
/* 3725 */    MCD::OPC_FilterValue, 36, 8, 0, // Skip to: 3737
/* 3729 */    MCD::OPC_CheckPredicate, 4, 6, 12, // Skip to: 6811
/* 3733 */    MCD::OPC_Decode, 172, 3, 62, // Opcode: FCMPLE32
/* 3737 */    MCD::OPC_FilterValue, 37, 8, 0, // Skip to: 3749
/* 3741 */    MCD::OPC_CheckPredicate, 3, 250, 11, // Skip to: 6811
/* 3745 */    MCD::OPC_Decode, 153, 4, 38, // Opcode: FSLL32
/* 3749 */    MCD::OPC_FilterValue, 38, 8, 0, // Skip to: 3761
/* 3753 */    MCD::OPC_CheckPredicate, 4, 238, 11, // Skip to: 6811
/* 3757 */    MCD::OPC_Decode, 174, 3, 62, // Opcode: FCMPNE32
/* 3761 */    MCD::OPC_FilterValue, 39, 8, 0, // Skip to: 3773
/* 3765 */    MCD::OPC_CheckPredicate, 3, 226, 11, // Skip to: 6811
/* 3769 */    MCD::OPC_Decode, 165, 4, 38, // Opcode: FSRL32
/* 3773 */    MCD::OPC_FilterValue, 40, 8, 0, // Skip to: 3785
/* 3777 */    MCD::OPC_CheckPredicate, 4, 214, 11, // Skip to: 6811
/* 3781 */    MCD::OPC_Decode, 169, 3, 62, // Opcode: FCMPGT16
/* 3785 */    MCD::OPC_FilterValue, 41, 8, 0, // Skip to: 3797
/* 3789 */    MCD::OPC_CheckPredicate, 3, 202, 11, // Skip to: 6811
/* 3793 */    MCD::OPC_Decode, 150, 4, 38, // Opcode: FSLAS16
/* 3797 */    MCD::OPC_FilterValue, 42, 8, 0, // Skip to: 3809
/* 3801 */    MCD::OPC_CheckPredicate, 4, 190, 11, // Skip to: 6811
/* 3805 */    MCD::OPC_Decode, 167, 3, 62, // Opcode: FCMPEQ16
/* 3809 */    MCD::OPC_FilterValue, 43, 8, 0, // Skip to: 3821
/* 3813 */    MCD::OPC_CheckPredicate, 3, 178, 11, // Skip to: 6811
/* 3817 */    MCD::OPC_Decode, 158, 4, 38, // Opcode: FSRA16
/* 3821 */    MCD::OPC_FilterValue, 44, 8, 0, // Skip to: 3833
/* 3825 */    MCD::OPC_CheckPredicate, 4, 166, 11, // Skip to: 6811
/* 3829 */    MCD::OPC_Decode, 170, 3, 62, // Opcode: FCMPGT32
/* 3833 */    MCD::OPC_FilterValue, 45, 8, 0, // Skip to: 3845
/* 3837 */    MCD::OPC_CheckPredicate, 3, 154, 11, // Skip to: 6811
/* 3841 */    MCD::OPC_Decode, 151, 4, 38, // Opcode: FSLAS32
/* 3845 */    MCD::OPC_FilterValue, 46, 8, 0, // Skip to: 3857
/* 3849 */    MCD::OPC_CheckPredicate, 4, 142, 11, // Skip to: 6811
/* 3853 */    MCD::OPC_Decode, 168, 3, 62, // Opcode: FCMPEQ32
/* 3857 */    MCD::OPC_FilterValue, 47, 8, 0, // Skip to: 3869
/* 3861 */    MCD::OPC_CheckPredicate, 3, 130, 11, // Skip to: 6811
/* 3865 */    MCD::OPC_Decode, 159, 4, 38, // Opcode: FSRA32
/* 3869 */    MCD::OPC_FilterValue, 49, 8, 0, // Skip to: 3881
/* 3873 */    MCD::OPC_CheckPredicate, 4, 118, 11, // Skip to: 6811
/* 3877 */    MCD::OPC_Decode, 223, 3, 63, // Opcode: FMUL8X16
/* 3881 */    MCD::OPC_FilterValue, 51, 8, 0, // Skip to: 3893
/* 3885 */    MCD::OPC_CheckPredicate, 4, 106, 11, // Skip to: 6811
/* 3889 */    MCD::OPC_Decode, 225, 3, 40, // Opcode: FMUL8X16AU
/* 3893 */    MCD::OPC_FilterValue, 53, 8, 0, // Skip to: 3905
/* 3897 */    MCD::OPC_CheckPredicate, 4, 94, 11, // Skip to: 6811
/* 3901 */    MCD::OPC_Decode, 224, 3, 40, // Opcode: FMUL8X16AL
/* 3905 */    MCD::OPC_FilterValue, 54, 8, 0, // Skip to: 3917
/* 3909 */    MCD::OPC_CheckPredicate, 4, 82, 11, // Skip to: 6811
/* 3913 */    MCD::OPC_Decode, 221, 3, 38, // Opcode: FMUL8SUX16
/* 3917 */    MCD::OPC_FilterValue, 55, 8, 0, // Skip to: 3929
/* 3921 */    MCD::OPC_CheckPredicate, 4, 70, 11, // Skip to: 6811
/* 3925 */    MCD::OPC_Decode, 222, 3, 38, // Opcode: FMUL8ULX16
/* 3929 */    MCD::OPC_FilterValue, 56, 8, 0, // Skip to: 3941
/* 3933 */    MCD::OPC_CheckPredicate, 4, 58, 11, // Skip to: 6811
/* 3937 */    MCD::OPC_Decode, 227, 3, 40, // Opcode: FMULD8SUX16
/* 3941 */    MCD::OPC_FilterValue, 57, 8, 0, // Skip to: 3953
/* 3945 */    MCD::OPC_CheckPredicate, 4, 46, 11, // Skip to: 6811
/* 3949 */    MCD::OPC_Decode, 228, 3, 40, // Opcode: FMULD8ULX16
/* 3953 */    MCD::OPC_FilterValue, 58, 8, 0, // Skip to: 3965
/* 3957 */    MCD::OPC_CheckPredicate, 4, 34, 11, // Skip to: 6811
/* 3961 */    MCD::OPC_Decode, 134, 4, 38, // Opcode: FPACK32
/* 3965 */    MCD::OPC_FilterValue, 59, 14, 0, // Skip to: 3983
/* 3969 */    MCD::OPC_CheckPredicate, 4, 22, 11, // Skip to: 6811
/* 3973 */    MCD::OPC_CheckField, 14, 5, 0, 16, 11, // Skip to: 6811
/* 3979 */    MCD::OPC_Decode, 133, 4, 35, // Opcode: FPACK16
/* 3983 */    MCD::OPC_FilterValue, 61, 14, 0, // Skip to: 4001
/* 3987 */    MCD::OPC_CheckPredicate, 4, 4, 11, // Skip to: 6811
/* 3991 */    MCD::OPC_CheckField, 14, 5, 0, 254, 10, // Skip to: 6811
/* 3997 */    MCD::OPC_Decode, 135, 4, 44, // Opcode: FPACKFIX
/* 4001 */    MCD::OPC_FilterValue, 62, 8, 0, // Skip to: 4013
/* 4005 */    MCD::OPC_CheckPredicate, 4, 242, 10, // Skip to: 6811
/* 4009 */    MCD::OPC_Decode, 147, 5, 38, // Opcode: PDIST
/* 4013 */    MCD::OPC_FilterValue, 63, 8, 0, // Skip to: 4025
/* 4017 */    MCD::OPC_CheckPredicate, 3, 230, 10, // Skip to: 6811
/* 4021 */    MCD::OPC_Decode, 148, 5, 62, // Opcode: PDISTN
/* 4025 */    MCD::OPC_FilterValue, 64, 8, 0, // Skip to: 4037
/* 4029 */    MCD::OPC_CheckPredicate, 3, 218, 10, // Skip to: 6811
/* 4033 */    MCD::OPC_Decode, 203, 3, 38, // Opcode: FMEAN16
/* 4037 */    MCD::OPC_FilterValue, 66, 8, 0, // Skip to: 4049
/* 4041 */    MCD::OPC_CheckPredicate, 3, 206, 10, // Skip to: 6811
/* 4045 */    MCD::OPC_Decode, 140, 4, 38, // Opcode: FPADD64
/* 4049 */    MCD::OPC_FilterValue, 68, 8, 0, // Skip to: 4061
/* 4053 */    MCD::OPC_CheckPredicate, 3, 194, 10, // Skip to: 6811
/* 4057 */    MCD::OPC_Decode, 164, 3, 38, // Opcode: FCHKSM16
/* 4061 */    MCD::OPC_FilterValue, 72, 8, 0, // Skip to: 4073
/* 4065 */    MCD::OPC_CheckPredicate, 4, 182, 10, // Skip to: 6811
/* 4069 */    MCD::OPC_Decode, 153, 3, 38, // Opcode: FALIGNADATA
/* 4073 */    MCD::OPC_FilterValue, 75, 8, 0, // Skip to: 4085
/* 4077 */    MCD::OPC_CheckPredicate, 4, 170, 10, // Skip to: 6811
/* 4081 */    MCD::OPC_Decode, 141, 4, 40, // Opcode: FPMERGE
/* 4085 */    MCD::OPC_FilterValue, 76, 8, 0, // Skip to: 4097
/* 4089 */    MCD::OPC_CheckPredicate, 5, 158, 10, // Skip to: 6811
/* 4093 */    MCD::OPC_Decode, 246, 2, 38, // Opcode: BSHUFFLE
/* 4097 */    MCD::OPC_FilterValue, 77, 14, 0, // Skip to: 4115
/* 4101 */    MCD::OPC_CheckPredicate, 4, 146, 10, // Skip to: 6811
/* 4105 */    MCD::OPC_CheckField, 14, 5, 0, 140, 10, // Skip to: 6811
/* 4111 */    MCD::OPC_Decode, 187, 3, 42, // Opcode: FEXPAND
/* 4115 */    MCD::OPC_FilterValue, 80, 8, 0, // Skip to: 4127
/* 4119 */    MCD::OPC_CheckPredicate, 4, 128, 10, // Skip to: 6811
/* 4123 */    MCD::OPC_Decode, 136, 4, 38, // Opcode: FPADD16
/* 4127 */    MCD::OPC_FilterValue, 81, 8, 0, // Skip to: 4139
/* 4131 */    MCD::OPC_CheckPredicate, 4, 116, 10, // Skip to: 6811
/* 4135 */    MCD::OPC_Decode, 137, 4, 37, // Opcode: FPADD16S
/* 4139 */    MCD::OPC_FilterValue, 82, 8, 0, // Skip to: 4151
/* 4143 */    MCD::OPC_CheckPredicate, 4, 104, 10, // Skip to: 6811
/* 4147 */    MCD::OPC_Decode, 138, 4, 38, // Opcode: FPADD32
/* 4151 */    MCD::OPC_FilterValue, 83, 8, 0, // Skip to: 4163
/* 4155 */    MCD::OPC_CheckPredicate, 4, 92, 10, // Skip to: 6811
/* 4159 */    MCD::OPC_Decode, 139, 4, 37, // Opcode: FPADD32S
/* 4163 */    MCD::OPC_FilterValue, 84, 8, 0, // Skip to: 4175
/* 4167 */    MCD::OPC_CheckPredicate, 4, 80, 10, // Skip to: 6811
/* 4171 */    MCD::OPC_Decode, 142, 4, 38, // Opcode: FPSUB16
/* 4175 */    MCD::OPC_FilterValue, 85, 8, 0, // Skip to: 4187
/* 4179 */    MCD::OPC_CheckPredicate, 4, 68, 10, // Skip to: 6811
/* 4183 */    MCD::OPC_Decode, 143, 4, 37, // Opcode: FPSUB16S
/* 4187 */    MCD::OPC_FilterValue, 86, 8, 0, // Skip to: 4199
/* 4191 */    MCD::OPC_CheckPredicate, 4, 56, 10, // Skip to: 6811
/* 4195 */    MCD::OPC_Decode, 144, 4, 38, // Opcode: FPSUB32
/* 4199 */    MCD::OPC_FilterValue, 87, 8, 0, // Skip to: 4211
/* 4203 */    MCD::OPC_CheckPredicate, 4, 44, 10, // Skip to: 6811
/* 4207 */    MCD::OPC_Decode, 145, 4, 37, // Opcode: FPSUB32S
/* 4211 */    MCD::OPC_FilterValue, 96, 20, 0, // Skip to: 4235
/* 4215 */    MCD::OPC_CheckPredicate, 4, 32, 10, // Skip to: 6811
/* 4219 */    MCD::OPC_CheckField, 14, 5, 0, 26, 10, // Skip to: 6811
/* 4225 */    MCD::OPC_CheckField, 0, 5, 0, 20, 10, // Skip to: 6811
/* 4231 */    MCD::OPC_Decode, 180, 4, 64, // Opcode: FZERO
/* 4235 */    MCD::OPC_FilterValue, 97, 20, 0, // Skip to: 4259
/* 4239 */    MCD::OPC_CheckPredicate, 4, 8, 10, // Skip to: 6811
/* 4243 */    MCD::OPC_CheckField, 14, 5, 0, 2, 10, // Skip to: 6811
/* 4249 */    MCD::OPC_CheckField, 0, 5, 0, 252, 9, // Skip to: 6811
/* 4255 */    MCD::OPC_Decode, 181, 4, 65, // Opcode: FZEROS
/* 4259 */    MCD::OPC_FilterValue, 98, 8, 0, // Skip to: 4271
/* 4263 */    MCD::OPC_CheckPredicate, 4, 240, 9, // Skip to: 6811
/* 4267 */    MCD::OPC_Decode, 246, 3, 38, // Opcode: FNOR
/* 4271 */    MCD::OPC_FilterValue, 99, 8, 0, // Skip to: 4283
/* 4275 */    MCD::OPC_CheckPredicate, 4, 228, 9, // Skip to: 6811
/* 4279 */    MCD::OPC_Decode, 247, 3, 37, // Opcode: FNORS
/* 4283 */    MCD::OPC_FilterValue, 100, 8, 0, // Skip to: 4295
/* 4287 */    MCD::OPC_CheckPredicate, 4, 216, 9, // Skip to: 6811
/* 4291 */    MCD::OPC_Decode, 157, 3, 38, // Opcode: FANDNOT2
/* 4295 */    MCD::OPC_FilterValue, 101, 8, 0, // Skip to: 4307
/* 4299 */    MCD::OPC_CheckPredicate, 4, 204, 9, // Skip to: 6811
/* 4303 */    MCD::OPC_Decode, 158, 3, 37, // Opcode: FANDNOT2S
/* 4307 */    MCD::OPC_FilterValue, 102, 14, 0, // Skip to: 4325
/* 4311 */    MCD::OPC_CheckPredicate, 4, 192, 9, // Skip to: 6811
/* 4315 */    MCD::OPC_CheckField, 14, 5, 0, 186, 9, // Skip to: 6811
/* 4321 */    MCD::OPC_Decode, 250, 3, 35, // Opcode: FNOT2
/* 4325 */    MCD::OPC_FilterValue, 103, 14, 0, // Skip to: 4343
/* 4329 */    MCD::OPC_CheckPredicate, 4, 174, 9, // Skip to: 6811
/* 4333 */    MCD::OPC_CheckField, 14, 5, 0, 168, 9, // Skip to: 6811
/* 4339 */    MCD::OPC_Decode, 251, 3, 34, // Opcode: FNOT2S
/* 4343 */    MCD::OPC_FilterValue, 104, 8, 0, // Skip to: 4355
/* 4347 */    MCD::OPC_CheckPredicate, 4, 156, 9, // Skip to: 6811
/* 4351 */    MCD::OPC_Decode, 155, 3, 38, // Opcode: FANDNOT1
/* 4355 */    MCD::OPC_FilterValue, 105, 8, 0, // Skip to: 4367
/* 4359 */    MCD::OPC_CheckPredicate, 4, 144, 9, // Skip to: 6811
/* 4363 */    MCD::OPC_Decode, 156, 3, 37, // Opcode: FANDNOT1S
/* 4367 */    MCD::OPC_FilterValue, 106, 14, 0, // Skip to: 4385
/* 4371 */    MCD::OPC_CheckPredicate, 4, 132, 9, // Skip to: 6811
/* 4375 */    MCD::OPC_CheckField, 0, 5, 0, 126, 9, // Skip to: 6811
/* 4381 */    MCD::OPC_Decode, 248, 3, 66, // Opcode: FNOT1
/* 4385 */    MCD::OPC_FilterValue, 107, 14, 0, // Skip to: 4403
/* 4389 */    MCD::OPC_CheckPredicate, 4, 114, 9, // Skip to: 6811
/* 4393 */    MCD::OPC_CheckField, 0, 5, 0, 108, 9, // Skip to: 6811
/* 4399 */    MCD::OPC_Decode, 249, 3, 67, // Opcode: FNOT1S
/* 4403 */    MCD::OPC_FilterValue, 108, 8, 0, // Skip to: 4415
/* 4407 */    MCD::OPC_CheckPredicate, 4, 96, 9, // Skip to: 6811
/* 4411 */    MCD::OPC_Decode, 175, 4, 38, // Opcode: FXOR
/* 4415 */    MCD::OPC_FilterValue, 109, 8, 0, // Skip to: 4427
/* 4419 */    MCD::OPC_CheckPredicate, 4, 84, 9, // Skip to: 6811
/* 4423 */    MCD::OPC_Decode, 176, 4, 37, // Opcode: FXORS
/* 4427 */    MCD::OPC_FilterValue, 110, 8, 0, // Skip to: 4439
/* 4431 */    MCD::OPC_CheckPredicate, 4, 72, 9, // Skip to: 6811
/* 4435 */    MCD::OPC_Decode, 233, 3, 38, // Opcode: FNAND
/* 4439 */    MCD::OPC_FilterValue, 111, 8, 0, // Skip to: 4451
/* 4443 */    MCD::OPC_CheckPredicate, 4, 60, 9, // Skip to: 6811
/* 4447 */    MCD::OPC_Decode, 234, 3, 37, // Opcode: FNANDS
/* 4451 */    MCD::OPC_FilterValue, 112, 8, 0, // Skip to: 4463
/* 4455 */    MCD::OPC_CheckPredicate, 4, 48, 9, // Skip to: 6811
/* 4459 */    MCD::OPC_Decode, 154, 3, 38, // Opcode: FAND
/* 4463 */    MCD::OPC_FilterValue, 113, 8, 0, // Skip to: 4475
/* 4467 */    MCD::OPC_CheckPredicate, 4, 36, 9, // Skip to: 6811
/* 4471 */    MCD::OPC_Decode, 159, 3, 37, // Opcode: FANDS
/* 4475 */    MCD::OPC_FilterValue, 114, 8, 0, // Skip to: 4487
/* 4479 */    MCD::OPC_CheckPredicate, 4, 24, 9, // Skip to: 6811
/* 4483 */    MCD::OPC_Decode, 173, 4, 38, // Opcode: FXNOR
/* 4487 */    MCD::OPC_FilterValue, 115, 8, 0, // Skip to: 4499
/* 4491 */    MCD::OPC_CheckPredicate, 4, 12, 9, // Skip to: 6811
/* 4495 */    MCD::OPC_Decode, 174, 4, 37, // Opcode: FXNORS
/* 4499 */    MCD::OPC_FilterValue, 116, 14, 0, // Skip to: 4517
/* 4503 */    MCD::OPC_CheckPredicate, 4, 0, 9, // Skip to: 6811
/* 4507 */    MCD::OPC_CheckField, 0, 5, 0, 250, 8, // Skip to: 6811
/* 4513 */    MCD::OPC_Decode, 160, 4, 66, // Opcode: FSRC1
/* 4517 */    MCD::OPC_FilterValue, 117, 14, 0, // Skip to: 4535
/* 4521 */    MCD::OPC_CheckPredicate, 4, 238, 8, // Skip to: 6811
/* 4525 */    MCD::OPC_CheckField, 0, 5, 0, 232, 8, // Skip to: 6811
/* 4531 */    MCD::OPC_Decode, 161, 4, 67, // Opcode: FSRC1S
/* 4535 */    MCD::OPC_FilterValue, 118, 8, 0, // Skip to: 4547
/* 4539 */    MCD::OPC_CheckPredicate, 4, 220, 8, // Skip to: 6811
/* 4543 */    MCD::OPC_Decode, 130, 4, 38, // Opcode: FORNOT2
/* 4547 */    MCD::OPC_FilterValue, 119, 8, 0, // Skip to: 4559
/* 4551 */    MCD::OPC_CheckPredicate, 4, 208, 8, // Skip to: 6811
/* 4555 */    MCD::OPC_Decode, 131, 4, 37, // Opcode: FORNOT2S
/* 4559 */    MCD::OPC_FilterValue, 120, 14, 0, // Skip to: 4577
/* 4563 */    MCD::OPC_CheckPredicate, 4, 196, 8, // Skip to: 6811
/* 4567 */    MCD::OPC_CheckField, 14, 5, 0, 190, 8, // Skip to: 6811
/* 4573 */    MCD::OPC_Decode, 162, 4, 35, // Opcode: FSRC2
/* 4577 */    MCD::OPC_FilterValue, 121, 14, 0, // Skip to: 4595
/* 4581 */    MCD::OPC_CheckPredicate, 4, 178, 8, // Skip to: 6811
/* 4585 */    MCD::OPC_CheckField, 14, 5, 0, 172, 8, // Skip to: 6811
/* 4591 */    MCD::OPC_Decode, 163, 4, 34, // Opcode: FSRC2S
/* 4595 */    MCD::OPC_FilterValue, 122, 8, 0, // Skip to: 4607
/* 4599 */    MCD::OPC_CheckPredicate, 4, 160, 8, // Skip to: 6811
/* 4603 */    MCD::OPC_Decode, 128, 4, 38, // Opcode: FORNOT1
/* 4607 */    MCD::OPC_FilterValue, 123, 8, 0, // Skip to: 4619
/* 4611 */    MCD::OPC_CheckPredicate, 4, 148, 8, // Skip to: 6811
/* 4615 */    MCD::OPC_Decode, 129, 4, 37, // Opcode: FORNOT1S
/* 4619 */    MCD::OPC_FilterValue, 124, 8, 0, // Skip to: 4631
/* 4623 */    MCD::OPC_CheckPredicate, 4, 136, 8, // Skip to: 6811
/* 4627 */    MCD::OPC_Decode, 255, 3, 38, // Opcode: FOR
/* 4631 */    MCD::OPC_FilterValue, 125, 8, 0, // Skip to: 4643
/* 4635 */    MCD::OPC_CheckPredicate, 4, 124, 8, // Skip to: 6811
/* 4639 */    MCD::OPC_Decode, 132, 4, 37, // Opcode: FORS
/* 4643 */    MCD::OPC_FilterValue, 126, 20, 0, // Skip to: 4667
/* 4647 */    MCD::OPC_CheckPredicate, 4, 112, 8, // Skip to: 6811
/* 4651 */    MCD::OPC_CheckField, 14, 5, 0, 106, 8, // Skip to: 6811
/* 4657 */    MCD::OPC_CheckField, 0, 5, 0, 100, 8, // Skip to: 6811
/* 4663 */    MCD::OPC_Decode, 253, 3, 64, // Opcode: FONE
/* 4667 */    MCD::OPC_FilterValue, 127, 20, 0, // Skip to: 4691
/* 4671 */    MCD::OPC_CheckPredicate, 4, 88, 8, // Skip to: 6811
/* 4675 */    MCD::OPC_CheckField, 14, 5, 0, 82, 8, // Skip to: 6811
/* 4681 */    MCD::OPC_CheckField, 0, 5, 0, 76, 8, // Skip to: 6811
/* 4687 */    MCD::OPC_Decode, 254, 3, 65, // Opcode: FONES
/* 4691 */    MCD::OPC_FilterValue, 128, 1, 26, 0, // Skip to: 4722
/* 4696 */    MCD::OPC_CheckPredicate, 4, 63, 8, // Skip to: 6811
/* 4700 */    MCD::OPC_CheckField, 25, 5, 0, 57, 8, // Skip to: 6811
/* 4706 */    MCD::OPC_CheckField, 14, 5, 0, 51, 8, // Skip to: 6811
/* 4712 */    MCD::OPC_CheckField, 0, 5, 0, 45, 8, // Skip to: 6811
/* 4718 */    MCD::OPC_Decode, 180, 5, 5, // Opcode: SHUTDOWN
/* 4722 */    MCD::OPC_FilterValue, 129, 1, 26, 0, // Skip to: 4753
/* 4727 */    MCD::OPC_CheckPredicate, 5, 32, 8, // Skip to: 6811
/* 4731 */    MCD::OPC_CheckField, 25, 5, 0, 26, 8, // Skip to: 6811
/* 4737 */    MCD::OPC_CheckField, 14, 5, 0, 20, 8, // Skip to: 6811
/* 4743 */    MCD::OPC_CheckField, 3, 2, 0, 14, 8, // Skip to: 6811
/* 4749 */    MCD::OPC_Decode, 181, 5, 68, // Opcode: SIAM
/* 4753 */    MCD::OPC_FilterValue, 144, 2, 14, 0, // Skip to: 4772
/* 4758 */    MCD::OPC_CheckPredicate, 3, 1, 8, // Skip to: 6811
/* 4762 */    MCD::OPC_CheckField, 14, 5, 0, 251, 7, // Skip to: 6811
/* 4768 */    MCD::OPC_Decode, 247, 4, 69, // Opcode: MOVDTOX
/* 4772 */    MCD::OPC_FilterValue, 145, 2, 14, 0, // Skip to: 4791
/* 4777 */    MCD::OPC_CheckPredicate, 3, 238, 7, // Skip to: 6811
/* 4781 */    MCD::OPC_CheckField, 14, 5, 0, 232, 7, // Skip to: 6811
/* 4787 */    MCD::OPC_Decode, 255, 4, 70, // Opcode: MOVSTOUW
/* 4791 */    MCD::OPC_FilterValue, 147, 2, 14, 0, // Skip to: 4810
/* 4796 */    MCD::OPC_CheckPredicate, 3, 219, 7, // Skip to: 6811
/* 4800 */    MCD::OPC_CheckField, 14, 5, 0, 213, 7, // Skip to: 6811
/* 4806 */    MCD::OPC_Decode, 254, 4, 70, // Opcode: MOVSTOSW
/* 4810 */    MCD::OPC_FilterValue, 149, 2, 8, 0, // Skip to: 4823
/* 4815 */    MCD::OPC_CheckPredicate, 3, 200, 7, // Skip to: 6811
/* 4819 */    MCD::OPC_Decode, 190, 6, 11, // Opcode: XMULX
/* 4823 */    MCD::OPC_FilterValue, 150, 2, 8, 0, // Skip to: 4836
/* 4828 */    MCD::OPC_CheckPredicate, 3, 187, 7, // Skip to: 6811
/* 4832 */    MCD::OPC_Decode, 191, 6, 11, // Opcode: XMULXHI
/* 4836 */    MCD::OPC_FilterValue, 152, 2, 14, 0, // Skip to: 4855
/* 4841 */    MCD::OPC_CheckPredicate, 3, 174, 7, // Skip to: 6811
/* 4845 */    MCD::OPC_CheckField, 14, 5, 0, 168, 7, // Skip to: 6811
/* 4851 */    MCD::OPC_Decode, 131, 5, 71, // Opcode: MOVXTOD
/* 4855 */    MCD::OPC_FilterValue, 153, 2, 14, 0, // Skip to: 4874
/* 4860 */    MCD::OPC_CheckPredicate, 3, 155, 7, // Skip to: 6811
/* 4864 */    MCD::OPC_CheckField, 14, 5, 0, 149, 7, // Skip to: 6811
/* 4870 */    MCD::OPC_Decode, 128, 5, 72, // Opcode: MOVWTOS
/* 4874 */    MCD::OPC_FilterValue, 209, 2, 8, 0, // Skip to: 4887
/* 4879 */    MCD::OPC_CheckPredicate, 3, 136, 7, // Skip to: 6811
/* 4883 */    MCD::OPC_Decode, 196, 3, 57, // Opcode: FLCMPS
/* 4887 */    MCD::OPC_FilterValue, 210, 2, 127, 7, // Skip to: 6811
/* 4892 */    MCD::OPC_CheckPredicate, 3, 123, 7, // Skip to: 6811
/* 4896 */    MCD::OPC_Decode, 195, 3, 58, // Opcode: FLCMPD
/* 4900 */    MCD::OPC_FilterValue, 55, 99, 0, // Skip to: 5003
/* 4904 */    MCD::OPC_ExtractField, 5, 4,  // Inst{8-5} ...
/* 4907 */    MCD::OPC_FilterValue, 1, 8, 0, // Skip to: 4919
/* 4911 */    MCD::OPC_CheckPredicate, 6, 104, 7, // Skip to: 6811
/* 4915 */    MCD::OPC_Decode, 202, 3, 73, // Opcode: FMADDS
/* 4919 */    MCD::OPC_FilterValue, 2, 8, 0, // Skip to: 4931
/* 4923 */    MCD::OPC_CheckPredicate, 6, 92, 7, // Skip to: 6811
/* 4927 */    MCD::OPC_Decode, 201, 3, 74, // Opcode: FMADDD
/* 4931 */    MCD::OPC_FilterValue, 5, 8, 0, // Skip to: 4943
/* 4935 */    MCD::OPC_CheckPredicate, 6, 80, 7, // Skip to: 6811
/* 4939 */    MCD::OPC_Decode, 220, 3, 73, // Opcode: FMSUBS
/* 4943 */    MCD::OPC_FilterValue, 6, 8, 0, // Skip to: 4955
/* 4947 */    MCD::OPC_CheckPredicate, 6, 68, 7, // Skip to: 6811
/* 4951 */    MCD::OPC_Decode, 219, 3, 74, // Opcode: FMSUBD
/* 4955 */    MCD::OPC_FilterValue, 9, 8, 0, // Skip to: 4967
/* 4959 */    MCD::OPC_CheckPredicate, 6, 56, 7, // Skip to: 6811
/* 4963 */    MCD::OPC_Decode, 243, 3, 73, // Opcode: FNMSUBS
/* 4967 */    MCD::OPC_FilterValue, 10, 8, 0, // Skip to: 4979
/* 4971 */    MCD::OPC_CheckPredicate, 6, 44, 7, // Skip to: 6811
/* 4975 */    MCD::OPC_Decode, 242, 3, 74, // Opcode: FNMSUBD
/* 4979 */    MCD::OPC_FilterValue, 13, 8, 0, // Skip to: 4991
/* 4983 */    MCD::OPC_CheckPredicate, 6, 32, 7, // Skip to: 6811
/* 4987 */    MCD::OPC_Decode, 241, 3, 73, // Opcode: FNMADDS
/* 4991 */    MCD::OPC_FilterValue, 14, 24, 7, // Skip to: 6811
/* 4995 */    MCD::OPC_CheckPredicate, 6, 20, 7, // Skip to: 6811
/* 4999 */    MCD::OPC_Decode, 240, 3, 74, // Opcode: FNMADDD
/* 5003 */    MCD::OPC_FilterValue, 56, 25, 0, // Skip to: 5032
/* 5007 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5010 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5024
/* 5014 */    MCD::OPC_CheckField, 5, 8, 0, 255, 6, // Skip to: 6811
/* 5020 */    MCD::OPC_Decode, 186, 4, 75, // Opcode: JMPLrr
/* 5024 */    MCD::OPC_FilterValue, 1, 247, 6, // Skip to: 6811
/* 5028 */    MCD::OPC_Decode, 185, 4, 76, // Opcode: JMPLri
/* 5032 */    MCD::OPC_FilterValue, 57, 37, 0, // Skip to: 5073
/* 5036 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5039 */    MCD::OPC_FilterValue, 0, 16, 0, // Skip to: 5059
/* 5043 */    MCD::OPC_CheckField, 25, 5, 0, 226, 6, // Skip to: 6811
/* 5049 */    MCD::OPC_CheckField, 5, 8, 0, 220, 6, // Skip to: 6811
/* 5055 */    MCD::OPC_Decode, 169, 5, 77, // Opcode: RETTrr
/* 5059 */    MCD::OPC_FilterValue, 1, 212, 6, // Skip to: 6811
/* 5063 */    MCD::OPC_CheckField, 25, 5, 0, 206, 6, // Skip to: 6811
/* 5069 */    MCD::OPC_Decode, 168, 5, 78, // Opcode: RETTri
/* 5073 */    MCD::OPC_FilterValue, 58, 104, 0, // Skip to: 5181
/* 5077 */    MCD::OPC_ExtractField, 8, 6,  // Inst{13-8} ...
/* 5080 */    MCD::OPC_FilterValue, 16, 16, 0, // Skip to: 5100
/* 5084 */    MCD::OPC_CheckField, 29, 1, 0, 185, 6, // Skip to: 6811
/* 5090 */    MCD::OPC_CheckField, 5, 3, 0, 179, 6, // Skip to: 6811
/* 5096 */    MCD::OPC_Decode, 154, 6, 79, // Opcode: TXCCrr
/* 5100 */    MCD::OPC_FilterValue, 32, 63, 0, // Skip to: 5167
/* 5104 */    MCD::OPC_ExtractField, 0, 8,  // Inst{7-0} ...
/* 5107 */    MCD::OPC_FilterValue, 1, 16, 0, // Skip to: 5127
/* 5111 */    MCD::OPC_CheckField, 25, 5, 8, 158, 6, // Skip to: 6811
/* 5117 */    MCD::OPC_CheckField, 14, 5, 0, 152, 6, // Skip to: 6811
/* 5123 */    MCD::OPC_Decode, 132, 6, 5, // Opcode: TA1
/* 5127 */    MCD::OPC_FilterValue, 3, 16, 0, // Skip to: 5147
/* 5131 */    MCD::OPC_CheckField, 25, 5, 8, 138, 6, // Skip to: 6811
/* 5137 */    MCD::OPC_CheckField, 14, 5, 0, 132, 6, // Skip to: 6811
/* 5143 */    MCD::OPC_Decode, 133, 6, 5, // Opcode: TA3
/* 5147 */    MCD::OPC_FilterValue, 5, 124, 6, // Skip to: 6811
/* 5151 */    MCD::OPC_CheckField, 25, 5, 8, 118, 6, // Skip to: 6811
/* 5157 */    MCD::OPC_CheckField, 14, 5, 0, 112, 6, // Skip to: 6811
/* 5163 */    MCD::OPC_Decode, 134, 6, 5, // Opcode: TA5
/* 5167 */    MCD::OPC_FilterValue, 48, 104, 6, // Skip to: 6811
/* 5171 */    MCD::OPC_CheckField, 29, 1, 0, 98, 6, // Skip to: 6811
/* 5177 */    MCD::OPC_Decode, 153, 6, 80, // Opcode: TXCCri
/* 5181 */    MCD::OPC_FilterValue, 59, 55, 0, // Skip to: 5240
/* 5185 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5188 */    MCD::OPC_FilterValue, 0, 34, 0, // Skip to: 5226
/* 5192 */    MCD::OPC_ExtractField, 5, 8,  // Inst{12-5} ...
/* 5195 */    MCD::OPC_FilterValue, 0, 76, 6, // Skip to: 6811
/* 5199 */    MCD::OPC_ExtractField, 25, 5,  // Inst{29-25} ...
/* 5202 */    MCD::OPC_FilterValue, 0, 69, 6, // Skip to: 6811
/* 5206 */    MCD::OPC_CheckField, 14, 5, 0, 10, 0, // Skip to: 5222
/* 5212 */    MCD::OPC_CheckField, 0, 5, 0, 4, 0, // Skip to: 5222
/* 5218 */    MCD::OPC_Decode, 197, 3, 5, // Opcode: FLUSH
/* 5222 */    MCD::OPC_Decode, 200, 3, 77, // Opcode: FLUSHrr
/* 5226 */    MCD::OPC_FilterValue, 1, 45, 6, // Skip to: 6811
/* 5230 */    MCD::OPC_CheckField, 25, 5, 0, 39, 6, // Skip to: 6811
/* 5236 */    MCD::OPC_Decode, 199, 3, 78, // Opcode: FLUSHri
/* 5240 */    MCD::OPC_FilterValue, 60, 25, 0, // Skip to: 5269
/* 5244 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5247 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5261
/* 5251 */    MCD::OPC_CheckField, 5, 8, 0, 18, 6, // Skip to: 6811
/* 5257 */    MCD::OPC_Decode, 172, 5, 9, // Opcode: SAVErr
/* 5261 */    MCD::OPC_FilterValue, 1, 10, 6, // Skip to: 6811
/* 5265 */    MCD::OPC_Decode, 171, 5, 10, // Opcode: SAVEri
/* 5269 */    MCD::OPC_FilterValue, 61, 25, 0, // Skip to: 5298
/* 5273 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5276 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5290
/* 5280 */    MCD::OPC_CheckField, 5, 8, 0, 245, 5, // Skip to: 6811
/* 5286 */    MCD::OPC_Decode, 164, 5, 9, // Opcode: RESTORErr
/* 5290 */    MCD::OPC_FilterValue, 1, 237, 5, // Skip to: 6811
/* 5294 */    MCD::OPC_Decode, 163, 5, 10, // Opcode: RESTOREri
/* 5298 */    MCD::OPC_FilterValue, 62, 77, 0, // Skip to: 5379
/* 5302 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5305 */    MCD::OPC_FilterValue, 0, 62, 0, // Skip to: 5371
/* 5309 */    MCD::OPC_ExtractField, 5, 8,  // Inst{12-5} ...
/* 5312 */    MCD::OPC_FilterValue, 0, 215, 5, // Skip to: 6811
/* 5316 */    MCD::OPC_ExtractField, 25, 5,  // Inst{29-25} ...
/* 5319 */    MCD::OPC_FilterValue, 0, 20, 0, // Skip to: 5343
/* 5323 */    MCD::OPC_CheckPredicate, 0, 40, 0, // Skip to: 5367
/* 5327 */    MCD::OPC_CheckField, 14, 5, 0, 34, 0, // Skip to: 5367
/* 5333 */    MCD::OPC_CheckField, 0, 5, 0, 28, 0, // Skip to: 5367
/* 5339 */    MCD::OPC_Decode, 134, 3, 5, // Opcode: DONE
/* 5343 */    MCD::OPC_FilterValue, 1, 20, 0, // Skip to: 5367
/* 5347 */    MCD::OPC_CheckPredicate, 0, 16, 0, // Skip to: 5367
/* 5351 */    MCD::OPC_CheckField, 14, 5, 0, 10, 0, // Skip to: 5367
/* 5357 */    MCD::OPC_CheckField, 0, 5, 0, 4, 0, // Skip to: 5367
/* 5363 */    MCD::OPC_Decode, 167, 5, 5, // Opcode: RETRY
/* 5367 */    MCD::OPC_Decode, 162, 6, 9, // Opcode: UMACrr
/* 5371 */    MCD::OPC_FilterValue, 1, 156, 5, // Skip to: 6811
/* 5375 */    MCD::OPC_Decode, 161, 6, 10, // Opcode: UMACri
/* 5379 */    MCD::OPC_FilterValue, 63, 148, 5, // Skip to: 6811
/* 5383 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5386 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5400
/* 5390 */    MCD::OPC_CheckField, 5, 8, 0, 135, 5, // Skip to: 6811
/* 5396 */    MCD::OPC_Decode, 188, 5, 9, // Opcode: SMACrr
/* 5400 */    MCD::OPC_FilterValue, 1, 127, 5, // Skip to: 6811
/* 5404 */    MCD::OPC_Decode, 187, 5, 10, // Opcode: SMACri
/* 5408 */    MCD::OPC_FilterValue, 3, 119, 5, // Skip to: 6811
/* 5412 */    MCD::OPC_ExtractField, 19, 6,  // Inst{24-19} ...
/* 5415 */    MCD::OPC_FilterValue, 0, 25, 0, // Skip to: 5444
/* 5419 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5422 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5436
/* 5426 */    MCD::OPC_CheckField, 5, 8, 0, 99, 5, // Skip to: 6811
/* 5432 */    MCD::OPC_Decode, 244, 4, 75, // Opcode: LDrr
/* 5436 */    MCD::OPC_FilterValue, 1, 91, 5, // Skip to: 6811
/* 5440 */    MCD::OPC_Decode, 243, 4, 76, // Opcode: LDri
/* 5444 */    MCD::OPC_FilterValue, 1, 25, 0, // Skip to: 5473
/* 5448 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5451 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5465
/* 5455 */    MCD::OPC_CheckField, 5, 8, 0, 70, 5, // Skip to: 6811
/* 5461 */    MCD::OPC_Decode, 232, 4, 75, // Opcode: LDUBrr
/* 5465 */    MCD::OPC_FilterValue, 1, 62, 5, // Skip to: 6811
/* 5469 */    MCD::OPC_Decode, 231, 4, 76, // Opcode: LDUBri
/* 5473 */    MCD::OPC_FilterValue, 2, 25, 0, // Skip to: 5502
/* 5477 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5480 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5494
/* 5484 */    MCD::OPC_CheckField, 5, 8, 0, 41, 5, // Skip to: 6811
/* 5490 */    MCD::OPC_Decode, 236, 4, 75, // Opcode: LDUHrr
/* 5494 */    MCD::OPC_FilterValue, 1, 33, 5, // Skip to: 6811
/* 5498 */    MCD::OPC_Decode, 235, 4, 76, // Opcode: LDUHri
/* 5502 */    MCD::OPC_FilterValue, 3, 25, 0, // Skip to: 5531
/* 5506 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5509 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5523
/* 5513 */    MCD::OPC_CheckField, 5, 8, 0, 12, 5, // Skip to: 6811
/* 5519 */    MCD::OPC_Decode, 202, 4, 81, // Opcode: LDDrr
/* 5523 */    MCD::OPC_FilterValue, 1, 4, 5, // Skip to: 6811
/* 5527 */    MCD::OPC_Decode, 201, 4, 82, // Opcode: LDDri
/* 5531 */    MCD::OPC_FilterValue, 4, 25, 0, // Skip to: 5560
/* 5535 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5538 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5552
/* 5542 */    MCD::OPC_CheckField, 5, 8, 0, 239, 4, // Skip to: 6811
/* 5548 */    MCD::OPC_Decode, 247, 5, 83, // Opcode: STrr
/* 5552 */    MCD::OPC_FilterValue, 1, 231, 4, // Skip to: 6811
/* 5556 */    MCD::OPC_Decode, 246, 5, 84, // Opcode: STri
/* 5560 */    MCD::OPC_FilterValue, 5, 25, 0, // Skip to: 5589
/* 5564 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5567 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5581
/* 5571 */    MCD::OPC_CheckField, 5, 8, 0, 210, 4, // Skip to: 6811
/* 5577 */    MCD::OPC_Decode, 207, 5, 83, // Opcode: STBrr
/* 5581 */    MCD::OPC_FilterValue, 1, 202, 4, // Skip to: 6811
/* 5585 */    MCD::OPC_Decode, 206, 5, 84, // Opcode: STBri
/* 5589 */    MCD::OPC_FilterValue, 6, 25, 0, // Skip to: 5618
/* 5593 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5596 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5610
/* 5600 */    MCD::OPC_CheckField, 5, 8, 0, 181, 4, // Skip to: 6811
/* 5606 */    MCD::OPC_Decode, 235, 5, 83, // Opcode: STHrr
/* 5610 */    MCD::OPC_FilterValue, 1, 173, 4, // Skip to: 6811
/* 5614 */    MCD::OPC_Decode, 234, 5, 84, // Opcode: STHri
/* 5618 */    MCD::OPC_FilterValue, 7, 25, 0, // Skip to: 5647
/* 5622 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5625 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5639
/* 5629 */    MCD::OPC_CheckField, 5, 8, 0, 152, 4, // Skip to: 6811
/* 5635 */    MCD::OPC_Decode, 225, 5, 85, // Opcode: STDrr
/* 5639 */    MCD::OPC_FilterValue, 1, 144, 4, // Skip to: 6811
/* 5643 */    MCD::OPC_Decode, 224, 5, 86, // Opcode: STDri
/* 5647 */    MCD::OPC_FilterValue, 8, 25, 0, // Skip to: 5676
/* 5651 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5654 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5668
/* 5658 */    MCD::OPC_CheckField, 5, 8, 0, 123, 4, // Skip to: 6811
/* 5664 */    MCD::OPC_Decode, 228, 4, 87, // Opcode: LDSWrr
/* 5668 */    MCD::OPC_FilterValue, 1, 115, 4, // Skip to: 6811
/* 5672 */    MCD::OPC_Decode, 227, 4, 88, // Opcode: LDSWri
/* 5676 */    MCD::OPC_FilterValue, 9, 25, 0, // Skip to: 5705
/* 5680 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5683 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5697
/* 5687 */    MCD::OPC_CheckField, 5, 8, 0, 94, 4, // Skip to: 6811
/* 5693 */    MCD::OPC_Decode, 216, 4, 75, // Opcode: LDSBrr
/* 5697 */    MCD::OPC_FilterValue, 1, 86, 4, // Skip to: 6811
/* 5701 */    MCD::OPC_Decode, 215, 4, 76, // Opcode: LDSBri
/* 5705 */    MCD::OPC_FilterValue, 10, 25, 0, // Skip to: 5734
/* 5709 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5712 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5726
/* 5716 */    MCD::OPC_CheckField, 5, 8, 0, 65, 4, // Skip to: 6811
/* 5722 */    MCD::OPC_Decode, 220, 4, 75, // Opcode: LDSHrr
/* 5726 */    MCD::OPC_FilterValue, 1, 57, 4, // Skip to: 6811
/* 5730 */    MCD::OPC_Decode, 219, 4, 76, // Opcode: LDSHri
/* 5734 */    MCD::OPC_FilterValue, 11, 25, 0, // Skip to: 5763
/* 5738 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5741 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5755
/* 5745 */    MCD::OPC_CheckField, 5, 8, 0, 36, 4, // Skip to: 6811
/* 5751 */    MCD::OPC_Decode, 242, 4, 87, // Opcode: LDXrr
/* 5755 */    MCD::OPC_FilterValue, 1, 28, 4, // Skip to: 6811
/* 5759 */    MCD::OPC_Decode, 241, 4, 88, // Opcode: LDXri
/* 5763 */    MCD::OPC_FilterValue, 13, 25, 0, // Skip to: 5792
/* 5767 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5770 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5784
/* 5774 */    MCD::OPC_CheckField, 5, 8, 0, 7, 4, // Skip to: 6811
/* 5780 */    MCD::OPC_Decode, 224, 4, 75, // Opcode: LDSTUBrr
/* 5784 */    MCD::OPC_FilterValue, 1, 255, 3, // Skip to: 6811
/* 5788 */    MCD::OPC_Decode, 223, 4, 76, // Opcode: LDSTUBri
/* 5792 */    MCD::OPC_FilterValue, 14, 25, 0, // Skip to: 5821
/* 5796 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5799 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5813
/* 5803 */    MCD::OPC_CheckField, 5, 8, 0, 234, 3, // Skip to: 6811
/* 5809 */    MCD::OPC_Decode, 245, 5, 89, // Opcode: STXrr
/* 5813 */    MCD::OPC_FilterValue, 1, 226, 3, // Skip to: 6811
/* 5817 */    MCD::OPC_Decode, 244, 5, 90, // Opcode: STXri
/* 5821 */    MCD::OPC_FilterValue, 15, 25, 0, // Skip to: 5850
/* 5825 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5828 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 5842
/* 5832 */    MCD::OPC_CheckField, 5, 8, 0, 205, 3, // Skip to: 6811
/* 5838 */    MCD::OPC_Decode, 131, 6, 91, // Opcode: SWAPrr
/* 5842 */    MCD::OPC_FilterValue, 1, 197, 3, // Skip to: 6811
/* 5846 */    MCD::OPC_Decode, 130, 6, 92, // Opcode: SWAPri
/* 5850 */    MCD::OPC_FilterValue, 16, 23, 0, // Skip to: 5877
/* 5854 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5857 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 5865
/* 5861 */    MCD::OPC_Decode, 188, 4, 93, // Opcode: LDArr
/* 5865 */    MCD::OPC_FilterValue, 1, 174, 3, // Skip to: 6811
/* 5869 */    MCD::OPC_CheckPredicate, 0, 170, 3, // Skip to: 6811
/* 5873 */    MCD::OPC_Decode, 187, 4, 76, // Opcode: LDAri
/* 5877 */    MCD::OPC_FilterValue, 17, 23, 0, // Skip to: 5904
/* 5881 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5884 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 5892
/* 5888 */    MCD::OPC_Decode, 230, 4, 93, // Opcode: LDUBArr
/* 5892 */    MCD::OPC_FilterValue, 1, 147, 3, // Skip to: 6811
/* 5896 */    MCD::OPC_CheckPredicate, 0, 143, 3, // Skip to: 6811
/* 5900 */    MCD::OPC_Decode, 229, 4, 76, // Opcode: LDUBAri
/* 5904 */    MCD::OPC_FilterValue, 18, 23, 0, // Skip to: 5931
/* 5908 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5911 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 5919
/* 5915 */    MCD::OPC_Decode, 234, 4, 93, // Opcode: LDUHArr
/* 5919 */    MCD::OPC_FilterValue, 1, 120, 3, // Skip to: 6811
/* 5923 */    MCD::OPC_CheckPredicate, 0, 116, 3, // Skip to: 6811
/* 5927 */    MCD::OPC_Decode, 233, 4, 76, // Opcode: LDUHAri
/* 5931 */    MCD::OPC_FilterValue, 19, 23, 0, // Skip to: 5958
/* 5935 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5938 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 5946
/* 5942 */    MCD::OPC_Decode, 194, 4, 94, // Opcode: LDDArr
/* 5946 */    MCD::OPC_FilterValue, 1, 93, 3, // Skip to: 6811
/* 5950 */    MCD::OPC_CheckPredicate, 0, 89, 3, // Skip to: 6811
/* 5954 */    MCD::OPC_Decode, 193, 4, 82, // Opcode: LDDAri
/* 5958 */    MCD::OPC_FilterValue, 20, 23, 0, // Skip to: 5985
/* 5962 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5965 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 5973
/* 5969 */    MCD::OPC_Decode, 202, 5, 95, // Opcode: STArr
/* 5973 */    MCD::OPC_FilterValue, 1, 66, 3, // Skip to: 6811
/* 5977 */    MCD::OPC_CheckPredicate, 0, 62, 3, // Skip to: 6811
/* 5981 */    MCD::OPC_Decode, 201, 5, 84, // Opcode: STAri
/* 5985 */    MCD::OPC_FilterValue, 21, 23, 0, // Skip to: 6012
/* 5989 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 5992 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6000
/* 5996 */    MCD::OPC_Decode, 205, 5, 95, // Opcode: STBArr
/* 6000 */    MCD::OPC_FilterValue, 1, 39, 3, // Skip to: 6811
/* 6004 */    MCD::OPC_CheckPredicate, 0, 35, 3, // Skip to: 6811
/* 6008 */    MCD::OPC_Decode, 204, 5, 84, // Opcode: STBAri
/* 6012 */    MCD::OPC_FilterValue, 22, 23, 0, // Skip to: 6039
/* 6016 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6019 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6027
/* 6023 */    MCD::OPC_Decode, 233, 5, 95, // Opcode: STHArr
/* 6027 */    MCD::OPC_FilterValue, 1, 12, 3, // Skip to: 6811
/* 6031 */    MCD::OPC_CheckPredicate, 0, 8, 3, // Skip to: 6811
/* 6035 */    MCD::OPC_Decode, 232, 5, 84, // Opcode: STHAri
/* 6039 */    MCD::OPC_FilterValue, 23, 23, 0, // Skip to: 6066
/* 6043 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6046 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6054
/* 6050 */    MCD::OPC_Decode, 213, 5, 96, // Opcode: STDArr
/* 6054 */    MCD::OPC_FilterValue, 1, 241, 2, // Skip to: 6811
/* 6058 */    MCD::OPC_CheckPredicate, 0, 237, 2, // Skip to: 6811
/* 6062 */    MCD::OPC_Decode, 212, 5, 86, // Opcode: STDAri
/* 6066 */    MCD::OPC_FilterValue, 24, 19, 0, // Skip to: 6089
/* 6070 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6073 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6081
/* 6077 */    MCD::OPC_Decode, 226, 4, 97, // Opcode: LDSWArr
/* 6081 */    MCD::OPC_FilterValue, 1, 214, 2, // Skip to: 6811
/* 6085 */    MCD::OPC_Decode, 225, 4, 88, // Opcode: LDSWAri
/* 6089 */    MCD::OPC_FilterValue, 25, 23, 0, // Skip to: 6116
/* 6093 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6096 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6104
/* 6100 */    MCD::OPC_Decode, 214, 4, 93, // Opcode: LDSBArr
/* 6104 */    MCD::OPC_FilterValue, 1, 191, 2, // Skip to: 6811
/* 6108 */    MCD::OPC_CheckPredicate, 0, 187, 2, // Skip to: 6811
/* 6112 */    MCD::OPC_Decode, 213, 4, 76, // Opcode: LDSBAri
/* 6116 */    MCD::OPC_FilterValue, 26, 23, 0, // Skip to: 6143
/* 6120 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6123 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6131
/* 6127 */    MCD::OPC_Decode, 218, 4, 93, // Opcode: LDSHArr
/* 6131 */    MCD::OPC_FilterValue, 1, 164, 2, // Skip to: 6811
/* 6135 */    MCD::OPC_CheckPredicate, 0, 160, 2, // Skip to: 6811
/* 6139 */    MCD::OPC_Decode, 217, 4, 76, // Opcode: LDSHAri
/* 6143 */    MCD::OPC_FilterValue, 27, 19, 0, // Skip to: 6166
/* 6147 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6150 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6158
/* 6154 */    MCD::OPC_Decode, 238, 4, 97, // Opcode: LDXArr
/* 6158 */    MCD::OPC_FilterValue, 1, 137, 2, // Skip to: 6811
/* 6162 */    MCD::OPC_Decode, 237, 4, 88, // Opcode: LDXAri
/* 6166 */    MCD::OPC_FilterValue, 29, 23, 0, // Skip to: 6193
/* 6170 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6173 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6181
/* 6177 */    MCD::OPC_Decode, 222, 4, 93, // Opcode: LDSTUBArr
/* 6181 */    MCD::OPC_FilterValue, 1, 114, 2, // Skip to: 6811
/* 6185 */    MCD::OPC_CheckPredicate, 0, 110, 2, // Skip to: 6811
/* 6189 */    MCD::OPC_Decode, 221, 4, 76, // Opcode: LDSTUBAri
/* 6193 */    MCD::OPC_FilterValue, 30, 19, 0, // Skip to: 6216
/* 6197 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6200 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6208
/* 6204 */    MCD::OPC_Decode, 241, 5, 98, // Opcode: STXArr
/* 6208 */    MCD::OPC_FilterValue, 1, 87, 2, // Skip to: 6811
/* 6212 */    MCD::OPC_Decode, 240, 5, 90, // Opcode: STXAri
/* 6216 */    MCD::OPC_FilterValue, 31, 23, 0, // Skip to: 6243
/* 6220 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6223 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6231
/* 6227 */    MCD::OPC_Decode, 129, 6, 99, // Opcode: SWAPArr
/* 6231 */    MCD::OPC_FilterValue, 1, 64, 2, // Skip to: 6811
/* 6235 */    MCD::OPC_CheckPredicate, 0, 60, 2, // Skip to: 6811
/* 6239 */    MCD::OPC_Decode, 128, 6, 92, // Opcode: SWAPAri
/* 6243 */    MCD::OPC_FilterValue, 32, 25, 0, // Skip to: 6272
/* 6247 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6250 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 6264
/* 6254 */    MCD::OPC_CheckField, 5, 8, 0, 39, 2, // Skip to: 6811
/* 6260 */    MCD::OPC_Decode, 208, 4, 100, // Opcode: LDFrr
/* 6264 */    MCD::OPC_FilterValue, 1, 31, 2, // Skip to: 6811
/* 6268 */    MCD::OPC_Decode, 207, 4, 101, // Opcode: LDFri
/* 6272 */    MCD::OPC_FilterValue, 33, 69, 0, // Skip to: 6345
/* 6276 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6279 */    MCD::OPC_FilterValue, 0, 35, 0, // Skip to: 6318
/* 6283 */    MCD::OPC_ExtractField, 25, 5,  // Inst{29-25} ...
/* 6286 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 6300
/* 6290 */    MCD::OPC_CheckField, 5, 8, 0, 3, 2, // Skip to: 6811
/* 6296 */    MCD::OPC_Decode, 206, 4, 77, // Opcode: LDFSRrr
/* 6300 */    MCD::OPC_FilterValue, 1, 251, 1, // Skip to: 6811
/* 6304 */    MCD::OPC_CheckPredicate, 0, 247, 1, // Skip to: 6811
/* 6308 */    MCD::OPC_CheckField, 5, 8, 0, 241, 1, // Skip to: 6811
/* 6314 */    MCD::OPC_Decode, 240, 4, 77, // Opcode: LDXFSRrr
/* 6318 */    MCD::OPC_FilterValue, 1, 233, 1, // Skip to: 6811
/* 6322 */    MCD::OPC_ExtractField, 25, 5,  // Inst{29-25} ...
/* 6325 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6333
/* 6329 */    MCD::OPC_Decode, 205, 4, 78, // Opcode: LDFSRri
/* 6333 */    MCD::OPC_FilterValue, 1, 218, 1, // Skip to: 6811
/* 6337 */    MCD::OPC_CheckPredicate, 0, 214, 1, // Skip to: 6811
/* 6341 */    MCD::OPC_Decode, 239, 4, 78, // Opcode: LDXFSRri
/* 6345 */    MCD::OPC_FilterValue, 35, 25, 0, // Skip to: 6374
/* 6349 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6352 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 6366
/* 6356 */    MCD::OPC_CheckField, 5, 8, 0, 193, 1, // Skip to: 6811
/* 6362 */    MCD::OPC_Decode, 200, 4, 102, // Opcode: LDDFrr
/* 6366 */    MCD::OPC_FilterValue, 1, 185, 1, // Skip to: 6811
/* 6370 */    MCD::OPC_Decode, 199, 4, 103, // Opcode: LDDFri
/* 6374 */    MCD::OPC_FilterValue, 36, 25, 0, // Skip to: 6403
/* 6378 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6381 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 6395
/* 6385 */    MCD::OPC_CheckField, 5, 8, 0, 164, 1, // Skip to: 6811
/* 6391 */    MCD::OPC_Decode, 231, 5, 104, // Opcode: STFrr
/* 6395 */    MCD::OPC_FilterValue, 1, 156, 1, // Skip to: 6811
/* 6399 */    MCD::OPC_Decode, 230, 5, 105, // Opcode: STFri
/* 6403 */    MCD::OPC_FilterValue, 37, 69, 0, // Skip to: 6476
/* 6407 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6410 */    MCD::OPC_FilterValue, 0, 35, 0, // Skip to: 6449
/* 6414 */    MCD::OPC_ExtractField, 25, 5,  // Inst{29-25} ...
/* 6417 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 6431
/* 6421 */    MCD::OPC_CheckField, 5, 8, 0, 128, 1, // Skip to: 6811
/* 6427 */    MCD::OPC_Decode, 229, 5, 77, // Opcode: STFSRrr
/* 6431 */    MCD::OPC_FilterValue, 1, 120, 1, // Skip to: 6811
/* 6435 */    MCD::OPC_CheckPredicate, 0, 116, 1, // Skip to: 6811
/* 6439 */    MCD::OPC_CheckField, 5, 8, 0, 110, 1, // Skip to: 6811
/* 6445 */    MCD::OPC_Decode, 243, 5, 77, // Opcode: STXFSRrr
/* 6449 */    MCD::OPC_FilterValue, 1, 102, 1, // Skip to: 6811
/* 6453 */    MCD::OPC_ExtractField, 25, 5,  // Inst{29-25} ...
/* 6456 */    MCD::OPC_FilterValue, 0, 4, 0, // Skip to: 6464
/* 6460 */    MCD::OPC_Decode, 228, 5, 78, // Opcode: STFSRri
/* 6464 */    MCD::OPC_FilterValue, 1, 87, 1, // Skip to: 6811
/* 6468 */    MCD::OPC_CheckPredicate, 0, 83, 1, // Skip to: 6811
/* 6472 */    MCD::OPC_Decode, 242, 5, 78, // Opcode: STXFSRri
/* 6476 */    MCD::OPC_FilterValue, 38, 37, 0, // Skip to: 6517
/* 6480 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6483 */    MCD::OPC_FilterValue, 0, 16, 0, // Skip to: 6503
/* 6487 */    MCD::OPC_CheckField, 25, 5, 0, 62, 1, // Skip to: 6811
/* 6493 */    MCD::OPC_CheckField, 5, 8, 0, 56, 1, // Skip to: 6811
/* 6499 */    MCD::OPC_Decode, 221, 5, 77, // Opcode: STDFQrr
/* 6503 */    MCD::OPC_FilterValue, 1, 48, 1, // Skip to: 6811
/* 6507 */    MCD::OPC_CheckField, 25, 5, 0, 42, 1, // Skip to: 6811
/* 6513 */    MCD::OPC_Decode, 220, 5, 78, // Opcode: STDFQri
/* 6517 */    MCD::OPC_FilterValue, 39, 25, 0, // Skip to: 6546
/* 6521 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6524 */    MCD::OPC_FilterValue, 0, 10, 0, // Skip to: 6538
/* 6528 */    MCD::OPC_CheckField, 5, 8, 0, 21, 1, // Skip to: 6811
/* 6534 */    MCD::OPC_Decode, 223, 5, 106, // Opcode: STDFrr
/* 6538 */    MCD::OPC_FilterValue, 1, 13, 1, // Skip to: 6811
/* 6542 */    MCD::OPC_Decode, 222, 5, 107, // Opcode: STDFri
/* 6546 */    MCD::OPC_FilterValue, 45, 33, 0, // Skip to: 6583
/* 6550 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6553 */    MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 6571
/* 6557 */    MCD::OPC_CheckPredicate, 0, 250, 0, // Skip to: 6811
/* 6561 */    MCD::OPC_CheckField, 5, 8, 0, 244, 0, // Skip to: 6811
/* 6567 */    MCD::OPC_Decode, 153, 5, 108, // Opcode: PREFETCHr
/* 6571 */    MCD::OPC_FilterValue, 1, 236, 0, // Skip to: 6811
/* 6575 */    MCD::OPC_CheckPredicate, 0, 232, 0, // Skip to: 6811
/* 6579 */    MCD::OPC_Decode, 152, 5, 109, // Opcode: PREFETCHi
/* 6583 */    MCD::OPC_FilterValue, 49, 37, 0, // Skip to: 6624
/* 6587 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6590 */    MCD::OPC_FilterValue, 0, 16, 0, // Skip to: 6610
/* 6594 */    MCD::OPC_CheckField, 25, 5, 0, 211, 0, // Skip to: 6811
/* 6600 */    MCD::OPC_CheckField, 5, 8, 0, 205, 0, // Skip to: 6811
/* 6606 */    MCD::OPC_Decode, 190, 4, 77, // Opcode: LDCSRrr
/* 6610 */    MCD::OPC_FilterValue, 1, 197, 0, // Skip to: 6811
/* 6614 */    MCD::OPC_CheckField, 25, 5, 0, 191, 0, // Skip to: 6811
/* 6620 */    MCD::OPC_Decode, 189, 4, 78, // Opcode: LDCSRri
/* 6624 */    MCD::OPC_FilterValue, 53, 37, 0, // Skip to: 6665
/* 6628 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6631 */    MCD::OPC_FilterValue, 0, 16, 0, // Skip to: 6651
/* 6635 */    MCD::OPC_CheckField, 25, 5, 0, 170, 0, // Skip to: 6811
/* 6641 */    MCD::OPC_CheckField, 5, 8, 0, 164, 0, // Skip to: 6811
/* 6647 */    MCD::OPC_Decode, 209, 5, 77, // Opcode: STCSRrr
/* 6651 */    MCD::OPC_FilterValue, 1, 156, 0, // Skip to: 6811
/* 6655 */    MCD::OPC_CheckField, 25, 5, 0, 150, 0, // Skip to: 6811
/* 6661 */    MCD::OPC_Decode, 208, 5, 78, // Opcode: STCSRri
/* 6665 */    MCD::OPC_FilterValue, 54, 37, 0, // Skip to: 6706
/* 6669 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6672 */    MCD::OPC_FilterValue, 0, 16, 0, // Skip to: 6692
/* 6676 */    MCD::OPC_CheckField, 25, 5, 0, 129, 0, // Skip to: 6811
/* 6682 */    MCD::OPC_CheckField, 5, 8, 0, 123, 0, // Skip to: 6811
/* 6688 */    MCD::OPC_Decode, 215, 5, 77, // Opcode: STDCQrr
/* 6692 */    MCD::OPC_FilterValue, 1, 115, 0, // Skip to: 6811
/* 6696 */    MCD::OPC_CheckField, 25, 5, 0, 109, 0, // Skip to: 6811
/* 6702 */    MCD::OPC_Decode, 214, 5, 78, // Opcode: STDCQri
/* 6706 */    MCD::OPC_FilterValue, 60, 33, 0, // Skip to: 6743
/* 6710 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6713 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 6725
/* 6717 */    MCD::OPC_CheckPredicate, 7, 90, 0, // Skip to: 6811
/* 6721 */    MCD::OPC_Decode, 254, 2, 110, // Opcode: CASArr
/* 6725 */    MCD::OPC_FilterValue, 1, 82, 0, // Skip to: 6811
/* 6729 */    MCD::OPC_CheckPredicate, 0, 78, 0, // Skip to: 6811
/* 6733 */    MCD::OPC_CheckField, 5, 8, 0, 72, 0, // Skip to: 6811
/* 6739 */    MCD::OPC_Decode, 253, 2, 111, // Opcode: CASAri
/* 6743 */    MCD::OPC_FilterValue, 61, 27, 0, // Skip to: 6774
/* 6747 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6750 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 6762
/* 6754 */    MCD::OPC_CheckPredicate, 0, 53, 0, // Skip to: 6811
/* 6758 */    MCD::OPC_Decode, 151, 5, 112, // Opcode: PREFETCHAr
/* 6762 */    MCD::OPC_FilterValue, 1, 45, 0, // Skip to: 6811
/* 6766 */    MCD::OPC_CheckPredicate, 0, 41, 0, // Skip to: 6811
/* 6770 */    MCD::OPC_Decode, 150, 5, 109, // Opcode: PREFETCHAi
/* 6774 */    MCD::OPC_FilterValue, 62, 33, 0, // Skip to: 6811
/* 6778 */    MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 6781 */    MCD::OPC_FilterValue, 0, 8, 0, // Skip to: 6793
/* 6785 */    MCD::OPC_CheckPredicate, 0, 22, 0, // Skip to: 6811
/* 6789 */    MCD::OPC_Decode, 128, 3, 113, // Opcode: CASXArr
/* 6793 */    MCD::OPC_FilterValue, 1, 14, 0, // Skip to: 6811
/* 6797 */    MCD::OPC_CheckPredicate, 0, 10, 0, // Skip to: 6811
/* 6801 */    MCD::OPC_CheckField, 5, 8, 0, 4, 0, // Skip to: 6811
/* 6807 */    MCD::OPC_Decode, 255, 2, 114, // Opcode: CASXAri
/* 6811 */    MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableSparcV832[] = {
/* 0 */       MCD::OPC_ExtractField, 19, 6,  // Inst{24-19} ...
/* 3 */       MCD::OPC_FilterValue, 48, 37, 0, // Skip to: 44
/* 7 */       MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 10 */      MCD::OPC_FilterValue, 0, 16, 0, // Skip to: 30
/* 14 */      MCD::OPC_CheckField, 30, 2, 3, 188, 0, // Skip to: 208
/* 20 */      MCD::OPC_CheckField, 5, 8, 0, 182, 0, // Skip to: 208
/* 26 */      MCD::OPC_Decode, 192, 4, 115, // Opcode: LDCrr
/* 30 */      MCD::OPC_FilterValue, 1, 174, 0, // Skip to: 208
/* 34 */      MCD::OPC_CheckField, 30, 2, 3, 168, 0, // Skip to: 208
/* 40 */      MCD::OPC_Decode, 191, 4, 116, // Opcode: LDCri
/* 44 */      MCD::OPC_FilterValue, 51, 37, 0, // Skip to: 85
/* 48 */      MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 51 */      MCD::OPC_FilterValue, 0, 16, 0, // Skip to: 71
/* 55 */      MCD::OPC_CheckField, 30, 2, 3, 147, 0, // Skip to: 208
/* 61 */      MCD::OPC_CheckField, 5, 8, 0, 141, 0, // Skip to: 208
/* 67 */      MCD::OPC_Decode, 196, 4, 117, // Opcode: LDDCrr
/* 71 */      MCD::OPC_FilterValue, 1, 133, 0, // Skip to: 208
/* 75 */      MCD::OPC_CheckField, 30, 2, 3, 127, 0, // Skip to: 208
/* 81 */      MCD::OPC_Decode, 195, 4, 118, // Opcode: LDDCri
/* 85 */      MCD::OPC_FilterValue, 52, 37, 0, // Skip to: 126
/* 89 */      MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 92 */      MCD::OPC_FilterValue, 0, 16, 0, // Skip to: 112
/* 96 */      MCD::OPC_CheckField, 30, 2, 3, 106, 0, // Skip to: 208
/* 102 */     MCD::OPC_CheckField, 5, 8, 0, 100, 0, // Skip to: 208
/* 108 */     MCD::OPC_Decode, 211, 5, 119, // Opcode: STCrr
/* 112 */     MCD::OPC_FilterValue, 1, 92, 0, // Skip to: 208
/* 116 */     MCD::OPC_CheckField, 30, 2, 3, 86, 0, // Skip to: 208
/* 122 */     MCD::OPC_Decode, 210, 5, 120, // Opcode: STCri
/* 126 */     MCD::OPC_FilterValue, 55, 37, 0, // Skip to: 167
/* 130 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 133 */     MCD::OPC_FilterValue, 0, 16, 0, // Skip to: 153
/* 137 */     MCD::OPC_CheckField, 30, 2, 3, 65, 0, // Skip to: 208
/* 143 */     MCD::OPC_CheckField, 5, 8, 0, 59, 0, // Skip to: 208
/* 149 */     MCD::OPC_Decode, 217, 5, 121, // Opcode: STDCrr
/* 153 */     MCD::OPC_FilterValue, 1, 51, 0, // Skip to: 208
/* 157 */     MCD::OPC_CheckField, 30, 2, 3, 45, 0, // Skip to: 208
/* 163 */     MCD::OPC_Decode, 216, 5, 122, // Opcode: STDCri
/* 167 */     MCD::OPC_FilterValue, 58, 37, 0, // Skip to: 208
/* 171 */     MCD::OPC_ExtractField, 8, 6,  // Inst{13-8} ...
/* 174 */     MCD::OPC_FilterValue, 0, 16, 0, // Skip to: 194
/* 178 */     MCD::OPC_CheckField, 29, 3, 4, 24, 0, // Skip to: 208
/* 184 */     MCD::OPC_CheckField, 5, 3, 0, 18, 0, // Skip to: 208
/* 190 */     MCD::OPC_Decode, 148, 6, 79, // Opcode: TRAPrr
/* 194 */     MCD::OPC_FilterValue, 32, 10, 0, // Skip to: 208
/* 198 */     MCD::OPC_CheckField, 29, 3, 4, 4, 0, // Skip to: 208
/* 204 */     MCD::OPC_Decode, 147, 6, 80, // Opcode: TRAPri
/* 208 */     MCD::OPC_Fail,
  0
};

static const uint8_t DecoderTableSparcV932[] = {
/* 0 */       MCD::OPC_ExtractField, 19, 6,  // Inst{24-19} ...
/* 3 */       MCD::OPC_FilterValue, 34, 45, 0, // Skip to: 52
/* 7 */       MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 10 */      MCD::OPC_FilterValue, 0, 20, 0, // Skip to: 34
/* 14 */      MCD::OPC_CheckPredicate, 0, 139, 1, // Skip to: 413
/* 18 */      MCD::OPC_CheckField, 30, 2, 3, 133, 1, // Skip to: 413
/* 24 */      MCD::OPC_CheckField, 5, 8, 0, 127, 1, // Skip to: 413
/* 30 */      MCD::OPC_Decode, 212, 4, 123, // Opcode: LDQFrr
/* 34 */      MCD::OPC_FilterValue, 1, 119, 1, // Skip to: 413
/* 38 */      MCD::OPC_CheckPredicate, 0, 115, 1, // Skip to: 413
/* 42 */      MCD::OPC_CheckField, 30, 2, 3, 109, 1, // Skip to: 413
/* 48 */      MCD::OPC_Decode, 211, 4, 124, // Opcode: LDQFri
/* 52 */      MCD::OPC_FilterValue, 38, 45, 0, // Skip to: 101
/* 56 */      MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 59 */      MCD::OPC_FilterValue, 0, 20, 0, // Skip to: 83
/* 63 */      MCD::OPC_CheckPredicate, 0, 90, 1, // Skip to: 413
/* 67 */      MCD::OPC_CheckField, 30, 2, 3, 84, 1, // Skip to: 413
/* 73 */      MCD::OPC_CheckField, 5, 8, 0, 78, 1, // Skip to: 413
/* 79 */      MCD::OPC_Decode, 239, 5, 125, // Opcode: STQFrr
/* 83 */      MCD::OPC_FilterValue, 1, 70, 1, // Skip to: 413
/* 87 */      MCD::OPC_CheckPredicate, 0, 66, 1, // Skip to: 413
/* 91 */      MCD::OPC_CheckField, 30, 2, 3, 60, 1, // Skip to: 413
/* 97 */      MCD::OPC_Decode, 238, 5, 126, // Opcode: STQFri
/* 101 */     MCD::OPC_FilterValue, 48, 39, 0, // Skip to: 144
/* 105 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 108 */     MCD::OPC_FilterValue, 0, 14, 0, // Skip to: 126
/* 112 */     MCD::OPC_CheckPredicate, 0, 41, 1, // Skip to: 413
/* 116 */     MCD::OPC_CheckField, 30, 2, 3, 35, 1, // Skip to: 413
/* 122 */     MCD::OPC_Decode, 204, 4, 127, // Opcode: LDFArr
/* 126 */     MCD::OPC_FilterValue, 1, 27, 1, // Skip to: 413
/* 130 */     MCD::OPC_CheckPredicate, 0, 23, 1, // Skip to: 413
/* 134 */     MCD::OPC_CheckField, 30, 2, 3, 17, 1, // Skip to: 413
/* 140 */     MCD::OPC_Decode, 203, 4, 101, // Opcode: LDFAri
/* 144 */     MCD::OPC_FilterValue, 50, 40, 0, // Skip to: 188
/* 148 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 151 */     MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 170
/* 155 */     MCD::OPC_CheckPredicate, 0, 254, 0, // Skip to: 413
/* 159 */     MCD::OPC_CheckField, 30, 2, 3, 248, 0, // Skip to: 413
/* 165 */     MCD::OPC_Decode, 210, 4, 128, 1, // Opcode: LDQFArr
/* 170 */     MCD::OPC_FilterValue, 1, 239, 0, // Skip to: 413
/* 174 */     MCD::OPC_CheckPredicate, 0, 235, 0, // Skip to: 413
/* 178 */     MCD::OPC_CheckField, 30, 2, 3, 229, 0, // Skip to: 413
/* 184 */     MCD::OPC_Decode, 209, 4, 124, // Opcode: LDQFAri
/* 188 */     MCD::OPC_FilterValue, 51, 40, 0, // Skip to: 232
/* 192 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 195 */     MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 214
/* 199 */     MCD::OPC_CheckPredicate, 0, 210, 0, // Skip to: 413
/* 203 */     MCD::OPC_CheckField, 30, 2, 3, 204, 0, // Skip to: 413
/* 209 */     MCD::OPC_Decode, 198, 4, 129, 1, // Opcode: LDDFArr
/* 214 */     MCD::OPC_FilterValue, 1, 195, 0, // Skip to: 413
/* 218 */     MCD::OPC_CheckPredicate, 0, 191, 0, // Skip to: 413
/* 222 */     MCD::OPC_CheckField, 30, 2, 3, 185, 0, // Skip to: 413
/* 228 */     MCD::OPC_Decode, 197, 4, 103, // Opcode: LDDFAri
/* 232 */     MCD::OPC_FilterValue, 52, 40, 0, // Skip to: 276
/* 236 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 239 */     MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 258
/* 243 */     MCD::OPC_CheckPredicate, 0, 166, 0, // Skip to: 413
/* 247 */     MCD::OPC_CheckField, 30, 2, 3, 160, 0, // Skip to: 413
/* 253 */     MCD::OPC_Decode, 227, 5, 130, 1, // Opcode: STFArr
/* 258 */     MCD::OPC_FilterValue, 1, 151, 0, // Skip to: 413
/* 262 */     MCD::OPC_CheckPredicate, 0, 147, 0, // Skip to: 413
/* 266 */     MCD::OPC_CheckField, 30, 2, 3, 141, 0, // Skip to: 413
/* 272 */     MCD::OPC_Decode, 226, 5, 105, // Opcode: STFAri
/* 276 */     MCD::OPC_FilterValue, 54, 40, 0, // Skip to: 320
/* 280 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 283 */     MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 302
/* 287 */     MCD::OPC_CheckPredicate, 0, 122, 0, // Skip to: 413
/* 291 */     MCD::OPC_CheckField, 30, 2, 3, 116, 0, // Skip to: 413
/* 297 */     MCD::OPC_Decode, 237, 5, 131, 1, // Opcode: STQFArr
/* 302 */     MCD::OPC_FilterValue, 1, 107, 0, // Skip to: 413
/* 306 */     MCD::OPC_CheckPredicate, 0, 103, 0, // Skip to: 413
/* 310 */     MCD::OPC_CheckField, 30, 2, 3, 97, 0, // Skip to: 413
/* 316 */     MCD::OPC_Decode, 236, 5, 126, // Opcode: STQFAri
/* 320 */     MCD::OPC_FilterValue, 55, 40, 0, // Skip to: 364
/* 324 */     MCD::OPC_ExtractField, 13, 1,  // Inst{13} ...
/* 327 */     MCD::OPC_FilterValue, 0, 15, 0, // Skip to: 346
/* 331 */     MCD::OPC_CheckPredicate, 0, 78, 0, // Skip to: 413
/* 335 */     MCD::OPC_CheckField, 30, 2, 3, 72, 0, // Skip to: 413
/* 341 */     MCD::OPC_Decode, 219, 5, 132, 1, // Opcode: STDFArr
/* 346 */     MCD::OPC_FilterValue, 1, 63, 0, // Skip to: 413
/* 350 */     MCD::OPC_CheckPredicate, 0, 59, 0, // Skip to: 413
/* 354 */     MCD::OPC_CheckField, 30, 2, 3, 53, 0, // Skip to: 413
/* 360 */     MCD::OPC_Decode, 218, 5, 107, // Opcode: STDFAri
/* 364 */     MCD::OPC_FilterValue, 58, 45, 0, // Skip to: 413
/* 368 */     MCD::OPC_ExtractField, 8, 6,  // Inst{13-8} ...
/* 371 */     MCD::OPC_FilterValue, 0, 20, 0, // Skip to: 395
/* 375 */     MCD::OPC_CheckPredicate, 0, 34, 0, // Skip to: 413
/* 379 */     MCD::OPC_CheckField, 29, 3, 4, 28, 0, // Skip to: 413
/* 385 */     MCD::OPC_CheckField, 5, 3, 0, 22, 0, // Skip to: 413
/* 391 */     MCD::OPC_Decode, 142, 6, 79, // Opcode: TICCrr
/* 395 */     MCD::OPC_FilterValue, 32, 14, 0, // Skip to: 413
/* 399 */     MCD::OPC_CheckPredicate, 0, 10, 0, // Skip to: 413
/* 403 */     MCD::OPC_CheckField, 29, 3, 4, 4, 0, // Skip to: 413
/* 409 */     MCD::OPC_Decode, 141, 6, 80, // Opcode: TICCri
/* 413 */     MCD::OPC_Fail,
  0
};

static bool checkDecoderPredicate(unsigned Idx, const FeatureBitset &Bits) {
  switch (Idx) {
  default: llvm_unreachable("Invalid index!");
  case 0:
    return (Bits[Sparc::FeatureV9]);
  case 1:
    return (Bits[Sparc::FeaturePWRPSR]);
  case 2:
    return (Bits[Sparc::FeatureUA2005]);
  case 3:
    return (Bits[Sparc::FeatureVIS3]);
  case 4:
    return (Bits[Sparc::FeatureVIS]);
  case 5:
    return (Bits[Sparc::FeatureVIS2]);
  case 6:
    return (Bits[Sparc::FeatureUA2007]);
  case 7:
    return (Bits[Sparc::LeonCASA] || Bits[Sparc::FeatureV9]);
  }
}

template <typename InsnType>
static DecodeStatus decodeToMCInst(DecodeStatus S, unsigned Idx, InsnType insn, MCInst &MI,
                                   uint64_t Address, const MCDisassembler *Decoder, bool &DecodeComplete) {
  DecodeComplete = true;
  using TmpType = std::conditional_t<std::is_integral<InsnType>::value, InsnType, uint64_t>;
  TmpType tmp;
  switch (Idx) {
  default: llvm_unreachable("Invalid index!");
  case 0:
    tmp = fieldFromInstruction(insn, 0, 22);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 1:
    tmp = fieldFromInstruction(insn, 0, 19);
    if (!Check(S, DecodeDisp<19>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 2:
    tmp = fieldFromInstruction(insn, 0, 22);
    if (!Check(S, DecodeDisp<22>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 3:
    tmp = fieldFromInstruction(insn, 0, 22);
    if (!Check(S, DecodeDisp<22>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 4:
    tmp = 0x0;
    insertBits(tmp, fieldFromInstruction(insn, 0, 14), 0, 14);
    insertBits(tmp, fieldFromInstruction(insn, 20, 2), 14, 2);
    if (!Check(S, DecodeDisp<16>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 5:
    return S;
  case 6:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 22);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 7:
    tmp = fieldFromInstruction(insn, 0, 19);
    if (!Check(S, DecodeDisp<19>(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 20, 2);
    if (!Check(S, DecodeFCCRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 8:
    tmp = fieldFromInstruction(insn, 0, 30);
    if (!Check(S, DecodeCall(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 9:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 10:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 11:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 12:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 13:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 14:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 15:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 6);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 16:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeASRRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 17:
    tmp = fieldFromInstruction(insn, 0, 13);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 18:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 19:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePRRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 20:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 21:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeFCCRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 22:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 11);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 23:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeFCCRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 11);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 24:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 25:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 26:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 10);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 27:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeASRRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 28:
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 29:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeASRRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 30:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 31:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 32:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodePRRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 33:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodePRRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 34:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 35:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 36:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 37:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 38:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 39:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 40:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 41:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 42:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 43:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 44:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 45:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 46:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 47:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 48:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 49:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeFCCRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 50:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 51:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeFCCRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 52:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 53:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 11, 2);
    if (!Check(S, DecodeFCCRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 54:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 55:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 56:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 10, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 57:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFCCRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 58:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFCCRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 59:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFCCRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 60:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 61:
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 62:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 63:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 64:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 65:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 66:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 67:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 68:
    tmp = fieldFromInstruction(insn, 0, 3);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 69:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 70:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 71:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 72:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 73:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 9, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 74:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 9, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 75:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 76:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 77:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 78:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 79:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 80:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 25, 4);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 81:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntPairRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 82:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntPairRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 83:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 84:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 85:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntPairRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 86:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntPairRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 87:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 88:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 89:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 90:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 91:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 92:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 93:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 94:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntPairRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 95:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 96:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntPairRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 97:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 98:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 99:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 100:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 101:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 102:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 103:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 104:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 105:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 106:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 107:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 108:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 109:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 110:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 111:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeIntRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 112:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    tmp = fieldFromInstruction(insn, 25, 5);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 113:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 114:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeI64RegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 115:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeCoprocRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 116:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeCoprocRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 117:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeCoprocPairRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 118:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeCoprocPairRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 119:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeCoprocRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 120:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeCoprocRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 121:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeCoprocPairRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 122:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeCoprocPairRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 123:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 124:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 125:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 126:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 13);
    if (!Check(S, DecodeSIMM13(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    return S;
  case 127:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 128:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 129:
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 130:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 131:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeQFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  case 132:
    tmp = fieldFromInstruction(insn, 14, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 0, 5);
    if (!Check(S, DecodePointerLikeRegClass0(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 25, 5);
    if (!Check(S, DecodeDFPRegsRegisterClass(MI, tmp, Address, Decoder))) { return MCDisassembler::Fail; }
    tmp = fieldFromInstruction(insn, 5, 8);
    MI.addOperand(MCOperand::createImm(tmp));
    return S;
  }
}

static unsigned decodeNumToSkip(const uint8_t *&Ptr) {
  unsigned NumToSkip = *Ptr++;
  NumToSkip |= (*Ptr++) << 8;
  return NumToSkip;
}

template <typename InsnType>
static DecodeStatus decodeInstruction(const uint8_t DecodeTable[], MCInst &MI,
                                      InsnType insn, uint64_t Address,
                                      const MCDisassembler *DisAsm,
                                      const MCSubtargetInfo &STI) {
  const FeatureBitset &Bits = STI.getFeatureBits();

  const uint8_t *Ptr = DecodeTable;
  uint64_t CurFieldValue = 0;
  DecodeStatus S = MCDisassembler::Success;
  while (true) {
    ptrdiff_t Loc = Ptr - DecodeTable;
    switch (*Ptr++) {
    default:
      errs() << Loc << ": Unexpected decode table opcode!\n";
      return MCDisassembler::Fail;
    case MCD::OPC_ExtractField: {
      // Decode the start value.
      unsigned Start = decodeULEB128AndIncUnsafe(Ptr);
      unsigned Len = *Ptr++;
      CurFieldValue = fieldFromInstruction(insn, Start, Len);
      LLVM_DEBUG(dbgs() << Loc << ": OPC_ExtractField(" << Start << ", "
                   << Len << "): " << CurFieldValue << "\n");
      break;
    }
    case MCD::OPC_FilterValue: {
      // Decode the field value.
      uint64_t Val = decodeULEB128AndIncUnsafe(Ptr);
      bool Failed = Val != CurFieldValue;
      unsigned NumToSkip = decodeNumToSkip(Ptr);

      // Perform the filter operation.
      if (Failed)
        Ptr += NumToSkip;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_FilterValue(" << Val << ", " << NumToSkip
                   << "): " << (Failed ? "FAIL:" : "PASS:")
                   << " continuing at " << (Ptr - DecodeTable) << "\n");

      break;
    }
    case MCD::OPC_CheckField: {
      // Decode the start value.
      unsigned Start = decodeULEB128AndIncUnsafe(Ptr);
      unsigned Len = *Ptr;
      uint64_t FieldValue = fieldFromInstruction(insn, Start, Len);
      // Decode the field value.
      unsigned PtrLen = 0;
      uint64_t ExpectedValue = decodeULEB128(++Ptr, &PtrLen);
      Ptr += PtrLen;
      bool Failed = ExpectedValue != FieldValue;
      unsigned NumToSkip = decodeNumToSkip(Ptr);

      // If the actual and expected values don't match, skip.
      if (Failed)
        Ptr += NumToSkip;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_CheckField(" << Start << ", "
                   << Len << ", " << ExpectedValue << ", " << NumToSkip
                   << "): FieldValue = " << FieldValue << ", ExpectedValue = "
                   << ExpectedValue << ": "
                   << (Failed ? "FAIL\n" : "PASS\n"));
      break;
    }
    case MCD::OPC_CheckPredicate: {
      // Decode the Predicate Index value.
      unsigned PIdx = decodeULEB128AndIncUnsafe(Ptr);
      unsigned NumToSkip = decodeNumToSkip(Ptr);
      // Check the predicate.
      bool Failed = !checkDecoderPredicate(PIdx, Bits);
      if (Failed)
        Ptr += NumToSkip;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_CheckPredicate(" << PIdx << "): "
            << (Failed ? "FAIL\n" : "PASS\n"));

      break;
    }
    case MCD::OPC_Decode: {
      // Decode the Opcode value.
      unsigned Opc = decodeULEB128AndIncUnsafe(Ptr);
      unsigned DecodeIdx = decodeULEB128AndIncUnsafe(Ptr);

      MI.clear();
      MI.setOpcode(Opc);
      bool DecodeComplete;
      S = decodeToMCInst(S, DecodeIdx, insn, MI, Address, DisAsm, DecodeComplete);
      assert(DecodeComplete);

      LLVM_DEBUG(dbgs() << Loc << ": OPC_Decode: opcode " << Opc
                   << ", using decoder " << DecodeIdx << ": "
                   << (S != MCDisassembler::Fail ? "PASS" : "FAIL") << "\n");
      return S;
    }
    case MCD::OPC_TryDecode: {
      // Decode the Opcode value.
      unsigned Opc = decodeULEB128AndIncUnsafe(Ptr);
      unsigned DecodeIdx = decodeULEB128AndIncUnsafe(Ptr);
      unsigned NumToSkip = decodeNumToSkip(Ptr);

      // Perform the decode operation.
      MCInst TmpMI;
      TmpMI.setOpcode(Opc);
      bool DecodeComplete;
      S = decodeToMCInst(S, DecodeIdx, insn, TmpMI, Address, DisAsm, DecodeComplete);
      LLVM_DEBUG(dbgs() << Loc << ": OPC_TryDecode: opcode " << Opc
                   << ", using decoder " << DecodeIdx << ": ");

      if (DecodeComplete) {
        // Decoding complete.
        LLVM_DEBUG(dbgs() << (S != MCDisassembler::Fail ? "PASS" : "FAIL") << "\n");
        MI = TmpMI;
        return S;
      } else {
        assert(S == MCDisassembler::Fail);
        // If the decoding was incomplete, skip.
        Ptr += NumToSkip;
        LLVM_DEBUG(dbgs() << "FAIL: continuing at " << (Ptr - DecodeTable) << "\n");
        // Reset decode status. This also drops a SoftFail status that could be
        // set before the decode attempt.
        S = MCDisassembler::Success;
      }
      break;
    }
    case MCD::OPC_SoftFail: {
      // Decode the mask values.
      uint64_t PositiveMask = decodeULEB128AndIncUnsafe(Ptr);
      uint64_t NegativeMask = decodeULEB128AndIncUnsafe(Ptr);
      bool Fail = (insn & PositiveMask) != 0 || (~insn & NegativeMask) != 0;
      if (Fail)
        S = MCDisassembler::SoftFail;
      LLVM_DEBUG(dbgs() << Loc << ": OPC_SoftFail: " << (Fail ? "FAIL\n" : "PASS\n"));
      break;
    }
    case MCD::OPC_Fail: {
      LLVM_DEBUG(dbgs() << Loc << ": OPC_Fail\n");
      return MCDisassembler::Fail;
    }
    }
  }
  llvm_unreachable("bogosity detected in disassembler state machine!");
}


} // namespace
